export declare class BbElementsModule {
    static forRoot(): {
        ngModule: typeof BbElementsModule;
        providers: ({
            provide: import("@angular/core").InjectionToken<import("./elements.interfaces").BbElementsIcon[]>;
            useValue: {
                namespace: string;
                className: string;
                type: string;
            };
            multi: boolean;
        } | {
            provide: import("@angular/core").InjectionToken<import("../localize/localize.interfaces").BbLocalizeExtraDictionary[]>;
            useValue: {
                locale: string;
                data: {
                    'form-control-errors': {
                        'required': string;
                        'pattern': string;
                        'email': string;
                        'fullNumber': string;
                        'min': string;
                        'max': string;
                        'minlength': string;
                        'maxlength': string;
                    };
                };
            };
            multi: boolean;
        } | {
            provide: import("@angular/core").InjectionToken<import("./elements.interfaces").BbElementsError[]>;
            useFactory: typeof getErrors;
            multi: boolean;
        })[];
    };
}
export declare function getErrors(): {
    required: () => string;
    pattern: () => string;
    email: () => string;
    fullNumber: () => string;
    min: ({ min }: {
        min: any;
    }) => {
        token: string;
        data: {
            min: any;
        };
    };
    max: ({ max }: {
        max: any;
    }) => {
        token: string;
        data: {
            max: any;
        };
    };
    minlength: ({ requiredLength, actualLength }: {
        requiredLength: any;
        actualLength: any;
    }) => {
        token: string;
        data: {
            requiredLength: any;
            actualLength: any;
        };
    };
    maxlength: ({ requiredLength, actualLength }: {
        requiredLength: any;
        actualLength: any;
    }) => {
        token: string;
        data: {
            requiredLength: any;
            actualLength: any;
        };
    };
};
