import { OnInit, TemplateRef } from '@angular/core';
import { IsRequired, IsRequiredConstructor } from '../../core/mixins/is-required';
import { CanDisable, CanDisableConstructor } from '../../core/mixins/can-disable';
import { IsReadonly, IsReadonlyConstructor } from '../../core/mixins/is-readonly';
import { IsGrouped, IsGroupedConstructor } from '../../core/mixins/is-grouped';
import { IsFocused, IsFocusedConstructor } from '../../core/mixins/is-focused';
import { HasError, HasErrorConstructor } from '../../core/mixins/has-error';
import { BbElementsError } from '../elements.interfaces';
import { Observable, Subject } from 'rxjs';
declare class BbFormControlBase {
}
declare const BbFormControlMixinBase: IsRequiredConstructor & IsGroupedConstructor & IsFocusedConstructor & IsReadonlyConstructor & CanDisableConstructor & HasErrorConstructor & typeof BbFormControlBase;
export declare class BbFormControl extends BbFormControlMixinBase implements OnInit, IsRequired, IsFocused, IsReadonly, IsGrouped, CanDisable, HasError {
    private _errors;
    label: string | TemplateRef<any> | null;
    hint: string | TemplateRef<any> | null;
    customErrors: {
        [error: string]: string | {
            token: string;
            data?: any;
        };
    };
    arrow: boolean;
    hideErrors: any;
    private _hideErrors;
    labelId: string;
    errors: Subject<any>;
    error$: Observable<string | {
        token: string;
        data?: any;
    } | null>;
    constructor(_errors: BbElementsError[]);
    ngOnInit(): void;
    getDefaultError(token: string): (data?: any) => string | {
        token: string;
        data?: any;
    };
}
export {};
