import { TemplateRef } from '@angular/core';
import { Observable } from 'rxjs';
export interface BbNotification {
    content: string | TemplateRef<any>;
    id?: string;
    timeout?: number;
    localize?: boolean;
    dismiss?: boolean;
    dismissText?: string;
    data?: {
        [key: string]: any;
    };
    type?: BbNotificationType;
    actions?: BbNotificationAction[];
    color?: string;
    backgroundColor?: string;
    destroy?: () => void;
}
export interface BbNotificationAction {
    title: string;
    callback?: () => any;
    type?: 'default' | 'cancel';
}
export declare enum BbNotificationType {
    Success = "success",
    Error = "error",
    Warning = "warning",
    Info = "info",
    Custom = "custom"
}
export declare class BbNotificationsConfig {
    mode?: 'append' | 'prepend';
    position?: BbNotificationsPosition;
    timeout?: number;
    dismiss?: boolean;
    localize?: boolean;
    dismissText?: string;
}
export declare enum BbNotificationsPosition {
    TopRight = "flex-start|flex-end",
    BottomRight = "flex-end|flex-end",
    TopLeft = "flex-start|flex-start",
    BottomLeft = "flex-end|flex-start"
}
export declare class BbNotificationsData {
    data: Observable<BbNotification[]>;
    dismissText: string;
    position: BbNotificationsPosition;
}
