import { ApplicationRef, ComponentFactoryResolver, Injector, TemplateRef } from '@angular/core';
import { BbNotification, BbNotificationAction, BbNotificationsConfig } from './notifications.interfaces';
import { BbPlatform } from '../core/services/platform.service';
import { BbLocalize } from '../localize/localize.service';
export declare class BbNotifications {
    private _injector;
    private _platform;
    private _applicationRef;
    private _localize;
    private _config;
    private _componentFactoryResolver;
    private _ref;
    private readonly _defaultMode;
    private readonly _defaultTimeout;
    private readonly _defaultLocalize;
    private readonly _defaultDismiss;
    private readonly _defaultDismissText;
    private readonly _defaultPosition;
    private _notifications$;
    constructor(_injector: Injector, _platform: BbPlatform, _applicationRef: ApplicationRef, _localize: BbLocalize, _config: BbNotificationsConfig, _componentFactoryResolver: ComponentFactoryResolver);
    success(content: string | TemplateRef<any>, actions?: BbNotificationAction[], timeout?: number): BbNotification;
    error(content: string | TemplateRef<any>, actions?: BbNotificationAction[], timeout?: number): BbNotification;
    warn(content: string | TemplateRef<any>, actions?: BbNotificationAction[], timeout?: number): BbNotification;
    info(content: string | TemplateRef<any>, actions?: BbNotificationAction[], timeout?: number): BbNotification;
    create(notification: BbNotification): BbNotification;
    private push;
    private pull;
    private compose;
    private createElement;
    private getProperty;
}
