import { DomSanitizer } from '@angular/platform-browser';
import { HttpClient, HttpClientModule, HttpErrorResponse, HTTP_INTERCEPTORS } from '@angular/common/http';
import { FormGroupDirective, NgControl, NG_VALUE_ACCESSOR, FormControl, FormsModule, ReactiveFormsModule } from '@angular/forms';
import { __awaiter, __rest } from 'tslib';
import { Router, RouterModule } from '@angular/router';
import { animate, group, query, style, transition, trigger, stagger } from '@angular/animations';
import { from, of, BehaviorSubject, throwError, Subject, EMPTY, merge, combineLatest } from 'rxjs';
import { catchError, first, map, filter, tap, finalize, switchMap, take, delay, mapTo, debounceTime, distinctUntilChanged, startWith, share } from 'rxjs/operators';
import { isPlatformBrowser, CommonModule } from '@angular/common';
import { Inject, Injectable, Optional, PLATFORM_ID, Directive, ViewContainerRef, ChangeDetectionStrategy, Component, ViewChild, ViewEncapsulation, InjectionToken, ChangeDetectorRef, ComponentFactoryResolver, HostListener, EventEmitter, Input, Output, ElementRef, HostBinding, NgZone, NgModule, SkipSelf, TemplateRef, Renderer2, Pipe, APP_INITIALIZER, LOCALE_ID, ApplicationRef, Injector, forwardRef, Host, ContentChildren, defineInjectable, inject } from '@angular/core';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
const hasV8BreakIterator = (typeof Intl !== 'undefined' && ((/** @type {?} */ (Intl))).v8BreakIterator);
class BbPlatform {
    /**
     * @param {?=} _platformId
     */
    constructor(_platformId) {
        this._platformId = _platformId;
    }
    // Browser check.
    /**
     * @return {?}
     */
    get isBrowser() {
        return this._platformId
            ? isPlatformBrowser(this._platformId)
            : typeof document === 'object' && !!document;
    }
    // Rendering engines.
    /**
     * @return {?}
     */
    get isTrident() {
        return this.isBrowser && /(msie|trident)/i.test(navigator.userAgent);
    }
    /**
     * @return {?}
     */
    get isBlink() {
        return this.isBrowser && (!!(((/** @type {?} */ (window))).chrome || hasV8BreakIterator) &&
            typeof CSS !== 'undefined' && !this.isEdge && !this.isTrident);
    }
    /**
     * @return {?}
     */
    get isWebkit() {
        return this.isBrowser && /AppleWebKit/i.test(navigator.userAgent)
            && !this.isBlink && !this.isEdge && !this.isTrident;
    }
    // Browsers.
    /**
     * @return {?}
     */
    get isChrome() {
        return this.isBrowser && /Google Inc./.test(navigator.vendor);
    }
    /**
     * @return {?}
     */
    get isEdge() {
        return this.isBrowser && /(edge)/i.test(navigator.userAgent);
    }
    /**
     * @return {?}
     */
    get isFirefox() {
        return this.isBrowser && /(firefox|minefield)/i.test(navigator.userAgent);
    }
    /**
     * @return {?}
     */
    get isSafari() {
        return this.isBrowser && /safari/i.test(navigator.userAgent) && this.isWebkit;
    }
    // Platforms.
    /**
     * @return {?}
     */
    get isIos() {
        return this.isBrowser && /iPad|iPhone|iPod/.test(navigator.userAgent) && !('MSStream' in window);
    }
    /**
     * @return {?}
     */
    get isAndroid() {
        return this.isBrowser && /android/i.test(navigator.userAgent) && !this.isTrident;
    }
}
BbPlatform.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
/** @nocollapse */
BbPlatform.ctorParameters = () => [
    { type: Object, decorators: [{ type: Optional }, { type: Inject, args: [PLATFORM_ID,] }] }
];
/** @nocollapse */ BbPlatform.ngInjectableDef = defineInjectable({ factory: function BbPlatform_Factory() { return new BbPlatform(inject(PLATFORM_ID, 8)); }, token: BbPlatform, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbLanguage {
    constructor() {
        this.getLanguages = (/**
         * @return {?}
         */
        () => {
            if (typeof navigator !== 'object') {
                return null;
            }
            /** @type {?} */
            let t = 'anguage';
            /** @type {?} */
            let n = navigator;
            /** @type {?} */
            let f = n['l' + t + 's'];
            /** @type {?} */
            const data = f && f.length ? f : (t = n['l' + t] ||
                n['browserL' + t] ||
                n['userL' + t]) ? [t] : t;
            return typeof data === 'string'
                ? data
                : data.join(';');
        });
    }
    /**
     * @return {?}
     */
    get all() {
        // Get the languages.
        /** @type {?} */
        const data = this.getLanguages();
        // Parse all languages by using a regex.
        /** @type {?} */
        const strings = (data || '')
            .match(/((([a-zA-Z]+(-[a-zA-Z0-9]+){0,2})|\*)(;q=[0-1](\.[0-9]+)?)?)*/g);
        // Get the content by parsing the strings.
        /** @type {?} */
        const content = strings.map((/**
         * @param {?} item
         * @return {?}
         */
        item => {
            if (!item) {
                return null;
            }
            /** @type {?} */
            const bits = item.split(';');
            /** @type {?} */
            const ietf = bits[0].split('-');
            /** @type {?} */
            const hasScript = ietf.length === 3;
            return {
                code: ietf[0],
                script: hasScript ? ietf[1] : null,
                region: hasScript ? ietf[2] : ietf[1],
                quality: bits[1] ? parseFloat(bits[1].split('=')[1]) : 1.0
            };
        }));
        // Filter out all the empty items
        // and sort them by the quality.
        return content
            .filter((/**
         * @param {?} item
         * @return {?}
         */
        item => !!item))
            .sort((/**
         * @param {?} a
         * @param {?} b
         * @return {?}
         */
        (a, b) => b.quality - a.quality));
    }
}
BbLanguage.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
/** @nocollapse */ BbLanguage.ngInjectableDef = defineInjectable({ factory: function BbLanguage_Factory() { return new BbLanguage(); }, token: BbLanguage, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbStorage {
    constructor() {
        this._store = {};
        // The availability of the local storage.
        this._available = false;
        this.isStorageAvailable = (/**
         * @return {?}
         */
        () => {
            if (typeof localStorage !== 'undefined') {
                try {
                    localStorage.setItem('feature_test', 'yes');
                    if (localStorage.getItem('feature_test') === 'yes') {
                        localStorage.removeItem('feature_test');
                        return true;
                    }
                    else {
                        return false;
                    }
                }
                catch (_a) {
                    return false;
                }
            }
            else {
                return false;
            }
        });
        // Validate if the localstorage is available.
        this._available = this.isStorageAvailable();
    }
    /**
     * @template T
     * @param {?} token
     * @return {?}
     */
    get(token) {
        if (!this._available) {
            /** @type {?} */
            const value = this._store[token];
            return value === undefined
                ? null
                : value;
        }
        // Retrieve the raw data from the local storage.
        /** @type {?} */
        const rawData = localStorage.getItem(token);
        // Try to parse the data.
        /** @type {?} */
        let parsedData = null;
        // Only parse the data when it is not null.
        if (rawData !== null) {
            try {
                parsedData = JSON.parse(rawData);
            }
            catch (error) {
                throw new Error('The raw data cannot be parsed; Invalid data in the storage.');
            }
        }
        // Return the parsed data.
        return parsedData;
    }
    /**
     * @template T
     * @param {?} token
     * @param {?} data
     * @return {?}
     */
    set(token, data) {
        if (!this._available) {
            this._store[token] = data;
            return;
        }
        // Stringify the data.
        /** @type {?} */
        const rawData = JSON.stringify(data);
        // Set the raw data in the storage.
        return localStorage.setItem(token, rawData);
    }
    /**
     * @param {?} token
     * @return {?}
     */
    remove(token) {
        if (!this._available) {
            delete this._store[token];
            return;
        }
        return localStorage.removeItem(token);
    }
    /**
     * @return {?}
     */
    clear() {
        // If available clear the local storage.
        if (this._available) {
            return localStorage.clear();
        }
        // Else reset the store object.
        this._store = {};
    }
}
BbStorage.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
/** @nocollapse */
BbStorage.ctorParameters = () => [];
/** @nocollapse */ BbStorage.ngInjectableDef = defineInjectable({ factory: function BbStorage_Factory() { return new BbStorage(); }, token: BbStorage, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbImage {
    /**
     * @param {?} _platform
     */
    constructor(_platform) {
        this._platform = _platform;
        // Data.
        this._types = ['image/png', 'image/jpeg'];
        this.calculateOffsetAndDimensions = (/**
         * @param {?} image
         * @param {?} canvasWidth
         * @param {?} canvasHeight
         * @return {?}
         */
        (image, canvasWidth, canvasHeight) => {
            /** @type {?} */
            const originalWidth = image.width;
            /** @type {?} */
            const originalHeight = image.height;
            /** @type {?} */
            const widthRatio = canvasWidth / originalWidth;
            /** @type {?} */
            const heightRatio = canvasHeight / originalHeight;
            /** @type {?} */
            let width = 0;
            /** @type {?} */
            let height = 0;
            if (originalWidth > originalHeight) {
                height = originalHeight * heightRatio;
                width = (originalWidth / originalHeight) * height;
            }
            else {
                width = originalWidth * widthRatio;
                height = (originalHeight / originalWidth) * width;
            }
            /** @type {?} */
            let xOffset = 0;
            /** @type {?} */
            let yOffset = 0;
            if (canvasHeight === height) {
                xOffset = -((width - canvasWidth) / 2);
            }
            else if (canvasWidth === width) {
                yOffset = -((height - canvasHeight) / 2);
            }
            return { xOffset, yOffset, width, height };
        });
    }
    /**
     * @param {?} contents
     * @param {?=} options
     * @return {?}
     */
    toDataUri(contents, options = null) {
        return __awaiter(this, void 0, void 0, function* () {
            // Check if the current platform is a browser.
            if (!this._platform.isBrowser) {
                return null;
            }
            // Get the image.
            /** @type {?} */
            const image = yield this.getImage(contents);
            // Get the canvas width and height.
            /** @type {?} */
            const canvasWidth = (options && options.width) || image.width;
            /** @type {?} */
            const canvasHeight = (options && options.height) || image.height;
            // Get the canvas and context.
            /** @type {?} */
            const canvas = document.createElement('canvas');
            /** @type {?} */
            const context = canvas.getContext('2d');
            canvas.width = canvasWidth;
            canvas.height = canvasHeight;
            // Check if dimensions where supplied, else create the image.
            if (!options) {
                // Draw the image.
                context.drawImage(image, 0, 0);
                // Convert the canvas to a data url.
                return canvas.toDataURL(this._types[0]);
            }
            // Get the dimensions and offsets.
            const { width, height, xOffset, yOffset } = this.calculateOffsetAndDimensions(image, canvasWidth, canvasHeight);
            // Draw the image.
            context.drawImage(image, 0, 0, image.width, image.height, xOffset, yOffset, width, height);
            // Convert the canvas to a data url.
            return canvas.toDataURL(this._types[0]);
        });
    }
    /**
     * @private
     * @param {?} contents
     * @return {?}
     */
    getImage(contents) {
        return __awaiter(this, void 0, void 0, function* () {
            // If the contents is already an HTML image element just return it.
            if (contents instanceof HTMLImageElement) {
                return contents;
            }
            // If the contents is a file convert it to an HTML image element.
            if (contents instanceof File) {
                return this.fileToImage(contents);
            }
            // If the contents is a string convert it to an HTML image element.
            if (typeof contents === 'string') {
                return this.stringToImage(contents);
            }
        });
    }
    /**
     * @private
     * @param {?} file
     * @return {?}
     */
    fileToImage(file) {
        return new Promise((/**
         * @param {?} resolve
         * @param {?} reject
         * @return {?}
         */
        (resolve, reject) => {
            // Check if the file matches an image.
            if (!this._types.includes(file.type)) {
                return reject('The selected file does not meet the required format.');
            }
            /** @type {?} */
            const fileReader = new FileReader();
            fileReader.readAsDataURL(file);
            fileReader.onloadend = (/**
             * @param {?} data
             * @return {?}
             */
            (data) => __awaiter(this, void 0, void 0, function* () {
                // Get the data URI.
                /** @type {?} */
                const dataUri = data.target['result'];
                // Convert the data URI to a image element.
                /** @type {?} */
                const image = yield this.stringToImage(dataUri);
                // Resolve the image.
                return resolve(image);
            }));
            fileReader.onerror = (/**
             * @param {?} error
             * @return {?}
             */
            error => reject(error));
        }));
    }
    /**
     * @private
     * @param {?} src
     * @return {?}
     */
    stringToImage(src) {
        return new Promise((/**
         * @param {?} resolve
         * @param {?} reject
         * @return {?}
         */
        (resolve, reject) => {
            /** @type {?} */
            const image = new Image();
            image.src = src;
            image.onload = (/**
             * @return {?}
             */
            () => resolve(image));
            image.onerror = (/**
             * @param {?} error
             * @return {?}
             */
            error => reject(error));
        }));
    }
}
BbImage.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
/** @nocollapse */
BbImage.ctorParameters = () => [
    { type: BbPlatform }
];
/** @nocollapse */ BbImage.ngInjectableDef = defineInjectable({ factory: function BbImage_Factory() { return new BbImage(inject(BbPlatform)); }, token: BbImage, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbInterpolator {
    constructor() {
        // Regex.
        this._checkSubstitution = /{([^}]+)}/g;
        this._replaceSubstitution = /[{}]/g;
        // Collection.
        this._middleware = {};
        this.log = (/**
         * @param {?} message
         * @return {?}
         */
        (message) => {
            console && console.warn && console.warn(message);
        });
        // Add some default middleware.
        this.use('lowercase', (/**
         * @param {?} value
         * @return {?}
         */
        value => (value || '').toLowerCase()));
        this.use('uppercase', (/**
         * @param {?} value
         * @return {?}
         */
        value => (value || '').toUpperCase()));
    }
    /**
     * @param {?} value
     * @param {?} data
     * @return {?}
     */
    interpolate(value, data) {
        // Match all string inside of curly braces and
        // then filter out all the duplicate items, then
        // we should interpolate all those matches and return
        // the string to the user.
        return (value.match(this._checkSubstitution) || [])
            .filter((/**
         * @param {?} item
         * @param {?} index
         * @param {?} array
         * @return {?}
         */
        (item, index, array) => array.indexOf(item) === index))
            .reduce((/**
         * @param {?} string
         * @param {?} token
         * @return {?}
         */
        (string, token) => {
            /** @type {?} */
            const interpolated = this.match(token, data);
            if (interpolated === null) {
                return string;
            }
            return string.replace(new RegExp(token, 'g'), interpolated);
        }), value);
    }
    /**
     * @param {?} token
     * @param {?} middleware
     * @return {?}
     */
    use(token, middleware) {
        // This add the middleware function to the collection
        // so it can be used at a later time when the user
        // wants to interpolate a value with the middleware.
        this._middleware[token] = middleware;
    }
    /**
     * @private
     * @param {?} match
     * @param {?} dictionary
     * @return {?}
     */
    match(match, dictionary) {
        // Remove the brackets from the match
        // so we get the data between those brackets.
        /** @type {?} */
        const data = match.replace(this._replaceSubstitution, '');
        // Get the token and the methods by splitting
        // on the pipe symbol.
        const [token, ...methods] = data.split('|').map((/**
         * @param {?} item
         * @return {?}
         */
        item => item.trim()));
        // Get the value for the token from
        // the dictionary.
        /** @type {?} */
        const value = dictionary[token];
        // Check if the value is undefined, if so
        // we should return null and not proceed.
        if (typeof value === 'undefined') {
            this.log(`Interpolator: value was undefined for token: "${token}".`);
            return null;
        }
        // Loop through all the middleware methods and try to
        // conform the string to the given parameters.
        return methods.reduce((/**
         * @param {?} string
         * @param {?} middlewareName
         * @return {?}
         */
        (string, middlewareName) => {
            // Try to retrieve the middleware from the collection.
            /** @type {?} */
            const middleware = this._middleware[middlewareName];
            // If the middleware is missing return an error
            // so that the user knows it was not found.
            if (!middleware) {
                this.log(`Interpolator: cannot find middleware with name: "${middlewareName}".`);
                return string;
            }
            // Execute the middleware function with the string.
            return middleware(string);
        }), `${value}`);
    }
}
BbInterpolator.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
/** @nocollapse */
BbInterpolator.ctorParameters = () => [];
/** @nocollapse */ BbInterpolator.ngInjectableDef = defineInjectable({ factory: function BbInterpolator_Factory() { return new BbInterpolator(); }, token: BbInterpolator, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbJwt {
    /**
     * @param {?} _platform
     */
    constructor(_platform) {
        this._platform = _platform;
        this.baseDecodeUnicode = (/**
         * @param {?} value
         * @return {?}
         */
        (value) => {
            return decodeURIComponent(atob(value).replace(/(.)/g, (/**
             * @param {?} m
             * @param {?} p
             * @return {?}
             */
            (m, p) => {
                /** @type {?} */
                let code = p.charCodeAt(0).toString(16).toUpperCase();
                if (code.length < 2) {
                    code = '0' + code;
                }
                return '%' + code;
            })));
        });
    }
    /**
     * @param {?} token
     * @return {?}
     */
    decode(token) {
        // Check if the platform is a browser.
        if (!this._platform.isBrowser) {
            return null;
        }
        try {
            return JSON.parse(this.urlDecode(token.split('.')[1]));
        }
        catch (_a) {
            return null;
        }
    }
    /**
     * @private
     * @param {?} token
     * @return {?}
     */
    urlDecode(token) {
        /** @type {?} */
        const value = token || '';
        /** @type {?} */
        let output = value.replace(/-/g, '+').replace(/_/g, '/');
        switch (output.length % 4) {
            case 0:
                break;
            case 2:
                output += '==';
                break;
            case 3:
                output += '=';
                break;
            default:
                throw 'Illegal base64url string!';
        }
        try {
            return this.baseDecodeUnicode(output);
        }
        catch (_a) {
            return atob(output);
        }
    }
}
BbJwt.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
/** @nocollapse */
BbJwt.ctorParameters = () => [
    { type: BbPlatform }
];
/** @nocollapse */ BbJwt.ngInjectableDef = defineInjectable({ factory: function BbJwt_Factory() { return new BbJwt(inject(BbPlatform)); }, token: BbJwt, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbPlaceholder {
    /**
     * @param {?} _platform
     * @param {?} _sanitizer
     */
    constructor(_platform, _sanitizer) {
        this._platform = _platform;
        this._sanitizer = _sanitizer;
        // Data.
        this._cache = new Map();
        this._vectors = {
            user: `
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100">
                <path fill="#c5c5c5" d="M0 0h100v100H0z"/>
                <circle cx="50" cy="45" r="25" fill="#fff"/>
                <ellipse cx="50" cy="102" rx="38" ry="40" fill="#fff"/>
            </svg>
        `
        };
    }
    /**
     * @param {?} name
     * @param {?=} options
     * @return {?}
     */
    png(name, options) {
        return this.asImage(name).pipe(map((/**
         * @param {?} image
         * @return {?}
         */
        image => {
            /** @type {?} */
            const canvas = document.createElement('canvas');
            /** @type {?} */
            const context = canvas.getContext('2d');
            /** @type {?} */
            const width = (options && options.width) || 500;
            /** @type {?} */
            const height = (options && options.height) || 500;
            canvas.width = width;
            canvas.height = height;
            context.drawImage(image, 0, 0, width, height, 0, 0, width, height);
            return canvas.toDataURL('image/png');
        })), map((/**
         * @param {?} image
         * @return {?}
         */
        image => this.toSanitized(image, (options && options.sanitized) || false))), catchError((/**
         * @return {?}
         */
        () => null)), first());
    }
    /**
     * @param {?} name
     * @param {?=} options
     * @return {?}
     */
    svg(name, options) {
        /** @type {?} */
        const image = this.toDataUri(name);
        /** @type {?} */
        const sanitized = (options && options.sanitized) || false;
        return of(image).pipe(map((/**
         * @param {?} image
         * @return {?}
         */
        image => this.toSanitized(image, sanitized))), catchError((/**
         * @return {?}
         */
        () => null)));
    }
    /**
     * @private
     * @param {?} name
     * @return {?}
     */
    toDataUri(name) {
        // Validate if the cache has the image.
        /** @type {?} */
        const cacheName = `${name}_svg`;
        if (this._cache.has(cacheName)) {
            return this._cache.get(cacheName);
        }
        // Validate the current platform is a browser.
        if (!this._platform.isBrowser) {
            return null;
        }
        // Convert the vector to a base64 format.
        /** @type {?} */
        const baseUrl = window.btoa(this._vectors[name]);
        /** @type {?} */
        const image = `data:image/svg+xml;base64,${baseUrl}`;
        // Set the cache.
        this._cache.set(cacheName, image);
        // Return the image.
        return image;
    }
    /**
     * @private
     * @param {?} name
     * @return {?}
     */
    asImage(name) {
        /** @type {?} */
        const dataUri = this.toDataUri(name);
        /** @type {?} */
        const promise = new Promise((/**
         * @param {?} resolve
         * @param {?} reject
         * @return {?}
         */
        (resolve, reject) => {
            /** @type {?} */
            const image = new Image();
            image.src = dataUri;
            image.onload = (/**
             * @return {?}
             */
            () => resolve(image));
            image.onerror = (/**
             * @param {?} error
             * @return {?}
             */
            error => reject(error));
        }));
        return from(promise);
    }
    /**
     * @private
     * @param {?} image
     * @param {?=} sanitized
     * @return {?}
     */
    toSanitized(image, sanitized = false) {
        return sanitized
            ? this._sanitizer.bypassSecurityTrustUrl(image)
            : image;
    }
}
BbPlaceholder.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
/** @nocollapse */
BbPlaceholder.ctorParameters = () => [
    { type: BbPlatform },
    { type: DomSanitizer }
];
/** @nocollapse */ BbPlaceholder.ngInjectableDef = defineInjectable({ factory: function BbPlaceholder_Factory() { return new BbPlaceholder(inject(BbPlatform), inject(DomSanitizer)); }, token: BbPlaceholder, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
const BbRegex = {
    email: /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/,
    fullNumber: /^\d*[1-9]\d*$/
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbValidator {
    /**
     * @param {?} control
     * @return {?}
     */
    static email(control) {
        return BbRegex.email.test(control.value)
            ? null
            : { email: { valid: false } };
    }
    /**
     * @param {?} control
     * @return {?}
     */
    static fullNumber(control) {
        return BbRegex.fullNumber.test(control.value)
            ? null
            : { fullNumber: { valid: false } };
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbApiConfig {
}
class BbDataSourceRequest {
    constructor() {
        // Data.
        this._request$ = new BehaviorSubject(null);
    }
    /**
     * @return {?}
     */
    get when() {
        return this._request$.pipe(filter((/**
         * @param {?} data
         * @return {?}
         */
        data => !!data)));
    }
    /**
     * @param {?=} params
     * @return {?}
     */
    update(params = {}) {
        /** @type {?} */
        const currentValue = this._request$.getValue();
        // Set the page number to 1 if the query or page size was changed.
        if (currentValue && params && (currentValue.query !== params.query || currentValue.pageSize !== params.pageSize)) {
            params.pageNumber = 1;
        }
        this._request$.next(Object.assign({}, currentValue, params));
    }
}
/**
 * @abstract
 * @template T
 */
class BbApiDataSource {
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbApiMapper {
    /**
     * @template T
     * @param {?} data
     * @return {?}
     */
    toPageResponse(data) {
        return {
            pageSize: (/** @type {?} */ (data['page_size'])),
            pageNumber: (/** @type {?} */ (data['page_number'])),
            totalPages: (/** @type {?} */ (data['total_pages'])),
            totalEntries: (/** @type {?} */ (data['total_entries'])),
            data: (/** @type {?} */ (data['data']))
        };
    }
    /**
     * @param {?} data
     * @return {?}
     */
    toPageRequest(data) {
        /** @type {?} */
        const params = {};
        params['page'] = `${data.pageNumber || 1}`;
        params['page_size'] = `${data.pageSize || 25}`;
        /** @type {?} */
        const sort = (data.sort || [])
            .map((/**
         * @param {?} __0
         * @return {?}
         */
        ({ name }) => name))
            .filter((/**
         * @param {?} name
         * @return {?}
         */
        name => !!name))
            .join(',');
        /** @type {?} */
        const sortDirection = (data.sort || [])
            .map((/**
         * @param {?} __0
         * @return {?}
         */
        ({ direction }) => direction))
            .filter((/**
         * @param {?} direction
         * @return {?}
         */
        direction => !!direction))
            .join(',');
        if (sort.length > 0 && sortDirection.length > 0) {
            params['sort'] = sort;
            params['sort_direction'] = sortDirection;
        }
        if (data.query && data.query.length > 0 && data.queryFields && data.queryFields.length > 0) {
            params['query'] = data.query;
            params['query_fields'] = data.queryFields.join(',');
        }
        return params;
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbApi {
    /**
     * @param {?} _http
     * @param {?} _mapper
     * @param {?} _config
     */
    constructor(_http, _mapper, _config) {
        this._http = _http;
        this._mapper = _mapper;
        this._config = _config;
        // Validate the config exists.
        if (!this._config) {
            throw new Error('API configuration was not received properly.');
        }
        // Cache the base url.
        this._baseUrl = this._config.baseUrl;
    }
    /**
     * @template T
     * @param {?} endpoint
     * @param {?=} params
     * @param {?=} options
     * @return {?}
     */
    page(endpoint, params = {}, options) {
        // Compose the params and headers.
        /** @type {?} */
        const pageParams = this._mapper.toPageRequest(params);
        /** @type {?} */
        const extraParams = (options && options.params) || {};
        /** @type {?} */
        const extraHeaders = (options && options.headers) || {};
        // Return an observable so it can be a stream.
        return this.get(endpoint, {
            headers: extraHeaders,
            params: Object.assign({}, pageParams, extraParams)
        }).pipe(map((/**
         * @param {?} response
         * @return {?}
         */
        response => this._mapper.toPageResponse(response))));
    }
    /**
     * @template T
     * @param {?} endpoint
     * @param {?=} options
     * @return {?}
     */
    get(endpoint, options) {
        // Add the base url to the endpoint.
        /** @type {?} */
        const url = this.toAbsoluteUrl(endpoint);
        // Return an observable so it can be a stream.
        return this._http.get(url, options);
    }
    /**
     * @template T
     * @param {?} endpoint
     * @param {?} body
     * @return {?}
     */
    post(endpoint, body) {
        return __awaiter(this, void 0, void 0, function* () {
            // Add the base url to the endpoint.
            /** @type {?} */
            const url = this.toAbsoluteUrl(endpoint);
            // Execute the post call as a promise.
            return yield this._http.post(url, body).toPromise();
        });
    }
    /**
     * @template T
     * @param {?} endpoint
     * @param {?} body
     * @return {?}
     */
    put(endpoint, body) {
        return __awaiter(this, void 0, void 0, function* () {
            // Add the base url to the endpoint.
            /** @type {?} */
            const url = this.toAbsoluteUrl(endpoint);
            // Execute the put call as a promise.
            return yield this._http.put(url, body).toPromise();
        });
    }
    /**
     * @template T
     * @param {?} endpoint
     * @return {?}
     */
    delete(endpoint) {
        return __awaiter(this, void 0, void 0, function* () {
            // Add the base url to the endpoint.
            /** @type {?} */
            const url = this.toAbsoluteUrl(endpoint);
            // Execute the delete call as a promise.
            return yield this._http.delete(url).toPromise();
        });
    }
    /**
     * @private
     * @param {?} endpoint
     * @return {?}
     */
    toAbsoluteUrl(endpoint) {
        return `${this._baseUrl}${endpoint}`;
    }
}
BbApi.decorators = [
    { type: Injectable }
];
/** @nocollapse */
BbApi.ctorParameters = () => [
    { type: HttpClient },
    { type: BbApiMapper },
    { type: BbApiConfig, decorators: [{ type: Optional }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbApiError {
    /**
     * @param {?} _status
     * @param {?} _error
     */
    constructor(_status, _error) {
        this._status = _status;
        this._error = _error;
    }
    /**
     * @return {?}
     */
    get status() {
        return this._status;
    }
    /**
     * @return {?}
     */
    get error() {
        return this._error;
    }
    /**
     * @template T
     * @param {?} token
     * @param {?=} delimiter
     * @return {?}
     */
    get(token, delimiter = '.') {
        /** @type {?} */
        const tokens = (token || '').split(delimiter);
        /** @type {?} */
        const result = tokens.reduce((/**
         * @param {?} previous
         * @param {?} token
         * @return {?}
         */
        (previous, token) => {
            if (previous && previous[token]) {
                return previous[token];
            }
            return null;
        }), this._error || {});
        return (/** @type {?} */ (result));
    }
    /**
     * @param {?} token
     * @param {?=} delimiter
     * @return {?}
     */
    has(token, delimiter = '.') {
        return !!this.get(token, delimiter);
    }
    /**
     * @param {?} token
     * @param {?} value
     * @return {?}
     */
    includes(token, value) {
        /** @type {?} */
        const array = this.get(token);
        return (array || []).includes(value);
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbApiModule {
    /**
     * @param {?} _parent
     */
    constructor(_parent) {
        if (_parent) {
            throw new Error('BbApiModule is already loaded; Import it in the AppModule only.');
        }
    }
    /**
     * @param {?} config
     * @return {?}
     */
    static forRoot(config) {
        return {
            ngModule: BbApiModule,
            providers: [
                { provide: BbApiConfig, useValue: config },
                BbApi
            ]
        };
    }
}
BbApiModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    HttpClientModule
                ],
                providers: [
                    { provide: BbApiMapper, useClass: BbApiMapper }
                ]
            },] }
];
/** @nocollapse */
BbApiModule.ctorParameters = () => [
    { type: BbApiModule, decorators: [{ type: Optional }, { type: SkipSelf }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbAuthConfig {
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbAuthMapper {
    constructor() {
        // Routes.
        this.login = 'auth/login';
        this.register = 'auth/register';
        this.logout = 'auth/logout';
        this.refresh = 'auth/refresh';
        this.requestPassword = 'auth/reset';
        this.resetPassword = 'auth/reset-password';
    }
    /**
     * @param {?} data
     * @return {?}
     */
    role(data) {
        return data.role || null;
    }
    /**
     * @param {?} data
     * @return {?}
     */
    toLogin(data) {
        // Retrieve the params.
        const { token, refresh_token, user } = data;
        // Map the data to the correct format.
        return { accessToken: token, refreshToken: refresh_token, user: user };
    }
    /**
     * @param {?} data
     * @return {?}
     */
    toRefresh(data) {
        // Retrieve the params.
        const { token, refresh_token } = data;
        // Map the data to the correct format.
        return { accessToken: token, refreshToken: refresh_token };
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbAuth {
    /**
     * @param {?} _jwt
     * @param {?} _storage
     * @param {?} _mapper
     * @param {?} _api
     */
    constructor(_jwt, _storage, _mapper, _api) {
        this._jwt = _jwt;
        this._storage = _storage;
        this._mapper = _mapper;
        this._api = _api;
        // Storage keys.
        this._apiUserStorageKey = 'bb-api-auth-user';
        this._apiTokenStorageKey = 'bb-api-auth-token';
        this._apiRefreshTokenStorageKey = 'bb-api-auth-refresh-token';
        // Data.
        this._user$ = new BehaviorSubject(null);
        if (!this._api) {
            throw new Error('The API is required for this module to work.');
        }
        // Fetch the user from the storage.
        /** @type {?} */
        const user = this._storage.get(this._apiUserStorageKey);
        // Cache the user in memory.
        this._user$.next(user);
    }
    /**
     * @return {?}
     */
    get isAuthenticated() {
        return !!this.payload;
    }
    /**
     * @return {?}
     */
    get user() {
        return this._user$.asObservable();
    }
    /**
     * @return {?}
     */
    get accessToken() {
        return this._storage.get(this._apiTokenStorageKey);
    }
    /**
     * @return {?}
     */
    get refreshToken() {
        return this._storage.get(this._apiRefreshTokenStorageKey);
    }
    /**
     * @return {?}
     */
    get payload() {
        return this._jwt.decode(this.accessToken);
    }
    /**
     * @template T
     * @param {?} email
     * @param {?} password
     * @param {?=} as
     * @return {?}
     */
    login(email, password, as) {
        return __awaiter(this, void 0, void 0, function* () {
            // Execute API call.
            /** @type {?} */
            const result = yield this._api.post(this._mapper.login, { email, password });
            // Map to the correct response.
            const { accessToken, refreshToken, user } = this._mapper.toLogin(result);
            // Check if the role matches.
            if (as && !as.includes(this._mapper.role(user))) {
                throw new Error('Invalid role.');
            }
            // Set the tokens in storage.
            this.setTokens(accessToken, refreshToken);
            // Set the user in storage.
            this.setUser(user);
            // Return the user.
            return user;
        });
    }
    /**
     * @template T
     * @param {?} data
     * @return {?}
     */
    register(data) {
        return __awaiter(this, void 0, void 0, function* () {
            // Execute API call.
            /** @type {?} */
            const result = yield this._api.post(this._mapper.register, data);
            // Map to the correct response.
            const { accessToken, refreshToken, user } = this._mapper.toLogin(result);
            // Set the tokens in storage.
            this.setTokens(accessToken, refreshToken);
            // Set the user in storage.
            this.setUser(user);
            // Return the user.
            return user;
        });
    }
    /**
     * @return {?}
     */
    logout() {
        try {
            // Log the user out.
            this._api.get(this._mapper.logout, { headers: { Authorization: 'refresh' } })
                .toPromise().then((/**
             * @param {?} _
             * @return {?}
             */
            _ => _));
        }
        catch (_a) {
            // Do nothing because the tokens will be deleted anyways from the local storage.
        }
        // Delete the tokens from the session.
        return this.clear();
    }
    /**
     * @return {?}
     */
    refresh() {
        return this._api.get(this._mapper.refresh, { headers: { Authorization: 'refresh' } }).pipe(map((/**
         * @param {?} data
         * @return {?}
         */
        data => this._mapper.toRefresh(data))), tap((/**
         * @param {?} __0
         * @return {?}
         */
        ({ accessToken, refreshToken }) => this.setTokens(accessToken, refreshToken))), map((/**
         * @param {?} __0
         * @return {?}
         */
        ({ accessToken }) => accessToken)));
    }
    /**
     * @param {?} email
     * @return {?}
     */
    requestPassword(email) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                return yield this._api.post(this._mapper.requestPassword, { email });
            }
            catch (error) {
                throw error;
            }
        });
    }
    /**
     * @param {?} token
     * @param {?} newPassword
     * @return {?}
     */
    resetPassword(token, newPassword) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                return yield this._api.post(this._mapper.resetPassword, { token, password: newPassword });
            }
            catch (error) {
                throw error;
            }
        });
    }
    /**
     * @param {?} token
     * @param {?} refreshToken
     * @return {?}
     */
    setTokens(token, refreshToken) {
        // Set the token if the token exists.
        if (token) {
            this._storage.set(this._apiTokenStorageKey, token);
        }
        // Set the refresh token if the refresh token exists.
        if (refreshToken) {
            this._storage.set(this._apiRefreshTokenStorageKey, refreshToken);
        }
    }
    /**
     * @template T
     * @param {?} user
     * @return {?}
     */
    setUser(user) {
        // Push the next user.
        this._user$.next(user);
        // Save the user in the storage.
        return this._storage.set(this._apiUserStorageKey, user);
    }
    /**
     * @return {?}
     */
    clear() {
        // Delete the items from the local storage.
        this._storage.remove(this._apiUserStorageKey);
        this._storage.remove(this._apiTokenStorageKey);
        this._storage.remove(this._apiRefreshTokenStorageKey);
        // Push an empty user.
        this._user$.next(null);
    }
}
BbAuth.decorators = [
    { type: Injectable }
];
/** @nocollapse */
BbAuth.ctorParameters = () => [
    { type: BbJwt },
    { type: BbStorage },
    { type: BbAuthMapper },
    { type: BbApi, decorators: [{ type: Optional }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbAuthInterceptor {
    /**
     * @param {?} _auth
     * @param {?} _router
     * @param {?} _config
     */
    constructor(_auth, _router, _config) {
        this._auth = _auth;
        this._router = _router;
        this._config = _config;
        // Data.
        this.isRefreshing = false;
        this.token$ = new BehaviorSubject(null);
        this.getToken = (/**
         * @param {?} request
         * @return {?}
         */
        (request) => {
            // Get the token based on header.
            if (request.headers.get('Authorization') === 'refresh') {
                return this._auth.refreshToken;
            }
            // Check if the user does not want authorization.
            if (request.headers.get('Authorization') === 'none') {
                return null;
            }
            // Return the default access token.
            return this._auth.accessToken;
        });
        this.composeRequest = (/**
         * @param {?} request
         * @param {?=} token
         * @return {?}
         */
        (request, token = null) => {
            // If the token is not set, delete the authorization header.
            if (!token) {
                return request.clone({ headers: request.headers.delete('Authorization') });
            }
            // Clone and add the authorization header.
            return request.clone({
                setHeaders: { Authorization: `Bearer ${token}` }
            });
        });
    }
    /**
     * @param {?} request
     * @param {?} next
     * @return {?}
     */
    intercept(request, next) {
        /** @type {?} */
        const newRequest = this.composeRequest(request, this.getToken(request));
        return next.handle(newRequest).pipe(catchError((/**
         * @param {?} error
         * @return {?}
         */
        error => {
            // Create a custom error.
            /** @type {?} */
            const bbError = new BbApiError(error.status, error.error);
            // Check if it is an error response.
            if (!(error instanceof HttpErrorResponse)) {
                return throwError(bbError);
            }
            // Handle a 401 error.
            if (error.status === 401) {
                return this.handle401Error(request, next);
            }
            // Just re-throw the error.
            return throwError(bbError);
        })));
    }
    /**
     * @private
     * @param {?} request
     * @param {?} next
     * @return {?}
     */
    handle401Error(request, next) {
        // If already refreshing wait for the token to complete.
        if (this.isRefreshing) {
            return this.token$.pipe(filter((/**
             * @param {?} token
             * @return {?}
             */
            token => token !== null)), take(1), switchMap((/**
             * @param {?} token
             * @return {?}
             */
            token => next.handle(this.composeRequest(request, token)))));
        }
        // Set the refreshing to true.
        this.isRefreshing = true;
        this.token$.next(null);
        return this._auth.refresh().pipe(switchMap((/**
         * @param {?} newToken
         * @return {?}
         */
        newToken => {
            if (!newToken) {
                return this.logoutUser();
            }
            this.token$.next(newToken);
            return next.handle(this.composeRequest(request, newToken));
        })), catchError((/**
         * @param {?} error
         * @return {?}
         */
        error => this.logoutUser(error))), finalize((/**
         * @return {?}
         */
        () => {
            this.isRefreshing = false;
        })));
    }
    /**
     * @private
     * @param {?=} error
     * @return {?}
     */
    logoutUser(error) {
        // Delete the tokens from the session.
        this._auth.clear();
        // Compose the route url.
        /** @type {?} */
        const routeUrl = (this._config && this._config.redirectUrl) || '/';
        // Route back.
        this._router.navigate([routeUrl])
            .then((/**
         * @param {?} _
         * @return {?}
         */
        _ => _));
        // Throw the error.
        return throwError(error || 'Invalid');
    }
}
BbAuthInterceptor.decorators = [
    { type: Injectable }
];
/** @nocollapse */
BbAuthInterceptor.ctorParameters = () => [
    { type: BbAuth },
    { type: Router },
    { type: BbAuthConfig, decorators: [{ type: Optional }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbAuthModule {
    /**
     * @param {?} _parent
     */
    constructor(_parent) {
        if (_parent) {
            throw new Error('BbAuthModule is already loaded; Import it in the AppModule only.');
        }
    }
    /**
     * @param {?=} config
     * @return {?}
     */
    static forRoot(config) {
        return {
            ngModule: BbAuthModule,
            providers: [
                { provide: BbAuthConfig, useValue: config },
                { provide: HTTP_INTERCEPTORS, useClass: BbAuthInterceptor, multi: true },
                BbAuth
            ]
        };
    }
}
BbAuthModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    HttpClientModule
                ],
                providers: [
                    { provide: BbAuthMapper, useClass: BbAuthMapper }
                ]
            },] }
];
/** @nocollapse */
BbAuthModule.ctorParameters = () => [
    { type: BbAuthModule, decorators: [{ type: Optional }, { type: SkipSelf }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
const BB_LOCALIZE_EXTRA_DICTIONARY = new InjectionToken('bb_localize_extra_dictionary');
class BbLocalizeConfig {
    constructor() {
        this.dictionary = [];
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
const BB_ELEMENTS_ICONS = new InjectionToken('bb_elements_icons');
/** @type {?} */
const BB_ELEMENTS_ERRORS = new InjectionToken('bb_elements_errors');

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
const BB_ELEMENTS_MATERIAL_ICON = {
    provide: BB_ELEMENTS_ICONS,
    useValue: { namespace: 'material', className: 'material-icons', type: 'font' },
    multi: true
};
/** @type {?} */
const BB_ELEMENTS_ENGLISH_LOCALIZATION = {
    provide: BB_LOCALIZE_EXTRA_DICTIONARY,
    useValue: {
        locale: 'en-US',
        data: {
            'form-control-errors': {
                'required': 'This field is required.',
                'pattern': 'Invalid format.',
                'email': 'The field does not match a valid email address.',
                'fullNumber': 'The field should be a full number.',
                'min': 'Minimum amount should be {min}.',
                'max': 'Maximum amount should be {max}.',
                'minlength': 'Expected a minimum of {requiredLength} characters but got {actualLength} characters.',
                'maxlength': 'Expected a maximum of {requiredLength} characters but got {actualLength} characters.'
            }
        }
    },
    multi: true
};
/** @type {?} */
const BB_ELEMENTS_DUTCH_LOCALIZATION = {
    provide: BB_LOCALIZE_EXTRA_DICTIONARY,
    useValue: {
        locale: 'nl-NL',
        data: {
            'form-control-errors': {
                'required': 'Dit veld is verplicht.',
                'pattern': 'Ongeldig formaat.',
                'email': 'Het veld komt niet overeen met een geldig e-mailadres.',
                'fullNumber': 'Het veld moet een volledig getal zijn.',
                'min': 'Minimum hoeveelheid moet {min} zijn.',
                'max': 'Maximum hoeveelheid moet {max} zijn.',
                'minlength': 'Verwachtte minimaal {requiredLength} tekens, maar kreeg {actualLength} tekens.',
                'maxlength': 'Verwachtte maximaal {requiredLength} tekens, maar kreeg {actualLength} tekens.'
            }
        }
    },
    multi: true
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @param {?} value
 * @return {?}
 */
function coerceBooleanProperty(value) {
    return value != null && `${value}` !== 'false';
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 * @param {?} base
 * @return {?}
 */
function mixinRequired(base) {
    return class extends base {
        /**
         * @param {...?} args
         */
        constructor(...args) {
            super(...args);
            this._required = false;
        }
        /**
         * @return {?}
         */
        get required() {
            return this._required;
        }
        /**
         * @param {?} value
         * @return {?}
         */
        set required(value) {
            this._required = coerceBooleanProperty(value);
        }
    };
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 * @param {?} base
 * @return {?}
 */
function mixinDisabled(base) {
    return class extends base {
        /**
         * @param {...?} args
         */
        constructor(...args) {
            super(...args);
            this._disable = false;
        }
        /**
         * @return {?}
         */
        get disabled() {
            return this._disable;
        }
        /**
         * @param {?} value
         * @return {?}
         */
        set disabled(value) {
            this._disable = coerceBooleanProperty(value);
        }
    };
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 * @param {?} base
 * @return {?}
 */
function mixinReadonly(base) {
    return class extends base {
        /**
         * @param {...?} args
         */
        constructor(...args) {
            super(...args);
            this._readonly = false;
        }
        /**
         * @return {?}
         */
        get readonly() {
            return this._readonly;
        }
        /**
         * @param {?} value
         * @return {?}
         */
        set readonly(value) {
            this._readonly = coerceBooleanProperty(value);
        }
    };
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 * @param {?} base
 * @return {?}
 */
function mixinGrouped(base) {
    return class extends base {
        /**
         * @param {...?} args
         */
        constructor(...args) {
            super(...args);
            this._grouped = false;
        }
        /**
         * @return {?}
         */
        get grouped() {
            return this._grouped;
        }
        /**
         * @param {?} value
         * @return {?}
         */
        set grouped(value) {
            this._grouped = coerceBooleanProperty(value);
        }
    };
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 * @param {?} base
 * @return {?}
 */
function mixinFocused(base) {
    return class extends base {
        /**
         * @param {...?} args
         */
        constructor(...args) {
            super(...args);
            this._focused = false;
        }
        /**
         * @return {?}
         */
        get focused() {
            return this._focused;
        }
        /**
         * @param {?} value
         * @return {?}
         */
        set focused(value) {
            this._focused = coerceBooleanProperty(value);
        }
    };
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 * @param {?} base
 * @return {?}
 */
function mixinError(base) {
    return class extends base {
        /**
         * @param {...?} args
         */
        constructor(...args) {
            super(...args);
            this._error = false;
        }
        /**
         * @return {?}
         */
        get error() {
            return this._error;
        }
        /**
         * @param {?} value
         * @return {?}
         */
        set error(value) {
            this._error = coerceBooleanProperty(value);
        }
    };
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
let nextUniqueId = 0;
class BbFormControlBase {
}
/** @type {?} */
const BbFormControlMixinBase = mixinDisabled(mixinFocused(mixinReadonly(mixinGrouped(mixinRequired(mixinError(BbFormControlBase))))));
class BbFormControl extends BbFormControlMixinBase {
    /**
     * @param {?} _errors
     */
    constructor(_errors) {
        super();
        this._errors = _errors;
        // Inputs.
        this.label = null;
        this.hint = null;
        this.customErrors = {};
        // Data.
        this.arrow = false;
        this._hideErrors = false;
        // Data.
        this.labelId = `bb-form-control-${nextUniqueId++}`;
        // Errors.
        this.errors = new Subject();
    }
    /**
     * @param {?} value
     * @return {?}
     */
    set hideErrors(value) {
        this._hideErrors = coerceBooleanProperty(value);
    }
    /**
     * @return {?}
     */
    get hideErrors() {
        return this._hideErrors;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.error$ = this.errors.pipe(map((/**
         * @param {?} errors
         * @return {?}
         */
        errors => {
            if (!errors || this.hideErrors) {
                return null;
            }
            /** @type {?} */
            const token = Object.keys(errors)[0];
            /** @type {?} */
            const getError = this.getDefaultError(token);
            /** @type {?} */
            const error = this.customErrors[token] || (getError && getError(errors[token])) || null;
            return typeof error === 'string'
                ? { token: error }
                : error;
        })), tap((/**
         * @param {?} error
         * @return {?}
         */
        error => this.error = !!error)));
    }
    /**
     * @param {?} token
     * @return {?}
     */
    getDefaultError(token) {
        /** @type {?} */
        const errors = (this._errors || []).reduce((/**
         * @param {?} previous
         * @param {?} current
         * @return {?}
         */
        (previous, current) => {
            return Object.assign({}, previous, current);
        }), {});
        return errors[token] || null;
    }
}
BbFormControl.decorators = [
    { type: Component, args: [{
                selector: 'bb-form-control',
                template: "<!-- Label of the form control. -->\n<label *ngIf=\"label as labelContent\"\n       [attr.for]=\"labelId\"\n       class=\"bb-form-control-label\">\n    <ng-template [bbTemplate]=\"labelContent\">\n        {{ labelContent }}\n    </ng-template>\n</label>\n\n<!-- The input with the addons. -->\n<div class=\"bb-form-control-container\">\n    <ng-content select=\"[bbPrefix]\"></ng-content>\n    <ng-content select=\"[bbInput]\"></ng-content>\n    <ng-content select=\"[bbSuffix]\"></ng-content>\n</div>\n\n<!-- The form control error. -->\n<ng-container *ngIf=\"error$ | async as error; else hintTemplate\">\n    <p *ngIf=\"error?.token | bbLocalize:{optional: true, data: error?.data} as message\"\n       class=\"bb-form-control-error\">\n        {{ message }}\n    </p>\n</ng-container>\n\n<!-- The form control hint. -->\n<ng-template #hintTemplate>\n    <p *ngIf=\"hint as hintContent\"\n       class=\"bb-form-control-hint\">\n        <ng-template [bbTemplate]=\"hintContent\">\n            {{ hintContent }}\n        </ng-template>\n    </p>\n</ng-template>\n",
                changeDetection: ChangeDetectionStrategy.OnPush,
                encapsulation: ViewEncapsulation.None,
                host: {
                    'class': 'bb-form-control',
                    '[class.readonly]': 'readonly',
                    '[class.required]': 'required',
                    '[class.disabled]': 'disabled',
                    '[class.focused]': 'focused',
                    '[class.grouped]': 'grouped',
                    '[class.arrow]': 'arrow',
                    '[class.error]': 'error'
                },
                inputs: ['grouped'],
                preserveWhitespaces: false,
                styles: [".bb-form-control{color:#2d3c4d;display:block}.bb-form-control>.bb-form-control-container>.bb-prefix,.bb-form-control>.bb-form-control-container>.bb-suffix{z-index:1;margin:0 8px;color:#b4b4b4;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control.grouped{margin-bottom:20px}.bb-form-control.small{max-width:240px}.bb-form-control.medium{max-width:480px}.bb-form-control.large{max-width:720px}.bb-form-control.required>.bb-form-control-label:after{content:'*';color:#c23934;font-size:12px;line-height:1.5}.bb-form-control.disabled>.bb-form-control-container{cursor:default;pointer-events:none;background-color:rgba(204,204,204,.64)}.bb-form-control.disabled>.bb-form-control-container>input,.bb-form-control.disabled>.bb-form-control-container>select,.bb-form-control.disabled>.bb-form-control-container>textarea{color:#aaa}.bb-form-control.readonly>.bb-form-control-container{cursor:default;border:1px dotted #bdc4c9}.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container{background-color:#fff;box-shadow:inset 0 3px 0 0 rgba(183,188,194,.2),0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(0,123,255,.2)}.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>input::-webkit-input-placeholder,.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>textarea::-webkit-input-placeholder{color:#b4b4b4;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>input::-moz-placeholder,.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>textarea::-moz-placeholder{color:#b4b4b4;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>input:-ms-input-placeholder,.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>textarea:-ms-input-placeholder{color:#b4b4b4;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>input::-ms-input-placeholder,.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>textarea::-ms-input-placeholder{color:#b4b4b4;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>input::placeholder,.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>textarea::placeholder{color:#b4b4b4;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control.error>.bb-form-control-label{color:#c23934}.bb-form-control.error>.bb-form-control-container{border:1px solid #962b26;background-color:rgba(194,57,52,.25)!important;box-shadow:inset 0 3px 0 0 rgba(183,188,194,.2),0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(194,57,52,.4)!important}.bb-form-control.error>.bb-form-control-container>.bb-prefix,.bb-form-control.error>.bb-form-control-container>.bb-suffix{color:#c23934}.bb-form-control.error>.bb-form-control-container>input::-webkit-input-placeholder,.bb-form-control.error>.bb-form-control-container>textarea::-webkit-input-placeholder{color:rgba(194,57,52,.4)!important}.bb-form-control.error>.bb-form-control-container>input::-moz-placeholder,.bb-form-control.error>.bb-form-control-container>textarea::-moz-placeholder{color:rgba(194,57,52,.4)!important}.bb-form-control.error>.bb-form-control-container>input:-ms-input-placeholder,.bb-form-control.error>.bb-form-control-container>textarea:-ms-input-placeholder{color:rgba(194,57,52,.4)!important}.bb-form-control.error>.bb-form-control-container>input::-ms-input-placeholder,.bb-form-control.error>.bb-form-control-container>textarea::-ms-input-placeholder{color:rgba(194,57,52,.4)!important}.bb-form-control.error>.bb-form-control-container>input::placeholder,.bb-form-control.error>.bb-form-control-container>textarea::placeholder{color:rgba(194,57,52,.4)!important}.bb-form-control.arrow>.bb-form-control-container:after{width:20px;content:'';height:36px;display:-ms-flexbox;display:flex;min-width:20px;background-repeat:no-repeat;background-position:calc(100% - 8px) center;background-image:url('data:image/svg+xml,%3Csvg xmlns=\"http://www.w3.org/2000/svg\" x=\"12\" width=\"12\" height=\"6\" viewBox=\"0 0 6 3\"%3E%3Cpath fill=\"%23aaaaaa\" d=\"M5.992 0l-3 3-3-3z\"/%3E%3C/svg%3E')}.bb-form-control-container{width:100%;display:-ms-flexbox;display:flex;overflow:hidden;position:relative;border-radius:3px;-ms-flex-align:center;align-items:center;border:1px solid #b6bbc1;background-color:#fff8ff;transition-duration:250ms;transition-property:background-color,box-shadow;transition-timing-function:cubic-bezier(0,0,.2,1);box-shadow:inset 0 3px 0 0 rgba(183,188,194,.2),0 6px 6px -6px rgba(0,0,0,.1)}.bb-form-control-container>input::-webkit-input-placeholder,.bb-form-control-container>textarea::-webkit-input-placeholder{color:#d2d2d2;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control-container>input::-moz-placeholder,.bb-form-control-container>textarea::-moz-placeholder{color:#d2d2d2;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control-container>input:-ms-input-placeholder,.bb-form-control-container>textarea:-ms-input-placeholder{color:#d2d2d2;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control-container>input::-ms-input-placeholder,.bb-form-control-container>textarea::-ms-input-placeholder{color:#d2d2d2;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control-container>input::placeholder,.bb-form-control-container>textarea::placeholder{color:#d2d2d2;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control-container>input,.bb-form-control-container>select,.bb-form-control-container>textarea{margin:0;width:100%;border:none;color:#3d464d;font-size:16px;-webkit-appearance:none;-moz-appearance:none;appearance:none;background-color:transparent}.bb-form-control-container>input,.bb-form-control-container>select{height:36px;padding:0 8px}.bb-form-control-container>select::-ms-expand{display:none}.bb-form-control-container>textarea{resize:none;padding:12px}.bb-form-control-label{color:#000;display:block;position:relative;margin-bottom:4px;transition:color 30ms cubic-bezier(0,0,.2,1)}.bb-form-control-error,.bb-form-control-hint{display:block;font-size:13px;margin-top:4px}.bb-form-control-error{color:#c23934}.bb-form-control-hint{color:#738694}"]
            }] }
];
/** @nocollapse */
BbFormControl.ctorParameters = () => [
    { type: Array, decorators: [{ type: Optional }, { type: Inject, args: [BB_ELEMENTS_ERRORS,] }] }
];
BbFormControl.propDecorators = {
    label: [{ type: Input }],
    hint: [{ type: Input }],
    customErrors: [{ type: Input }],
    hideErrors: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbSuffix {
}
BbSuffix.decorators = [
    { type: Directive, args: [{
                selector: '[bbSuffix]',
                host: {
                    'class': 'bb-suffix'
                }
            },] }
];
class BbPrefix {
}
BbPrefix.decorators = [
    { type: Directive, args: [{
                selector: '[bbPrefix]',
                host: {
                    'class': 'bb-prefix'
                }
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbSelect {
    /**
     * @param {?} _ngControl
     * @param {?} _formControl
     * @param {?} _form
     */
    constructor(_ngControl, _formControl, _form) {
        this._ngControl = _ngControl;
        this._formControl = _formControl;
        this._form = _form;
        this.hasArrow = true;
        this._disabled = false;
        this._required = false;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        this._subscription = merge(this.formSubmit, this.statusChanges, this.onFormReset).pipe(map((/**
         * @param {?} type
         * @return {?}
         */
        type => {
            /** @type {?} */
            const errors = this._ngControl
                ? this._ngControl.errors
                : null;
            // When the user submits always return the errors.
            if (type === 'form-submit') {
                return errors;
            }
            /** @type {?} */
            const isSubmitted = this._form && this._form.submitted;
            /** @type {?} */
            const isPristine = this._form && this._form.pristine;
            return isSubmitted && !isPristine
                ? errors
                : null;
        }))).subscribe((/**
         * @param {?} errors
         * @return {?}
         */
        errors => this._formControl.errors.next(errors)));
        // Set an arrow on the form control if
        // it requires one.
        this._formControl.arrow = this.hasArrow;
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        this._subscription && this._subscription.unsubscribe();
    }
    /**
     * @param {?} hasFocus
     * @return {?}
     */
    setFocus(hasFocus) {
        if (!this._formControl) {
            return;
        }
        this._formControl.focused = hasFocus;
    }
    /**
     * @return {?}
     */
    get id() {
        return this._formControl && this._formControl.labelId;
    }
    /**
     * @return {?}
     */
    get disabled() {
        if (this._ngControl && this._ngControl.disabled !== null) {
            return this._ngControl.disabled;
        }
        return this._disabled;
    }
    /**
     * @param {?} newValue
     * @return {?}
     */
    set disabled(newValue) {
        this._disabled = coerceBooleanProperty(newValue);
        if (!this._formControl) {
            return;
        }
        this._formControl.disabled = this._disabled;
    }
    /**
     * @return {?}
     */
    get required() {
        return this._required;
    }
    /**
     * @param {?} newValue
     * @return {?}
     */
    set required(newValue) {
        this._required = coerceBooleanProperty(newValue);
        if (!this._formControl) {
            return;
        }
        this._formControl.required = this._required;
    }
    /**
     * @private
     * @return {?}
     */
    get formSubmit() {
        if (!this._form) {
            return EMPTY;
        }
        return this._form.ngSubmit.pipe(mapTo('form-submit'));
    }
    /**
     * @private
     * @return {?}
     */
    get statusChanges() {
        if (!this._ngControl) {
            return EMPTY;
        }
        return this._ngControl.statusChanges.pipe(delay(1), filter((/**
         * @return {?}
         */
        () => !this._form.pristine)), mapTo('control-status-change'));
    }
    /**
     * @private
     * @return {?}
     */
    get onFormReset() {
        if (!this._form) {
            return EMPTY;
        }
        return this._form.valueChanges.pipe(delay(1), filter((/**
         * @return {?}
         */
        () => !this._form.pristine)), mapTo('form-value-change'));
    }
}
BbSelect.decorators = [
    { type: Directive, args: [{
                selector: 'select[bbInput]',
                host: {
                    '[disabled]': 'disabled',
                    '(focus)': 'setFocus(true)',
                    '(blur)': 'setFocus(false)'
                }
            },] }
];
/** @nocollapse */
BbSelect.ctorParameters = () => [
    { type: NgControl, decorators: [{ type: Optional }] },
    { type: BbFormControl, decorators: [{ type: Optional }] },
    { type: FormGroupDirective, decorators: [{ type: Optional }, { type: Host }] }
];
BbSelect.propDecorators = {
    id: [{ type: HostBinding, args: ['attr.id',] }],
    disabled: [{ type: Input }],
    required: [{ type: Input }]
};
class BbInput extends BbSelect {
    /**
     * @param {?} _ngControl
     * @param {?} _formControl
     * @param {?} _form
     */
    constructor(_ngControl, _formControl, _form) {
        super(_ngControl, _formControl, _form);
        this._ngControl = _ngControl;
        this._formControl = _formControl;
        this._form = _form;
        this.hasArrow = false;
        this._readonly = false;
    }
    /**
     * @return {?}
     */
    get readonly() {
        return this._readonly;
    }
    /**
     * @param {?} newValue
     * @return {?}
     */
    set readonly(newValue) {
        this._readonly = coerceBooleanProperty(newValue);
        if (!this._formControl) {
            return;
        }
        this._formControl.readonly = this._readonly;
    }
}
BbInput.decorators = [
    { type: Directive, args: [{
                selector: 'input[bbInput], textarea[bbInput]',
                host: {
                    '[disabled]': 'disabled',
                    '[readonly]': 'readonly',
                    '(focus)': 'setFocus(true)',
                    '(blur)': 'setFocus(false)'
                }
            },] }
];
/** @nocollapse */
BbInput.ctorParameters = () => [
    { type: NgControl, decorators: [{ type: Optional }] },
    { type: BbFormControl, decorators: [{ type: Optional }] },
    { type: FormGroupDirective, decorators: [{ type: Optional }, { type: Host }] }
];
BbInput.propDecorators = {
    readonly: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbFormGroupBase {
}
/** @type {?} */
const BbFormGroupMixinBase = mixinGrouped(BbFormGroupBase);
class BbFormGroup extends BbFormGroupMixinBase {
}
BbFormGroup.decorators = [
    { type: Component, args: [{
                selector: 'bb-form-group',
                template: "<ng-content></ng-content>\n",
                changeDetection: ChangeDetectionStrategy.OnPush,
                encapsulation: ViewEncapsulation.None,
                host: {
                    'class': 'bb-form-group',
                    '[class.grouped]': 'grouped'
                },
                inputs: ['grouped'],
                preserveWhitespaces: false,
                styles: [".bb-form-group{width:100%;display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap;margin-top:-10px}.bb-form-group>*{margin-top:10px}.bb-form-group>:not(:first-child){margin-left:10px}.bb-form-group.start{-ms-flex-pack:start;justify-content:flex-start}.bb-form-group.end{-ms-flex-pack:end;justify-content:flex-end}.bb-form-group.vertical{-ms-flex-direction:column;flex-direction:column;-ms-flex-pack:normal;justify-content:normal}.bb-form-group.vertical>*{margin-left:0}.bb-form-group.vertical.start{-ms-flex-align:start;align-items:flex-start}.bb-form-group.vertical.end{-ms-flex-align:end;align-items:flex-end}.bb-form-group.grouped{margin-bottom:20px}"]
            }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbFocusTrap {
    /**
     * @param {?} _platform
     * @param {?} _elementRef
     */
    constructor(_platform, _elementRef) {
        this._platform = _platform;
        this._elementRef = _elementRef;
        this._focusableElements = [
            'a[href]',
            'area[href]',
            'input:not([disabled]):not([type="hidden"]):not([aria-hidden])',
            'select:not([disabled]):not([aria-hidden])',
            'textarea:not([disabled]):not([aria-hidden])',
            'button:not([disabled]):not([aria-hidden])',
            'iframe',
            'object',
            'embed',
            '[contenteditable]',
            '[tabindex]:not([tabindex^="-"])'
        ];
        this.focus = (/**
         * @param {?} element
         * @return {?}
         */
        (element) => {
            return element && element.focus && element.focus();
        });
        this.isTabEvent = (/**
         * @param {?} event
         * @return {?}
         */
        (event) => {
            return event.key === 'Tab' || event.keyCode === 9;
        });
    }
    /**
     * @param {?} event
     * @return {?}
     */
    onKeydown(event) {
        // Validate it is a tab event.
        if (!this.isTabEvent(event)) {
            return;
        }
        // Trap the focus inside the element.
        return this.trapFocus(event);
    }
    /**
     * @param {?} event
     * @return {?}
     */
    trapFocus(event) {
        // Validate that the DOM is available.
        if (!this._platform.isBrowser) {
            return;
        }
        // Get all focusable nodes.
        /** @type {?} */
        const focusableNodes = this.getFocusableNodes();
        // Focus the first available element if the focus
        // is not in the modal.
        if (!this.element.contains(document.activeElement)) {
            return this.focus(focusableNodes[0]);
        }
        /** @type {?} */
        const focusedItemIndex = focusableNodes.indexOf(document.activeElement);
        if (event.shiftKey && focusedItemIndex === 0) {
            this.focus(focusableNodes[focusableNodes.length - 1]);
            return event.preventDefault();
        }
        if (!event.shiftKey && focusedItemIndex === focusableNodes.length - 1) {
            this.focus(focusableNodes[0]);
            return event.preventDefault();
        }
    }
    /**
     * @private
     * @return {?}
     */
    get element() {
        return this._elementRef.nativeElement;
    }
    /**
     * @private
     * @return {?}
     */
    getFocusableNodes() {
        /** @type {?} */
        const nodes = this.element.querySelectorAll(this._focusableElements);
        return Array(...nodes);
    }
}
BbFocusTrap.decorators = [
    { type: Directive, args: [{
                selector: '[bbFocusTrap]'
            },] }
];
/** @nocollapse */
BbFocusTrap.ctorParameters = () => [
    { type: BbPlatform },
    { type: ElementRef }
];
BbFocusTrap.propDecorators = {
    onKeydown: [{ type: HostListener, args: ['keydown', ['$event'],] }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 * @param {?} base
 * @return {?}
 */
function mixinLoad(base) {
    return class extends base {
        /**
         * @param {...?} args
         */
        constructor(...args) {
            super(...args);
            this._loading = false;
        }
        /**
         * @return {?}
         */
        get loading() {
            return this._loading;
        }
        /**
         * @param {?} value
         * @return {?}
         */
        set loading(value) {
            this._loading = coerceBooleanProperty(value);
        }
    };
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbButtonBase {
    /**
     * @param {?} _elementRef
     */
    constructor(_elementRef) {
        this._elementRef = _elementRef;
    }
}
/** @type {?} */
const BbButtonMixinBase = mixinDisabled(mixinLoad(BbButtonBase));
class BbButton extends BbButtonMixinBase {
    /**
     * @param {?} _elementRef
     */
    constructor(_elementRef) {
        super(_elementRef);
    }
    /**
     * @return {?}
     */
    get nativeElement() {
        return this._elementRef.nativeElement;
    }
    /**
     * @return {?}
     */
    focus() {
        this.nativeElement && this.nativeElement.focus();
    }
}
BbButton.decorators = [
    { type: Component, args: [{
                selector: 'button[bb-button]',
                template: "<bb-spinner [class.visible]=\"loading\"\n            class=\"bb-button-spinner small\">\n</bb-spinner>\n\n<ng-content></ng-content>\n",
                exportAs: 'bbButton',
                host: {
                    'class': 'bb-button',
                    '[class.loading]': 'loading',
                    '[attr.disabled]': 'disabled || loading || null'
                },
                inputs: ['disabled', 'loading'],
                encapsulation: ViewEncapsulation.None,
                changeDetection: ChangeDetectionStrategy.OnPush,
                styles: [".bb-button{height:36px;padding:0 8px;cursor:pointer;font-size:16px;font-weight:500;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;position:relative;font-style:normal;border-radius:4px;text-align:center;-ms-flex-align:center;align-items:center;display:-ms-inline-flexbox;display:inline-flex;text-decoration:none;-ms-flex-pack:center;justify-content:center;background-color:#fff;color:#2d3c4d!important;border:1px solid #d4d8e1;transition-duration:.2s;box-shadow:0 6px 6px -6px rgba(0,0,0,.1);transition-timing-function:cubic-bezier(0,0,.2,1);transition-property:padding-left,background-color,box-shadow}.bb-button:hover{background-color:#fcfcfb}.bb-button:active,.bb-button:focus{box-shadow:0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(220,224,233,.5)}.bb-button.full{width:100%}.bb-button.full.loading{padding-left:42px}.bb-button.primary{border-color:#2f2b85;color:#fff!important;background-color:#5b53ff}.bb-button.primary:hover{background-color:#564ee6}.bb-button.primary:active,.bb-button.primary:focus{box-shadow:0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(91,83,255,.5)}.bb-button.destructive{border-color:#8f2020;color:#fff!important;background-color:#d32f2f}.bb-button.destructive:hover{background-color:#c32929}.bb-button.destructive:active,.bb-button.destructive:focus{box-shadow:0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(211,47,47,.5)}.bb-button.loading,.bb-button.loading:active,.bb-button.loading:focus,.bb-button.loading:hover,.bb-button:disabled,.bb-button:disabled:active,.bb-button:disabled:focus,.bb-button:disabled:hover,.bb-button[disabled],.bb-button[disabled]:active,.bb-button[disabled]:focus,.bb-button[disabled]:hover{opacity:.4;cursor:default;box-shadow:none}.bb-button-spinner{width:0;opacity:0;overflow:hidden;visibility:hidden;padding:0!important;transition:width .2s cubic-bezier(0,0,.2,1),opacity .1s cubic-bezier(0,0,.2,1)}.bb-button-spinner.visible{opacity:1;width:20px;margin-right:8px;visibility:visible}.bb-button.loading.full>.bb-button-spinner{left:8px;margin-right:0;position:absolute}"]
            }] }
];
/** @nocollapse */
BbButton.ctorParameters = () => [
    { type: ElementRef }
];
class BbAnchor extends BbButton {
    /**
     * @param {?} _elementRef
     */
    constructor(_elementRef) {
        super(_elementRef);
    }
    /**
     * @param {?} event
     * @return {?}
     */
    stopDisabledEvents(event) {
        // If the button is not disabled let all events pass.
        if (!this.disabled && !this.loading) {
            return;
        }
        // If the button is disabled stop the event from
        // bubbling up.
        event.preventDefault();
        event.stopImmediatePropagation();
    }
}
BbAnchor.decorators = [
    { type: Component, args: [{
                selector: 'a[bb-button]',
                template: "<bb-spinner [class.visible]=\"loading\"\n            class=\"bb-button-spinner small\">\n</bb-spinner>\n\n<ng-content></ng-content>\n",
                exportAs: 'bbButton, bbAnchor',
                host: {
                    'class': 'bb-button',
                    '[attr.tabindex]': '(disabled || loading) ? -1 : (tabIndex || 0)',
                    '[attr.disabled]': 'disabled || loading || null',
                    '[attr.aria-disabled]': '(disabled || loading).toString()',
                    '(click)': 'stopDisabledEvents($event)'
                },
                inputs: ['disabled'],
                changeDetection: ChangeDetectionStrategy.OnPush,
                styles: [".bb-button{height:36px;padding:0 8px;cursor:pointer;font-size:16px;font-weight:500;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;position:relative;font-style:normal;border-radius:4px;text-align:center;-ms-flex-align:center;align-items:center;display:-ms-inline-flexbox;display:inline-flex;text-decoration:none;-ms-flex-pack:center;justify-content:center;background-color:#fff;color:#2d3c4d!important;border:1px solid #d4d8e1;transition-duration:.2s;box-shadow:0 6px 6px -6px rgba(0,0,0,.1);transition-timing-function:cubic-bezier(0,0,.2,1);transition-property:padding-left,background-color,box-shadow}.bb-button:hover{background-color:#fcfcfb}.bb-button:active,.bb-button:focus{box-shadow:0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(220,224,233,.5)}.bb-button.full{width:100%}.bb-button.full.loading{padding-left:42px}.bb-button.primary{border-color:#2f2b85;color:#fff!important;background-color:#5b53ff}.bb-button.primary:hover{background-color:#564ee6}.bb-button.primary:active,.bb-button.primary:focus{box-shadow:0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(91,83,255,.5)}.bb-button.destructive{border-color:#8f2020;color:#fff!important;background-color:#d32f2f}.bb-button.destructive:hover{background-color:#c32929}.bb-button.destructive:active,.bb-button.destructive:focus{box-shadow:0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(211,47,47,.5)}.bb-button.loading,.bb-button.loading:active,.bb-button.loading:focus,.bb-button.loading:hover,.bb-button:disabled,.bb-button:disabled:active,.bb-button:disabled:focus,.bb-button:disabled:hover,.bb-button[disabled],.bb-button[disabled]:active,.bb-button[disabled]:focus,.bb-button[disabled]:hover{opacity:.4;cursor:default;box-shadow:none}.bb-button-spinner{width:0;opacity:0;overflow:hidden;visibility:hidden;padding:0!important;transition:width .2s cubic-bezier(0,0,.2,1),opacity .1s cubic-bezier(0,0,.2,1)}.bb-button-spinner.visible{opacity:1;width:20px;margin-right:8px;visibility:visible}.bb-button.loading.full>.bb-button-spinner{left:8px;margin-right:0;position:absolute}"]
            }] }
];
/** @nocollapse */
BbAnchor.ctorParameters = () => [
    { type: ElementRef }
];
BbAnchor.propDecorators = {
    tabIndex: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbLocalize {
    /**
     * @param {?} _http
     * @param {?} _storage
     * @param {?} _language
     * @param {?} _interpolator
     * @param {?} _config
     * @param {?} _extras
     */
    constructor(_http, _storage, _language, _interpolator, _config, _extras) {
        this._http = _http;
        this._storage = _storage;
        this._language = _language;
        this._interpolator = _interpolator;
        this._config = _config;
        this._extras = _extras;
        this._currentDictionary = null;
        this._storageToken = 'bb-language-dictionary-name';
        this.log = (/**
         * @param {?} message
         * @return {?}
         */
        (message) => {
            console && console.warn && console.warn(message);
        });
        this.reload = (/**
         * @return {?}
         */
        () => {
            window && window.location && window.location.reload && window.location.reload();
        });
        // Check if at least one language was submitted to the service.
        if (this._config.dictionary.length < 1) {
            throw new Error('Localize: one or more languages should be supplied.');
        }
        // Save the dictionary.
        this._dictionary = this._config.dictionary;
        // Get the storage language.
        /** @type {?} */
        const storageToken = this._storage.get(this._storageToken);
        /** @type {?} */
        const storageLanguage = this._dictionary
            .find((/**
         * @param {?} item
         * @return {?}
         */
        item => item.id === storageToken));
        // Retrieve the supported language.
        /** @type {?} */
        const supportedLanguage = this._language.all.map((/**
         * @param {?} __0
         * @return {?}
         */
        ({ code, region }) => {
            /** @type {?} */
            const languageCode = [code, region].filter((/**
             * @param {?} data
             * @return {?}
             */
            data => !!data)).join('-');
            return this._dictionary.find((/**
             * @param {?} item
             * @return {?}
             */
            item => item.languages.includes(languageCode)));
        })).filter((/**
         * @param {?} item
         * @return {?}
         */
        item => !!item)).find((/**
         * @param {?} _
         * @param {?} index
         * @return {?}
         */
        (_, index) => index === 0));
        // Make sure the user always has a language by picking
        // the first language if the users browser does not
        // support any language.
        this._currentDictionary = storageLanguage || supportedLanguage || this._dictionary[0];
    }
    /**
     * @return {?}
     */
    getDictionary() {
        return this._dictionary;
    }
    /**
     * @return {?}
     */
    getId() {
        return this._currentDictionary && this._currentDictionary.id;
    }
    /**
     * @return {?}
     */
    getLocale() {
        // Check if the locale is not there, then just return the
        // default locale.
        if (!this._currentDictionary || !this._currentDictionary.locale) {
            return 'en-US';
        }
        // Return the locale that is set in the dictionary.
        return this._currentDictionary.locale;
    }
    /**
     * @return {?}
     */
    initialize() {
        // Return a function so that the APP_INITIALIZER
        // can call it whenever it wants.
        return (/**
         * @return {?}
         */
        () => __awaiter(this, void 0, void 0, function* () {
            return new Promise((/**
             * @param {?} resolve
             * @param {?} reject
             * @return {?}
             */
            (resolve, reject) => __awaiter(this, void 0, void 0, function* () {
                // We need to check if the user provided an
                // URL or data.
                /** @type {?} */
                const urlOrData = this._currentDictionary.data;
                // If the data is already inline we can
                // resolve it.
                if (typeof urlOrData !== 'string') {
                    return resolve();
                }
                try {
                    // Fetch the JSON file from the URL.
                    /** @type {?} */
                    const result = yield this._http.get(urlOrData, { headers: { Authorization: 'none' } }).toPromise();
                    // Set the data and resolve.
                    this._currentDictionary.data = result || {};
                    return resolve();
                }
                catch (_a) {
                    return reject('Localize: Could not correctly load the .json localize data.');
                }
            }))).then((/**
             * @return {?}
             */
            () => {
                // Compose the extra dictionary data for the current locale.
                /** @type {?} */
                const extraDictionaryData = (this._extras || [])
                    .filter((/**
                 * @param {?} item
                 * @return {?}
                 */
                item => item.locale === this._currentDictionary.locale))
                    .map((/**
                 * @param {?} item
                 * @return {?}
                 */
                item => item.data))
                    .reduce((/**
                 * @param {?} previous
                 * @param {?} current
                 * @return {?}
                 */
                (previous, current) => {
                    return Object.assign({}, previous, current);
                }), {});
                // Append the extra dictionary data to the current data
                // (the language file is priority one).
                /** @type {?} */
                const data = (/** @type {?} */ (this._currentDictionary.data));
                this._currentDictionary.data = Object.assign({}, extraDictionaryData, data);
            }));
        }));
    }
    /**
     * @param {?} id
     * @return {?}
     */
    setLanguage(id) {
        // Try to fetch the dictionary.
        /** @type {?} */
        const dictionary = this._dictionary.find((/**
         * @param {?} item
         * @return {?}
         */
        item => item.id === id));
        // Check if the dictionary was found.
        if (!dictionary) {
            return this.log(`Localize: The language with id: "${id}" was not found.`);
        }
        // Save the language in the storage.
        this._storage.set(this._storageToken, dictionary.id);
        // We need to reload the application for the translations.
        this.reload();
    }
    /**
     * @return {?}
     */
    unsetLanguage() {
        // Remove the language in the local storage.
        this._storage.remove(this._storageToken);
        // We need to reload the application for the translations.
        this.reload();
    }
    /**
     * @param {?} token
     * @param {?=} data
     * @param {?=} isOptional
     * @return {?}
     */
    translate(token, data = {}, isOptional = false) {
        // Retrieve the translation from the dictionary.
        /** @type {?} */
        const translation = this.searchForTranslation(token);
        // Warn the user if the token was not
        // found in the dictionary.
        if (!translation) {
            if (!isOptional) {
                this.log(`Localize: The token with name: "${token}" was not found.`);
            }
            return token;
        }
        // If the user did not define any extra data
        // just return the translation.
        if (Object.keys(data).length < 1) {
            return translation;
        }
        // The user has added extra data that needs to be
        // interpolated.
        return this._interpolator.interpolate(translation, data);
    }
    /**
     * @private
     * @param {?} token
     * @return {?}
     */
    searchForTranslation(token) {
        // Grab the dictionary data.
        /** @type {?} */
        const data = this._currentDictionary.data || {};
        // Check if the token is present in the dictionary.
        if (data[token]) {
            return data[token];
        }
        // Else search the dictionary for the translation
        // by splitting on the dot.
        /** @type {?} */
        const translation = token.split('.').filter((/**
         * @param {?} value
         * @return {?}
         */
        value => !!value)).reduce((/**
         * @param {?} dictionary
         * @param {?} value
         * @return {?}
         */
        (dictionary, value) => {
            if (dictionary === undefined || typeof dictionary === 'string') {
                return undefined;
            }
            return dictionary[value];
        }), data);
        // Check if the translation is a string
        // if this is true it can be returned.
        if (typeof translation === 'string') {
            return translation;
        }
        // This means the translation was not
        // correct.
        return null;
    }
}
BbLocalize.decorators = [
    { type: Injectable }
];
/** @nocollapse */
BbLocalize.ctorParameters = () => [
    { type: HttpClient },
    { type: BbStorage },
    { type: BbLanguage },
    { type: BbInterpolator },
    { type: BbLocalizeConfig, decorators: [{ type: Optional }] },
    { type: Array, decorators: [{ type: Optional }, { type: Inject, args: [BB_LOCALIZE_EXTRA_DICTIONARY,] }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbLocalizePipe {
    /**
     * @param {?} _localize
     */
    constructor(_localize) {
        this._localize = _localize;
    }
    /**
     * @param {?} value
     * @param {?=} args
     * @return {?}
     */
    transform(value, args = { optional: false }) {
        // Validate that the data exists.
        if (!this._localize || !value) {
            return value;
        }
        // Extract the data.
        /** @type {?} */
        const data = args.data || {};
        // Try to translate the value.
        return this._localize.translate(value, data, args.optional || false);
    }
}
BbLocalizePipe.decorators = [
    { type: Pipe, args: [{
                name: 'bbLocalize'
            },] }
];
/** @nocollapse */
BbLocalizePipe.ctorParameters = () => [
    { type: BbLocalize, decorators: [{ type: Optional }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbLocalizeModule {
    /**
     * @param {?} config
     * @return {?}
     */
    static forRoot(config) {
        return {
            ngModule: BbLocalizeModule,
            providers: [
                { provide: BbLocalizeConfig, useValue: config },
                { provide: APP_INITIALIZER, deps: [BbLocalize], useFactory: initializeLocale, multi: true },
                { provide: LOCALE_ID, deps: [BbLocalize], useFactory: getLocale },
                BbLocalize
            ]
        };
    }
}
BbLocalizeModule.decorators = [
    { type: NgModule, args: [{
                imports: [HttpClientModule],
                declarations: [BbLocalizePipe],
                exports: [BbLocalizePipe]
            },] }
];
/**
 * @param {?} localize
 * @return {?}
 */
function initializeLocale(localize) {
    return localize.initialize();
}
/**
 * @param {?} localize
 * @return {?}
 */
function getLocale(localize) {
    // This is done in a exported function to prevent the
    // "lambda is not supported" error.
    return localize.getLocale();
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbTemplate {
    /**
     * @param {?} _templateRef
     * @param {?} _viewContainerRef
     */
    constructor(_templateRef, _viewContainerRef) {
        this._templateRef = _templateRef;
        this._viewContainerRef = _viewContainerRef;
    }
    /**
     * @param {?} content
     * @return {?}
     */
    set bbTemplate(content) {
        // Get the template.
        /** @type {?} */
        const template = content instanceof TemplateRef
            ? content
            : this._templateRef;
        // Clear the view container ref and create the view.
        this._viewContainerRef.clear();
        this._viewContainerRef.createEmbeddedView(template);
    }
}
BbTemplate.decorators = [
    { type: Directive, args: [{
                selector: '[bbTemplate]'
            },] }
];
/** @nocollapse */
BbTemplate.ctorParameters = () => [
    { type: TemplateRef },
    { type: ViewContainerRef }
];
BbTemplate.propDecorators = {
    bbTemplate: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbAutosize {
    /**
     * @param {?} _renderer
     * @param {?} _elementRef
     */
    constructor(_renderer, _elementRef) {
        this._renderer = _renderer;
        this._elementRef = _elementRef;
        // Min/max heights for the textarea.
        this.minHeight = null;
        this.maxHeight = null;
    }
    /**
     * @return {?}
     */
    get element() {
        return this._elementRef.nativeElement;
    }
    /**
     * @return {?}
     */
    ngAfterViewInit() {
        // Update the styles after the DOM has loaded.
        this.updateStyles();
    }
    /**
     * @return {?}
     */
    onWindowResize() {
        // Update the styles when the window is resized.
        this.updateStyles();
    }
    /**
     * @return {?}
     */
    onInputReceived() {
        // Update the styles after the textarea received input.
        this.updateStyles();
    }
    /**
     * @private
     * @return {?}
     */
    updateStyles() {
        // If the element does not exist exit.
        if (!this.element) {
            return;
        }
        // If the scroll height is the same height as the element, then exit.
        if (this.element.style.height === this.element.scrollHeight + 'px') {
            return;
        }
        // Set the style of the element to 'auto' to reset the element.
        this._renderer.setStyle(this.element, 'height', 'auto');
        // Set the style of the element to the scroll height to make
        // the element fit all the text.
        this._renderer.setStyle(this.element, 'height', this.element.scrollHeight + 'px');
    }
}
BbAutosize.decorators = [
    { type: Directive, args: [{
                selector: 'textarea[bbAutosize]'
            },] }
];
/** @nocollapse */
BbAutosize.ctorParameters = () => [
    { type: Renderer2 },
    { type: ElementRef }
];
BbAutosize.propDecorators = {
    minHeight: [{ type: Input }, { type: HostBinding, args: ['style.min-height',] }],
    maxHeight: [{ type: Input }, { type: HostBinding, args: ['style.max-height',] }],
    onWindowResize: [{ type: HostListener, args: ['window:resize',] }],
    onInputReceived: [{ type: HostListener, args: ['input',] }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
let nextUniqueId$1 = 0;
class BbCheckboxBase {
}
/** @type {?} */
const BbCheckboxMixinBase = mixinDisabled(mixinGrouped(BbCheckboxBase));
class BbCheckbox extends BbCheckboxMixinBase {
    constructor() {
        super(...arguments);
        // Data.
        this.labelId = `bb-checkbox-${nextUniqueId$1++}`;
        this._checked = false;
        // Methods.
        this.onChange = (/**
         * @return {?}
         */
        () => {
        });
        this.onTouched = (/**
         * @return {?}
         */
        () => {
        });
    }
    /**
     * @return {?}
     */
    get checked() {
        return this._checked;
    }
    /**
     * @param {?} value
     * @return {?}
     */
    set checked(value) {
        if (value != this.checked) {
            this._checked = value;
            // this._changeDetection.markForCheck();
        }
    }
    /**
     * @param {?} fn
     * @return {?}
     */
    registerOnChange(fn) {
        this.onChange = fn;
    }
    /**
     * @param {?} fn
     * @return {?}
     */
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    /**
     * @param {?} isDisabled
     * @return {?}
     */
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    /**
     * @param {?} newValue
     * @return {?}
     */
    writeValue(newValue) {
        this.checked = newValue;
    }
    /**
     * @param {?} event
     * @return {?}
     */
    onInteractionEvent(event) {
        // Stop the propagation to prevent it from bubbling up.
        event.stopPropagation();
    }
    /**
     * @param {?} event
     * @return {?}
     */
    onInputClick(event) {
        // Stop the propagation to prevent it from bubbling up.
        event.stopPropagation();
        // Toggle the value.
        this.checked = !this.checked;
        // Emit the change event.
        this.onChange && this.onChange(this.checked);
    }
}
BbCheckbox.decorators = [
    { type: Component, args: [{
                selector: 'bb-checkbox',
                template: "<input [id]=\"labelId\"\n       [checked]=\"checked\"\n       [disabled]=\"disabled\"\n       (change)=\"onInteractionEvent($event)\"\n       (click)=\"onInputClick($event)\"\n       class=\"bb-checkbox-input\"\n       type=\"checkbox\">\n\n<label [for]=\"labelId\"\n       class=\"bb-checkbox-label\">\n    <span>\n        <svg width=\"12px\"\n             height=\"10px\"\n             viewbox=\"0 0 12 10\">\n            <polyline points=\"1.5 6 4.5 9 10.5 1\"></polyline>\n        </svg>\n    </span>\n    <span>\n        <ng-content></ng-content>\n    </span>\n</label>\n",
                changeDetection: ChangeDetectionStrategy.OnPush,
                encapsulation: ViewEncapsulation.None,
                providers: [
                    { provide: NG_VALUE_ACCESSOR, useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => BbCheckbox)), multi: true }
                ],
                host: {
                    'class': 'bb-checkbox',
                    '[class.grouped]': 'grouped'
                },
                inputs: ['grouped', 'disabled'],
                preserveWhitespaces: false,
                styles: [".bb-checkbox{display:block}.bb-checkbox+.bb-checkbox{margin-top:5px}.bb-checkbox.grouped{margin-bottom:20px}.bb-checkbox-input{display:none}.bb-checkbox-label{margin:0;cursor:pointer;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.bb-checkbox-label>span{display:inline-block;vertical-align:middle;-webkit-transform:translate3d(0,0,0);transform:translate3d(0,0,0)}.bb-checkbox-label>span:first-child{width:18px;height:18px;position:relative;border-radius:3px;vertical-align:middle;border:1px solid #bdc4c9;transition:.2s}.bb-checkbox-label>span:last-child{padding-left:8px}.bb-checkbox-label>span:first-child>svg{top:3px;left:2px;fill:none;stroke:#fff;stroke-width:2;position:absolute;stroke-linecap:round;stroke-linejoin:round;stroke-dasharray:16px;stroke-dashoffset:16px;transition:.3s;-webkit-transform:translate3d(0,0,0);transform:translate3d(0,0,0)}.bb-checkbox-input:checked+.bb-checkbox-label>span:first-child{border-color:#5b53ff;background-color:#5b53ff}.bb-checkbox-input:checked+.bb-checkbox-label>span:first-child>svg{stroke-dashoffset:0}.bb-checkbox-input:disabled+.bb-checkbox-label{cursor:default;pointer-events:none}.bb-checkbox-input:disabled:checked+.bb-checkbox-label>span:first-child{border-color:rgba(204,204,204,.64);background-color:rgba(204,204,204,.64)}"]
            }] }
];
BbCheckbox.propDecorators = {
    checked: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbSpinnerBase {
}
/** @type {?} */
const BbSpinnerMixinBase = mixinDisabled(BbSpinnerBase);
class BbSpinner extends BbSpinnerMixinBase {
    constructor() {
        super(...arguments);
        // Inputs.
        this.color = '#303f9f';
        this.alt = 'Loading...';
    }
}
BbSpinner.decorators = [
    { type: Component, args: [{
                selector: 'bb-spinner',
                template: "<!--\n    The spinner element.\n\n    This element contains a circle with a 25% bar that spins\n    indefinitely. The border color can be set via the \"color\"\n    property.\n-->\n<div [style.border-left-color]=\"color\"\n     [class.disabled]=\"disabled\"\n     class=\"bb-spinner-loader\"\n     aria-live=\"assertive\"\n     role=\"alert\">\n    {{ alt }}\n</div>\n\n<!--\n    The content of the spinner.\n\n    This element contains the content of the spinner. The user\n    can set the content inside the tag.\n-->\n<span class=\"bb-spinner-content\">\n    <ng-content></ng-content>\n</span>\n",
                changeDetection: ChangeDetectionStrategy.OnPush,
                encapsulation: ViewEncapsulation.None,
                host: { 'class': 'bb-spinner' },
                inputs: ['color', 'alt', 'disabled'],
                preserveWhitespaces: false,
                styles: [".bb-spinner{color:#565656;padding:20px 0;text-align:center;-ms-flex-align:center;align-items:center;display:-ms-inline-flexbox;display:inline-flex;-ms-flex-direction:column;flex-direction:column;-ms-flex-pack:center;justify-content:center}.bb-spinner.block{display:-ms-flexbox;display:flex}.bb-spinner.inverse>.bb-spinner-loader{border-color:rgba(255,255,255,.15)}.bb-spinner.inverse>.bb-spinner-content{color:rgba(255,255,255,.5)}.bb-spinner.small .bb-spinner-loader:after,.bb-spinner.small>.bb-spinner-loader{width:20px;height:20px;min-width:20px;min-height:20px}.bb-spinner.small>.bb-spinner-loader{border-width:2px}.bb-spinner.small>.bb-spinner-content{font-size:12px}.bb-spinner.medium .bb-spinner-loader:after,.bb-spinner.medium>.bb-spinner-loader{width:60px;height:60px;min-width:60px;min-height:60px}.bb-spinner.medium>.bb-spinner-loader{border-width:4px}.bb-spinner.medium>.bb-spinner-content{font-size:16px}.bb-spinner.large .bb-spinner-loader:after,.bb-spinner.large>.bb-spinner-loader{width:100px;height:100px;min-width:100px;min-height:100px}.bb-spinner.large>.bb-spinner-loader{border-width:6px}.bb-spinner.large>.bb-spinner-content{font-size:20px}.bb-spinner.horizontal{text-align:left;-ms-flex-direction:row;flex-direction:row}.bb-spinner.horizontal>.bb-spinner-content:not(:empty){margin-left:10px;margin-top:0}.bb-spinner.vertical{text-align:center;-ms-flex-direction:column;flex-direction:column}.bb-spinner.vertical>.bb-spinner-content:not(:empty){margin-left:0;margin-top:10px}.bb-spinner-loader{margin:0;padding:0;overflow:hidden;text-indent:100%;position:relative;display:inline-block;vertical-align:middle;border:4px solid #f2f4f6;-webkit-animation:1s linear infinite spin;animation:1s linear infinite spin}.bb-spinner-loader,.bb-spinner-loader:after{width:60px;height:60px;min-width:60px;min-height:60px;border-radius:50%}.bb-spinner-loader.disabled{cursor:default;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;pointer-events:none;-webkit-animation-play-state:paused;animation-play-state:paused}.bb-spinner-content:not(:empty){font-size:16px;margin-top:10px;font-weight:500}@-webkit-keyframes spin{from{-webkit-transform:rotate(0);transform:rotate(0)}to{-webkit-transform:rotate(360deg);transform:rotate(360deg)}}@keyframes spin{from{-webkit-transform:rotate(0);transform:rotate(0)}to{-webkit-transform:rotate(360deg);transform:rotate(360deg)}}"]
            }] }
];
BbSpinner.propDecorators = {
    color: [{ type: Input }],
    alt: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbFocus {
    /**
     * @param {?} _zone
     * @param {?} _elementRef
     */
    constructor(_zone, _elementRef) {
        this._zone = _zone;
        this._elementRef = _elementRef;
    }
    /**
     * @private
     * @return {?}
     */
    get nativeElement() {
        return this._elementRef.nativeElement;
    }
    /**
     * @return {?}
     */
    ngAfterViewInit() {
        // Run the method outside the Angular zone.
        this._zone.runOutsideAngular((/**
         * @return {?}
         */
        () => this.focus()));
    }
    /**
     * @private
     * @return {?}
     */
    focus() {
        // Check if set timeout exists.
        if (!setTimeout) {
            return;
        }
        // Check if the element and the focus method exist, if so focus the element.
        if (!this.nativeElement || !this.nativeElement.focus) {
            return;
        }
        // Execute the focus method in a timeout.
        setTimeout((/**
         * @return {?}
         */
        () => this.nativeElement.focus()), 0);
    }
}
BbFocus.decorators = [
    { type: Directive, args: [{
                selector: '[bbFocus]'
            },] }
];
/** @nocollapse */
BbFocus.ctorParameters = () => [
    { type: NgZone },
    { type: ElementRef }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbIcon {
    /**
     * @param {?} _registry
     */
    constructor(_registry) {
        this._registry = _registry;
        // Data.
        this._src = null;
        // State.
        this.state$ = new BehaviorSubject(null);
        this.alt = null;
        this._ariaHidden = true;
        this.warn = (/**
         * @param {?} content
         * @return {?}
         */
        (content) => {
            return console && console.warn && console.warn(content);
        });
    }
    /**
     * @param {?} newValue
     * @return {?}
     */
    set src(newValue) {
        this.state$.next(this.convert(newValue));
        this._src = newValue;
    }
    /**
     * @return {?}
     */
    get src() {
        return this._src;
    }
    /**
     * @return {?}
     */
    get ariaHidden() {
        return this._ariaHidden;
    }
    /**
     * @param {?} newValue
     * @return {?}
     */
    set ariaHidden(newValue) {
        this._ariaHidden = coerceBooleanProperty(newValue);
    }
    /**
     * @private
     * @param {?} src
     * @return {?}
     */
    convert(src) {
        const [namespace, value] = (src || '').split(':');
        /** @type {?} */
        const onError = (/**
         * @return {?}
         */
        () => {
            this.warn(`BbElementsModule: The icon with src "${src}" could not be rendered correctly; Did you put a correct src attribute?`);
            return { type: 'unknown' };
        });
        if (!namespace || !value || !this._registry) {
            return onError();
        }
        // Try to find a image icon.
        /** @type {?} */
        const imageIcon = this.findImageIcon(namespace, value);
        if (imageIcon) {
            return imageIcon;
        }
        // Try to find a font icon.
        /** @type {?} */
        const fontIcon = this.findFontIcon(namespace, value);
        if (fontIcon) {
            return fontIcon;
        }
        // Return the on error function.
        return onError();
    }
    /**
     * @private
     * @param {?} namespace
     * @param {?} value
     * @return {?}
     */
    findImageIcon(namespace, value) {
        /** @type {?} */
        const data = this._registry.find((/**
         * @param {?} item
         * @return {?}
         */
        item => item['namespace'] === namespace && item['name'] === value));
        if (!data) {
            return null;
        }
        return { type: data['type'], src: data['src'] };
    }
    /**
     * @private
     * @param {?} namespace
     * @param {?} content
     * @return {?}
     */
    findFontIcon(namespace, content) {
        /** @type {?} */
        const data = this._registry.find((/**
         * @param {?} item
         * @return {?}
         */
        item => item['namespace'] === namespace));
        if (!data) {
            return null;
        }
        /** @type {?} */
        const isInline = data['inline'] || false;
        if (isInline) {
            return { type: data['type'], className: `${data['className']}${content}` };
        }
        return { type: data['type'], className: data['className'], content };
    }
}
BbIcon.decorators = [
    { type: Component, args: [{
                selector: 'bb-icon',
                template: "<ng-container *ngIf=\"state$ | async as data\"\n              [ngSwitch]=\"data?.type\">\n    <i *ngSwitchCase=\"'font'\"\n       [class]=\"data?.className\">\n        {{ data?.content }}\n    </i>\n    <img *ngSwitchCase=\"'image'\"\n         [src]=\"data?.src\"\n         [alt]=\"alt\">\n    <svg *ngSwitchCase=\"'unknown'\"\n         viewBox=\"0 0 1 1\"\n         width=\"24\"\n         height=\"24\">\n        <rect x=\"0\" y=\"0\" width=\"1\" height=\"1\" fill=\"#c5c5c5\"></rect>\n    </svg>\n</ng-container>\n",
                changeDetection: ChangeDetectionStrategy.OnPush,
                encapsulation: ViewEncapsulation.None,
                host: {
                    'class': 'bb-icon',
                    '[attr.aria-hidden]': 'ariaHidden'
                },
                preserveWhitespaces: false,
                styles: [".bb-icon{width:24px;height:24px;display:-ms-flexbox;display:flex;min-width:24px;min-height:24px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;-ms-flex-align:center;align-items:center;-ms-flex-pack:center;justify-content:center}.bb-icon>img,.bb-icon>svg{width:24px;height:24px;display:-ms-flexbox;display:flex;min-width:24px;min-height:24px}"]
            }] }
];
/** @nocollapse */
BbIcon.ctorParameters = () => [
    { type: Array, decorators: [{ type: Optional }, { type: Inject, args: [BB_ELEMENTS_ICONS,] }] }
];
BbIcon.propDecorators = {
    alt: [{ type: Input }],
    src: [{ type: Input }],
    ariaHidden: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
const DECLARATIONS_EXPORTS = [
    // Directives.
    BbTemplate,
    BbInput,
    BbSelect,
    BbFocus,
    BbFocusTrap,
    BbAutosize,
    BbPrefix,
    BbSuffix,
    // Components.
    BbButton,
    BbAnchor,
    BbSpinner,
    BbIcon,
    BbFormControl,
    BbFormGroup,
    BbCheckbox
];
class BbElementsModule {
    /**
     * @return {?}
     */
    static forRoot() {
        return {
            ngModule: BbElementsModule,
            providers: [
                { provide: BB_ELEMENTS_ERRORS, useFactory: getErrors, multi: true },
                BB_ELEMENTS_MATERIAL_ICON,
                BB_ELEMENTS_DUTCH_LOCALIZATION,
                BB_ELEMENTS_ENGLISH_LOCALIZATION
            ]
        };
    }
}
BbElementsModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule, BbLocalizeModule],
                declarations: [...DECLARATIONS_EXPORTS],
                exports: [...DECLARATIONS_EXPORTS]
            },] }
];
/**
 * @return {?}
 */
function getErrors() {
    /** @type {?} */
    const data = {
        required: (/**
         * @return {?}
         */
        () => 'form-control-errors.required'),
        pattern: (/**
         * @return {?}
         */
        () => 'form-control-errors.pattern'),
        email: (/**
         * @return {?}
         */
        () => 'form-control-errors.email'),
        fullNumber: (/**
         * @return {?}
         */
        () => 'form-control-errors.fullNumber'),
        min: (/**
         * @param {?} __0
         * @return {?}
         */
        ({ min }) => ({ token: 'form-control-errors.min', data: { min } })),
        max: (/**
         * @param {?} __0
         * @return {?}
         */
        ({ max }) => ({ token: 'form-control-errors.max', data: { max } })),
        minlength: (/**
         * @param {?} __0
         * @return {?}
         */
        ({ requiredLength, actualLength }) => ({
            token: 'form-control-errors.minlength',
            data: { requiredLength, actualLength }
        })),
        maxlength: (/**
         * @param {?} __0
         * @return {?}
         */
        ({ requiredLength, actualLength }) => ({
            token: 'form-control-errors.maxlength',
            data: { requiredLength, actualLength }
        }))
    };
    return data;
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbTableHeaderCell {
    constructor() {
        // Styling.
        this.disabled = false;
        // Constants.
        this._name = null;
        this._sort = 'none';
        this._sortDirections = ['asc', 'desc', 'none'];
        // State.
        this.state = new BehaviorSubject(null);
    }
    /**
     * @param {?} value
     * @return {?}
     */
    set name(value) {
        this._name = value;
        this.setState();
    }
    /**
     * @return {?}
     */
    get name() {
        return this._name;
    }
    /**
     * @param {?} value
     * @return {?}
     */
    set sort(value) {
        this._sort = value;
        this.setState();
    }
    /**
     * @return {?}
     */
    get sort() {
        return this._sort;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.setState();
    }
    /**
     * @return {?}
     */
    onClick() {
        // Check if the header cell is disabled.
        if (this.disabled) {
            return;
        }
        // Find the index of the current sort.
        /** @type {?} */
        const index = this._sortDirections.findIndex((/**
         * @param {?} item
         * @return {?}
         */
        item => item === this.sort));
        // Increase the current index.
        /** @type {?} */
        let newIndex = index + 1;
        // If the sort is out of bounds set it to null.
        if (newIndex >= this._sortDirections.length) {
            newIndex = 0;
        }
        // Set the new sort.
        this.sort = this._sortDirections[newIndex];
    }
    /**
     * @return {?}
     */
    setState() {
        this.state.next({
            name: this.name,
            direction: this.sort
        });
    }
}
BbTableHeaderCell.decorators = [
    { type: Component, args: [{
                selector: 'bb-table-header-cell',
                template: "<ng-content></ng-content>\n\n<!-- The indicator for the sort direction. -->\n<i *ngIf=\"sort !== 'none' && !disabled\"\n   [class.sort-asc]=\"sort === 'asc'\"\n   [class.sort-desc]=\"sort === 'desc'\">\n    &#9650;\n</i>",
                changeDetection: ChangeDetectionStrategy.OnPush,
                host: { 'class': 'bb-table-header-cell' },
                encapsulation: ViewEncapsulation.None,
                preserveWhitespaces: false,
                styles: [".bb-table-header-cell{height:50px;color:#212529;cursor:pointer;font-size:16px;font-weight:500;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;padding:10px 20px;display:table-cell;vertical-align:middle;border-bottom:1px solid #d8d8d8}.bb-table-header-cell.fit{width:1%;white-space:nowrap}.bb-table-header-cell.left{text-align:left}.bb-table-header-cell.center{text-align:center}.bb-table-header-cell.right{text-align:right}.bb-table-header-cell.disabled{cursor:default;pointer-events:none}.sort-asc,.sort-desc{color:#212529;font-size:10px;margin-left:2px;display:-ms-inline-flexbox;display:inline-flex}.sort-desc{-webkit-transform:rotate(180deg);-ms-transform:rotate(180deg);transform:rotate(180deg)}"]
            }] }
];
BbTableHeaderCell.propDecorators = {
    disabled: [{ type: HostBinding, args: ['class.disabled',] }, { type: Input }],
    name: [{ type: Input }],
    sort: [{ type: Input }],
    onClick: [{ type: HostListener, args: ['click',] }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbTableColumnDef {
}
BbTableColumnDef.decorators = [
    { type: Directive, args: [{
                selector: '[bbTableColumnDef]'
            },] }
];
class BbTable {
    constructor() {
        // Inputs.
        this.identifier = null;
        this.queryFields = [];
        this.sizes = [50, 100, 250];
        // Optimizations.
        this.trackByFn = (/**
         * @param {?} index
         * @param {?} item
         * @return {?}
         */
        (index, item) => {
            return this.identifier
                ? item[this.identifier]
                : index;
        });
        // State.
        this.isLoading$ = new BehaviorSubject(true);
        this.page$ = new BehaviorSubject(1);
        this.queryControl = new FormControl('');
        this.sizeControl = new FormControl(this.sizes[0]);
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        // Validate the data source exists.
        if (!this.dataSource) {
            throw new Error('The data source was not passed properly.');
        }
        // Create a new request.
        this.request = new BbDataSourceRequest();
        // Pass the request to the data source.
        this.data$ = this.dataSource.handle(this.request).pipe(tap((/**
         * @return {?}
         */
        () => this.isLoading$.next(false))));
    }
    /**
     * @return {?}
     */
    ngAfterViewInit() {
        /** @type {?} */
        const queryChanges$ = this.queryControl.valueChanges.pipe(debounceTime(400), distinctUntilChanged(), startWith(this.queryControl.value));
        /** @type {?} */
        const sortChanges$ = this.headerCells.changes.pipe(startWith(this.headerCells.toArray()), switchMap((/**
         * @param {?} headerCells
         * @return {?}
         */
        headerCells => combineLatest(headerCells.map((/**
         * @param {?} cell
         * @return {?}
         */
        cell => cell.state))))), map((/**
         * @param {?} cells
         * @return {?}
         */
        cells => cells.filter((/**
         * @param {?} cell
         * @return {?}
         */
        cell => !!cell['name'] && cell['direction'] !== 'none')))));
        /** @type {?} */
        const sizeChanges$ = this.sizeControl.valueChanges.pipe(startWith(this.sizeControl.value));
        this._subscription = combineLatest(queryChanges$, sortChanges$, sizeChanges$, this.page$.asObservable()).subscribe((/**
         * @param {?} __0
         * @return {?}
         */
        ([query$$1, sort, pageSize, pageNumber]) => {
            this.isLoading$.next(true);
            return this.request.update({
                query: query$$1,
                pageSize,
                pageNumber,
                queryFields: this.queryFields,
                sort: (/** @type {?} */ (sort))
            });
        }));
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        this._subscription && this._subscription.unsubscribe();
    }
    /**
     * @return {?}
     */
    refresh() {
        return this.request.update();
    }
}
BbTable.decorators = [
    { type: Component, args: [{
                selector: 'bb-table',
                template: "<div class=\"bb-table-top-actions\">\n    <ng-content></ng-content>\n    <bb-form-control>\n        <input [formControl]=\"queryControl\"\n               [placeholder]=\"'common.search' | bbLocalize\"\n               bbInput\n               autocomplete=\"off\">\n        <bb-icon bbPrefix src=\"material:search\"></bb-icon>\n    </bb-form-control>\n</div>\n<div class=\"bb-table-wrapper\">\n    <div *ngIf=\"isLoading$ | async\"\n         class=\"bb-table-progress\">\n        <div class=\"bb-table-indeterminate\"></div>\n    </div>\n    <table class=\"bb-table-container\">\n        <thead>\n            <tr>\n                <ng-content select=\"bb-table-header-cell\"></ng-content>\n            </tr>\n        </thead>\n        <tbody *ngIf=\"data$ | async as data; else isLoadingTemplate\">\n            <ng-container *ngIf=\"data?.data?.length > 0; else isEmptyTemplate\">\n                <tr *ngFor=\"let item of data?.data; trackBy: trackByFn\">\n                    <ng-container *ngFor=\"let template of tableColumnTemplates\">\n                        <ng-container *ngTemplateOutlet=\"template; context: {item: item}\"></ng-container>\n                    </ng-container>\n                </tr>\n            </ng-container>\n        </tbody>\n    </table>\n    <div class=\"bb-table-bottom-actions\">\n        <select [formControl]=\"sizeControl\"\n                title=\"Size\"\n                class=\"bb-table-sizing\">\n            <option *ngFor=\"let item of sizes\"\n                    [ngValue]=\"item\">\n                {{ item }} {{ 'common.items_per_page' | bbLocalize }}\n            </option>\n        </select>\n        <bb-table-pager *ngIf=\"data$ | async as data\"\n                        [page]=\"data?.pageNumber\"\n                        [totalPages]=\"data?.totalPages\"\n                        (onPageChange)=\"page$?.next($event)\">\n        </bb-table-pager>\n    </div>\n</div>\n\n<ng-template #isLoadingTemplate>\n    <tr>\n        <td [attr.colspan]=\"tableColumnTemplates?.length\"\n            class=\"bb-table-template\">\n            <div class=\"bb-table-template-content\">\n                {{ 'common.loading' | bbLocalize }}\n            </div>\n        </td>\n    </tr>\n</ng-template>\n\n<ng-template #isEmptyTemplate>\n    <tr>\n        <td [attr.colspan]=\"tableColumnTemplates?.length\"\n            class=\"bb-table-template\">\n            <div class=\"bb-table-template-content\">\n                {{ 'common.empty' | bbLocalize }}\n            </div>\n        </td>\n    </tr>\n</ng-template>\n",
                host: { 'class': 'bb-table' },
                changeDetection: ChangeDetectionStrategy.OnPush,
                encapsulation: ViewEncapsulation.None,
                preserveWhitespaces: false,
                styles: [".bb-table{width:100%;padding:20px;display:block}.bb-table-wrapper{overflow-x:auto;position:relative;border-radius:4px;background-color:#fff;box-shadow:0 6px 6px -6px rgba(0,0,0,.1)}.bb-table-container{width:100%}.bb-table-container td{border-bottom:1px solid #d8d8d8}.bb-table-container>tbody>tr:last-child{border-bottom-left-radius:4px;border-bottom-right-radius:4px}.bb-table-top-actions{display:-ms-flexbox;display:flex;margin-bottom:15px;-ms-flex-direction:column;flex-direction:column;-ms-flex-pack:end;justify-content:flex-end}.bb-table-top-actions>:not(:first-child){margin-top:10px}.bb-table-bottom-actions{height:50px;display:-ms-flexbox;display:flex;padding:0 20px;-ms-flex-align:center;align-items:center}.bb-table-sizing{border:none;height:30px;font-size:16px;-webkit-appearance:none;-moz-appearance:none;appearance:none;font-weight:500;background-color:transparent}.bb-table-template{border:none;background-color:#f5f5f5;border-bottom:1px solid #d8d8d8}.bb-table-template-content{display:-ms-flexbox;display:flex;color:#758491;font-size:16px;line-height:1.2;font-weight:500;min-height:100px;text-align:center;-ms-flex-align:center;align-items:center;-ms-flex-pack:center;justify-content:center}.bb-table-progress{top:0;left:0;right:0;opacity:0;width:100%;height:4px;display:block;overflow:hidden;position:absolute;background-color:rgba(47,64,139,.3);-webkit-animation:250ms cubic-bezier(0,0,.2,1) .1s forwards fadeIn;animation:250ms cubic-bezier(0,0,.2,1) .1s forwards fadeIn}.bb-table-progress .bb-table-indeterminate{background-color:#2f408b}.bb-table-progress .bb-table-indeterminate:before{top:0;left:0;bottom:0;content:'';position:absolute;will-change:left,right;background-color:inherit;-webkit-animation:2.1s cubic-bezier(.65,.815,.735,.395) infinite indeterminate;animation:2.1s cubic-bezier(.65,.815,.735,.395) infinite indeterminate}.bb-table-progress .bb-table-indeterminate:after{top:0;left:0;bottom:0;content:'';position:absolute;-webkit-animation-delay:1.15s;animation-delay:1.15s;will-change:left,right;background-color:inherit;-webkit-animation:2.1s cubic-bezier(.165,.84,.44,1) infinite indeterminate-short;animation:2.1s cubic-bezier(.165,.84,.44,1) infinite indeterminate-short}@-webkit-keyframes fadeIn{from{opacity:0}to{opacity:1}}@keyframes fadeIn{from{opacity:0}to{opacity:1}}@-webkit-keyframes indeterminate{0%{left:-35%;right:100%}100%,60%{left:100%;right:-90%}}@keyframes indeterminate{0%{left:-35%;right:100%}100%,60%{left:100%;right:-90%}}@-webkit-keyframes indeterminate-short{0%{left:-200%;right:100%}100%,60%{left:107%;right:-8%}}@keyframes indeterminate-short{0%{left:-200%;right:100%}100%,60%{left:107%;right:-8%}}@media only screen and (min-width:768px){.bb-table-top-actions{-ms-flex-direction:row;flex-direction:row}.bb-table-top-actions>:not(:first-child){margin-top:0;margin-left:10px}}"]
            }] }
];
BbTable.propDecorators = {
    headerCells: [{ type: ContentChildren, args: [BbTableHeaderCell,] }],
    tableColumnTemplates: [{ type: ContentChildren, args: [BbTableColumnDef, { read: TemplateRef },] }],
    identifier: [{ type: Input }],
    dataSource: [{ type: Input }],
    queryFields: [{ type: Input }],
    sizes: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbTableCell {
}
BbTableCell.decorators = [
    { type: Component, args: [{
                selector: 'bb-table-cell',
                template: "<div>\n    <ng-content></ng-content>\n</div>",
                changeDetection: ChangeDetectionStrategy.OnPush,
                host: { 'class': 'bb-table-cell' },
                encapsulation: ViewEncapsulation.None,
                preserveWhitespaces: false,
                styles: [".bb-table-cell{color:#758491;font-size:16px;text-align:left;line-height:1.2;font-weight:500;padding:12px 20px;display:table-cell;word-wrap:break-word;vertical-align:middle;background-color:#f5f5f5;border-bottom:1px solid #d8d8d8}.bb-table-cell:not(:last-child){border-right:1px solid #d8d8d8}.bb-table-cell.fit{width:1%;white-space:nowrap}.bb-table-cell.left{text-align:left}.bb-table-cell.center{text-align:center}.bb-table-cell.right{text-align:right}"]
            }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbTablePager {
    constructor() {
        // Outputs.
        this.onPageChange = new EventEmitter();
        // Data.
        this._pageNumber$ = new BehaviorSubject(1);
        // Optimizations for the ngFor.
        this.trackByIndex = (/**
         * @param {?} index
         * @return {?}
         */
        (index) => index);
    }
    // Inputs.
    /**
     * @param {?} newPage
     * @return {?}
     */
    set page(newPage) {
        this._pageNumber$.next(newPage);
    }
    /**
     * @return {?}
     */
    get list() {
        return this._pageNumber$.pipe(map((/**
         * @param {?} pageNumber
         * @return {?}
         */
        pageNumber => {
            return this.getPages(pageNumber)
                .filter((/**
             * @param {?} page
             * @return {?}
             */
            page => page > 0 && page <= this.totalPages))
                .map((/**
             * @param {?} page
             * @return {?}
             */
            page => ({ page, active: pageNumber === page })));
        })), share());
    }
    /**
     * @param {?} index
     * @return {?}
     */
    goTo(index) {
        // Calculate the new value.
        /** @type {?} */
        const newValue = Math.min(this.totalPages, Math.max(1, index));
        // Don't do anything if the page number is the same.
        if (this._pageNumber$.getValue() === newValue) {
            return;
        }
        // Push the new value.
        this._pageNumber$.next(newValue);
        // Notify the listeners.
        this.onPageChange.emit(newValue);
    }
    /**
     * @private
     * @param {?} pageNumber
     * @return {?}
     */
    getPages(pageNumber) {
        /** @type {?} */
        const min = 1;
        /** @type {?} */
        const max = this.totalPages;
        /** @type {?} */
        const data = Array(3)
            .fill(0)
            .map((/**
         * @param {?} _
         * @param {?} index
         * @return {?}
         */
        (_, index) => pageNumber + (index - 1)));
        if (data[0] < min) {
            return data.map((/**
             * @param {?} item
             * @return {?}
             */
            item => item + 1));
        }
        if (data[data.length - 1] > max) {
            return data.map((/**
             * @param {?} item
             * @return {?}
             */
            item => item - 1));
        }
        return data;
    }
}
BbTablePager.decorators = [
    { type: Component, args: [{
                selector: 'bb-table-pager',
                template: "<ul class=\"bb-pager-list\">\n    <li *ngFor=\"let item of list | async; trackBy: trackByIndex\"\n        class=\"bb-pager-list-item\">\n        <button (click)=\"goTo(item?.page)\"\n                [class.active]=\"item?.active\"\n                class=\"bb-pager-list-button\"\n                type=\"button\">\n            {{ item?.page }}\n        </button>\n    </li>\n</ul>\n",
                changeDetection: ChangeDetectionStrategy.OnPush,
                host: { 'class': 'bb-table-pager' },
                encapsulation: ViewEncapsulation.None,
                preserveWhitespaces: false,
                styles: [".bb-table-pager{-ms-flex:1;flex:1;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:end;justify-content:flex-end}.bb-pager-list{display:-ms-flexbox;display:flex}.bb-pager-list-item:not(:last-child):after{content:'|';color:#212529;font-size:16px;font-weight:500}.bb-pager-list-button{border:none;color:#758491;font-size:16px;font-weight:500;padding:10px 5px;background-color:transparent}.bb-pager-list-button.active{color:#212529;cursor:default}"]
            }] }
];
BbTablePager.propDecorators = {
    page: [{ type: Input }],
    totalPages: [{ type: Input }],
    onPageChange: [{ type: Output }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
const DECLARATIONS_EXPORTS$1 = [
    BbTable,
    BbTableColumnDef,
    BbTableHeaderCell,
    BbTableCell
];
class BbTableModule {
}
BbTableModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule, FormsModule, ReactiveFormsModule, BbElementsModule, BbLocalizeModule],
                declarations: [BbTablePager, ...DECLARATIONS_EXPORTS$1],
                exports: [...DECLARATIONS_EXPORTS$1]
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 */
class BbDialogRef {
    constructor() {
        // Data.
        this._afterClosed$ = new Subject();
        this._overlayClicked$ = new Subject();
    }
    /**
     * @return {?}
     */
    get afterClosed() {
        return this._afterClosed$.pipe(take(1));
    }
    /**
     * @return {?}
     */
    get overlayClicked() {
        return this._overlayClicked$.pipe(take(1));
    }
    /**
     * @return {?}
     */
    onOverlayClicked() {
        this._overlayClicked$.next();
    }
    /**
     * @param {?=} result
     * @return {?}
     */
    close(result) {
        this._afterClosed$.next(result);
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 */
class BbDialogConfig {
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbDialogOverlay {
    constructor() {
        // Inputs.
        this.animations = true;
        // Outputs.
        this.closeRequested = new EventEmitter();
        // State.
        this._state = 'open';
        this._closed$ = new Subject();
    }
    /**
     * @return {?}
     */
    get state() {
        return this.animations
            ? this._state
            : 'none';
    }
    /**
     * @return {?}
     */
    onOverlayClicked() {
        this.closeRequested.emit();
    }
    /**
     * @param {?} event
     * @return {?}
     */
    onKeyEvent(event) {
        if (event.key === 'Escape') {
            this.closeRequested.emit();
        }
    }
    /**
     * @param {?} event
     * @return {?}
     */
    onAnimationDone(event) {
        // Check if the dialog is being destroyed.
        if (!['close', 'none'].includes(event.toState)) {
            return;
        }
        this._closed$.next();
        this._closed$.complete();
    }
    /**
     * @return {?}
     */
    close() {
        this._state = 'close';
        return this._closed$.pipe(take(1)).toPromise();
    }
}
BbDialogOverlay.decorators = [
    { type: Component, args: [{
                selector: 'bb-dialog-overlay',
                template: "<div class=\"bb-dialog-overlay-backdrop\"></div>\n\n<ng-content select=\"[bb-dialog-modal]\"></ng-content>\n",
                changeDetection: ChangeDetectionStrategy.OnPush,
                encapsulation: ViewEncapsulation.None,
                preserveWhitespaces: false,
                host: { 'class': 'bb-dialog-overlay', '[@bbDialogAnimation]': 'state' },
                animations: [
                    trigger('bbDialogAnimation', [
                        transition('* => none', []),
                        transition(':enter, * => open', [
                            group([
                                query('.bb-dialog-overlay-backdrop', [
                                    style({ opacity: 0 }),
                                    animate('150ms cubic-bezier(0, 0, 0.2, 1)', style({ opacity: 1 }))
                                ]),
                                query('.bb-dialog-modal', [
                                    style({ transform: 'scale(0.95)' }),
                                    animate('150ms cubic-bezier(0, 0, 0.2, 1)', style({ transform: 'scale(1)' }))
                                ])
                            ])
                        ]),
                        transition(':leave, * => close', [
                            group([
                                query('.bb-dialog-overlay-backdrop', [
                                    animate('150ms cubic-bezier(0, 0, 0.2, 1)', style({ opacity: 0 }))
                                ]),
                                query('.bb-dialog-modal', [
                                    animate('150ms cubic-bezier(0, 0, 0.2, 1)', style({ opacity: 0, transform: 'scale(0.95)' }))
                                ])
                            ])
                        ])
                    ])
                ],
                styles: [".bb-dialog-overlay,.bb-dialog-overlay-backdrop{top:0;left:0;right:0;bottom:0;display:-ms-flexbox;display:flex;z-index:1000;position:fixed}.bb-dialog-overlay{padding:20px}.bb-dialog-overlay-backdrop{background-color:rgba(0,0,0,.5)}.bb-dialog-overlay-component{z-index:1001;display:block;position:relative}"]
            }] }
];
BbDialogOverlay.propDecorators = {
    animations: [{ type: Input }],
    closeRequested: [{ type: Output }],
    onOverlayClicked: [{ type: HostListener, args: ['click',] }],
    onKeyEvent: [{ type: HostListener, args: ['window:keyup', ['$event'],] }],
    onAnimationDone: [{ type: HostListener, args: ['@bbDialogAnimation.done', ['$event'],] }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbDialogModal {
    constructor() {
        // Styling.
        this.maxWidth = '420px';
    }
    /**
     * @param {?} event
     * @return {?}
     */
    onOverlayClickedEvent(event) {
        event.stopPropagation();
    }
}
BbDialogModal.decorators = [
    { type: Component, args: [{
                selector: '[bb-dialog-modal]',
                template: "<ng-content select=\"[bb-dialog-header]\">\n\n</ng-content>\n\n<div class=\"bb-dialog-modal-body\">\n    <ng-content></ng-content>\n</div>\n\n<ng-content select=\"[bb-dialog-actions]\">\n\n</ng-content>\n",
                changeDetection: ChangeDetectionStrategy.OnPush,
                encapsulation: ViewEncapsulation.None,
                preserveWhitespaces: false,
                host: {
                    'class': 'bb-dialog-modal',
                    'role': 'dialog'
                },
                styles: [".bb-dialog-modal{width:100%;margin:auto;z-index:1001;display:-ms-flexbox;display:flex;max-width:420px;border-radius:4px;position:relative;-ms-flex-direction:column;flex-direction:column;background-color:#fff;max-height:calc(100vh - 40px)}.bb-dialog-modal-body{-ms-flex:1;flex:1;color:#738694;font-size:13px;overflow-y:auto;line-height:1.4;padding:0 20px 20px}"]
            }] }
];
BbDialogModal.propDecorators = {
    maxWidth: [{ type: HostBinding, args: ['style.max-width',] }, { type: Input }],
    onOverlayClickedEvent: [{ type: HostListener, args: ['click', ['$event'],] }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbDialogHeader {
    constructor() {
        // Inputs.
        this.iconName = null;
        this.iconColor = 'black';
        // Outputs.
        this.closeRequested = new EventEmitter();
    }
}
BbDialogHeader.decorators = [
    { type: Component, args: [{
                selector: '[bb-dialog-header]',
                template: "<div *ngIf=\"iconName as icon\"\n     [style.color]=\"iconColor\"\n     class=\"bb-dialog-header-icon\">\n    <i class=\"material-icons\">{{ icon }}</i>\n</div>\n\n<div class=\"bb-dialog-header-content\">\n    <ng-content></ng-content>\n</div>\n\n<button *ngIf=\"closeRequested?.observers?.length > 0\"\n        (click)=\"closeRequested?.emit()\"\n        type=\"button\"\n        class=\"bb-dialog-header-close\">\n</button>\n",
                changeDetection: ChangeDetectionStrategy.OnPush,
                encapsulation: ViewEncapsulation.None,
                preserveWhitespaces: false,
                host: { 'class': 'bb-dialog-header' },
                styles: [".bb-dialog-header{display:-ms-flexbox;display:flex;padding:20px;-ms-flex-align:start;align-items:flex-start}.bb-dialog-header h1{font-size:17px;font-weight:500}.bb-dialog-header-content{-ms-flex:1;flex:1}.bb-dialog-header-icon{width:40px;height:40px;display:-ms-flexbox;display:flex;min-width:40px;overflow:hidden;min-height:40px;margin-right:10px;border-radius:50%;position:relative;-ms-flex-align:center;align-items:center;-ms-flex-pack:center;justify-content:center}.bb-dialog-header-icon:after{top:0;left:0;right:0;bottom:0;content:'';opacity:.14;position:absolute;background-color:currentColor}.bb-dialog-header-close{width:20px;height:20px;border:none;overflow:hidden;margin-left:10px;position:relative;display:inline-block;background-color:transparent}.bb-dialog-header-close:after,.bb-dialog-header-close:before{left:0;top:50%;width:100%;height:2px;content:'';margin-top:-1px;position:absolute;background-color:#a2a9ba}.bb-dialog-header-close:before{-webkit-transform:rotate(45deg);-ms-transform:rotate(45deg);transform:rotate(45deg)}.bb-dialog-header-close:after{-webkit-transform:rotate(-45deg);-ms-transform:rotate(-45deg);transform:rotate(-45deg)}"]
            }] }
];
BbDialogHeader.propDecorators = {
    iconName: [{ type: Input }],
    iconColor: [{ type: Input }],
    closeRequested: [{ type: Output }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbDialogActions {
}
BbDialogActions.decorators = [
    { type: Component, args: [{
                selector: '[bb-dialog-actions]',
                template: "<bb-form-group class=\"end\">\n    <ng-content></ng-content>\n</bb-form-group>\n",
                changeDetection: ChangeDetectionStrategy.OnPush,
                encapsulation: ViewEncapsulation.None,
                preserveWhitespaces: false,
                host: { 'class': 'bb-dialog-actions' },
                styles: [".bb-dialog-actions{padding:20px;display:block;background-color:#f1f3f6;border-bottom-left-radius:4px;border-bottom-right-radius:4px}"]
            }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbDialogInsertion {
    /**
     * @param {?} viewContainerRef
     */
    constructor(viewContainerRef) {
        this.viewContainerRef = viewContainerRef;
    }
}
BbDialogInsertion.decorators = [
    { type: Directive, args: [{
                selector: '[bbDialogInsertion]'
            },] }
];
/** @nocollapse */
BbDialogInsertion.ctorParameters = () => [
    { type: ViewContainerRef }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbDialogContainer {
    /**
     * @param {?} _changeDetection
     * @param {?} _componentFactoryResolver
     */
    constructor(_changeDetection, _componentFactoryResolver) {
        this._changeDetection = _changeDetection;
        this._componentFactoryResolver = _componentFactoryResolver;
        // Data.
        this.componentRef = null;
        this.childComponentType = null;
        // State.
        this.overlayClicked$ = new Subject();
    }
    /**
     * @return {?}
     */
    get onOverlayClicked() {
        return this.overlayClicked$.pipe(take(1));
    }
    /**
     * @return {?}
     */
    ngAfterViewInit() {
        // Load the child component.
        this.loadChildComponent(this.childComponentType);
        // Detect changes to notify change detection.
        this._changeDetection.detectChanges();
    }
    /**
     * @param {?} event
     * @return {?}
     */
    onAnimationDone(event) {
        // Check if the dialog is being destroyed.
        if (event.toState !== 'void') {
            return;
        }
        // Destroy the ref if it exists.
        this.componentRef && this.componentRef.destroy();
    }
    /**
     * @return {?}
     */
    onOverlayClickedEvent() {
        this.overlayClicked$.next();
    }
    /**
     * @private
     * @param {?} componentType
     * @return {?}
     */
    loadChildComponent(componentType) {
        // Resolve the component.
        /** @type {?} */
        const componentFactory = this._componentFactoryResolver.resolveComponentFactory(componentType);
        // Get the view container ref and clear it.
        /** @type {?} */
        const viewContainerRef = this.insertion.viewContainerRef;
        viewContainerRef.clear();
        // Create an instance of the component.
        this.componentRef = viewContainerRef.createComponent(componentFactory);
    }
}
BbDialogContainer.decorators = [
    { type: Component, args: [{
                selector: 'bb-dialog-container',
                template: "<div class=\"bb-dialog-container-backdrop\">\n</div>\n\n<div class=\"bb-dialog-container-component\">\n    <ng-container bbDialogInsertion>\n    </ng-container>\n</div>\n",
                changeDetection: ChangeDetectionStrategy.OnPush,
                encapsulation: ViewEncapsulation.None,
                host: { 'class': 'bb-dialog-container', '[@bbDialogAnimation]': 'true' },
                preserveWhitespaces: false,
                animations: [
                    trigger('bbDialogAnimation', [
                        transition(':enter', [
                            group([
                                query('.bb-dialog-container-backdrop', [
                                    style({
                                        opacity: 0
                                    }),
                                    animate('150ms cubic-bezier(0, 0, 0.2, 1)', style({
                                        opacity: 1
                                    }))
                                ]),
                                query('.bb-dialog-container-component', [
                                    style({
                                        transform: 'scale(0.95)'
                                    }),
                                    animate('150ms cubic-bezier(0, 0, 0.2, 1)', style({
                                        transform: 'scale(1)'
                                    }))
                                ])
                            ])
                        ]),
                        transition(':leave', [
                            group([
                                query('.bb-dialog-container-backdrop', [
                                    animate('150ms cubic-bezier(0, 0, 0.2, 1)', style({
                                        opacity: 0
                                    }))
                                ]),
                                query('.bb-dialog-container-component', [
                                    animate('150ms cubic-bezier(0, 0, 0.2, 1)', style({
                                        opacity: 0,
                                        transform: 'scale(0.95)'
                                    }))
                                ])
                            ])
                        ])
                    ])
                ],
                styles: [".bb-dialog-container,.bb-dialog-container-backdrop{top:0;left:0;right:0;bottom:0;z-index:1000;position:fixed}.bb-dialog-container{display:-ms-flexbox;display:flex}.bb-dialog-container-backdrop{background-color:rgba(0,0,0,.5)}.bb-dialog-container-component{width:100%;margin:auto;padding:20px;z-index:1001;display:block}"]
            }] }
];
/** @nocollapse */
BbDialogContainer.ctorParameters = () => [
    { type: ChangeDetectorRef },
    { type: ComponentFactoryResolver }
];
BbDialogContainer.propDecorators = {
    insertion: [{ type: ViewChild, args: [BbDialogInsertion,] }],
    onAnimationDone: [{ type: HostListener, args: ['@bbDialogAnimation.done', ['$event'],] }],
    onOverlayClickedEvent: [{ type: HostListener, args: ['click',] }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
let nextUniqueId$2 = 1;
class BbDialogConfirm {
    /**
     * @param {?} config
     * @param {?} dialogRef
     */
    constructor(config, dialogRef) {
        this.config = config;
        this.dialogRef = dialogRef;
        // Id.
        this.dialogId = `bb-dialog-confirm-${nextUniqueId$2++}`;
    }
    /**
     * @return {?}
     */
    ngAfterViewInit() {
        // Initial focus the button.
        this.confirmButton.focus();
    }
    /**
     * @param {?} result
     * @return {?}
     */
    onClose(result) {
        this.dialogRef.close(result);
    }
}
BbDialogConfirm.decorators = [
    { type: Component, args: [{
                selector: 'bb-dialog-confirm',
                template: "<div [attr.aria-labelledby]=\"dialogId\"\n     bb-dialog-modal\n     bbFocusTrap>\n    <header bb-dialog-header>\n        <h1 *ngIf=\"config?.data?.title as title\"\n            [id]=\"dialogId\">\n            {{ title | bbLocalize:{optional: true} }}\n        </h1>\n    </header>\n\n    <p>\n        {{ config?.data?.description | bbLocalize:{optional: true} }}\n    </p>\n\n    <footer bb-dialog-actions>\n        <button *ngIf=\"config?.data?.cancelButtonText as cancelButtonText\"\n                (click)=\"onClose(false)\"\n                bb-button\n                type=\"button\">\n            {{ cancelButtonText | bbLocalize:{optional: true} }}\n        </button>\n        <button #confirm\n                *ngIf=\"config?.data?.confirmButtonText as confirmButtonText\"\n                (click)=\"onClose(true)\"\n                bb-button\n                type=\"button\"\n                class=\"destructive\">\n            {{ confirmButtonText | bbLocalize:{optional: true} }}\n        </button>\n    </footer>\n</div>\n",
                changeDetection: ChangeDetectionStrategy.OnPush,
                encapsulation: ViewEncapsulation.None,
                preserveWhitespaces: false,
                host: { 'class': 'bb-dialog-confirm' },
                styles: [".bb-dialog-confirm{display:block}"]
            }] }
];
/** @nocollapse */
BbDialogConfirm.ctorParameters = () => [
    { type: BbDialogConfig },
    { type: BbDialogRef }
];
BbDialogConfirm.propDecorators = {
    confirmButton: [{ type: ViewChild, args: ['confirm', { read: BbButton },] }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbDialogInjector {
    /**
     * @param {?} _parentInjector
     * @param {?} _additionalTokens
     */
    constructor(_parentInjector, _additionalTokens) {
        this._parentInjector = _parentInjector;
        this._additionalTokens = _additionalTokens;
    }
    /**
     * @param {?} token
     * @param {?=} notFoundValue
     * @param {?=} flags
     * @return {?}
     */
    get(token, notFoundValue, flags) {
        // First check if the additional token
        // contains the token.
        /** @type {?} */
        const value = this._additionalTokens.get(token);
        // If that value exists return it.
        if (value) {
            return value;
        }
        // Else query the parent injector.
        return this._parentInjector.get(token, notFoundValue);
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbDialog {
    /**
     * @param {?} _injector
     * @param {?} _applicationRef
     * @param {?} _componentFactoryResolver
     */
    constructor(_injector, _applicationRef, _componentFactoryResolver) {
        this._injector = _injector;
        this._applicationRef = _applicationRef;
        this._componentFactoryResolver = _componentFactoryResolver;
    }
    /**
     * @template T
     * @param {?} componentType
     * @param {?} config
     * @return {?}
     */
    open(componentType, config) {
        return this.createDialog(componentType, config);
    }
    /**
     * @param {?} title
     * @param {?} description
     * @param {?=} options
     * @return {?}
     */
    confirm(title, description, options = {}) {
        return this.open(BbDialogConfirm, {
            data: {
                title,
                description,
                cancelButtonText: options.cancelButtonText || 'dialog.default_cancel_button',
                confirmButtonText: options.confirmButtonText || 'dialog.default_confirm_button'
            }
        });
    }
    /**
     * @private
     * @template T
     * @param {?} componentType
     * @param {?} config
     * @return {?}
     */
    createDialog(componentType, config) {
        // Create a reference.
        /** @type {?} */
        const dialogRef = new BbDialogRef();
        // Create a map with the config.
        /** @type {?} */
        const map$$1 = new WeakMap();
        map$$1.set(BbDialogConfig, config);
        map$$1.set(BbDialogRef, dialogRef);
        // Create a custom injector.
        /** @type {?} */
        const dialogInjector = new BbDialogInjector(this._injector, map$$1);
        // Resolve the dialog component reference.
        /** @type {?} */
        const dialogComponentRef = this._componentFactoryResolver
            .resolveComponentFactory(BbDialogContainer)
            .create(dialogInjector);
        // Attach the host view to the application.
        this._applicationRef.attachView(dialogComponentRef.hostView);
        try {
            // Remove the current focus.
            /** @type {?} */
            const activeElement = (/** @type {?} */ (document.activeElement));
            activeElement.blur();
            // Append the element to the DOM.
            document.body.appendChild(dialogComponentRef.location.nativeElement);
        }
        catch (_a) {
            // Don't do anything, because it must've failed.
        }
        // Set the child component type on the component.
        dialogComponentRef.instance.childComponentType = componentType;
        dialogComponentRef.instance.onOverlayClicked.subscribe((/**
         * @return {?}
         */
        () => dialogRef.onOverlayClicked()));
        // Listen for close events.
        dialogRef.afterClosed.subscribe((/**
         * @return {?}
         */
        () => this.deleteDialog(dialogComponentRef)));
        // Return the reference.
        return dialogRef;
    }
    /**
     * @private
     * @param {?} dialogComponentRef
     * @return {?}
     */
    deleteDialog(dialogComponentRef) {
        // Only continue if the dialog component ref exists.
        if (!dialogComponentRef) {
            return;
        }
        // Detach the dialog.
        this._applicationRef.detachView(dialogComponentRef.hostView);
        // Destroy the dialog.
        dialogComponentRef.destroy();
        dialogComponentRef = null;
    }
}
BbDialog.decorators = [
    { type: Injectable }
];
/** @nocollapse */
BbDialog.ctorParameters = () => [
    { type: Injector },
    { type: ApplicationRef },
    { type: ComponentFactoryResolver }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbDialogModule {
    /**
     * @return {?}
     */
    static forRoot() {
        return {
            ngModule: BbDialogModule,
            providers: [BbDialog]
        };
    }
}
BbDialogModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    BbLocalizeModule,
                    BbElementsModule
                ],
                declarations: [
                    BbDialogContainer,
                    BbDialogOverlay,
                    BbDialogModal,
                    BbDialogHeader,
                    BbDialogActions,
                    BbDialogConfirm,
                    BbDialogInsertion
                ],
                entryComponents: [
                    BbDialogContainer,
                    BbDialogConfirm
                ],
                exports: [
                    BbDialogOverlay,
                    BbDialogModal,
                    BbDialogHeader,
                    BbDialogActions
                ]
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbDashboard {
    /**
     * @param {?} _renderer
     */
    constructor(_renderer) {
        this._renderer = _renderer;
        // Inputs.
        this.backgroundColor = '#e7eaed';
        this.maxWidth = '1200px';
        this.padding = '20px';
        // State.
        this.sidebarVisible$ = new BehaviorSubject(true);
    }
    /**
     * @return {?}
     */
    get visibility() {
        return this.sidebarVisible$.asObservable();
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        // Set the HTML class to prevent scrolling.
        return this.setHtmlClass();
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        // Remove the HTML class.
        return this.setHtmlClass(true);
    }
    /**
     * @return {?}
     */
    toggleSidebarVisibility() {
        // Get the previous value.
        /** @type {?} */
        const previousValue = this.sidebarVisible$.getValue();
        // Invert the value and set the visibility.
        this.setSidebarVisibility(!previousValue);
    }
    /**
     * @param {?} newValue
     * @return {?}
     */
    setSidebarVisibility(newValue) {
        this.sidebarVisible$.next(newValue);
    }
    /**
     * @private
     * @param {?=} shouldRemove
     * @return {?}
     */
    setHtmlClass(shouldRemove = false) {
        // Check if the document element is available.
        if (!document || !document.documentElement) {
            return;
        }
        // Define the class name.
        /** @type {?} */
        const className = 'bb-dashboard-html';
        // Add or remove the class.
        return shouldRemove
            ? this._renderer.removeClass(document.documentElement, className)
            : this._renderer.addClass(document.documentElement, className);
    }
}
BbDashboard.decorators = [
    { type: Component, args: [{
                selector: 'bb-dashboard',
                template: "<!--\n    The outlet for where the sidebar\n    will be placed (if provided).\n-->\n<ng-content select=\"bb-dashboard-sidebar\">\n</ng-content>\n\n<!--\n    The section containing the header\n    and the main content.\n-->\n<section [style.background-color]=\"backgroundColor\"\n         class=\"bb-dashboard-section\">\n    <!--\n        The outlet for where the header\n        will be placed (if provided).\n    -->\n    <ng-content select=\"bb-dashboard-header\">\n    </ng-content>\n\n    <!--\n        The outlet of the content that\n        will be provided by the router.\n    -->\n    <main [style.padding]=\"padding\"\n          class=\"bb-dashboard-scroll\">\n        <div [style.max-width]=\"maxWidth\"\n             class=\"bb-dashboard-container\">\n            <ng-content select=\"bb-dashboard-menu\"></ng-content>\n\n            <ng-content></ng-content>\n        </div>\n    </main>\n</section>\n\n<!--\n    The backdrop that will be visible when\n    the sidebar is opened (only on mobile).\n-->\n<div [class.bb-dashboard-backdrop--visible]=\"!(visibility | async)\"\n     (click)=\"toggleSidebarVisibility()\"\n     class=\"bb-dashboard-backdrop\">\n</div>\n",
                changeDetection: ChangeDetectionStrategy.OnPush,
                encapsulation: ViewEncapsulation.None,
                preserveWhitespaces: false,
                host: {
                    'class': 'bb-dashboard'
                },
                styles: [".bb-dashboard{height:100vh;display:-ms-flexbox;display:flex;overflow:hidden;position:relative}.bb-dashboard-section{-ms-flex:1;flex:1;height:100vh;display:-ms-flexbox;display:flex;overflow-x:hidden;-ms-flex-direction:column;flex-direction:column}.bb-dashboard-scroll{-ms-flex:1;flex:1;overflow-x:hidden;overflow-y:scroll;-webkit-overflow-scrolling:touch}.bb-dashboard-container{width:100%;margin:0 auto}.bb-dashboard-backdrop{top:0;left:0;right:0;bottom:0;opacity:0;z-index:5;position:absolute;will-change:opacity;pointer-events:none;background-color:rgba(0,0,0,.5);transition:opacity .2s cubic-bezier(0,0,.2,1)}.bb-dashboard-backdrop--visible{opacity:1;cursor:pointer;pointer-events:all}@media only screen and (min-width:768px){.bb-dashboard-backdrop{display:none}}.bb-dashboard-html{height:100%;overflow:hidden}"]
            }] }
];
/** @nocollapse */
BbDashboard.ctorParameters = () => [
    { type: Renderer2 }
];
BbDashboard.propDecorators = {
    backgroundColor: [{ type: Input }],
    maxWidth: [{ type: Input }],
    padding: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbDashboardHeader {
    /**
     * @param {?} _parent
     */
    constructor(_parent) {
        this._parent = _parent;
    }
    /**
     * @return {?}
     */
    get isSidebarVisible() {
        return this._parent
            ? this._parent.visibility
            : of(false);
    }
    /**
     * @return {?}
     */
    onToggleSidebarClicked() {
        // If the parent exists toggle the sidebar visibility.
        this._parent && this._parent.toggleSidebarVisibility();
    }
}
BbDashboardHeader.decorators = [
    { type: Component, args: [{
                selector: 'bb-dashboard-header',
                template: "<!--\n    The button that toggles the sidebar.\n-->\n<button (click)=\"onToggleSidebarClicked()\"\n        [class.bb-dashboard-header-button--reversed]=\"isSidebarVisible | async\"\n        class=\"bb-dashboard-header-button\"\n        type=\"button\"\n        tabindex=\"0\"\n        role=\"switch\">\n    <svg xmlns=\"http://www.w3.org/2000/svg\"\n         viewBox=\"0 0 157 109\"\n         width=\"17\"\n         height=\"12\"\n         role=\"img\">\n        <title>\n            Toggle\n        </title>\n        <path fill=\"#fff\"\n              d=\"M82 42V11.2L30 54.5l52 43.3V67h75V42zM9.5 109h-2c-4.1 0-7.5-3.4-7.5-7.5v-94C0 3.4 3.4 0 7.5 0h2C13.6 0 17 3.4 17 7.5v94c0 4.1-3.4 7.5-7.5 7.5z\">\n        </path>\n    </svg>\n</button>\n\n<!--\n    The extra items of the header.\n-->\n<div class=\"bb-dashboard-header-items\">\n    <ng-content></ng-content>\n</div>",
                changeDetection: ChangeDetectionStrategy.OnPush,
                encapsulation: ViewEncapsulation.None,
                preserveWhitespaces: false,
                host: {
                    'class': 'bb-dashboard-header'
                },
                styles: [".bb-dashboard-header{z-index:1;width:100%;color:#fff;height:50px;display:-ms-flexbox;display:flex;padding:0 8px;min-height:50px;-ms-flex-align:center;align-items:center;background-color:#5b53ff;border-bottom:1px solid #4d46d6}.bb-dashboard-header-button{width:68px;height:34px;border-radius:4px;-ms-flex-align:center;align-items:center;display:-ms-inline-flexbox;display:inline-flex;-ms-flex-pack:center;justify-content:center;border:1px solid #4d46d6;background-color:transparent}.bb-dashboard-header-button>svg{height:100%;-webkit-transform:none;-ms-transform:none;transform:none;transition:transform .2s cubic-bezier(0,0,.2,1);transition:transform .2s cubic-bezier(0,0,.2,1),-webkit-transform .2s cubic-bezier(0,0,.2,1)}.bb-dashboard-header-button--reversed>svg{-webkit-transform:rotateY(180deg);transform:rotateY(180deg)}.bb-dashboard-header-button:hover{background-color:rgba(0,0,0,.04)}.bb-dashboard-header-button:active{background-color:rgba(0,0,0,.08)}.bb-dashboard-header-items{display:-ms-flexbox;display:flex;margin-left:auto;-ms-flex-align:center;align-items:center}.bb-dashboard-header-items>:not(:first-child){margin-left:8px}@media only screen and (min-width:768px){.bb-dashboard-header-button>svg{-webkit-transform:rotateY(180deg);transform:rotateY(180deg)}.bb-dashboard-header-button--reversed>svg{-webkit-transform:none;-ms-transform:none;transform:none}}"]
            }] }
];
/** @nocollapse */
BbDashboardHeader.ctorParameters = () => [
    { type: BbDashboard, decorators: [{ type: Optional }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbDashboardMenu {
    constructor() {
        // Inputs.
        this.title = null;
        this.imageUrl = null;
        this.backUrlLink = null;
        this.backUrlTitle = null;
    }
}
BbDashboardMenu.decorators = [
    { type: Component, args: [{
                selector: 'bb-dashboard-menu',
                template: "<a *ngIf=\"backUrlLink && backUrlTitle\"\n   [routerLink]=\"backUrlLink\"\n   class=\"bb-dashboard-menu-link\">\n    {{ backUrlTitle }}\n</a>\n\n<div class=\"bb-dashboard-menu-row\">\n    <img *ngIf=\"imageUrl\"\n         [src]=\"imageUrl\"\n         class=\"bb-dashboard-menu-image\"\n         alt=\"Menu image\">\n    <h1 *ngIf=\"title as titleLabel\"\n        class=\"bb-dashboard-menu-title\">\n        {{ titleLabel }}\n    </h1>\n</div>\n\n<nav class=\"bb-dashboard-menu-navigation\">\n    <ng-content select=\"[bb-dashboard-menu-item]\"></ng-content>\n</nav>\n",
                changeDetection: ChangeDetectionStrategy.OnPush,
                encapsulation: ViewEncapsulation.None,
                preserveWhitespaces: false,
                host: {
                    'class': 'bb-dashboard-menu',
                    'role': 'navigation'
                },
                styles: [".bb-dashboard-menu{display:block;margin-bottom:20px}.bb-dashboard-menu-link,.bb-dashboard-menu-title{max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.bb-dashboard-menu-link{display:block;font-weight:500;margin-bottom:16px;text-decoration:none}.bb-dashboard-menu-link,.bb-dashboard-menu-link:visited{color:#a7a9c4!important}.bb-dashboard-menu-link:before{width:14px;content:'';height:13px;margin-right:3px;display:inline-block;background-size:cover;background-image:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 492 492'%3E%3Cpath fill='%23a7a9c4' d='M464.344 207.418l.768.168H135.888l103.496-103.724c5.068-5.064 7.848-11.924 7.848-19.124 0-7.2-2.78-14.012-7.848-19.088L223.28 49.538c-5.064-5.064-11.812-7.864-19.008-7.864-7.2 0-13.952 2.78-19.016 7.844L7.844 226.914C2.76 231.998-.02 238.77 0 245.974c-.02 7.244 2.76 14.02 7.844 19.096l177.412 177.412c5.064 5.06 11.812 7.844 19.016 7.844 7.196 0 13.944-2.788 19.008-7.844l16.104-16.112c5.068-5.056 7.848-11.808 7.848-19.008 0-7.196-2.78-13.592-7.848-18.652L134.72 284.406h329.992c14.828 0 27.288-12.78 27.288-27.6v-22.788c0-14.82-12.828-26.6-27.656-26.6z'/%3E%3C/svg%3E\")}.bb-dashboard-menu-row{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;margin-bottom:10px}.bb-dashboard-menu-image{display:block;margin-right:10px;width:30px;height:30px;border-radius:50%}.bb-dashboard-menu-title{color:#272838;display:block;line-height:1;font-size:34px;font-weight:500}.bb-dashboard-menu-navigation{display:-ms-flexbox;display:flex;overflow-x:auto;border-bottom:1px solid #d8d8d8}"]
            }] }
];
BbDashboardMenu.propDecorators = {
    title: [{ type: Input }],
    imageUrl: [{ type: Input }],
    backUrlLink: [{ type: Input }],
    backUrlTitle: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbDashboardMenuItemBase {
}
/** @type {?} */
const BbDashboardMenuItemMixinBase = mixinDisabled(BbDashboardMenuItemBase);
class BbDashboardMenuItem extends BbDashboardMenuItemMixinBase {
    /**
     * @param {?} event
     * @return {?}
     */
    stopDisabledEvents(event) {
        // If the menu item is not disabled let all events pass.
        if (!this.disabled) {
            return;
        }
        // If the menu item is disabled stop the event from
        // bubbling up.
        event.preventDefault();
        event.stopImmediatePropagation();
    }
}
BbDashboardMenuItem.decorators = [
    { type: Component, args: [{
                selector: '[bb-dashboard-menu-item]',
                template: "<ng-content select=\"[bbPrefix]\"></ng-content>\n<span class=\"bb-dashboard-menu-item-content\">\n    <ng-content></ng-content>\n</span>\n<ng-content select=\"[bbSuffix]\"></ng-content>\n",
                changeDetection: ChangeDetectionStrategy.OnPush,
                encapsulation: ViewEncapsulation.None,
                preserveWhitespaces: false,
                inputs: ['disabled'],
                host: {
                    'class': 'bb-dashboard-menu-item',
                    '[class.disabled]': 'disabled',
                    '(click)': 'stopDisabledEvents($event)'
                },
                styles: [".bb-dashboard-menu-item{margin:0;padding:0;border:none;display:-ms-flexbox;display:flex;max-width:100%;font-size:16px;-webkit-appearance:none;-moz-appearance:none;appearance:none;-ms-flex-align:center;align-items:center;white-space:nowrap;color:#6b5c5c!important;background-color:transparent;text-decoration:none!important;border-bottom:2px solid transparent}.bb-dashboard-menu-item:not(:first-child){margin-left:10px}.bb-dashboard-menu-item:not(:last-child){margin-right:10px}.bb-dashboard-menu-item:hover:not(.disabled){border-bottom:2px solid rgba(117,119,148,.2)}.bb-dashboard-menu-item.active,.bb-dashboard-menu-item.active:hover{color:#5b53ff!important;border-bottom:2px solid #5b53ff}.bb-dashboard-menu-item.disabled,.bb-dashboard-menu-item.disabled:active,.bb-dashboard-menu-item.disabled:focus,.bb-dashboard-menu-item.disabled:hover{opacity:.4;cursor:default;box-shadow:none}.bb-dashboard-menu-item>.bb-prefix{margin-right:5px}.bb-dashboard-menu-item>.bb-suffix{margin-left:5px}.bb-dashboard-menu-item-content{height:38px;display:block;font-weight:500;line-height:38px}"]
            }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbDashboardSidebar {
    /**
     * @param {?} _storage
     * @param {?} _parent
     */
    constructor(_storage, _parent) {
        this._storage = _storage;
        this._parent = _parent;
        // Bindings.
        this.visible = true;
        // State.
        this._state$ = new BehaviorSubject({});
        // Token.
        this._localStorageToken = 'bb-dashboard-sidebar-state';
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        // Retrieve the cache.
        this._cache = this._storage.get(this._localStorageToken) || {};
        // Get the visibility observable from the parent
        // if the parent exists.
        /** @type {?} */
        const observable$ = this._parent
            ? this._parent.visibility
            : of(false);
        // Subscribe to get the state changes.
        this._subscription = observable$
            .subscribe((/**
         * @param {?} value
         * @return {?}
         */
        value => this.visible = value));
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        // Unsubscribe to prevent memory leaks.
        this._subscription && this._subscription.unsubscribe();
    }
    /**
     * @param {?} id
     * @return {?}
     */
    registerGroup(id) {
        // Get the old state.
        /** @type {?} */
        const oldState = this._state$.getValue();
        // Get the cache value so when it is undefined
        // we will default to true.
        /** @type {?} */
        const cacheValue = this._cache[id] === undefined ? true : this._cache[id];
        // Push the new state.
        this._state$.next(Object.assign({}, oldState, { [id]: cacheValue }));
        // Return the slice of the state that the group needs.
        return this._state$.pipe(map((/**
         * @param {?} state
         * @return {?}
         */
        state => state[id])));
    }
    /**
     * @param {?} id
     * @return {?}
     */
    unregisterGroup(id) {
        // Get the old groups.
        const _a = this._state$.getValue(), _b = id, _ = _a[_b], newState = __rest(_a, [typeof _b === "symbol" ? _b : _b + ""]);
        // Push the new state.
        this._state$.next(newState);
    }
    /**
     * @param {?} id
     * @param {?} newValue
     * @return {?}
     */
    toggleGroup(id, newValue) {
        // Get the old state.
        /** @type {?} */
        const oldState = this._state$.getValue();
        // Create the new state.
        /** @type {?} */
        const newState = Object.assign({}, oldState, { [id]: newValue });
        // Push the new state.
        this._state$.next(newState);
        // Save in the cache.
        this._storage.set(this._localStorageToken, newState);
    }
    /**
     * @return {?}
     */
    close() {
        // Set the sidebar visibility to true, this means
        // that on mobile the sidebar will be closed.
        this._parent.setSidebarVisibility(true);
    }
}
BbDashboardSidebar.decorators = [
    { type: Component, args: [{
                selector: 'bb-dashboard-sidebar',
                template: "<!--\n    The optional header element.\n-->\n<ng-content select=\"header\"></ng-content>\n\n<!--\n    The scroll area that contains the\n    groups in the navigation.\n-->\n<div class=\"bb-dashboard-sidebar-scroll\">\n    <ng-content select=\"bb-dashboard-sidebar-group\"></ng-content>\n</div>\n\n<!--\n    The optional footer element.\n-->\n<ng-content select=\"footer\"></ng-content>\n",
                changeDetection: ChangeDetectionStrategy.OnPush,
                encapsulation: ViewEncapsulation.None,
                preserveWhitespaces: false,
                host: {
                    'class': 'bb-dashboard-sidebar',
                    'role': 'navigation'
                },
                styles: [".bb-dashboard-sidebar{top:0;bottom:0;z-index:10;left:-256px;width:256px;height:100vh;display:-ms-flexbox;display:flex;position:fixed;min-width:256px;will-change:transform;-ms-flex-direction:column;flex-direction:column;-webkit-transform:translateX(256px);-ms-transform:translateX(256px);transform:translateX(256px);border-right:1px solid rgba(0,0,0,.4);transition:transform 250ms cubic-bezier(0,0,.2,1);transition:transform 250ms cubic-bezier(0,0,.2,1),-webkit-transform 250ms cubic-bezier(0,0,.2,1);background:linear-gradient(to bottom,#fff,#f2f2f2) #fff}.bb-dashboard-sidebar.visible{-webkit-transform:none;-ms-transform:none;transform:none}.bb-dashboard-sidebar-scroll{-ms-flex:1;flex:1;overflow:auto}.bb-dashboard-sidebar>header{border-bottom:1px solid #d8d8d8;background-color:rgba(255,255,255,.5)}.bb-dashboard-sidebar>footer{border-top:1px solid #d8d8d8;background-color:rgba(255,255,255,.5)}@media only screen and (min-width:768px){.bb-dashboard-sidebar{left:0;z-index:auto;-webkit-transform:none;-ms-transform:none;transform:none;position:relative;margin-left:-256px;transition:margin-left 250ms cubic-bezier(0,0,.2,1)}.bb-dashboard-sidebar.visible{margin-left:0}}"]
            }] }
];
/** @nocollapse */
BbDashboardSidebar.ctorParameters = () => [
    { type: BbStorage },
    { type: BbDashboard, decorators: [{ type: Optional }, { type: Host }] }
];
BbDashboardSidebar.propDecorators = {
    visible: [{ type: HostBinding, args: ['class.visible',] }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbDashboardSidebarGroupBase {
    /**
     * @param {?} _parent
     */
    constructor(_parent) {
        this._parent = _parent;
    }
}
/** @type {?} */
const BbDashboardSidebarGroupMixinBase = mixinDisabled(BbDashboardSidebarGroupBase);
class BbDashboardSidebarGroup extends BbDashboardSidebarGroupMixinBase {
    /**
     * @param {?} _parent
     */
    constructor(_parent) {
        super(_parent);
        this._parent = _parent;
        // Inputs.
        this.id = null;
        this.icon = null;
        this.title = null;
        // State.
        this._isExpanded = false;
    }
    /**
     * @return {?}
     */
    get hasToggle() {
        // Check if the user provided a icon and/or title.
        return !!this.icon || !!this.title;
    }
    /**
     * @return {?}
     */
    get isExpanded() {
        // If there is an icon or title the group can be
        // expanded by clicking, else not.
        return this.hasToggle
            ? this._isExpanded
            : true;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        // Check if the id has been supplied.
        if (!this.id) {
            throw new Error('Id is required.');
        }
        // Register the group at the parent and
        // retrieve the slice of the state.
        /** @type {?} */
        const observable$ = this._parent
            ? this._parent.registerGroup(this.id)
            : of(false);
        // Subscribe to the state.
        this._subscription = observable$
            .subscribe((/**
         * @param {?} isExpanded
         * @return {?}
         */
        isExpanded => this._isExpanded = isExpanded));
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        // Unsubscribe to prevent memory leaks.
        this._subscription && this._subscription.unsubscribe();
        // Unregister the group at the parent.
        this._parent && this._parent.unregisterGroup(this.id);
    }
    /**
     * @return {?}
     */
    onClick() {
        // Verify the group is not disabled.
        if (this.disabled) {
            return;
        }
        // Change the state.
        /** @type {?} */
        const newValue = !this._isExpanded;
        // Set the state of the sidebar group.
        this._parent && this._parent.toggleGroup(this.id, newValue);
    }
    /**
     * @param {?} event
     * @return {?}
     */
    onGroupClicked(event) {
        // If the group is not disabled don't do anything.
        if (!this.disabled) {
            return;
        }
        event.preventDefault();
        event.stopPropagation();
    }
}
BbDashboardSidebarGroup.decorators = [
    { type: Component, args: [{
                selector: 'bb-dashboard-sidebar-group',
                template: "<!--\n    The wrapper that contains the title and icon.\n-->\n<button *ngIf=\"hasToggle\"\n        (click)=\"onClick()\"\n        class=\"bb-dashboard-sidebar-group-title\"\n        type=\"button\"\n        role=\"switch\">\n    <bb-icon *ngIf=\"icon as iconName\"\n             [src]=\"iconName\"\n             class=\"bb-dashboard-sidebar-group-icon\">\n    </bb-icon>\n    <span *ngIf=\"title as titleText\"\n          role=\"heading\"\n          class=\"bb-dashboard-sidebar-group-text\">\n        {{ titleText }}\n    </span>\n    <span class=\"bb-dashboard-sidebar-group-toggle\">\n       <svg xmlns=\"http://www.w3.org/2000/svg\"\n            viewBox=\"0 0 21.7 30.9\"\n            width=\"10\"\n            height=\"10\"\n            role=\"img\">\n           <path\n               d=\"M10.1.3L.2 11.8c-.6.6-.1 1.7.8 1.7h19.7c.9 0 1.3-1 .8-1.7L11.6.3c-.4-.4-1.1-.4-1.5 0zM10.1 30.6L.2 19.1c-.6-.6-.1-1.7.8-1.7h19.7c.9 0 1.3 1 .8 1.7l-9.8 11.5c-.5.4-1.2.4-1.6 0z\">\n           </path>\n       </svg>\n    </span>\n</button>\n\n<!--\n    The sidebar items that contain the\n    links to navigate to other pages.\n-->\n<ng-content select=\"[bb-dashboard-sidebar-item]\">\n</ng-content>\n",
                changeDetection: ChangeDetectionStrategy.OnPush,
                encapsulation: ViewEncapsulation.None,
                preserveWhitespaces: false,
                inputs: ['disabled'],
                host: {
                    'class': 'bb-dashboard-sidebar-group',
                    '[class.expanded]': 'isExpanded',
                    '[class.with-toggle]': 'hasToggle',
                    '[class.has-icon]': '!!icon',
                    '[class.disabled]': 'disabled',
                    'role': 'group'
                },
                styles: [".bb-dashboard-sidebar-group{color:#000;display:block;overflow:hidden;border-bottom:1px solid rgba(0,0,0,.1);transition:background-color .2s cubic-bezier(0,0,.2,1),padding-bottom .2s cubic-bezier(0,0,.2,1)}.bb-dashboard-sidebar-group.expanded{background-color:rgba(0,0,0,.04)}.bb-dashboard-sidebar-group.expanded .bb-dashboard-sidebar-group-title{color:#000}.bb-dashboard-sidebar-group.expanded .bb-dashboard-sidebar-item{opacity:1;height:32px;line-height:32px;padding:6px 16px}.bb-dashboard-sidebar-group.expanded .bb-dashboard-sidebar-group-toggle{opacity:0;-webkit-transform:translateX(10px);-ms-transform:translateX(10px);transform:translateX(10px)}.bb-dashboard-sidebar-group.with-toggle.expanded{padding-bottom:20px}.bb-dashboard-sidebar-group.has-icon .bb-dashboard-sidebar-item{padding-left:54px}.bb-dashboard-sidebar-group.disabled{opacity:.5}.bb-dashboard-sidebar-group-title{margin:0;width:100%;border:none;display:-ms-flexbox;display:flex;cursor:pointer;text-align:left;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;-ms-flex-align:center;align-items:center;padding:17px 15px;color:rgba(0,0,0,.8);background-color:transparent;transition:color .2s cubic-bezier(0,0,.2,1)}.bb-dashboard-sidebar-group-title:active>.bb-dashboard-sidebar-group-toggle{background-color:rgba(0,0,0,.08)}.bb-dashboard-sidebar-group-icon{margin-right:15px;color:rgba(0,0,0,.25)}.bb-dashboard-sidebar-group-text{width:100%;display:block;font-size:14px;max-width:100%;overflow:hidden;font-weight:500;line-height:15px;white-space:nowrap;text-overflow:ellipsis;text-transform:uppercase}.bb-dashboard-sidebar-group-toggle{width:22px;height:22px;display:-ms-flexbox;display:flex;min-width:22px;min-height:22px;margin-left:auto;border-radius:3px;-ms-flex-align:center;align-items:center;-ms-flex-pack:center;justify-content:center;transition:opacity .2s cubic-bezier(0,0,.2,1),transform .2s cubic-bezier(0,0,.2,1),background-color .2s cubic-bezier(0,0,.2,1),-webkit-transform .2s cubic-bezier(0,0,.2,1)}.bb-dashboard-sidebar-group-toggle>svg{width:10px;height:10px;fill:rgba(0,0,0,.25)}"]
            }] }
];
/** @nocollapse */
BbDashboardSidebarGroup.ctorParameters = () => [
    { type: BbDashboardSidebar, decorators: [{ type: Optional }, { type: Host }] }
];
BbDashboardSidebarGroup.propDecorators = {
    id: [{ type: Input }],
    icon: [{ type: Input }],
    title: [{ type: Input }],
    onGroupClicked: [{ type: HostListener, args: ['click', ['$event'],] }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbDashboardSidebarItem {
    /**
     * @param {?} _sidebar
     * @param {?} _group
     */
    constructor(_sidebar, _group) {
        this._sidebar = _sidebar;
        this._group = _group;
        // Inputs.
        this.tabIndex = 0;
    }
    /**
     * @return {?}
     */
    onClick() {
        // Try to close the sidebar if it exists.
        // this will close it on mobile.
        return this._sidebar && this._sidebar.close();
    }
    /**
     * @return {?}
     */
    get attributeTabIndex() {
        // Make the items tabindex -1 so it can't
        // be tabbed to when the parent is not visible
        // or the parent is disabled.
        if (this.isHidden) {
            return -1;
        }
        // Else return the specified tabindex.
        return this.tabIndex;
    }
    /**
     * @return {?}
     */
    get isHidden() {
        return !this.isVisible || this.isDisabled;
    }
    /**
     * @private
     * @return {?}
     */
    get isVisible() {
        return this._group
            ? this._group.isExpanded
            : true;
    }
    /**
     * @private
     * @return {?}
     */
    get isDisabled() {
        return this._group
            ? this._group.disabled
            : false;
    }
}
BbDashboardSidebarItem.decorators = [
    { type: Component, args: [{
                selector: '[bb-dashboard-sidebar-item]',
                template: "<!--\n    The content between the tags will\n    be reflected here.\n-->\n<span class=\"bb-dashboard-sidebar-item-content\">\n    <ng-content></ng-content>\n</span>\n",
                changeDetection: ChangeDetectionStrategy.OnPush,
                encapsulation: ViewEncapsulation.None,
                preserveWhitespaces: false,
                host: {
                    'class': 'bb-dashboard-sidebar-item',
                    '[attr.tabindex]': 'attributeTabIndex',
                    '[attr.aria-hidden]': 'isHidden',
                    '(click)': 'onClick()'
                },
                styles: [".bb-dashboard-sidebar-item{height:0;opacity:0;padding:0;display:-ms-flexbox;display:flex;line-height:0;cursor:pointer;font-size:14px;font-weight:500;-ms-flex-align:center;align-items:center;text-decoration:none;will-change:opacity,height;color:rgba(0,0,0,.85)!important;transition:height .2s cubic-bezier(0,0,.2,1),opacity .2s cubic-bezier(0,0,.2,1) 50ms,color .2s cubic-bezier(0,0,.2,1),background-color .2s cubic-bezier(0,0,.2,1)}.bb-dashboard-sidebar-item:focus,.bb-dashboard-sidebar-item:hover{background-color:rgba(0,0,0,.02)}.bb-dashboard-sidebar-item:active{background-color:rgba(0,0,0,.04)}.bb-dashboard-sidebar-item.active,.bb-dashboard-sidebar-item.active:active,.bb-dashboard-sidebar-item.active:focus,.bb-dashboard-sidebar-item.active:hover{color:#000!important;background-color:rgba(0,0,0,.06)}.bb-dashboard-sidebar-item-content{max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}"]
            }] }
];
/** @nocollapse */
BbDashboardSidebarItem.ctorParameters = () => [
    { type: BbDashboardSidebar, decorators: [{ type: Optional }, { type: Host }] },
    { type: BbDashboardSidebarGroup, decorators: [{ type: Optional }, { type: Host }] }
];
BbDashboardSidebarItem.propDecorators = {
    tabIndex: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
const DECLARATIONS_EXPORTS$2 = [
    BbDashboard,
    BbDashboardHeader,
    BbDashboardMenu,
    BbDashboardMenuItem,
    BbDashboardSidebar,
    BbDashboardSidebarGroup,
    BbDashboardSidebarItem
];
class BbDashboardModule {
}
BbDashboardModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule, RouterModule, BbElementsModule],
                declarations: [...DECLARATIONS_EXPORTS$2],
                exports: [...DECLARATIONS_EXPORTS$2]
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @enum {string} */
const BbNotificationType = {
    Success: 'success',
    Error: 'error',
    Warning: 'warning',
    Info: 'info',
    Custom: 'custom',
};
class BbNotificationsConfig {
}
/** @enum {string} */
const BbNotificationsPosition = {
    TopRight: 'flex-start|flex-end',
    BottomRight: 'flex-end|flex-end',
    TopLeft: 'flex-start|flex-start',
    BottomLeft: 'flex-end|flex-start',
};
class BbNotificationsData {
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
const s = '250ms cubic-bezier(0, 0, .2, 1)';
/** @type {?} */
const l = '400ms cubic-bezier(0, 0, .2, 1)';
/** @type {?} */
const notificationAnimation = trigger('notificationListAnimation', [
    transition('* => *', [
        query(':enter', group([
            // 1. Set the initial state.
            style({ height: 0, opacity: 0, transform: 'translateX({{ to }}%) scale(0.95)' }),
            // 2. Start the animation to show the item.
            stagger(0, [
                animate(s, style({ height: '*' })),
                animate(l, style({ opacity: 1, transform: 'translateX(0) scale(0.95)' })),
                animate(s, style({ transform: 'translateX(0) scale(1)' }))
            ])
        ]), { optional: true }),
        query(':leave', group([
            // 1. Set the initial state.
            style({ height: '*', opacity: 1, transform: 'translateX(0) scale(1)' }),
            // 2. Start the animation to hide the item.
            stagger(0, [
                animate(s, style({ transform: 'translateX(0) scale(0.95)' })),
                animate(l, style({ opacity: 0, transform: 'translateX({{ to }}%) scale(0.95)' })),
                animate(s, style({ height: 0 }))
            ])
        ]), { optional: true })
    ])
]);

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbNotificationsList {
    /**
     * @param {?} data
     */
    constructor(data) {
        this.data = data;
        // Data.
        this.dismissText = null;
        this.position = null;
        // Track by function.
        this.trackByFn = (/**
         * @param {?} _
         * @param {?} item
         * @return {?}
         */
        (_, item) => item.id);
    }
    /**
     * @return {?}
     */
    get horizontalPosition() {
        return this.location.horizontal;
    }
    /**
     * @return {?}
     */
    get verticalPosition() {
        return this.location.vertical;
    }
    /**
     * @return {?}
     */
    get animation() {
        /** @type {?} */
        const to = this.horizontalPosition === 'flex-start'
            ? -50
            : 50;
        return { to };
    }
    /**
     * @private
     * @return {?}
     */
    get location() {
        const [y, x] = (this.data.position || '').split('|');
        return { vertical: y || null, horizontal: x || null };
    }
}
BbNotificationsList.decorators = [
    { type: Component, args: [{
                selector: 'bb-notifications-list',
                template: "<!--\n    The notifications list.\n\n    The list provides the animation effect for the\n    incoming notifications.\n-->\n<div *ngIf=\"data?.data | async as notifications\"\n     [@notificationListAnimation]=\"{value: notifications?.length, params: animation}\"\n     class=\"notifications-list-wrapper\">\n    <!--\n        The loop for the notifications.\n\n        All notifications will be displayed here. They\n        are wrapped within a wrapper which separates them.\n    -->\n    <div *ngFor=\"let notification of notifications; trackBy: trackByFn\"\n         class=\"notifications-item-wrapper\">\n        <bb-notifications-item [notification]=\"notification\"\n                               [dismissButtonText]=\"data?.dismissText\">\n        </bb-notifications-item>\n    </div>\n</div>\n",
                animations: [notificationAnimation],
                changeDetection: ChangeDetectionStrategy.OnPush,
                encapsulation: ViewEncapsulation.None,
                preserveWhitespaces: false,
                host: {
                    'class': 'bb-notifications-list',
                    'role': 'list'
                },
                styles: [".bb-notifications-list{top:0;left:0;right:0;bottom:0;z-index:1100;padding:10px;display:-ms-flexbox;display:flex;position:fixed;pointer-events:none}.notifications-list-wrapper{width:100%;display:block;max-width:400px;position:relative}.notifications-item-wrapper{padding:0;margin:0 0 10px;pointer-events:all}"]
            }] }
];
/** @nocollapse */
BbNotificationsList.ctorParameters = () => [
    { type: BbNotificationsData }
];
BbNotificationsList.propDecorators = {
    horizontalPosition: [{ type: HostBinding, args: ['style.justify-content',] }],
    verticalPosition: [{ type: HostBinding, args: ['style.align-items',] }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbNotificationsInjector {
    /**
     * @param {?} _parentInjector
     * @param {?} _additionalTokens
     */
    constructor(_parentInjector, _additionalTokens) {
        this._parentInjector = _parentInjector;
        this._additionalTokens = _additionalTokens;
    }
    /**
     * @param {?} token
     * @param {?=} notFoundValue
     * @param {?=} flags
     * @return {?}
     */
    get(token, notFoundValue, flags) {
        // First check if the additional token
        // contains the token.
        /** @type {?} */
        const value = this._additionalTokens.get(token);
        // If that value exists return it.
        if (value) {
            return value;
        }
        // Else query the parent injector.
        return this._parentInjector.get(token, notFoundValue);
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbNotifications {
    /**
     * @param {?} _injector
     * @param {?} _platform
     * @param {?} _applicationRef
     * @param {?} _localize
     * @param {?} _config
     * @param {?} _componentFactoryResolver
     */
    constructor(_injector, _platform, _applicationRef, _localize, _config, _componentFactoryResolver) {
        this._injector = _injector;
        this._platform = _platform;
        this._applicationRef = _applicationRef;
        this._localize = _localize;
        this._config = _config;
        this._componentFactoryResolver = _componentFactoryResolver;
        // The data containing the notifications.
        this._notifications$ = new BehaviorSubject([]);
        this.getProperty = (/**
         * @param {?} property
         * @param {?} defaultValue
         * @return {?}
         */
        (property, defaultValue) => {
            return typeof property === 'undefined'
                ? defaultValue
                : property;
        });
        // Get the config.
        /** @type {?} */
        const config = this._config || {};
        // Set the config.
        this._defaultMode = this.getProperty(config.mode, 'prepend');
        this._defaultTimeout = this.getProperty(config.timeout, 8000);
        this._defaultLocalize = this.getProperty(config.localize, false);
        this._defaultDismiss = this.getProperty(config.dismiss, true);
        this._defaultDismissText = this.getProperty(config.dismissText, 'Dismiss');
        this._defaultPosition = this.getProperty(config.position, BbNotificationsPosition.TopRight);
        // Create the element that holds all notifications.
        this.createElement();
    }
    /**
     * @param {?} content
     * @param {?=} actions
     * @param {?=} timeout
     * @return {?}
     */
    success(content, actions = [], timeout = this._defaultTimeout) {
        return this.create({ content, timeout, actions, type: BbNotificationType.Success });
    }
    /**
     * @param {?} content
     * @param {?=} actions
     * @param {?=} timeout
     * @return {?}
     */
    error(content, actions = [], timeout = this._defaultTimeout) {
        return this.create({ content, timeout, actions, type: BbNotificationType.Error });
    }
    /**
     * @param {?} content
     * @param {?=} actions
     * @param {?=} timeout
     * @return {?}
     */
    warn(content, actions = [], timeout = this._defaultTimeout) {
        return this.create({ content, timeout, actions, type: BbNotificationType.Warning });
    }
    /**
     * @param {?} content
     * @param {?=} actions
     * @param {?=} timeout
     * @return {?}
     */
    info(content, actions = [], timeout = this._defaultTimeout) {
        return this.create({ content, timeout, actions, type: BbNotificationType.Info });
    }
    /**
     * @param {?} notification
     * @return {?}
     */
    create(notification) {
        // Compose a new notification item.
        /** @type {?} */
        const item = this.compose(notification);
        // Add the destroy function to the notification.
        item.destroy = (/**
         * @return {?}
         */
        () => this.pull(item));
        // Add the notification to the list
        // and return the item.
        return this.push(item);
    }
    /**
     * @private
     * @param {?} notification
     * @return {?}
     */
    push(notification) {
        // Get the current list.
        /** @type {?} */
        const oldList = this._notifications$.getValue();
        // Check which mode is activated.
        /** @type {?} */
        let newList = [...oldList];
        switch (this._defaultMode) {
            case 'append':
                newList = [...oldList, notification];
                break;
            case 'prepend':
            default:
                newList = [notification, ...oldList];
        }
        // Push the new notifications.
        this._notifications$.next(newList);
        // Return the notification for further use.
        return notification;
    }
    /**
     * @private
     * @param {?} notification
     * @return {?}
     */
    pull(notification) {
        // Get the current list.
        /** @type {?} */
        const newList = this._notifications$
            .getValue()
            .filter((/**
         * @param {?} item
         * @return {?}
         */
        item => item.id !== notification.id));
        // Push a new list.
        this._notifications$.next(newList);
    }
    /**
     * @private
     * @param {?} notification
     * @return {?}
     */
    compose(notification) {
        // Attach a random id to the notification.
        notification.id = Math.random().toString(36).substr(2, 10);
        // Set all properties.
        notification.type = this.getProperty(notification.type, BbNotificationType.Custom);
        notification.content = this.getProperty(notification.content, null);
        notification.data = this.getProperty(notification.data, {});
        notification.timeout = this.getProperty(notification.timeout, this._defaultTimeout);
        notification.localize = this.getProperty(notification.localize, this._defaultLocalize);
        notification.dismiss = this.getProperty(notification.dismiss, this._defaultDismiss);
        // Dismiss text localization.
        /** @type {?} */
        const dismissText = this.getProperty(notification.dismissText, this._defaultDismissText);
        notification.dismissText = this._defaultLocalize && this._localize
            ? this._localize.translate(dismissText)
            : dismissText;
        // Return the composed notification.
        return notification;
    }
    /**
     * @private
     * @return {?}
     */
    createElement() {
        // Create a map with the config.
        /** @type {?} */
        const map$$1 = new WeakMap();
        map$$1.set(BbNotificationsData, {
            data: this._notifications$.pipe(share()),
            dismissText: this._defaultDismissText,
            position: this._defaultPosition
        });
        // Create a custom injector.
        /** @type {?} */
        const notificationsInjector = new BbNotificationsInjector(this._injector, map$$1);
        // Create the notification list and
        // get a reference to the component.
        this._ref = this._componentFactoryResolver
            .resolveComponentFactory(BbNotificationsList)
            .create(notificationsInjector);
        // Detect the changes.
        this._ref.changeDetectorRef.detectChanges();
        // Attach the component's view to the application
        // so that the change detection will run properly.
        this._applicationRef.attachView(this._ref.hostView);
        // If the platform is not a browser return.
        if (!this._platform.isBrowser) {
            return;
        }
        try {
            // Append the element to the DOM.
            document.body.appendChild(this._ref.location.nativeElement);
        }
        catch (_a) {
            // Don't do anything, because it must've failed.
        }
    }
}
BbNotifications.decorators = [
    { type: Injectable }
];
/** @nocollapse */
BbNotifications.ctorParameters = () => [
    { type: Injector },
    { type: BbPlatform },
    { type: ApplicationRef },
    { type: BbLocalize, decorators: [{ type: Optional }] },
    { type: BbNotificationsConfig, decorators: [{ type: Optional }] },
    { type: ComponentFactoryResolver }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbNotificationsItem {
    /**
     * @param {?} _zone
     * @param {?} _platform
     * @param {?} _changeDetection
     */
    constructor(_zone, _platform, _changeDetection) {
        this._zone = _zone;
        this._platform = _platform;
        this._changeDetection = _changeDetection;
        // Data.
        this._progress = 0;
        this._count = 0;
        // Data.
        this._radius = 19;
        this._circumference = this._radius * 2 * Math.PI;
        this.callActionAndDestroy = (/**
         * @param {?} notification
         * @param {?} action
         * @return {?}
         */
        (notification, action) => {
            // Perform the callback (if it exists).
            action && action.callback && action.callback();
            // Call the destroy method (if it exists).
            notification && notification.destroy && notification.destroy();
        });
        this.instance = (/**
         * @return {?}
         */
        () => {
            // Calculate the difference.
            this._difference = (new Date().getTime() - this._startTime) - (this._count * this._speed);
            // Add up the count.
            if (this._count++ === this._steps) {
                this.notification.destroy();
            }
            // Add the steps to the progress.
            this._progress += 100 / this._steps;
            // Set a new timer.
            this._timer = this.setTimeout(this.instance, this._speed - this._difference);
            // Run a new change detection cycle.
            this._zone.run((/**
             * @return {?}
             */
            () => this._changeDetection.detectChanges()));
        });
        this.setTimeout = (/**
         * @param {?} method
         * @param {?} timeout
         * @return {?}
         */
        (method, timeout) => {
            // Check if the window and method exist.
            if (!window || !window.setTimeout) {
                return null;
            }
            return window.setTimeout(method, timeout);
        });
    }
    /**
     * @return {?}
     */
    get getClass() {
        return `bb-notifications-item ${this.notification.type}`;
    }
    /**
     * @return {?}
     */
    get progressStrokeArray() {
        /** @type {?} */
        const value = Math.floor(this._circumference);
        return `${value}, ${value}`;
    }
    /**
     * @return {?}
     */
    get progressStrokeOffset() {
        return Math.floor(this._circumference - this._progress / 100 * this._circumference);
    }
    /**
     * @return {?}
     */
    get isContentString() {
        return typeof this.notification.content === 'string';
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        // Check if the notification timeout is not 0 and the platform is a browser.
        if (this.notification.timeout <= 0 || !this._platform.isBrowser) {
            this.notification.dismiss = true;
            return;
        }
        // Start the timeout.
        this.startTimeout();
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        // Clear the timeout if it was set.
        this._timer && window && window.clearTimeout && window.clearTimeout(this._timer);
    }
    /**
     * @private
     * @return {?}
     */
    startTimeout() {
        // Calculate the steps of the timeout.
        this._steps = this.notification.timeout / 10;
        // Calculate the speed of the timeout.
        this._speed = this.notification.timeout / this._steps;
        // Get the start time.
        this._startTime = new Date().getTime();
        // Set a new timer outside of Angular.
        this._zone.runOutsideAngular((/**
         * @return {?}
         */
        () => this._timer = this.setTimeout(this.instance, this._speed)));
    }
}
BbNotificationsItem.decorators = [
    { type: Component, args: [{
                selector: 'bb-notifications-item',
                template: "<div class=\"notification-content-wrapper\">\n    <!--\n        The icon for the notification.\n\n        The icon is reflected by the type of the\n        notification. Same goes for the color and\n        background-color.\n    -->\n    <div [style.color]=\"notification?.color\"\n         [style.background-color]=\"notification?.backgroundColor\"\n         class=\"notification-icon-wrapper\">\n        <svg xmlns=\"http://www.w3.org/2000/svg\"\n             viewBox=\"0 0 16 19.5\"\n             class=\"notification-icon\">\n            <path\n                d=\"M8 19.5c1.1 0 2-.9 2-2H6c0 1.1.9 2 2 2zM14 13.5v-5c0-3.1-1.6-5.6-4.5-6.3v-.7C9.5.7 8.8 0 8 0S6.5.7 6.5 1.5v.7C3.6 2.9 2 5.4 2 8.5v5l-2 2v1h16v-1l-2-2z\">\n            </path>\n        </svg>\n\n        <!--\n            The circular progress for the notification.\n\n            The progress is only visible when a timeout is\n            set. The progress adapts to the time remaining\n            for the notification.\n        -->\n        <svg *ngIf=\"notification?.timeout > 0\"\n             class=\"notification-progress-ring\"\n             viewBox=\"0 0 40 40\"\n             role=\"progressbar\">\n            <circle #progress\n                    [attr.stroke-dasharray]=\"progressStrokeArray\"\n                    [attr.stroke-dashoffset]=\"progressStrokeOffset\"\n                    [style.stroke]=\"notification?.color\"\n                    class=\"notification-progress-circle\"\n                    stroke-width=\"2\"\n                    fill=\"transparent\"\n                    r=\"19\"\n                    cx=\"20\"\n                    cy=\"20\">\n            </circle>\n        </svg>\n    </div>\n\n    <!--\n        The content for the notification.\n\n        This displays a string or a template based\n        on the given parameter by the user.\n    -->\n    <div class=\"notification-content\">\n        <ng-container *ngIf=\"isContentString; else templateContent\"\n                      [ngSwitch]=\"notification?.localize\">\n            <ng-container *ngSwitchCase=\"true\">\n                {{ notification?.content | bbLocalize:{data: notification?.data} }}\n            </ng-container>\n            <ng-container *ngSwitchDefault>\n                {{ notification?.content }}\n            </ng-container>\n        </ng-container>\n    </div>\n</div>\n\n<!--\n    The actions of the notification.\n\n    All actions are displayed here and are\n    based on the actions array the user provided.\n-->\n<div *ngIf=\"notification?.actions?.length > 0 || notification?.dismiss\"\n     class=\"notification-actions\">\n    <button *ngFor=\"let action of notification?.actions\"\n            (click)=\"callActionAndDestroy(notification, action)\"\n            type=\"button\"\n            [class.destructive]=\"action?.type === 'cancel'\"\n            class=\"notification-actions-button\">\n        <span [ngSwitch]=\"notification?.localize\"\n              class=\"notification-actions-button-highlight\">\n            <ng-container *ngSwitchCase=\"true\">\n                {{ action?.title | bbLocalize:{data: notification?.data} }}\n            </ng-container>\n            <ng-container *ngSwitchDefault>\n                {{ action?.title }}\n            </ng-container>\n        </span>\n    </button>\n    <button *ngIf=\"notification?.dismiss\"\n            (click)=\"notification?.destroy()\"\n            class=\"notification-actions-button destructive\"\n            type=\"button\">\n        <span class=\"notification-actions-button-highlight\">\n            {{ notification?.dismissText || dismissButtonText }}\n        </span>\n    </button>\n</div>\n\n<!--\n    The outlet for the notification content template ref.\n-->\n<ng-template #templateContent>\n    <ng-container *ngTemplateOutlet=\"notification?.content\"></ng-container>\n</ng-template>\n",
                changeDetection: ChangeDetectionStrategy.OnPush,
                encapsulation: ViewEncapsulation.None,
                preserveWhitespaces: false,
                host: {
                    'role': 'alert'
                },
                styles: [".bb-notifications-item{display:-ms-flexbox;display:flex;border-radius:4px;-ms-flex-direction:column;flex-direction:column;background-color:#fff;border:1px solid #d6dbe0}.bb-notifications-item.success .notification-icon-wrapper{color:#2dc05d;background-color:#ebfaf0}.bb-notifications-item.success .notification-progress-circle{stroke:#36d068}.bb-notifications-item.error .notification-icon-wrapper{color:#f43e3e;background-color:#feeeee}.bb-notifications-item.error .notification-progress-circle{stroke:#f55656}.bb-notifications-item.warning .notification-icon-wrapper{color:#f1ae00;background-color:#fff8e7}.bb-notifications-item.warning .notification-progress-circle{stroke:#ffbc0b}.bb-notifications-item.info .notification-icon-wrapper{color:#099bf6;background-color:#e9f6fe}.bb-notifications-item.info .notification-progress-circle{stroke:#22a5f7}.bb-notifications-item.custom .notification-icon-wrapper{color:#657385;background-color:#f3f5f6}.bb-notifications-item.custom .notification-progress-circle{stroke:#657385}.notification-content-wrapper{padding:20px;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center}.notification-icon-wrapper{width:40px;height:40px;display:-ms-flexbox;display:flex;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;position:relative;border-radius:50%;-ms-flex-align:center;align-items:center;-ms-flex-pack:center;justify-content:center;color:#657385;background-color:#f3f5f6}.notification-icon{width:100%;height:100%;padding:10px;fill:currentColor}.notification-content{-ms-flex:1;flex:1;font-size:14px;line-height:1.5;font-weight:500;margin-left:20px;color:rgba(0,0,0,.85)}.notification-content i{font-style:italic}.notification-actions-button,.notification-content{font-family:inherit}.notification-actions{display:-ms-flexbox;display:flex;margin:0 20px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;border-top:1px solid #f3f5f6}.notification-actions-button{-ms-flex:1;flex:1;border:none;color:#22a5f7;cursor:pointer;font-size:14px;font-weight:500;padding:12px 2px;text-align:center;background-color:transparent}.notification-actions-button:focus>.notification-actions-button-highlight,.notification-actions-button:hover>.notification-actions-button-highlight{background-color:rgba(34,165,247,.1)}.notification-actions-button:active>.notification-actions-button-highlight{background-color:rgba(34,165,247,.2)}.notification-actions-button.destructive{color:#f55656}.notification-actions-button.destructive:focus>.notification-actions-button-highlight,.notification-actions-button.destructive:hover>.notification-actions-button-highlight{background-color:rgba(245,86,86,.1)}.notification-actions-button.destructive:active>.notification-actions-button-highlight{background-color:rgba(245,86,86,.2)}.notification-actions-button-highlight{padding:4px 12px;border-radius:12px;display:-ms-inline-flexbox;display:inline-flex;transition:background-color 150ms cubic-bezier(0,0,.2,1)}.notification-progress-ring{top:0;left:0;right:0;bottom:0;width:100%;height:100%;position:absolute}.notification-progress-circle{-webkit-transform:rotate(-90deg);-ms-transform:rotate(-90deg);transform:rotate(-90deg);-webkit-transform-origin:50% 50%;-ms-transform-origin:50% 50%;transform-origin:50% 50%;stroke:#657385}"]
            }] }
];
/** @nocollapse */
BbNotificationsItem.ctorParameters = () => [
    { type: NgZone },
    { type: BbPlatform },
    { type: ChangeDetectorRef }
];
BbNotificationsItem.propDecorators = {
    notification: [{ type: Input }],
    dismissButtonText: [{ type: Input }],
    progressElementRef: [{ type: ViewChild, args: ['progress',] }],
    getClass: [{ type: HostBinding, args: ['class',] }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BbNotificationsModule {
    /**
     * @param {?=} config
     * @return {?}
     */
    static forRoot(config) {
        return {
            ngModule: BbNotificationsModule,
            providers: [
                { provide: BbNotificationsConfig, useValue: config },
                BbNotifications
            ]
        };
    }
}
BbNotificationsModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule, BbLocalizeModule],
                declarations: [BbNotificationsList, BbNotificationsItem],
                entryComponents: [BbNotificationsList]
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { BbPlatform, BbLanguage, BbStorage, BbImage, BbInterpolator, BbJwt, BbPlaceholder, BbRegex, BbValidator, BbApiConfig, BbDataSourceRequest, BbApiDataSource, BbApiMapper, BbApi, BbApiError, BbApiModule, BbAuthConfig, BbAuthMapper, BbAuth, BbAuthModule, getErrors, BbElementsModule, BbTemplate, BbFocus, BbFocusTrap, BbSelect, BbInput, BbAutosize, BbSuffix, BbPrefix, BbSpinner, BbButton, BbAnchor, BbIcon, BbFormControl, BbFormGroup, BbCheckbox, BbTableColumnDef, BbTable, BbTableCell, BbTableHeaderCell, BbTableModule, BbDialogRef, BbDialogConfig, BbDialogOverlay, BbDialogModal, BbDialogHeader, BbDialogActions, BbDialog, BbDialogModule, BbDashboard, BbDashboardHeader, BbDashboardMenu, BbDashboardMenuItem, BbDashboardSidebar, BbDashboardSidebarGroup, BbDashboardSidebarItem, BbDashboardModule, BbNotificationType, BbNotificationsConfig, BbNotificationsPosition, BbNotificationsData, BbNotifications, BbNotificationsModule, BB_LOCALIZE_EXTRA_DICTIONARY, BbLocalizeConfig, BbLocalize, BbLocalizePipe, initializeLocale, getLocale, BbLocalizeModule, BB_ELEMENTS_MATERIAL_ICON, BB_ELEMENTS_ENGLISH_LOCALIZATION, BB_ELEMENTS_DUTCH_LOCALIZATION, BbAuthInterceptor as ɵa, BbDialogConfirm as ɵi, BbDialogContainer as ɵg, BbDialogInsertion as ɵh, BB_ELEMENTS_ERRORS as ɵc, BB_ELEMENTS_ICONS as ɵb, BbNotificationsItem as ɵl, BbNotificationsList as ɵj, notificationAnimation as ɵk, BbTablePager as ɵf };

//# sourceMappingURL=bravobit-bb-foundation.js.map