import { DomSanitizer } from '@angular/platform-browser';
import { HttpClient, HttpClientModule, HttpErrorResponse, HTTP_INTERCEPTORS } from '@angular/common/http';
import { FormGroupDirective, NgControl, NG_VALUE_ACCESSOR, FormControl, FormsModule, ReactiveFormsModule } from '@angular/forms';
import { Router, RouterModule } from '@angular/router';
import { __read, __spread, __assign, __extends, __awaiter, __generator, __rest } from 'tslib';
import { animate, group, query, style, transition, trigger, stagger } from '@angular/animations';
import { from, of, BehaviorSubject, throwError, Subject, EMPTY, merge, combineLatest } from 'rxjs';
import { catchError, first, map, filter, tap, finalize, switchMap, take, delay, mapTo, debounceTime, distinctUntilChanged, startWith, share } from 'rxjs/operators';
import { isPlatformBrowser, CommonModule } from '@angular/common';
import { Inject, Injectable, Optional, PLATFORM_ID, Directive, ViewContainerRef, ChangeDetectionStrategy, Component, ViewChild, ViewEncapsulation, InjectionToken, ChangeDetectorRef, ComponentFactoryResolver, HostListener, EventEmitter, Input, Output, ElementRef, HostBinding, NgZone, NgModule, SkipSelf, TemplateRef, Renderer2, Pipe, APP_INITIALIZER, LOCALE_ID, ApplicationRef, Injector, Host, defineInjectable, inject, forwardRef, ContentChildren } from '@angular/core';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
var hasV8BreakIterator = (typeof Intl !== 'undefined' && ((/** @type {?} */ (Intl))).v8BreakIterator);
var BbPlatform = /** @class */ (function () {
    function BbPlatform(_platformId) {
        this._platformId = _platformId;
    }
    Object.defineProperty(BbPlatform.prototype, "isBrowser", {
        // Browser check.
        get: 
        // Browser check.
        /**
         * @return {?}
         */
        function () {
            return this._platformId
                ? isPlatformBrowser(this._platformId)
                : typeof document === 'object' && !!document;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbPlatform.prototype, "isTrident", {
        // Rendering engines.
        get: 
        // Rendering engines.
        /**
         * @return {?}
         */
        function () {
            return this.isBrowser && /(msie|trident)/i.test(navigator.userAgent);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbPlatform.prototype, "isBlink", {
        get: /**
         * @return {?}
         */
        function () {
            return this.isBrowser && (!!(((/** @type {?} */ (window))).chrome || hasV8BreakIterator) &&
                typeof CSS !== 'undefined' && !this.isEdge && !this.isTrident);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbPlatform.prototype, "isWebkit", {
        get: /**
         * @return {?}
         */
        function () {
            return this.isBrowser && /AppleWebKit/i.test(navigator.userAgent)
                && !this.isBlink && !this.isEdge && !this.isTrident;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbPlatform.prototype, "isChrome", {
        // Browsers.
        get: 
        // Browsers.
        /**
         * @return {?}
         */
        function () {
            return this.isBrowser && /Google Inc./.test(navigator.vendor);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbPlatform.prototype, "isEdge", {
        get: /**
         * @return {?}
         */
        function () {
            return this.isBrowser && /(edge)/i.test(navigator.userAgent);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbPlatform.prototype, "isFirefox", {
        get: /**
         * @return {?}
         */
        function () {
            return this.isBrowser && /(firefox|minefield)/i.test(navigator.userAgent);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbPlatform.prototype, "isSafari", {
        get: /**
         * @return {?}
         */
        function () {
            return this.isBrowser && /safari/i.test(navigator.userAgent) && this.isWebkit;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbPlatform.prototype, "isIos", {
        // Platforms.
        get: 
        // Platforms.
        /**
         * @return {?}
         */
        function () {
            return this.isBrowser && /iPad|iPhone|iPod/.test(navigator.userAgent) && !('MSStream' in window);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbPlatform.prototype, "isAndroid", {
        get: /**
         * @return {?}
         */
        function () {
            return this.isBrowser && /android/i.test(navigator.userAgent) && !this.isTrident;
        },
        enumerable: true,
        configurable: true
    });
    BbPlatform.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    /** @nocollapse */
    BbPlatform.ctorParameters = function () { return [
        { type: Object, decorators: [{ type: Optional }, { type: Inject, args: [PLATFORM_ID,] }] }
    ]; };
    /** @nocollapse */ BbPlatform.ngInjectableDef = defineInjectable({ factory: function BbPlatform_Factory() { return new BbPlatform(inject(PLATFORM_ID, 8)); }, token: BbPlatform, providedIn: "root" });
    return BbPlatform;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbLanguage = /** @class */ (function () {
    function BbLanguage() {
        this.getLanguages = (/**
         * @return {?}
         */
        function () {
            if (typeof navigator !== 'object') {
                return null;
            }
            /** @type {?} */
            var t = 'anguage';
            /** @type {?} */
            var n = navigator;
            /** @type {?} */
            var f = n['l' + t + 's'];
            /** @type {?} */
            var data = f && f.length ? f : (t = n['l' + t] ||
                n['browserL' + t] ||
                n['userL' + t]) ? [t] : t;
            return typeof data === 'string'
                ? data
                : data.join(';');
        });
    }
    Object.defineProperty(BbLanguage.prototype, "all", {
        get: /**
         * @return {?}
         */
        function () {
            // Get the languages.
            /** @type {?} */
            var data = this.getLanguages();
            // Parse all languages by using a regex.
            /** @type {?} */
            var strings = (data || '')
                .match(/((([a-zA-Z]+(-[a-zA-Z0-9]+){0,2})|\*)(;q=[0-1](\.[0-9]+)?)?)*/g);
            // Get the content by parsing the strings.
            /** @type {?} */
            var content = strings.map((/**
             * @param {?} item
             * @return {?}
             */
            function (item) {
                if (!item) {
                    return null;
                }
                /** @type {?} */
                var bits = item.split(';');
                /** @type {?} */
                var ietf = bits[0].split('-');
                /** @type {?} */
                var hasScript = ietf.length === 3;
                return {
                    code: ietf[0],
                    script: hasScript ? ietf[1] : null,
                    region: hasScript ? ietf[2] : ietf[1],
                    quality: bits[1] ? parseFloat(bits[1].split('=')[1]) : 1.0
                };
            }));
            // Filter out all the empty items
            // and sort them by the quality.
            return content
                .filter((/**
             * @param {?} item
             * @return {?}
             */
            function (item) { return !!item; }))
                .sort((/**
             * @param {?} a
             * @param {?} b
             * @return {?}
             */
            function (a, b) { return b.quality - a.quality; }));
        },
        enumerable: true,
        configurable: true
    });
    BbLanguage.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    /** @nocollapse */ BbLanguage.ngInjectableDef = defineInjectable({ factory: function BbLanguage_Factory() { return new BbLanguage(); }, token: BbLanguage, providedIn: "root" });
    return BbLanguage;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbStorage = /** @class */ (function () {
    function BbStorage() {
        this._store = {};
        // The availability of the local storage.
        this._available = false;
        this.isStorageAvailable = (/**
         * @return {?}
         */
        function () {
            if (typeof localStorage !== 'undefined') {
                try {
                    localStorage.setItem('feature_test', 'yes');
                    if (localStorage.getItem('feature_test') === 'yes') {
                        localStorage.removeItem('feature_test');
                        return true;
                    }
                    else {
                        return false;
                    }
                }
                catch (_a) {
                    return false;
                }
            }
            else {
                return false;
            }
        });
        // Validate if the localstorage is available.
        this._available = this.isStorageAvailable();
    }
    /**
     * @template T
     * @param {?} token
     * @return {?}
     */
    BbStorage.prototype.get = /**
     * @template T
     * @param {?} token
     * @return {?}
     */
    function (token) {
        if (!this._available) {
            /** @type {?} */
            var value = this._store[token];
            return value === undefined
                ? null
                : value;
        }
        // Retrieve the raw data from the local storage.
        /** @type {?} */
        var rawData = localStorage.getItem(token);
        // Try to parse the data.
        /** @type {?} */
        var parsedData = null;
        // Only parse the data when it is not null.
        if (rawData !== null) {
            try {
                parsedData = JSON.parse(rawData);
            }
            catch (error) {
                throw new Error('The raw data cannot be parsed; Invalid data in the storage.');
            }
        }
        // Return the parsed data.
        return parsedData;
    };
    /**
     * @template T
     * @param {?} token
     * @param {?} data
     * @return {?}
     */
    BbStorage.prototype.set = /**
     * @template T
     * @param {?} token
     * @param {?} data
     * @return {?}
     */
    function (token, data) {
        if (!this._available) {
            this._store[token] = data;
            return;
        }
        // Stringify the data.
        /** @type {?} */
        var rawData = JSON.stringify(data);
        // Set the raw data in the storage.
        return localStorage.setItem(token, rawData);
    };
    /**
     * @param {?} token
     * @return {?}
     */
    BbStorage.prototype.remove = /**
     * @param {?} token
     * @return {?}
     */
    function (token) {
        if (!this._available) {
            delete this._store[token];
            return;
        }
        return localStorage.removeItem(token);
    };
    /**
     * @return {?}
     */
    BbStorage.prototype.clear = /**
     * @return {?}
     */
    function () {
        // If available clear the local storage.
        if (this._available) {
            return localStorage.clear();
        }
        // Else reset the store object.
        this._store = {};
    };
    BbStorage.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    /** @nocollapse */
    BbStorage.ctorParameters = function () { return []; };
    /** @nocollapse */ BbStorage.ngInjectableDef = defineInjectable({ factory: function BbStorage_Factory() { return new BbStorage(); }, token: BbStorage, providedIn: "root" });
    return BbStorage;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbImage = /** @class */ (function () {
    function BbImage(_platform) {
        this._platform = _platform;
        // Data.
        this._types = ['image/png', 'image/jpeg'];
        this.calculateOffsetAndDimensions = (/**
         * @param {?} image
         * @param {?} canvasWidth
         * @param {?} canvasHeight
         * @return {?}
         */
        function (image, canvasWidth, canvasHeight) {
            /** @type {?} */
            var originalWidth = image.width;
            /** @type {?} */
            var originalHeight = image.height;
            /** @type {?} */
            var widthRatio = canvasWidth / originalWidth;
            /** @type {?} */
            var heightRatio = canvasHeight / originalHeight;
            /** @type {?} */
            var width = 0;
            /** @type {?} */
            var height = 0;
            if (originalWidth > originalHeight) {
                height = originalHeight * heightRatio;
                width = (originalWidth / originalHeight) * height;
            }
            else {
                width = originalWidth * widthRatio;
                height = (originalHeight / originalWidth) * width;
            }
            /** @type {?} */
            var xOffset = 0;
            /** @type {?} */
            var yOffset = 0;
            if (canvasHeight === height) {
                xOffset = -((width - canvasWidth) / 2);
            }
            else if (canvasWidth === width) {
                yOffset = -((height - canvasHeight) / 2);
            }
            return { xOffset: xOffset, yOffset: yOffset, width: width, height: height };
        });
    }
    /**
     * @param {?} contents
     * @param {?=} options
     * @return {?}
     */
    BbImage.prototype.toDataUri = /**
     * @param {?} contents
     * @param {?=} options
     * @return {?}
     */
    function (contents, options) {
        if (options === void 0) { options = null; }
        return __awaiter(this, void 0, void 0, function () {
            var image, canvasWidth, canvasHeight, canvas, context, _a, width, height, xOffset, yOffset;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        // Check if the current platform is a browser.
                        if (!this._platform.isBrowser) {
                            return [2 /*return*/, null];
                        }
                        // Get the image.
                        return [4 /*yield*/, this.getImage(contents)];
                    case 1:
                        image = _b.sent();
                        // Get the canvas width and height.
                        canvasWidth = (options && options.width) || image.width;
                        canvasHeight = (options && options.height) || image.height;
                        // Get the canvas and context.
                        canvas = document.createElement('canvas');
                        context = canvas.getContext('2d');
                        canvas.width = canvasWidth;
                        canvas.height = canvasHeight;
                        // Check if dimensions where supplied, else create the image.
                        if (!options) {
                            // Draw the image.
                            context.drawImage(image, 0, 0);
                            // Convert the canvas to a data url.
                            return [2 /*return*/, canvas.toDataURL(this._types[0])];
                        }
                        // Get the dimensions and offsets.
                        _a = this.calculateOffsetAndDimensions(image, canvasWidth, canvasHeight), width = _a.width, height = _a.height, xOffset = _a.xOffset, yOffset = _a.yOffset;
                        // Draw the image.
                        context.drawImage(image, 0, 0, image.width, image.height, xOffset, yOffset, width, height);
                        // Convert the canvas to a data url.
                        return [2 /*return*/, canvas.toDataURL(this._types[0])];
                }
            });
        });
    };
    /**
     * @private
     * @param {?} contents
     * @return {?}
     */
    BbImage.prototype.getImage = /**
     * @private
     * @param {?} contents
     * @return {?}
     */
    function (contents) {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                // If the contents is already an HTML image element just return it.
                if (contents instanceof HTMLImageElement) {
                    return [2 /*return*/, contents];
                }
                // If the contents is a file convert it to an HTML image element.
                if (contents instanceof File) {
                    return [2 /*return*/, this.fileToImage(contents)];
                }
                // If the contents is a string convert it to an HTML image element.
                if (typeof contents === 'string') {
                    return [2 /*return*/, this.stringToImage(contents)];
                }
                return [2 /*return*/];
            });
        });
    };
    /**
     * @private
     * @param {?} file
     * @return {?}
     */
    BbImage.prototype.fileToImage = /**
     * @private
     * @param {?} file
     * @return {?}
     */
    function (file) {
        var _this = this;
        return new Promise((/**
         * @param {?} resolve
         * @param {?} reject
         * @return {?}
         */
        function (resolve, reject) {
            // Check if the file matches an image.
            if (!_this._types.includes(file.type)) {
                return reject('The selected file does not meet the required format.');
            }
            /** @type {?} */
            var fileReader = new FileReader();
            fileReader.readAsDataURL(file);
            fileReader.onloadend = (/**
             * @param {?} data
             * @return {?}
             */
            function (data) { return __awaiter(_this, void 0, void 0, function () {
                var dataUri, image;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            // Get the data URI.
                            dataUri = data.target['result'];
                            // Convert the data URI to a image element.
                            return [4 /*yield*/, this.stringToImage(dataUri)];
                        case 1:
                            image = _a.sent();
                            // Resolve the image.
                            return [2 /*return*/, resolve(image)];
                    }
                });
            }); });
            fileReader.onerror = (/**
             * @param {?} error
             * @return {?}
             */
            function (error) { return reject(error); });
        }));
    };
    /**
     * @private
     * @param {?} src
     * @return {?}
     */
    BbImage.prototype.stringToImage = /**
     * @private
     * @param {?} src
     * @return {?}
     */
    function (src) {
        return new Promise((/**
         * @param {?} resolve
         * @param {?} reject
         * @return {?}
         */
        function (resolve, reject) {
            /** @type {?} */
            var image = new Image();
            image.src = src;
            image.onload = (/**
             * @return {?}
             */
            function () { return resolve(image); });
            image.onerror = (/**
             * @param {?} error
             * @return {?}
             */
            function (error) { return reject(error); });
        }));
    };
    BbImage.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    /** @nocollapse */
    BbImage.ctorParameters = function () { return [
        { type: BbPlatform }
    ]; };
    /** @nocollapse */ BbImage.ngInjectableDef = defineInjectable({ factory: function BbImage_Factory() { return new BbImage(inject(BbPlatform)); }, token: BbImage, providedIn: "root" });
    return BbImage;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbInterpolator = /** @class */ (function () {
    function BbInterpolator() {
        // Regex.
        this._checkSubstitution = /{([^}]+)}/g;
        this._replaceSubstitution = /[{}]/g;
        // Collection.
        this._middleware = {};
        this.log = (/**
         * @param {?} message
         * @return {?}
         */
        function (message) {
            console && console.warn && console.warn(message);
        });
        // Add some default middleware.
        this.use('lowercase', (/**
         * @param {?} value
         * @return {?}
         */
        function (value) { return (value || '').toLowerCase(); }));
        this.use('uppercase', (/**
         * @param {?} value
         * @return {?}
         */
        function (value) { return (value || '').toUpperCase(); }));
    }
    /**
     * @param {?} value
     * @param {?} data
     * @return {?}
     */
    BbInterpolator.prototype.interpolate = /**
     * @param {?} value
     * @param {?} data
     * @return {?}
     */
    function (value, data) {
        var _this = this;
        // Match all string inside of curly braces and
        // then filter out all the duplicate items, then
        // we should interpolate all those matches and return
        // the string to the user.
        return (value.match(this._checkSubstitution) || [])
            .filter((/**
         * @param {?} item
         * @param {?} index
         * @param {?} array
         * @return {?}
         */
        function (item, index, array) { return array.indexOf(item) === index; }))
            .reduce((/**
         * @param {?} string
         * @param {?} token
         * @return {?}
         */
        function (string, token) {
            /** @type {?} */
            var interpolated = _this.match(token, data);
            if (interpolated === null) {
                return string;
            }
            return string.replace(new RegExp(token, 'g'), interpolated);
        }), value);
    };
    /**
     * @param {?} token
     * @param {?} middleware
     * @return {?}
     */
    BbInterpolator.prototype.use = /**
     * @param {?} token
     * @param {?} middleware
     * @return {?}
     */
    function (token, middleware) {
        // This add the middleware function to the collection
        // so it can be used at a later time when the user
        // wants to interpolate a value with the middleware.
        this._middleware[token] = middleware;
    };
    /**
     * @private
     * @param {?} match
     * @param {?} dictionary
     * @return {?}
     */
    BbInterpolator.prototype.match = /**
     * @private
     * @param {?} match
     * @param {?} dictionary
     * @return {?}
     */
    function (match, dictionary) {
        var _this = this;
        // Remove the brackets from the match
        // so we get the data between those brackets.
        /** @type {?} */
        var data = match.replace(this._replaceSubstitution, '');
        // Get the token and the methods by splitting
        // on the pipe symbol.
        var _a = __read(data.split('|').map((/**
         * @param {?} item
         * @return {?}
         */
        function (item) { return item.trim(); }))), token = _a[0], methods = _a.slice(1);
        // Get the value for the token from
        // the dictionary.
        /** @type {?} */
        var value = dictionary[token];
        // Check if the value is undefined, if so
        // we should return null and not proceed.
        if (typeof value === 'undefined') {
            this.log("Interpolator: value was undefined for token: \"" + token + "\".");
            return null;
        }
        // Loop through all the middleware methods and try to
        // conform the string to the given parameters.
        return methods.reduce((/**
         * @param {?} string
         * @param {?} middlewareName
         * @return {?}
         */
        function (string, middlewareName) {
            // Try to retrieve the middleware from the collection.
            /** @type {?} */
            var middleware = _this._middleware[middlewareName];
            // If the middleware is missing return an error
            // so that the user knows it was not found.
            if (!middleware) {
                _this.log("Interpolator: cannot find middleware with name: \"" + middlewareName + "\".");
                return string;
            }
            // Execute the middleware function with the string.
            return middleware(string);
        }), "" + value);
    };
    BbInterpolator.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    /** @nocollapse */
    BbInterpolator.ctorParameters = function () { return []; };
    /** @nocollapse */ BbInterpolator.ngInjectableDef = defineInjectable({ factory: function BbInterpolator_Factory() { return new BbInterpolator(); }, token: BbInterpolator, providedIn: "root" });
    return BbInterpolator;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbJwt = /** @class */ (function () {
    function BbJwt(_platform) {
        this._platform = _platform;
        this.baseDecodeUnicode = (/**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            return decodeURIComponent(atob(value).replace(/(.)/g, (/**
             * @param {?} m
             * @param {?} p
             * @return {?}
             */
            function (m, p) {
                /** @type {?} */
                var code = p.charCodeAt(0).toString(16).toUpperCase();
                if (code.length < 2) {
                    code = '0' + code;
                }
                return '%' + code;
            })));
        });
    }
    /**
     * @param {?} token
     * @return {?}
     */
    BbJwt.prototype.decode = /**
     * @param {?} token
     * @return {?}
     */
    function (token) {
        // Check if the platform is a browser.
        if (!this._platform.isBrowser) {
            return null;
        }
        try {
            return JSON.parse(this.urlDecode(token.split('.')[1]));
        }
        catch (_a) {
            return null;
        }
    };
    /**
     * @private
     * @param {?} token
     * @return {?}
     */
    BbJwt.prototype.urlDecode = /**
     * @private
     * @param {?} token
     * @return {?}
     */
    function (token) {
        /** @type {?} */
        var value = token || '';
        /** @type {?} */
        var output = value.replace(/-/g, '+').replace(/_/g, '/');
        switch (output.length % 4) {
            case 0:
                break;
            case 2:
                output += '==';
                break;
            case 3:
                output += '=';
                break;
            default:
                throw 'Illegal base64url string!';
        }
        try {
            return this.baseDecodeUnicode(output);
        }
        catch (_a) {
            return atob(output);
        }
    };
    BbJwt.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    /** @nocollapse */
    BbJwt.ctorParameters = function () { return [
        { type: BbPlatform }
    ]; };
    /** @nocollapse */ BbJwt.ngInjectableDef = defineInjectable({ factory: function BbJwt_Factory() { return new BbJwt(inject(BbPlatform)); }, token: BbJwt, providedIn: "root" });
    return BbJwt;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbPlaceholder = /** @class */ (function () {
    function BbPlaceholder(_platform, _sanitizer) {
        this._platform = _platform;
        this._sanitizer = _sanitizer;
        // Data.
        this._cache = new Map();
        this._vectors = {
            user: "\n            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 100 100\">\n                <path fill=\"#c5c5c5\" d=\"M0 0h100v100H0z\"/>\n                <circle cx=\"50\" cy=\"45\" r=\"25\" fill=\"#fff\"/>\n                <ellipse cx=\"50\" cy=\"102\" rx=\"38\" ry=\"40\" fill=\"#fff\"/>\n            </svg>\n        "
        };
    }
    /**
     * @param {?} name
     * @param {?=} options
     * @return {?}
     */
    BbPlaceholder.prototype.png = /**
     * @param {?} name
     * @param {?=} options
     * @return {?}
     */
    function (name, options) {
        var _this = this;
        return this.asImage(name).pipe(map((/**
         * @param {?} image
         * @return {?}
         */
        function (image) {
            /** @type {?} */
            var canvas = document.createElement('canvas');
            /** @type {?} */
            var context = canvas.getContext('2d');
            /** @type {?} */
            var width = (options && options.width) || 500;
            /** @type {?} */
            var height = (options && options.height) || 500;
            canvas.width = width;
            canvas.height = height;
            context.drawImage(image, 0, 0, width, height, 0, 0, width, height);
            return canvas.toDataURL('image/png');
        })), map((/**
         * @param {?} image
         * @return {?}
         */
        function (image) { return _this.toSanitized(image, (options && options.sanitized) || false); })), catchError((/**
         * @return {?}
         */
        function () { return null; })), first());
    };
    /**
     * @param {?} name
     * @param {?=} options
     * @return {?}
     */
    BbPlaceholder.prototype.svg = /**
     * @param {?} name
     * @param {?=} options
     * @return {?}
     */
    function (name, options) {
        var _this = this;
        /** @type {?} */
        var image = this.toDataUri(name);
        /** @type {?} */
        var sanitized = (options && options.sanitized) || false;
        return of(image).pipe(map((/**
         * @param {?} image
         * @return {?}
         */
        function (image) { return _this.toSanitized(image, sanitized); })), catchError((/**
         * @return {?}
         */
        function () { return null; })));
    };
    /**
     * @private
     * @param {?} name
     * @return {?}
     */
    BbPlaceholder.prototype.toDataUri = /**
     * @private
     * @param {?} name
     * @return {?}
     */
    function (name) {
        // Validate if the cache has the image.
        /** @type {?} */
        var cacheName = name + "_svg";
        if (this._cache.has(cacheName)) {
            return this._cache.get(cacheName);
        }
        // Validate the current platform is a browser.
        if (!this._platform.isBrowser) {
            return null;
        }
        // Convert the vector to a base64 format.
        /** @type {?} */
        var baseUrl = window.btoa(this._vectors[name]);
        /** @type {?} */
        var image = "data:image/svg+xml;base64," + baseUrl;
        // Set the cache.
        this._cache.set(cacheName, image);
        // Return the image.
        return image;
    };
    /**
     * @private
     * @param {?} name
     * @return {?}
     */
    BbPlaceholder.prototype.asImage = /**
     * @private
     * @param {?} name
     * @return {?}
     */
    function (name) {
        /** @type {?} */
        var dataUri = this.toDataUri(name);
        /** @type {?} */
        var promise = new Promise((/**
         * @param {?} resolve
         * @param {?} reject
         * @return {?}
         */
        function (resolve, reject) {
            /** @type {?} */
            var image = new Image();
            image.src = dataUri;
            image.onload = (/**
             * @return {?}
             */
            function () { return resolve(image); });
            image.onerror = (/**
             * @param {?} error
             * @return {?}
             */
            function (error) { return reject(error); });
        }));
        return from(promise);
    };
    /**
     * @private
     * @param {?} image
     * @param {?=} sanitized
     * @return {?}
     */
    BbPlaceholder.prototype.toSanitized = /**
     * @private
     * @param {?} image
     * @param {?=} sanitized
     * @return {?}
     */
    function (image, sanitized) {
        if (sanitized === void 0) { sanitized = false; }
        return sanitized
            ? this._sanitizer.bypassSecurityTrustUrl(image)
            : image;
    };
    BbPlaceholder.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    /** @nocollapse */
    BbPlaceholder.ctorParameters = function () { return [
        { type: BbPlatform },
        { type: DomSanitizer }
    ]; };
    /** @nocollapse */ BbPlaceholder.ngInjectableDef = defineInjectable({ factory: function BbPlaceholder_Factory() { return new BbPlaceholder(inject(BbPlatform), inject(DomSanitizer)); }, token: BbPlaceholder, providedIn: "root" });
    return BbPlaceholder;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
var BbRegex = {
    email: /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/,
    fullNumber: /^\d*[1-9]\d*$/
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbValidator = /** @class */ (function () {
    function BbValidator() {
    }
    /**
     * @param {?} control
     * @return {?}
     */
    BbValidator.email = /**
     * @param {?} control
     * @return {?}
     */
    function (control) {
        return BbRegex.email.test(control.value)
            ? null
            : { email: { valid: false } };
    };
    /**
     * @param {?} control
     * @return {?}
     */
    BbValidator.fullNumber = /**
     * @param {?} control
     * @return {?}
     */
    function (control) {
        return BbRegex.fullNumber.test(control.value)
            ? null
            : { fullNumber: { valid: false } };
    };
    return BbValidator;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbApiConfig = /** @class */ (function () {
    function BbApiConfig() {
    }
    return BbApiConfig;
}());
var BbDataSourceRequest = /** @class */ (function () {
    function BbDataSourceRequest() {
        // Data.
        this._request$ = new BehaviorSubject(null);
    }
    Object.defineProperty(BbDataSourceRequest.prototype, "when", {
        get: /**
         * @return {?}
         */
        function () {
            return this._request$.pipe(filter((/**
             * @param {?} data
             * @return {?}
             */
            function (data) { return !!data; })));
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @param {?=} params
     * @return {?}
     */
    BbDataSourceRequest.prototype.update = /**
     * @param {?=} params
     * @return {?}
     */
    function (params) {
        if (params === void 0) { params = {}; }
        /** @type {?} */
        var currentValue = this._request$.getValue();
        // Set the page number to 1 if the query or page size was changed.
        if (currentValue && params && (currentValue.query !== params.query || currentValue.pageSize !== params.pageSize)) {
            params.pageNumber = 1;
        }
        this._request$.next(__assign({}, currentValue, params));
    };
    return BbDataSourceRequest;
}());
/**
 * @abstract
 * @template T
 */
var  /**
 * @abstract
 * @template T
 */
BbApiDataSource = /** @class */ (function () {
    function BbApiDataSource() {
    }
    return BbApiDataSource;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbApiMapper = /** @class */ (function () {
    function BbApiMapper() {
    }
    /**
     * @template T
     * @param {?} data
     * @return {?}
     */
    BbApiMapper.prototype.toPageResponse = /**
     * @template T
     * @param {?} data
     * @return {?}
     */
    function (data) {
        return {
            pageSize: (/** @type {?} */ (data['page_size'])),
            pageNumber: (/** @type {?} */ (data['page_number'])),
            totalPages: (/** @type {?} */ (data['total_pages'])),
            totalEntries: (/** @type {?} */ (data['total_entries'])),
            data: (/** @type {?} */ (data['data']))
        };
    };
    /**
     * @param {?} data
     * @return {?}
     */
    BbApiMapper.prototype.toPageRequest = /**
     * @param {?} data
     * @return {?}
     */
    function (data) {
        /** @type {?} */
        var params = {};
        params['page'] = "" + (data.pageNumber || 1);
        params['page_size'] = "" + (data.pageSize || 25);
        /** @type {?} */
        var sort = (data.sort || [])
            .map((/**
         * @param {?} __0
         * @return {?}
         */
        function (_a) {
            var name = _a.name;
            return name;
        }))
            .filter((/**
         * @param {?} name
         * @return {?}
         */
        function (name) { return !!name; }))
            .join(',');
        /** @type {?} */
        var sortDirection = (data.sort || [])
            .map((/**
         * @param {?} __0
         * @return {?}
         */
        function (_a) {
            var direction = _a.direction;
            return direction;
        }))
            .filter((/**
         * @param {?} direction
         * @return {?}
         */
        function (direction) { return !!direction; }))
            .join(',');
        if (sort.length > 0 && sortDirection.length > 0) {
            params['sort'] = sort;
            params['sort_direction'] = sortDirection;
        }
        if (data.query && data.query.length > 0 && data.queryFields && data.queryFields.length > 0) {
            params['query'] = data.query;
            params['query_fields'] = data.queryFields.join(',');
        }
        return params;
    };
    return BbApiMapper;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbApi = /** @class */ (function () {
    function BbApi(_http, _mapper, _config) {
        this._http = _http;
        this._mapper = _mapper;
        this._config = _config;
        // Validate the config exists.
        if (!this._config) {
            throw new Error('API configuration was not received properly.');
        }
        // Cache the base url.
        this._baseUrl = this._config.baseUrl;
    }
    /**
     * @template T
     * @param {?} endpoint
     * @param {?=} params
     * @param {?=} options
     * @return {?}
     */
    BbApi.prototype.page = /**
     * @template T
     * @param {?} endpoint
     * @param {?=} params
     * @param {?=} options
     * @return {?}
     */
    function (endpoint, params, options) {
        var _this = this;
        if (params === void 0) { params = {}; }
        // Compose the params and headers.
        /** @type {?} */
        var pageParams = this._mapper.toPageRequest(params);
        /** @type {?} */
        var extraParams = (options && options.params) || {};
        /** @type {?} */
        var extraHeaders = (options && options.headers) || {};
        // Return an observable so it can be a stream.
        return this.get(endpoint, {
            headers: extraHeaders,
            params: __assign({}, pageParams, extraParams)
        }).pipe(map((/**
         * @param {?} response
         * @return {?}
         */
        function (response) { return _this._mapper.toPageResponse(response); })));
    };
    /**
     * @template T
     * @param {?} endpoint
     * @param {?=} options
     * @return {?}
     */
    BbApi.prototype.get = /**
     * @template T
     * @param {?} endpoint
     * @param {?=} options
     * @return {?}
     */
    function (endpoint, options) {
        // Add the base url to the endpoint.
        /** @type {?} */
        var url = this.toAbsoluteUrl(endpoint);
        // Return an observable so it can be a stream.
        return this._http.get(url, options);
    };
    /**
     * @template T
     * @param {?} endpoint
     * @param {?} body
     * @return {?}
     */
    BbApi.prototype.post = /**
     * @template T
     * @param {?} endpoint
     * @param {?} body
     * @return {?}
     */
    function (endpoint, body) {
        return __awaiter(this, void 0, void 0, function () {
            var url;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        // Add the base url to the endpoint.
                        url = this.toAbsoluteUrl(endpoint);
                        return [4 /*yield*/, this._http.post(url, body).toPromise()];
                    case 1: 
                    // Execute the post call as a promise.
                    return [2 /*return*/, _a.sent()];
                }
            });
        });
    };
    /**
     * @template T
     * @param {?} endpoint
     * @param {?} body
     * @return {?}
     */
    BbApi.prototype.put = /**
     * @template T
     * @param {?} endpoint
     * @param {?} body
     * @return {?}
     */
    function (endpoint, body) {
        return __awaiter(this, void 0, void 0, function () {
            var url;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        // Add the base url to the endpoint.
                        url = this.toAbsoluteUrl(endpoint);
                        return [4 /*yield*/, this._http.put(url, body).toPromise()];
                    case 1: 
                    // Execute the put call as a promise.
                    return [2 /*return*/, _a.sent()];
                }
            });
        });
    };
    /**
     * @template T
     * @param {?} endpoint
     * @return {?}
     */
    BbApi.prototype.delete = /**
     * @template T
     * @param {?} endpoint
     * @return {?}
     */
    function (endpoint) {
        return __awaiter(this, void 0, void 0, function () {
            var url;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        // Add the base url to the endpoint.
                        url = this.toAbsoluteUrl(endpoint);
                        return [4 /*yield*/, this._http.delete(url).toPromise()];
                    case 1: 
                    // Execute the delete call as a promise.
                    return [2 /*return*/, _a.sent()];
                }
            });
        });
    };
    /**
     * @private
     * @param {?} endpoint
     * @return {?}
     */
    BbApi.prototype.toAbsoluteUrl = /**
     * @private
     * @param {?} endpoint
     * @return {?}
     */
    function (endpoint) {
        return "" + this._baseUrl + endpoint;
    };
    BbApi.decorators = [
        { type: Injectable }
    ];
    /** @nocollapse */
    BbApi.ctorParameters = function () { return [
        { type: HttpClient },
        { type: BbApiMapper },
        { type: BbApiConfig, decorators: [{ type: Optional }] }
    ]; };
    return BbApi;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbApiError = /** @class */ (function () {
    function BbApiError(_status, _error) {
        this._status = _status;
        this._error = _error;
    }
    Object.defineProperty(BbApiError.prototype, "status", {
        get: /**
         * @return {?}
         */
        function () {
            return this._status;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbApiError.prototype, "error", {
        get: /**
         * @return {?}
         */
        function () {
            return this._error;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @template T
     * @param {?} token
     * @param {?=} delimiter
     * @return {?}
     */
    BbApiError.prototype.get = /**
     * @template T
     * @param {?} token
     * @param {?=} delimiter
     * @return {?}
     */
    function (token, delimiter) {
        if (delimiter === void 0) { delimiter = '.'; }
        /** @type {?} */
        var tokens = (token || '').split(delimiter);
        /** @type {?} */
        var result = tokens.reduce((/**
         * @param {?} previous
         * @param {?} token
         * @return {?}
         */
        function (previous, token) {
            if (previous && previous[token]) {
                return previous[token];
            }
            return null;
        }), this._error || {});
        return (/** @type {?} */ (result));
    };
    /**
     * @param {?} token
     * @param {?=} delimiter
     * @return {?}
     */
    BbApiError.prototype.has = /**
     * @param {?} token
     * @param {?=} delimiter
     * @return {?}
     */
    function (token, delimiter) {
        if (delimiter === void 0) { delimiter = '.'; }
        return !!this.get(token, delimiter);
    };
    /**
     * @param {?} token
     * @param {?} value
     * @return {?}
     */
    BbApiError.prototype.includes = /**
     * @param {?} token
     * @param {?} value
     * @return {?}
     */
    function (token, value) {
        /** @type {?} */
        var array = this.get(token);
        return (array || []).includes(value);
    };
    return BbApiError;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbApiModule = /** @class */ (function () {
    function BbApiModule(_parent) {
        if (_parent) {
            throw new Error('BbApiModule is already loaded; Import it in the AppModule only.');
        }
    }
    /**
     * @param {?} config
     * @return {?}
     */
    BbApiModule.forRoot = /**
     * @param {?} config
     * @return {?}
     */
    function (config) {
        return {
            ngModule: BbApiModule,
            providers: [
                { provide: BbApiConfig, useValue: config },
                BbApi
            ]
        };
    };
    BbApiModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        HttpClientModule
                    ],
                    providers: [
                        { provide: BbApiMapper, useClass: BbApiMapper }
                    ]
                },] }
    ];
    /** @nocollapse */
    BbApiModule.ctorParameters = function () { return [
        { type: BbApiModule, decorators: [{ type: Optional }, { type: SkipSelf }] }
    ]; };
    return BbApiModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbAuthConfig = /** @class */ (function () {
    function BbAuthConfig() {
    }
    return BbAuthConfig;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbAuthMapper = /** @class */ (function () {
    function BbAuthMapper() {
        // Routes.
        this.login = 'auth/login';
        this.register = 'auth/register';
        this.logout = 'auth/logout';
        this.refresh = 'auth/refresh';
        this.requestPassword = 'auth/reset';
        this.resetPassword = 'auth/reset-password';
    }
    /**
     * @param {?} data
     * @return {?}
     */
    BbAuthMapper.prototype.role = /**
     * @param {?} data
     * @return {?}
     */
    function (data) {
        return data.role || null;
    };
    /**
     * @param {?} data
     * @return {?}
     */
    BbAuthMapper.prototype.toLogin = /**
     * @param {?} data
     * @return {?}
     */
    function (data) {
        // Retrieve the params.
        var token = data.token, refresh_token = data.refresh_token, user = data.user;
        // Map the data to the correct format.
        return { accessToken: token, refreshToken: refresh_token, user: user };
    };
    /**
     * @param {?} data
     * @return {?}
     */
    BbAuthMapper.prototype.toRefresh = /**
     * @param {?} data
     * @return {?}
     */
    function (data) {
        // Retrieve the params.
        var token = data.token, refresh_token = data.refresh_token;
        // Map the data to the correct format.
        return { accessToken: token, refreshToken: refresh_token };
    };
    return BbAuthMapper;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbAuth = /** @class */ (function () {
    function BbAuth(_jwt, _storage, _mapper, _api) {
        this._jwt = _jwt;
        this._storage = _storage;
        this._mapper = _mapper;
        this._api = _api;
        // Storage keys.
        this._apiUserStorageKey = 'bb-api-auth-user';
        this._apiTokenStorageKey = 'bb-api-auth-token';
        this._apiRefreshTokenStorageKey = 'bb-api-auth-refresh-token';
        // Data.
        this._user$ = new BehaviorSubject(null);
        if (!this._api) {
            throw new Error('The API is required for this module to work.');
        }
        // Fetch the user from the storage.
        /** @type {?} */
        var user = this._storage.get(this._apiUserStorageKey);
        // Cache the user in memory.
        this._user$.next(user);
    }
    Object.defineProperty(BbAuth.prototype, "isAuthenticated", {
        get: /**
         * @return {?}
         */
        function () {
            return !!this.payload;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbAuth.prototype, "user", {
        get: /**
         * @return {?}
         */
        function () {
            return this._user$.asObservable();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbAuth.prototype, "accessToken", {
        get: /**
         * @return {?}
         */
        function () {
            return this._storage.get(this._apiTokenStorageKey);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbAuth.prototype, "refreshToken", {
        get: /**
         * @return {?}
         */
        function () {
            return this._storage.get(this._apiRefreshTokenStorageKey);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbAuth.prototype, "payload", {
        get: /**
         * @return {?}
         */
        function () {
            return this._jwt.decode(this.accessToken);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @template T
     * @param {?} email
     * @param {?} password
     * @param {?=} as
     * @return {?}
     */
    BbAuth.prototype.login = /**
     * @template T
     * @param {?} email
     * @param {?} password
     * @param {?=} as
     * @return {?}
     */
    function (email, password, as) {
        return __awaiter(this, void 0, void 0, function () {
            var result, _a, accessToken, refreshToken, user;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        // Execute API call.
                        return [4 /*yield*/, this._api.post(this._mapper.login, { email: email, password: password })];
                    case 1:
                        result = _b.sent();
                        // Map to the correct response.
                        _a = this._mapper.toLogin(result), accessToken = _a.accessToken, refreshToken = _a.refreshToken, user = _a.user;
                        // Check if the role matches.
                        if (as && !as.includes(this._mapper.role(user))) {
                            throw new Error('Invalid role.');
                        }
                        // Set the tokens in storage.
                        this.setTokens(accessToken, refreshToken);
                        // Set the user in storage.
                        this.setUser(user);
                        // Return the user.
                        return [2 /*return*/, user];
                }
            });
        });
    };
    /**
     * @template T
     * @param {?} data
     * @return {?}
     */
    BbAuth.prototype.register = /**
     * @template T
     * @param {?} data
     * @return {?}
     */
    function (data) {
        return __awaiter(this, void 0, void 0, function () {
            var result, _a, accessToken, refreshToken, user;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        // Execute API call.
                        return [4 /*yield*/, this._api.post(this._mapper.register, data)];
                    case 1:
                        result = _b.sent();
                        // Map to the correct response.
                        _a = this._mapper.toLogin(result), accessToken = _a.accessToken, refreshToken = _a.refreshToken, user = _a.user;
                        // Set the tokens in storage.
                        this.setTokens(accessToken, refreshToken);
                        // Set the user in storage.
                        this.setUser(user);
                        // Return the user.
                        return [2 /*return*/, user];
                }
            });
        });
    };
    /**
     * @return {?}
     */
    BbAuth.prototype.logout = /**
     * @return {?}
     */
    function () {
        try {
            // Log the user out.
            this._api.get(this._mapper.logout, { headers: { Authorization: 'refresh' } })
                .toPromise().then((/**
             * @param {?} _
             * @return {?}
             */
            function (_) { return _; }));
        }
        catch (_a) {
            // Do nothing because the tokens will be deleted anyways from the local storage.
        }
        // Delete the tokens from the session.
        return this.clear();
    };
    /**
     * @return {?}
     */
    BbAuth.prototype.refresh = /**
     * @return {?}
     */
    function () {
        var _this = this;
        return this._api.get(this._mapper.refresh, { headers: { Authorization: 'refresh' } }).pipe(map((/**
         * @param {?} data
         * @return {?}
         */
        function (data) { return _this._mapper.toRefresh(data); })), tap((/**
         * @param {?} __0
         * @return {?}
         */
        function (_a) {
            var accessToken = _a.accessToken, refreshToken = _a.refreshToken;
            return _this.setTokens(accessToken, refreshToken);
        })), map((/**
         * @param {?} __0
         * @return {?}
         */
        function (_a) {
            var accessToken = _a.accessToken;
            return accessToken;
        })));
    };
    /**
     * @param {?} email
     * @return {?}
     */
    BbAuth.prototype.requestPassword = /**
     * @param {?} email
     * @return {?}
     */
    function (email) {
        return __awaiter(this, void 0, void 0, function () {
            var error_1;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        _a.trys.push([0, 2, , 3]);
                        return [4 /*yield*/, this._api.post(this._mapper.requestPassword, { email: email })];
                    case 1: return [2 /*return*/, _a.sent()];
                    case 2:
                        error_1 = _a.sent();
                        throw error_1;
                    case 3: return [2 /*return*/];
                }
            });
        });
    };
    /**
     * @param {?} token
     * @param {?} newPassword
     * @return {?}
     */
    BbAuth.prototype.resetPassword = /**
     * @param {?} token
     * @param {?} newPassword
     * @return {?}
     */
    function (token, newPassword) {
        return __awaiter(this, void 0, void 0, function () {
            var error_2;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        _a.trys.push([0, 2, , 3]);
                        return [4 /*yield*/, this._api.post(this._mapper.resetPassword, { token: token, password: newPassword })];
                    case 1: return [2 /*return*/, _a.sent()];
                    case 2:
                        error_2 = _a.sent();
                        throw error_2;
                    case 3: return [2 /*return*/];
                }
            });
        });
    };
    /**
     * @param {?} token
     * @param {?} refreshToken
     * @return {?}
     */
    BbAuth.prototype.setTokens = /**
     * @param {?} token
     * @param {?} refreshToken
     * @return {?}
     */
    function (token, refreshToken) {
        // Set the token if the token exists.
        if (token) {
            this._storage.set(this._apiTokenStorageKey, token);
        }
        // Set the refresh token if the refresh token exists.
        if (refreshToken) {
            this._storage.set(this._apiRefreshTokenStorageKey, refreshToken);
        }
    };
    /**
     * @template T
     * @param {?} user
     * @return {?}
     */
    BbAuth.prototype.setUser = /**
     * @template T
     * @param {?} user
     * @return {?}
     */
    function (user) {
        // Push the next user.
        this._user$.next(user);
        // Save the user in the storage.
        return this._storage.set(this._apiUserStorageKey, user);
    };
    /**
     * @return {?}
     */
    BbAuth.prototype.clear = /**
     * @return {?}
     */
    function () {
        // Delete the items from the local storage.
        this._storage.remove(this._apiUserStorageKey);
        this._storage.remove(this._apiTokenStorageKey);
        this._storage.remove(this._apiRefreshTokenStorageKey);
        // Push an empty user.
        this._user$.next(null);
    };
    BbAuth.decorators = [
        { type: Injectable }
    ];
    /** @nocollapse */
    BbAuth.ctorParameters = function () { return [
        { type: BbJwt },
        { type: BbStorage },
        { type: BbAuthMapper },
        { type: BbApi, decorators: [{ type: Optional }] }
    ]; };
    return BbAuth;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbAuthInterceptor = /** @class */ (function () {
    function BbAuthInterceptor(_auth, _router, _config) {
        var _this = this;
        this._auth = _auth;
        this._router = _router;
        this._config = _config;
        // Data.
        this.isRefreshing = false;
        this.token$ = new BehaviorSubject(null);
        this.getToken = (/**
         * @param {?} request
         * @return {?}
         */
        function (request) {
            // Get the token based on header.
            if (request.headers.get('Authorization') === 'refresh') {
                return _this._auth.refreshToken;
            }
            // Check if the user does not want authorization.
            if (request.headers.get('Authorization') === 'none') {
                return null;
            }
            // Return the default access token.
            return _this._auth.accessToken;
        });
        this.composeRequest = (/**
         * @param {?} request
         * @param {?=} token
         * @return {?}
         */
        function (request, token) {
            if (token === void 0) { token = null; }
            // If the token is not set, delete the authorization header.
            if (!token) {
                return request.clone({ headers: request.headers.delete('Authorization') });
            }
            // Clone and add the authorization header.
            return request.clone({
                setHeaders: { Authorization: "Bearer " + token }
            });
        });
    }
    /**
     * @param {?} request
     * @param {?} next
     * @return {?}
     */
    BbAuthInterceptor.prototype.intercept = /**
     * @param {?} request
     * @param {?} next
     * @return {?}
     */
    function (request, next) {
        var _this = this;
        /** @type {?} */
        var newRequest = this.composeRequest(request, this.getToken(request));
        return next.handle(newRequest).pipe(catchError((/**
         * @param {?} error
         * @return {?}
         */
        function (error) {
            // Create a custom error.
            /** @type {?} */
            var bbError = new BbApiError(error.status, error.error);
            // Check if it is an error response.
            if (!(error instanceof HttpErrorResponse)) {
                return throwError(bbError);
            }
            // Handle a 401 error.
            if (error.status === 401) {
                return _this.handle401Error(request, next);
            }
            // Just re-throw the error.
            return throwError(bbError);
        })));
    };
    /**
     * @private
     * @param {?} request
     * @param {?} next
     * @return {?}
     */
    BbAuthInterceptor.prototype.handle401Error = /**
     * @private
     * @param {?} request
     * @param {?} next
     * @return {?}
     */
    function (request, next) {
        var _this = this;
        // If already refreshing wait for the token to complete.
        if (this.isRefreshing) {
            return this.token$.pipe(filter((/**
             * @param {?} token
             * @return {?}
             */
            function (token) { return token !== null; })), take(1), switchMap((/**
             * @param {?} token
             * @return {?}
             */
            function (token) { return next.handle(_this.composeRequest(request, token)); })));
        }
        // Set the refreshing to true.
        this.isRefreshing = true;
        this.token$.next(null);
        return this._auth.refresh().pipe(switchMap((/**
         * @param {?} newToken
         * @return {?}
         */
        function (newToken) {
            if (!newToken) {
                return _this.logoutUser();
            }
            _this.token$.next(newToken);
            return next.handle(_this.composeRequest(request, newToken));
        })), catchError((/**
         * @param {?} error
         * @return {?}
         */
        function (error) { return _this.logoutUser(error); })), finalize((/**
         * @return {?}
         */
        function () {
            _this.isRefreshing = false;
        })));
    };
    /**
     * @private
     * @param {?=} error
     * @return {?}
     */
    BbAuthInterceptor.prototype.logoutUser = /**
     * @private
     * @param {?=} error
     * @return {?}
     */
    function (error) {
        // Delete the tokens from the session.
        this._auth.clear();
        // Compose the route url.
        /** @type {?} */
        var routeUrl = (this._config && this._config.redirectUrl) || '/';
        // Route back.
        this._router.navigate([routeUrl])
            .then((/**
         * @param {?} _
         * @return {?}
         */
        function (_) { return _; }));
        // Throw the error.
        return throwError(error || 'Invalid');
    };
    BbAuthInterceptor.decorators = [
        { type: Injectable }
    ];
    /** @nocollapse */
    BbAuthInterceptor.ctorParameters = function () { return [
        { type: BbAuth },
        { type: Router },
        { type: BbAuthConfig, decorators: [{ type: Optional }] }
    ]; };
    return BbAuthInterceptor;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbAuthModule = /** @class */ (function () {
    function BbAuthModule(_parent) {
        if (_parent) {
            throw new Error('BbAuthModule is already loaded; Import it in the AppModule only.');
        }
    }
    /**
     * @param {?=} config
     * @return {?}
     */
    BbAuthModule.forRoot = /**
     * @param {?=} config
     * @return {?}
     */
    function (config) {
        return {
            ngModule: BbAuthModule,
            providers: [
                { provide: BbAuthConfig, useValue: config },
                { provide: HTTP_INTERCEPTORS, useClass: BbAuthInterceptor, multi: true },
                BbAuth
            ]
        };
    };
    BbAuthModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        HttpClientModule
                    ],
                    providers: [
                        { provide: BbAuthMapper, useClass: BbAuthMapper }
                    ]
                },] }
    ];
    /** @nocollapse */
    BbAuthModule.ctorParameters = function () { return [
        { type: BbAuthModule, decorators: [{ type: Optional }, { type: SkipSelf }] }
    ]; };
    return BbAuthModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
var BB_LOCALIZE_EXTRA_DICTIONARY = new InjectionToken('bb_localize_extra_dictionary');
var BbLocalizeConfig = /** @class */ (function () {
    function BbLocalizeConfig() {
        this.dictionary = [];
    }
    return BbLocalizeConfig;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
var BB_ELEMENTS_ICONS = new InjectionToken('bb_elements_icons');
/** @type {?} */
var BB_ELEMENTS_ERRORS = new InjectionToken('bb_elements_errors');

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
var BB_ELEMENTS_MATERIAL_ICON = {
    provide: BB_ELEMENTS_ICONS,
    useValue: { namespace: 'material', className: 'material-icons', type: 'font' },
    multi: true
};
/** @type {?} */
var BB_ELEMENTS_ENGLISH_LOCALIZATION = {
    provide: BB_LOCALIZE_EXTRA_DICTIONARY,
    useValue: {
        locale: 'en-US',
        data: {
            'form-control-errors': {
                'required': 'This field is required.',
                'pattern': 'Invalid format.',
                'email': 'The field does not match a valid email address.',
                'fullNumber': 'The field should be a full number.',
                'min': 'Minimum amount should be {min}.',
                'max': 'Maximum amount should be {max}.',
                'minlength': 'Expected a minimum of {requiredLength} characters but got {actualLength} characters.',
                'maxlength': 'Expected a maximum of {requiredLength} characters but got {actualLength} characters.'
            }
        }
    },
    multi: true
};
/** @type {?} */
var BB_ELEMENTS_DUTCH_LOCALIZATION = {
    provide: BB_LOCALIZE_EXTRA_DICTIONARY,
    useValue: {
        locale: 'nl-NL',
        data: {
            'form-control-errors': {
                'required': 'Dit veld is verplicht.',
                'pattern': 'Ongeldig formaat.',
                'email': 'Het veld komt niet overeen met een geldig e-mailadres.',
                'fullNumber': 'Het veld moet een volledig getal zijn.',
                'min': 'Minimum hoeveelheid moet {min} zijn.',
                'max': 'Maximum hoeveelheid moet {max} zijn.',
                'minlength': 'Verwachtte minimaal {requiredLength} tekens, maar kreeg {actualLength} tekens.',
                'maxlength': 'Verwachtte maximaal {requiredLength} tekens, maar kreeg {actualLength} tekens.'
            }
        }
    },
    multi: true
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @param {?} value
 * @return {?}
 */
function coerceBooleanProperty(value) {
    return value != null && "" + value !== 'false';
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 * @param {?} base
 * @return {?}
 */
function mixinRequired(base) {
    return /** @class */ (function (_super) {
        __extends(class_1, _super);
        function class_1() {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var _this = _super.apply(this, __spread(args)) || this;
            _this._required = false;
            return _this;
        }
        Object.defineProperty(class_1.prototype, "required", {
            get: /**
             * @return {?}
             */
            function () {
                return this._required;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._required = coerceBooleanProperty(value);
            },
            enumerable: true,
            configurable: true
        });
        return class_1;
    }(base));
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 * @param {?} base
 * @return {?}
 */
function mixinDisabled(base) {
    return /** @class */ (function (_super) {
        __extends(class_1, _super);
        function class_1() {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var _this = _super.apply(this, __spread(args)) || this;
            _this._disable = false;
            return _this;
        }
        Object.defineProperty(class_1.prototype, "disabled", {
            get: /**
             * @return {?}
             */
            function () {
                return this._disable;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._disable = coerceBooleanProperty(value);
            },
            enumerable: true,
            configurable: true
        });
        return class_1;
    }(base));
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 * @param {?} base
 * @return {?}
 */
function mixinReadonly(base) {
    return /** @class */ (function (_super) {
        __extends(class_1, _super);
        function class_1() {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var _this = _super.apply(this, __spread(args)) || this;
            _this._readonly = false;
            return _this;
        }
        Object.defineProperty(class_1.prototype, "readonly", {
            get: /**
             * @return {?}
             */
            function () {
                return this._readonly;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._readonly = coerceBooleanProperty(value);
            },
            enumerable: true,
            configurable: true
        });
        return class_1;
    }(base));
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 * @param {?} base
 * @return {?}
 */
function mixinGrouped(base) {
    return /** @class */ (function (_super) {
        __extends(class_1, _super);
        function class_1() {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var _this = _super.apply(this, __spread(args)) || this;
            _this._grouped = false;
            return _this;
        }
        Object.defineProperty(class_1.prototype, "grouped", {
            get: /**
             * @return {?}
             */
            function () {
                return this._grouped;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._grouped = coerceBooleanProperty(value);
            },
            enumerable: true,
            configurable: true
        });
        return class_1;
    }(base));
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 * @param {?} base
 * @return {?}
 */
function mixinFocused(base) {
    return /** @class */ (function (_super) {
        __extends(class_1, _super);
        function class_1() {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var _this = _super.apply(this, __spread(args)) || this;
            _this._focused = false;
            return _this;
        }
        Object.defineProperty(class_1.prototype, "focused", {
            get: /**
             * @return {?}
             */
            function () {
                return this._focused;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._focused = coerceBooleanProperty(value);
            },
            enumerable: true,
            configurable: true
        });
        return class_1;
    }(base));
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 * @param {?} base
 * @return {?}
 */
function mixinError(base) {
    return /** @class */ (function (_super) {
        __extends(class_1, _super);
        function class_1() {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var _this = _super.apply(this, __spread(args)) || this;
            _this._error = false;
            return _this;
        }
        Object.defineProperty(class_1.prototype, "error", {
            get: /**
             * @return {?}
             */
            function () {
                return this._error;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._error = coerceBooleanProperty(value);
            },
            enumerable: true,
            configurable: true
        });
        return class_1;
    }(base));
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
var nextUniqueId = 0;
var BbFormControlBase = /** @class */ (function () {
    function BbFormControlBase() {
    }
    return BbFormControlBase;
}());
/** @type {?} */
var BbFormControlMixinBase = mixinDisabled(mixinFocused(mixinReadonly(mixinGrouped(mixinRequired(mixinError(BbFormControlBase))))));
var BbFormControl = /** @class */ (function (_super) {
    __extends(BbFormControl, _super);
    function BbFormControl(_errors) {
        var _this = _super.call(this) || this;
        _this._errors = _errors;
        // Inputs.
        _this.label = null;
        _this.hint = null;
        _this.customErrors = {};
        // Data.
        _this.arrow = false;
        _this._hideErrors = false;
        // Data.
        _this.labelId = "bb-form-control-" + nextUniqueId++;
        // Errors.
        _this.errors = new Subject();
        return _this;
    }
    Object.defineProperty(BbFormControl.prototype, "hideErrors", {
        get: /**
         * @return {?}
         */
        function () {
            return this._hideErrors;
        },
        set: /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            this._hideErrors = coerceBooleanProperty(value);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    BbFormControl.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.error$ = this.errors.pipe(map((/**
         * @param {?} errors
         * @return {?}
         */
        function (errors) {
            if (!errors || _this.hideErrors) {
                return null;
            }
            /** @type {?} */
            var token = Object.keys(errors)[0];
            /** @type {?} */
            var getError = _this.getDefaultError(token);
            /** @type {?} */
            var error = _this.customErrors[token] || (getError && getError(errors[token])) || null;
            return typeof error === 'string'
                ? { token: error }
                : error;
        })), tap((/**
         * @param {?} error
         * @return {?}
         */
        function (error) { return _this.error = !!error; })));
    };
    /**
     * @param {?} token
     * @return {?}
     */
    BbFormControl.prototype.getDefaultError = /**
     * @param {?} token
     * @return {?}
     */
    function (token) {
        /** @type {?} */
        var errors = (this._errors || []).reduce((/**
         * @param {?} previous
         * @param {?} current
         * @return {?}
         */
        function (previous, current) {
            return __assign({}, previous, current);
        }), {});
        return errors[token] || null;
    };
    BbFormControl.decorators = [
        { type: Component, args: [{
                    selector: 'bb-form-control',
                    template: "<!-- Label of the form control. -->\n<label *ngIf=\"label as labelContent\"\n       [attr.for]=\"labelId\"\n       class=\"bb-form-control-label\">\n    <ng-template [bbTemplate]=\"labelContent\">\n        {{ labelContent }}\n    </ng-template>\n</label>\n\n<!-- The input with the addons. -->\n<div class=\"bb-form-control-container\">\n    <ng-content select=\"[bbPrefix]\"></ng-content>\n    <ng-content select=\"[bbInput]\"></ng-content>\n    <ng-content select=\"[bbSuffix]\"></ng-content>\n</div>\n\n<!-- The form control error. -->\n<ng-container *ngIf=\"error$ | async as error; else hintTemplate\">\n    <p *ngIf=\"error?.token | bbLocalize:{optional: true, data: error?.data} as message\"\n       class=\"bb-form-control-error\">\n        {{ message }}\n    </p>\n</ng-container>\n\n<!-- The form control hint. -->\n<ng-template #hintTemplate>\n    <p *ngIf=\"hint as hintContent\"\n       class=\"bb-form-control-hint\">\n        <ng-template [bbTemplate]=\"hintContent\">\n            {{ hintContent }}\n        </ng-template>\n    </p>\n</ng-template>\n",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    host: {
                        'class': 'bb-form-control',
                        '[class.readonly]': 'readonly',
                        '[class.required]': 'required',
                        '[class.disabled]': 'disabled',
                        '[class.focused]': 'focused',
                        '[class.grouped]': 'grouped',
                        '[class.arrow]': 'arrow',
                        '[class.error]': 'error'
                    },
                    inputs: ['grouped'],
                    preserveWhitespaces: false,
                    styles: [".bb-form-control{color:#2d3c4d;display:block}.bb-form-control>.bb-form-control-container>.bb-prefix,.bb-form-control>.bb-form-control-container>.bb-suffix{z-index:1;margin:0 8px;color:#b4b4b4;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control.grouped{margin-bottom:20px}.bb-form-control.small{max-width:240px}.bb-form-control.medium{max-width:480px}.bb-form-control.large{max-width:720px}.bb-form-control.required>.bb-form-control-label:after{content:'*';color:#c23934;font-size:12px;line-height:1.5}.bb-form-control.disabled>.bb-form-control-container{cursor:default;pointer-events:none;background-color:rgba(204,204,204,.64)}.bb-form-control.disabled>.bb-form-control-container>input,.bb-form-control.disabled>.bb-form-control-container>select,.bb-form-control.disabled>.bb-form-control-container>textarea{color:#aaa}.bb-form-control.readonly>.bb-form-control-container{cursor:default;border:1px dotted #bdc4c9}.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container{background-color:#fff;box-shadow:inset 0 3px 0 0 rgba(183,188,194,.2),0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(0,123,255,.2)}.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>input::-webkit-input-placeholder,.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>textarea::-webkit-input-placeholder{color:#b4b4b4;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>input::-moz-placeholder,.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>textarea::-moz-placeholder{color:#b4b4b4;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>input:-ms-input-placeholder,.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>textarea:-ms-input-placeholder{color:#b4b4b4;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>input::-ms-input-placeholder,.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>textarea::-ms-input-placeholder{color:#b4b4b4;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>input::placeholder,.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>textarea::placeholder{color:#b4b4b4;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control.error>.bb-form-control-label{color:#c23934}.bb-form-control.error>.bb-form-control-container{border:1px solid #962b26;background-color:rgba(194,57,52,.25)!important;box-shadow:inset 0 3px 0 0 rgba(183,188,194,.2),0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(194,57,52,.4)!important}.bb-form-control.error>.bb-form-control-container>.bb-prefix,.bb-form-control.error>.bb-form-control-container>.bb-suffix{color:#c23934}.bb-form-control.error>.bb-form-control-container>input::-webkit-input-placeholder,.bb-form-control.error>.bb-form-control-container>textarea::-webkit-input-placeholder{color:rgba(194,57,52,.4)!important}.bb-form-control.error>.bb-form-control-container>input::-moz-placeholder,.bb-form-control.error>.bb-form-control-container>textarea::-moz-placeholder{color:rgba(194,57,52,.4)!important}.bb-form-control.error>.bb-form-control-container>input:-ms-input-placeholder,.bb-form-control.error>.bb-form-control-container>textarea:-ms-input-placeholder{color:rgba(194,57,52,.4)!important}.bb-form-control.error>.bb-form-control-container>input::-ms-input-placeholder,.bb-form-control.error>.bb-form-control-container>textarea::-ms-input-placeholder{color:rgba(194,57,52,.4)!important}.bb-form-control.error>.bb-form-control-container>input::placeholder,.bb-form-control.error>.bb-form-control-container>textarea::placeholder{color:rgba(194,57,52,.4)!important}.bb-form-control.arrow>.bb-form-control-container:after{width:20px;content:'';height:36px;display:-ms-flexbox;display:flex;min-width:20px;background-repeat:no-repeat;background-position:calc(100% - 8px) center;background-image:url('data:image/svg+xml,%3Csvg xmlns=\"http://www.w3.org/2000/svg\" x=\"12\" width=\"12\" height=\"6\" viewBox=\"0 0 6 3\"%3E%3Cpath fill=\"%23aaaaaa\" d=\"M5.992 0l-3 3-3-3z\"/%3E%3C/svg%3E')}.bb-form-control-container{width:100%;display:-ms-flexbox;display:flex;overflow:hidden;position:relative;border-radius:3px;-ms-flex-align:center;align-items:center;border:1px solid #b6bbc1;background-color:#fff8ff;transition-duration:250ms;transition-property:background-color,box-shadow;transition-timing-function:cubic-bezier(0,0,.2,1);box-shadow:inset 0 3px 0 0 rgba(183,188,194,.2),0 6px 6px -6px rgba(0,0,0,.1)}.bb-form-control-container>input::-webkit-input-placeholder,.bb-form-control-container>textarea::-webkit-input-placeholder{color:#d2d2d2;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control-container>input::-moz-placeholder,.bb-form-control-container>textarea::-moz-placeholder{color:#d2d2d2;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control-container>input:-ms-input-placeholder,.bb-form-control-container>textarea:-ms-input-placeholder{color:#d2d2d2;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control-container>input::-ms-input-placeholder,.bb-form-control-container>textarea::-ms-input-placeholder{color:#d2d2d2;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control-container>input::placeholder,.bb-form-control-container>textarea::placeholder{color:#d2d2d2;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control-container>input,.bb-form-control-container>select,.bb-form-control-container>textarea{margin:0;width:100%;border:none;color:#3d464d;font-size:16px;-webkit-appearance:none;-moz-appearance:none;appearance:none;background-color:transparent}.bb-form-control-container>input,.bb-form-control-container>select{height:36px;padding:0 8px}.bb-form-control-container>select::-ms-expand{display:none}.bb-form-control-container>textarea{resize:none;padding:12px}.bb-form-control-label{color:#000;display:block;position:relative;margin-bottom:4px;transition:color 30ms cubic-bezier(0,0,.2,1)}.bb-form-control-error,.bb-form-control-hint{display:block;font-size:13px;margin-top:4px}.bb-form-control-error{color:#c23934}.bb-form-control-hint{color:#738694}"]
                }] }
    ];
    /** @nocollapse */
    BbFormControl.ctorParameters = function () { return [
        { type: Array, decorators: [{ type: Optional }, { type: Inject, args: [BB_ELEMENTS_ERRORS,] }] }
    ]; };
    BbFormControl.propDecorators = {
        label: [{ type: Input }],
        hint: [{ type: Input }],
        customErrors: [{ type: Input }],
        hideErrors: [{ type: Input }]
    };
    return BbFormControl;
}(BbFormControlMixinBase));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbSuffix = /** @class */ (function () {
    function BbSuffix() {
    }
    BbSuffix.decorators = [
        { type: Directive, args: [{
                    selector: '[bbSuffix]',
                    host: {
                        'class': 'bb-suffix'
                    }
                },] }
    ];
    return BbSuffix;
}());
var BbPrefix = /** @class */ (function () {
    function BbPrefix() {
    }
    BbPrefix.decorators = [
        { type: Directive, args: [{
                    selector: '[bbPrefix]',
                    host: {
                        'class': 'bb-prefix'
                    }
                },] }
    ];
    return BbPrefix;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbSelect = /** @class */ (function () {
    function BbSelect(_ngControl, _formControl, _form) {
        this._ngControl = _ngControl;
        this._formControl = _formControl;
        this._form = _form;
        this.hasArrow = true;
        this._disabled = false;
        this._required = false;
    }
    /**
     * @return {?}
     */
    BbSelect.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this._subscription = merge(this.formSubmit, this.statusChanges, this.onFormReset).pipe(map((/**
         * @param {?} type
         * @return {?}
         */
        function (type) {
            /** @type {?} */
            var errors = _this._ngControl
                ? _this._ngControl.errors
                : null;
            // When the user submits always return the errors.
            if (type === 'form-submit') {
                return errors;
            }
            /** @type {?} */
            var isSubmitted = _this._form && _this._form.submitted;
            /** @type {?} */
            var isPristine = _this._form && _this._form.pristine;
            return isSubmitted && !isPristine
                ? errors
                : null;
        }))).subscribe((/**
         * @param {?} errors
         * @return {?}
         */
        function (errors) { return _this._formControl.errors.next(errors); }));
        // Set an arrow on the form control if
        // it requires one.
        this._formControl.arrow = this.hasArrow;
    };
    /**
     * @return {?}
     */
    BbSelect.prototype.ngOnDestroy = /**
     * @return {?}
     */
    function () {
        this._subscription && this._subscription.unsubscribe();
    };
    /**
     * @param {?} hasFocus
     * @return {?}
     */
    BbSelect.prototype.setFocus = /**
     * @param {?} hasFocus
     * @return {?}
     */
    function (hasFocus) {
        if (!this._formControl) {
            return;
        }
        this._formControl.focused = hasFocus;
    };
    Object.defineProperty(BbSelect.prototype, "id", {
        get: /**
         * @return {?}
         */
        function () {
            return this._formControl && this._formControl.labelId;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbSelect.prototype, "disabled", {
        get: /**
         * @return {?}
         */
        function () {
            if (this._ngControl && this._ngControl.disabled !== null) {
                return this._ngControl.disabled;
            }
            return this._disabled;
        },
        set: /**
         * @param {?} newValue
         * @return {?}
         */
        function (newValue) {
            this._disabled = coerceBooleanProperty(newValue);
            if (!this._formControl) {
                return;
            }
            this._formControl.disabled = this._disabled;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbSelect.prototype, "required", {
        get: /**
         * @return {?}
         */
        function () {
            return this._required;
        },
        set: /**
         * @param {?} newValue
         * @return {?}
         */
        function (newValue) {
            this._required = coerceBooleanProperty(newValue);
            if (!this._formControl) {
                return;
            }
            this._formControl.required = this._required;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbSelect.prototype, "formSubmit", {
        get: /**
         * @private
         * @return {?}
         */
        function () {
            if (!this._form) {
                return EMPTY;
            }
            return this._form.ngSubmit.pipe(mapTo('form-submit'));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbSelect.prototype, "statusChanges", {
        get: /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            if (!this._ngControl) {
                return EMPTY;
            }
            return this._ngControl.statusChanges.pipe(delay(1), filter((/**
             * @return {?}
             */
            function () { return !_this._form.pristine; })), mapTo('control-status-change'));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbSelect.prototype, "onFormReset", {
        get: /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            if (!this._form) {
                return EMPTY;
            }
            return this._form.valueChanges.pipe(delay(1), filter((/**
             * @return {?}
             */
            function () { return !_this._form.pristine; })), mapTo('form-value-change'));
        },
        enumerable: true,
        configurable: true
    });
    BbSelect.decorators = [
        { type: Directive, args: [{
                    selector: 'select[bbInput]',
                    host: {
                        '[disabled]': 'disabled',
                        '(focus)': 'setFocus(true)',
                        '(blur)': 'setFocus(false)'
                    }
                },] }
    ];
    /** @nocollapse */
    BbSelect.ctorParameters = function () { return [
        { type: NgControl, decorators: [{ type: Optional }] },
        { type: BbFormControl, decorators: [{ type: Optional }] },
        { type: FormGroupDirective, decorators: [{ type: Optional }, { type: Host }] }
    ]; };
    BbSelect.propDecorators = {
        id: [{ type: HostBinding, args: ['attr.id',] }],
        disabled: [{ type: Input }],
        required: [{ type: Input }]
    };
    return BbSelect;
}());
var BbInput = /** @class */ (function (_super) {
    __extends(BbInput, _super);
    function BbInput(_ngControl, _formControl, _form) {
        var _this = _super.call(this, _ngControl, _formControl, _form) || this;
        _this._ngControl = _ngControl;
        _this._formControl = _formControl;
        _this._form = _form;
        _this.hasArrow = false;
        _this._readonly = false;
        return _this;
    }
    Object.defineProperty(BbInput.prototype, "readonly", {
        get: /**
         * @return {?}
         */
        function () {
            return this._readonly;
        },
        set: /**
         * @param {?} newValue
         * @return {?}
         */
        function (newValue) {
            this._readonly = coerceBooleanProperty(newValue);
            if (!this._formControl) {
                return;
            }
            this._formControl.readonly = this._readonly;
        },
        enumerable: true,
        configurable: true
    });
    BbInput.decorators = [
        { type: Directive, args: [{
                    selector: 'input[bbInput], textarea[bbInput]',
                    host: {
                        '[disabled]': 'disabled',
                        '[readonly]': 'readonly',
                        '(focus)': 'setFocus(true)',
                        '(blur)': 'setFocus(false)'
                    }
                },] }
    ];
    /** @nocollapse */
    BbInput.ctorParameters = function () { return [
        { type: NgControl, decorators: [{ type: Optional }] },
        { type: BbFormControl, decorators: [{ type: Optional }] },
        { type: FormGroupDirective, decorators: [{ type: Optional }, { type: Host }] }
    ]; };
    BbInput.propDecorators = {
        readonly: [{ type: Input }]
    };
    return BbInput;
}(BbSelect));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbFormGroupBase = /** @class */ (function () {
    function BbFormGroupBase() {
    }
    return BbFormGroupBase;
}());
/** @type {?} */
var BbFormGroupMixinBase = mixinGrouped(BbFormGroupBase);
var BbFormGroup = /** @class */ (function (_super) {
    __extends(BbFormGroup, _super);
    function BbFormGroup() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    BbFormGroup.decorators = [
        { type: Component, args: [{
                    selector: 'bb-form-group',
                    template: "<ng-content></ng-content>\n",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    host: {
                        'class': 'bb-form-group',
                        '[class.grouped]': 'grouped'
                    },
                    inputs: ['grouped'],
                    preserveWhitespaces: false,
                    styles: [".bb-form-group{width:100%;display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap;margin-top:-10px}.bb-form-group>*{margin-top:10px}.bb-form-group>:not(:first-child){margin-left:10px}.bb-form-group.start{-ms-flex-pack:start;justify-content:flex-start}.bb-form-group.end{-ms-flex-pack:end;justify-content:flex-end}.bb-form-group.vertical{-ms-flex-direction:column;flex-direction:column;-ms-flex-pack:normal;justify-content:normal}.bb-form-group.vertical>*{margin-left:0}.bb-form-group.vertical.start{-ms-flex-align:start;align-items:flex-start}.bb-form-group.vertical.end{-ms-flex-align:end;align-items:flex-end}.bb-form-group.grouped{margin-bottom:20px}"]
                }] }
    ];
    return BbFormGroup;
}(BbFormGroupMixinBase));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbFocusTrap = /** @class */ (function () {
    function BbFocusTrap(_platform, _elementRef) {
        this._platform = _platform;
        this._elementRef = _elementRef;
        this._focusableElements = [
            'a[href]',
            'area[href]',
            'input:not([disabled]):not([type="hidden"]):not([aria-hidden])',
            'select:not([disabled]):not([aria-hidden])',
            'textarea:not([disabled]):not([aria-hidden])',
            'button:not([disabled]):not([aria-hidden])',
            'iframe',
            'object',
            'embed',
            '[contenteditable]',
            '[tabindex]:not([tabindex^="-"])'
        ];
        this.focus = (/**
         * @param {?} element
         * @return {?}
         */
        function (element) {
            return element && element.focus && element.focus();
        });
        this.isTabEvent = (/**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            return event.key === 'Tab' || event.keyCode === 9;
        });
    }
    /**
     * @param {?} event
     * @return {?}
     */
    BbFocusTrap.prototype.onKeydown = /**
     * @param {?} event
     * @return {?}
     */
    function (event) {
        // Validate it is a tab event.
        if (!this.isTabEvent(event)) {
            return;
        }
        // Trap the focus inside the element.
        return this.trapFocus(event);
    };
    /**
     * @param {?} event
     * @return {?}
     */
    BbFocusTrap.prototype.trapFocus = /**
     * @param {?} event
     * @return {?}
     */
    function (event) {
        // Validate that the DOM is available.
        if (!this._platform.isBrowser) {
            return;
        }
        // Get all focusable nodes.
        /** @type {?} */
        var focusableNodes = this.getFocusableNodes();
        // Focus the first available element if the focus
        // is not in the modal.
        if (!this.element.contains(document.activeElement)) {
            return this.focus(focusableNodes[0]);
        }
        /** @type {?} */
        var focusedItemIndex = focusableNodes.indexOf(document.activeElement);
        if (event.shiftKey && focusedItemIndex === 0) {
            this.focus(focusableNodes[focusableNodes.length - 1]);
            return event.preventDefault();
        }
        if (!event.shiftKey && focusedItemIndex === focusableNodes.length - 1) {
            this.focus(focusableNodes[0]);
            return event.preventDefault();
        }
    };
    Object.defineProperty(BbFocusTrap.prototype, "element", {
        get: /**
         * @private
         * @return {?}
         */
        function () {
            return this._elementRef.nativeElement;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @private
     * @return {?}
     */
    BbFocusTrap.prototype.getFocusableNodes = /**
     * @private
     * @return {?}
     */
    function () {
        /** @type {?} */
        var nodes = this.element.querySelectorAll(this._focusableElements);
        return Array.apply(void 0, __spread(nodes));
    };
    BbFocusTrap.decorators = [
        { type: Directive, args: [{
                    selector: '[bbFocusTrap]'
                },] }
    ];
    /** @nocollapse */
    BbFocusTrap.ctorParameters = function () { return [
        { type: BbPlatform },
        { type: ElementRef }
    ]; };
    BbFocusTrap.propDecorators = {
        onKeydown: [{ type: HostListener, args: ['keydown', ['$event'],] }]
    };
    return BbFocusTrap;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 * @param {?} base
 * @return {?}
 */
function mixinLoad(base) {
    return /** @class */ (function (_super) {
        __extends(class_1, _super);
        function class_1() {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var _this = _super.apply(this, __spread(args)) || this;
            _this._loading = false;
            return _this;
        }
        Object.defineProperty(class_1.prototype, "loading", {
            get: /**
             * @return {?}
             */
            function () {
                return this._loading;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._loading = coerceBooleanProperty(value);
            },
            enumerable: true,
            configurable: true
        });
        return class_1;
    }(base));
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbButtonBase = /** @class */ (function () {
    function BbButtonBase(_elementRef) {
        this._elementRef = _elementRef;
    }
    return BbButtonBase;
}());
/** @type {?} */
var BbButtonMixinBase = mixinDisabled(mixinLoad(BbButtonBase));
var BbButton = /** @class */ (function (_super) {
    __extends(BbButton, _super);
    function BbButton(_elementRef) {
        return _super.call(this, _elementRef) || this;
    }
    Object.defineProperty(BbButton.prototype, "nativeElement", {
        get: /**
         * @return {?}
         */
        function () {
            return this._elementRef.nativeElement;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    BbButton.prototype.focus = /**
     * @return {?}
     */
    function () {
        this.nativeElement && this.nativeElement.focus();
    };
    BbButton.decorators = [
        { type: Component, args: [{
                    selector: 'button[bb-button]',
                    template: "<bb-spinner [class.visible]=\"loading\"\n            class=\"bb-button-spinner small\">\n</bb-spinner>\n\n<ng-content></ng-content>\n",
                    exportAs: 'bbButton',
                    host: {
                        'class': 'bb-button',
                        '[class.loading]': 'loading',
                        '[attr.disabled]': 'disabled || loading || null'
                    },
                    inputs: ['disabled', 'loading'],
                    encapsulation: ViewEncapsulation.None,
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    styles: [".bb-button{height:36px;padding:0 8px;cursor:pointer;font-size:16px;font-weight:500;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;position:relative;font-style:normal;border-radius:4px;text-align:center;-ms-flex-align:center;align-items:center;display:-ms-inline-flexbox;display:inline-flex;text-decoration:none;-ms-flex-pack:center;justify-content:center;background-color:#fff;color:#2d3c4d!important;border:1px solid #d4d8e1;transition-duration:.2s;box-shadow:0 6px 6px -6px rgba(0,0,0,.1);transition-timing-function:cubic-bezier(0,0,.2,1);transition-property:padding-left,background-color,box-shadow}.bb-button:hover{background-color:#fcfcfb}.bb-button:active,.bb-button:focus{box-shadow:0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(220,224,233,.5)}.bb-button.full{width:100%}.bb-button.full.loading{padding-left:42px}.bb-button.primary{border-color:#2f2b85;color:#fff!important;background-color:#5b53ff}.bb-button.primary:hover{background-color:#564ee6}.bb-button.primary:active,.bb-button.primary:focus{box-shadow:0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(91,83,255,.5)}.bb-button.destructive{border-color:#8f2020;color:#fff!important;background-color:#d32f2f}.bb-button.destructive:hover{background-color:#c32929}.bb-button.destructive:active,.bb-button.destructive:focus{box-shadow:0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(211,47,47,.5)}.bb-button.loading,.bb-button.loading:active,.bb-button.loading:focus,.bb-button.loading:hover,.bb-button:disabled,.bb-button:disabled:active,.bb-button:disabled:focus,.bb-button:disabled:hover,.bb-button[disabled],.bb-button[disabled]:active,.bb-button[disabled]:focus,.bb-button[disabled]:hover{opacity:.4;cursor:default;box-shadow:none}.bb-button-spinner{width:0;opacity:0;overflow:hidden;visibility:hidden;padding:0!important;transition:width .2s cubic-bezier(0,0,.2,1),opacity .1s cubic-bezier(0,0,.2,1)}.bb-button-spinner.visible{opacity:1;width:20px;margin-right:8px;visibility:visible}.bb-button.loading.full>.bb-button-spinner{left:8px;margin-right:0;position:absolute}"]
                }] }
    ];
    /** @nocollapse */
    BbButton.ctorParameters = function () { return [
        { type: ElementRef }
    ]; };
    return BbButton;
}(BbButtonMixinBase));
var BbAnchor = /** @class */ (function (_super) {
    __extends(BbAnchor, _super);
    function BbAnchor(_elementRef) {
        return _super.call(this, _elementRef) || this;
    }
    /**
     * @param {?} event
     * @return {?}
     */
    BbAnchor.prototype.stopDisabledEvents = /**
     * @param {?} event
     * @return {?}
     */
    function (event) {
        // If the button is not disabled let all events pass.
        if (!this.disabled && !this.loading) {
            return;
        }
        // If the button is disabled stop the event from
        // bubbling up.
        event.preventDefault();
        event.stopImmediatePropagation();
    };
    BbAnchor.decorators = [
        { type: Component, args: [{
                    selector: 'a[bb-button]',
                    template: "<bb-spinner [class.visible]=\"loading\"\n            class=\"bb-button-spinner small\">\n</bb-spinner>\n\n<ng-content></ng-content>\n",
                    exportAs: 'bbButton, bbAnchor',
                    host: {
                        'class': 'bb-button',
                        '[attr.tabindex]': '(disabled || loading) ? -1 : (tabIndex || 0)',
                        '[attr.disabled]': 'disabled || loading || null',
                        '[attr.aria-disabled]': '(disabled || loading).toString()',
                        '(click)': 'stopDisabledEvents($event)'
                    },
                    inputs: ['disabled'],
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    styles: [".bb-button{height:36px;padding:0 8px;cursor:pointer;font-size:16px;font-weight:500;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;position:relative;font-style:normal;border-radius:4px;text-align:center;-ms-flex-align:center;align-items:center;display:-ms-inline-flexbox;display:inline-flex;text-decoration:none;-ms-flex-pack:center;justify-content:center;background-color:#fff;color:#2d3c4d!important;border:1px solid #d4d8e1;transition-duration:.2s;box-shadow:0 6px 6px -6px rgba(0,0,0,.1);transition-timing-function:cubic-bezier(0,0,.2,1);transition-property:padding-left,background-color,box-shadow}.bb-button:hover{background-color:#fcfcfb}.bb-button:active,.bb-button:focus{box-shadow:0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(220,224,233,.5)}.bb-button.full{width:100%}.bb-button.full.loading{padding-left:42px}.bb-button.primary{border-color:#2f2b85;color:#fff!important;background-color:#5b53ff}.bb-button.primary:hover{background-color:#564ee6}.bb-button.primary:active,.bb-button.primary:focus{box-shadow:0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(91,83,255,.5)}.bb-button.destructive{border-color:#8f2020;color:#fff!important;background-color:#d32f2f}.bb-button.destructive:hover{background-color:#c32929}.bb-button.destructive:active,.bb-button.destructive:focus{box-shadow:0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(211,47,47,.5)}.bb-button.loading,.bb-button.loading:active,.bb-button.loading:focus,.bb-button.loading:hover,.bb-button:disabled,.bb-button:disabled:active,.bb-button:disabled:focus,.bb-button:disabled:hover,.bb-button[disabled],.bb-button[disabled]:active,.bb-button[disabled]:focus,.bb-button[disabled]:hover{opacity:.4;cursor:default;box-shadow:none}.bb-button-spinner{width:0;opacity:0;overflow:hidden;visibility:hidden;padding:0!important;transition:width .2s cubic-bezier(0,0,.2,1),opacity .1s cubic-bezier(0,0,.2,1)}.bb-button-spinner.visible{opacity:1;width:20px;margin-right:8px;visibility:visible}.bb-button.loading.full>.bb-button-spinner{left:8px;margin-right:0;position:absolute}"]
                }] }
    ];
    /** @nocollapse */
    BbAnchor.ctorParameters = function () { return [
        { type: ElementRef }
    ]; };
    BbAnchor.propDecorators = {
        tabIndex: [{ type: Input }]
    };
    return BbAnchor;
}(BbButton));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbLocalize = /** @class */ (function () {
    function BbLocalize(_http, _storage, _language, _interpolator, _config, _extras) {
        var _this = this;
        this._http = _http;
        this._storage = _storage;
        this._language = _language;
        this._interpolator = _interpolator;
        this._config = _config;
        this._extras = _extras;
        this._currentDictionary = null;
        this._storageToken = 'bb-language-dictionary-name';
        this.log = (/**
         * @param {?} message
         * @return {?}
         */
        function (message) {
            console && console.warn && console.warn(message);
        });
        this.reload = (/**
         * @return {?}
         */
        function () {
            window && window.location && window.location.reload && window.location.reload();
        });
        // Check if at least one language was submitted to the service.
        if (this._config.dictionary.length < 1) {
            throw new Error('Localize: one or more languages should be supplied.');
        }
        // Save the dictionary.
        this._dictionary = this._config.dictionary;
        // Get the storage language.
        /** @type {?} */
        var storageToken = this._storage.get(this._storageToken);
        /** @type {?} */
        var storageLanguage = this._dictionary
            .find((/**
         * @param {?} item
         * @return {?}
         */
        function (item) { return item.id === storageToken; }));
        // Retrieve the supported language.
        /** @type {?} */
        var supportedLanguage = this._language.all.map((/**
         * @param {?} __0
         * @return {?}
         */
        function (_a) {
            var code = _a.code, region = _a.region;
            /** @type {?} */
            var languageCode = [code, region].filter((/**
             * @param {?} data
             * @return {?}
             */
            function (data) { return !!data; })).join('-');
            return _this._dictionary.find((/**
             * @param {?} item
             * @return {?}
             */
            function (item) { return item.languages.includes(languageCode); }));
        })).filter((/**
         * @param {?} item
         * @return {?}
         */
        function (item) { return !!item; })).find((/**
         * @param {?} _
         * @param {?} index
         * @return {?}
         */
        function (_, index) { return index === 0; }));
        // Make sure the user always has a language by picking
        // the first language if the users browser does not
        // support any language.
        this._currentDictionary = storageLanguage || supportedLanguage || this._dictionary[0];
    }
    /**
     * @return {?}
     */
    BbLocalize.prototype.getDictionary = /**
     * @return {?}
     */
    function () {
        return this._dictionary;
    };
    /**
     * @return {?}
     */
    BbLocalize.prototype.getId = /**
     * @return {?}
     */
    function () {
        return this._currentDictionary && this._currentDictionary.id;
    };
    /**
     * @return {?}
     */
    BbLocalize.prototype.getLocale = /**
     * @return {?}
     */
    function () {
        // Check if the locale is not there, then just return the
        // default locale.
        if (!this._currentDictionary || !this._currentDictionary.locale) {
            return 'en-US';
        }
        // Return the locale that is set in the dictionary.
        return this._currentDictionary.locale;
    };
    /**
     * @return {?}
     */
    BbLocalize.prototype.initialize = /**
     * @return {?}
     */
    function () {
        var _this = this;
        // Return a function so that the APP_INITIALIZER
        // can call it whenever it wants.
        return (/**
         * @return {?}
         */
        function () { return __awaiter(_this, void 0, void 0, function () {
            var _this = this;
            return __generator(this, function (_a) {
                return [2 /*return*/, new Promise((/**
                     * @param {?} resolve
                     * @param {?} reject
                     * @return {?}
                     */
                    function (resolve, reject) { return __awaiter(_this, void 0, void 0, function () {
                        var urlOrData, result, _a;
                        return __generator(this, function (_b) {
                            switch (_b.label) {
                                case 0:
                                    // We need to check if the user provided an
                                    // URL or data.
                                    urlOrData = this._currentDictionary.data;
                                    // If the data is already inline we can
                                    // resolve it.
                                    if (typeof urlOrData !== 'string') {
                                        return [2 /*return*/, resolve()];
                                    }
                                    _b.label = 1;
                                case 1:
                                    _b.trys.push([1, 3, , 4]);
                                    // Fetch the JSON file from the URL.
                                    return [4 /*yield*/, this._http.get(urlOrData, { headers: { Authorization: 'none' } }).toPromise()];
                                case 2:
                                    result = _b.sent();
                                    // Set the data and resolve.
                                    this._currentDictionary.data = result || {};
                                    return [2 /*return*/, resolve()];
                                case 3:
                                    _a = _b.sent();
                                    return [2 /*return*/, reject('Localize: Could not correctly load the .json localize data.')];
                                case 4: return [2 /*return*/];
                            }
                        });
                    }); })).then((/**
                     * @return {?}
                     */
                    function () {
                        // Compose the extra dictionary data for the current locale.
                        /** @type {?} */
                        var extraDictionaryData = (_this._extras || [])
                            .filter((/**
                         * @param {?} item
                         * @return {?}
                         */
                        function (item) { return item.locale === _this._currentDictionary.locale; }))
                            .map((/**
                         * @param {?} item
                         * @return {?}
                         */
                        function (item) { return item.data; }))
                            .reduce((/**
                         * @param {?} previous
                         * @param {?} current
                         * @return {?}
                         */
                        function (previous, current) {
                            return __assign({}, previous, current);
                        }), {});
                        // Append the extra dictionary data to the current data
                        // (the language file is priority one).
                        /** @type {?} */
                        var data = (/** @type {?} */ (_this._currentDictionary.data));
                        _this._currentDictionary.data = __assign({}, extraDictionaryData, data);
                    }))];
            });
        }); });
    };
    /**
     * @param {?} id
     * @return {?}
     */
    BbLocalize.prototype.setLanguage = /**
     * @param {?} id
     * @return {?}
     */
    function (id) {
        // Try to fetch the dictionary.
        /** @type {?} */
        var dictionary = this._dictionary.find((/**
         * @param {?} item
         * @return {?}
         */
        function (item) { return item.id === id; }));
        // Check if the dictionary was found.
        if (!dictionary) {
            return this.log("Localize: The language with id: \"" + id + "\" was not found.");
        }
        // Save the language in the storage.
        this._storage.set(this._storageToken, dictionary.id);
        // We need to reload the application for the translations.
        this.reload();
    };
    /**
     * @return {?}
     */
    BbLocalize.prototype.unsetLanguage = /**
     * @return {?}
     */
    function () {
        // Remove the language in the local storage.
        this._storage.remove(this._storageToken);
        // We need to reload the application for the translations.
        this.reload();
    };
    /**
     * @param {?} token
     * @param {?=} data
     * @param {?=} isOptional
     * @return {?}
     */
    BbLocalize.prototype.translate = /**
     * @param {?} token
     * @param {?=} data
     * @param {?=} isOptional
     * @return {?}
     */
    function (token, data, isOptional) {
        if (data === void 0) { data = {}; }
        if (isOptional === void 0) { isOptional = false; }
        // Retrieve the translation from the dictionary.
        /** @type {?} */
        var translation = this.searchForTranslation(token);
        // Warn the user if the token was not
        // found in the dictionary.
        if (!translation) {
            if (!isOptional) {
                this.log("Localize: The token with name: \"" + token + "\" was not found.");
            }
            return token;
        }
        // If the user did not define any extra data
        // just return the translation.
        if (Object.keys(data).length < 1) {
            return translation;
        }
        // The user has added extra data that needs to be
        // interpolated.
        return this._interpolator.interpolate(translation, data);
    };
    /**
     * @private
     * @param {?} token
     * @return {?}
     */
    BbLocalize.prototype.searchForTranslation = /**
     * @private
     * @param {?} token
     * @return {?}
     */
    function (token) {
        // Grab the dictionary data.
        /** @type {?} */
        var data = this._currentDictionary.data || {};
        // Check if the token is present in the dictionary.
        if (data[token]) {
            return data[token];
        }
        // Else search the dictionary for the translation
        // by splitting on the dot.
        /** @type {?} */
        var translation = token.split('.').filter((/**
         * @param {?} value
         * @return {?}
         */
        function (value) { return !!value; })).reduce((/**
         * @param {?} dictionary
         * @param {?} value
         * @return {?}
         */
        function (dictionary, value) {
            if (dictionary === undefined || typeof dictionary === 'string') {
                return undefined;
            }
            return dictionary[value];
        }), data);
        // Check if the translation is a string
        // if this is true it can be returned.
        if (typeof translation === 'string') {
            return translation;
        }
        // This means the translation was not
        // correct.
        return null;
    };
    BbLocalize.decorators = [
        { type: Injectable }
    ];
    /** @nocollapse */
    BbLocalize.ctorParameters = function () { return [
        { type: HttpClient },
        { type: BbStorage },
        { type: BbLanguage },
        { type: BbInterpolator },
        { type: BbLocalizeConfig, decorators: [{ type: Optional }] },
        { type: Array, decorators: [{ type: Optional }, { type: Inject, args: [BB_LOCALIZE_EXTRA_DICTIONARY,] }] }
    ]; };
    return BbLocalize;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbLocalizePipe = /** @class */ (function () {
    function BbLocalizePipe(_localize) {
        this._localize = _localize;
    }
    /**
     * @param {?} value
     * @param {?=} args
     * @return {?}
     */
    BbLocalizePipe.prototype.transform = /**
     * @param {?} value
     * @param {?=} args
     * @return {?}
     */
    function (value, args) {
        if (args === void 0) { args = { optional: false }; }
        // Validate that the data exists.
        if (!this._localize || !value) {
            return value;
        }
        // Extract the data.
        /** @type {?} */
        var data = args.data || {};
        // Try to translate the value.
        return this._localize.translate(value, data, args.optional || false);
    };
    BbLocalizePipe.decorators = [
        { type: Pipe, args: [{
                    name: 'bbLocalize'
                },] }
    ];
    /** @nocollapse */
    BbLocalizePipe.ctorParameters = function () { return [
        { type: BbLocalize, decorators: [{ type: Optional }] }
    ]; };
    return BbLocalizePipe;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbLocalizeModule = /** @class */ (function () {
    function BbLocalizeModule() {
    }
    /**
     * @param {?} config
     * @return {?}
     */
    BbLocalizeModule.forRoot = /**
     * @param {?} config
     * @return {?}
     */
    function (config) {
        return {
            ngModule: BbLocalizeModule,
            providers: [
                { provide: BbLocalizeConfig, useValue: config },
                { provide: APP_INITIALIZER, deps: [BbLocalize], useFactory: initializeLocale, multi: true },
                { provide: LOCALE_ID, deps: [BbLocalize], useFactory: getLocale },
                BbLocalize
            ]
        };
    };
    BbLocalizeModule.decorators = [
        { type: NgModule, args: [{
                    imports: [HttpClientModule],
                    declarations: [BbLocalizePipe],
                    exports: [BbLocalizePipe]
                },] }
    ];
    return BbLocalizeModule;
}());
/**
 * @param {?} localize
 * @return {?}
 */
function initializeLocale(localize) {
    return localize.initialize();
}
/**
 * @param {?} localize
 * @return {?}
 */
function getLocale(localize) {
    // This is done in a exported function to prevent the
    // "lambda is not supported" error.
    return localize.getLocale();
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbTemplate = /** @class */ (function () {
    function BbTemplate(_templateRef, _viewContainerRef) {
        this._templateRef = _templateRef;
        this._viewContainerRef = _viewContainerRef;
    }
    Object.defineProperty(BbTemplate.prototype, "bbTemplate", {
        set: /**
         * @param {?} content
         * @return {?}
         */
        function (content) {
            // Get the template.
            /** @type {?} */
            var template = content instanceof TemplateRef
                ? content
                : this._templateRef;
            // Clear the view container ref and create the view.
            this._viewContainerRef.clear();
            this._viewContainerRef.createEmbeddedView(template);
        },
        enumerable: true,
        configurable: true
    });
    BbTemplate.decorators = [
        { type: Directive, args: [{
                    selector: '[bbTemplate]'
                },] }
    ];
    /** @nocollapse */
    BbTemplate.ctorParameters = function () { return [
        { type: TemplateRef },
        { type: ViewContainerRef }
    ]; };
    BbTemplate.propDecorators = {
        bbTemplate: [{ type: Input }]
    };
    return BbTemplate;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbAutosize = /** @class */ (function () {
    function BbAutosize(_renderer, _elementRef) {
        this._renderer = _renderer;
        this._elementRef = _elementRef;
        // Min/max heights for the textarea.
        this.minHeight = null;
        this.maxHeight = null;
    }
    Object.defineProperty(BbAutosize.prototype, "element", {
        get: /**
         * @return {?}
         */
        function () {
            return this._elementRef.nativeElement;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    BbAutosize.prototype.ngAfterViewInit = /**
     * @return {?}
     */
    function () {
        // Update the styles after the DOM has loaded.
        this.updateStyles();
    };
    /**
     * @return {?}
     */
    BbAutosize.prototype.onWindowResize = /**
     * @return {?}
     */
    function () {
        // Update the styles when the window is resized.
        this.updateStyles();
    };
    /**
     * @return {?}
     */
    BbAutosize.prototype.onInputReceived = /**
     * @return {?}
     */
    function () {
        // Update the styles after the textarea received input.
        this.updateStyles();
    };
    /**
     * @private
     * @return {?}
     */
    BbAutosize.prototype.updateStyles = /**
     * @private
     * @return {?}
     */
    function () {
        // If the element does not exist exit.
        if (!this.element) {
            return;
        }
        // If the scroll height is the same height as the element, then exit.
        if (this.element.style.height === this.element.scrollHeight + 'px') {
            return;
        }
        // Set the style of the element to 'auto' to reset the element.
        this._renderer.setStyle(this.element, 'height', 'auto');
        // Set the style of the element to the scroll height to make
        // the element fit all the text.
        this._renderer.setStyle(this.element, 'height', this.element.scrollHeight + 'px');
    };
    BbAutosize.decorators = [
        { type: Directive, args: [{
                    selector: 'textarea[bbAutosize]'
                },] }
    ];
    /** @nocollapse */
    BbAutosize.ctorParameters = function () { return [
        { type: Renderer2 },
        { type: ElementRef }
    ]; };
    BbAutosize.propDecorators = {
        minHeight: [{ type: Input }, { type: HostBinding, args: ['style.min-height',] }],
        maxHeight: [{ type: Input }, { type: HostBinding, args: ['style.max-height',] }],
        onWindowResize: [{ type: HostListener, args: ['window:resize',] }],
        onInputReceived: [{ type: HostListener, args: ['input',] }]
    };
    return BbAutosize;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
var nextUniqueId$1 = 0;
var BbCheckboxBase = /** @class */ (function () {
    function BbCheckboxBase() {
    }
    return BbCheckboxBase;
}());
/** @type {?} */
var BbCheckboxMixinBase = mixinDisabled(mixinGrouped(BbCheckboxBase));
var BbCheckbox = /** @class */ (function (_super) {
    __extends(BbCheckbox, _super);
    function BbCheckbox() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        // Data.
        _this.labelId = "bb-checkbox-" + nextUniqueId$1++;
        _this._checked = false;
        // Methods.
        _this.onChange = (/**
         * @return {?}
         */
        function () {
        });
        _this.onTouched = (/**
         * @return {?}
         */
        function () {
        });
        return _this;
    }
    Object.defineProperty(BbCheckbox.prototype, "checked", {
        get: /**
         * @return {?}
         */
        function () {
            return this._checked;
        },
        set: /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (value != this.checked) {
                this._checked = value;
                // this._changeDetection.markForCheck();
            }
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @param {?} fn
     * @return {?}
     */
    BbCheckbox.prototype.registerOnChange = /**
     * @param {?} fn
     * @return {?}
     */
    function (fn) {
        this.onChange = fn;
    };
    /**
     * @param {?} fn
     * @return {?}
     */
    BbCheckbox.prototype.registerOnTouched = /**
     * @param {?} fn
     * @return {?}
     */
    function (fn) {
        this.onTouched = fn;
    };
    /**
     * @param {?} isDisabled
     * @return {?}
     */
    BbCheckbox.prototype.setDisabledState = /**
     * @param {?} isDisabled
     * @return {?}
     */
    function (isDisabled) {
        this.disabled = isDisabled;
    };
    /**
     * @param {?} newValue
     * @return {?}
     */
    BbCheckbox.prototype.writeValue = /**
     * @param {?} newValue
     * @return {?}
     */
    function (newValue) {
        this.checked = newValue;
    };
    /**
     * @param {?} event
     * @return {?}
     */
    BbCheckbox.prototype.onInteractionEvent = /**
     * @param {?} event
     * @return {?}
     */
    function (event) {
        // Stop the propagation to prevent it from bubbling up.
        event.stopPropagation();
    };
    /**
     * @param {?} event
     * @return {?}
     */
    BbCheckbox.prototype.onInputClick = /**
     * @param {?} event
     * @return {?}
     */
    function (event) {
        // Stop the propagation to prevent it from bubbling up.
        event.stopPropagation();
        // Toggle the value.
        this.checked = !this.checked;
        // Emit the change event.
        this.onChange && this.onChange(this.checked);
    };
    BbCheckbox.decorators = [
        { type: Component, args: [{
                    selector: 'bb-checkbox',
                    template: "<input [id]=\"labelId\"\n       [checked]=\"checked\"\n       [disabled]=\"disabled\"\n       (change)=\"onInteractionEvent($event)\"\n       (click)=\"onInputClick($event)\"\n       class=\"bb-checkbox-input\"\n       type=\"checkbox\">\n\n<label [for]=\"labelId\"\n       class=\"bb-checkbox-label\">\n    <span>\n        <svg width=\"12px\"\n             height=\"10px\"\n             viewbox=\"0 0 12 10\">\n            <polyline points=\"1.5 6 4.5 9 10.5 1\"></polyline>\n        </svg>\n    </span>\n    <span>\n        <ng-content></ng-content>\n    </span>\n</label>\n",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    providers: [
                        { provide: NG_VALUE_ACCESSOR, useExisting: forwardRef((/**
                             * @return {?}
                             */
                            function () { return BbCheckbox; })), multi: true }
                    ],
                    host: {
                        'class': 'bb-checkbox',
                        '[class.grouped]': 'grouped'
                    },
                    inputs: ['grouped', 'disabled'],
                    preserveWhitespaces: false,
                    styles: [".bb-checkbox{display:block}.bb-checkbox+.bb-checkbox{margin-top:5px}.bb-checkbox.grouped{margin-bottom:20px}.bb-checkbox-input{display:none}.bb-checkbox-label{margin:0;cursor:pointer;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.bb-checkbox-label>span{display:inline-block;vertical-align:middle;-webkit-transform:translate3d(0,0,0);transform:translate3d(0,0,0)}.bb-checkbox-label>span:first-child{width:18px;height:18px;position:relative;border-radius:3px;vertical-align:middle;border:1px solid #bdc4c9;transition:.2s}.bb-checkbox-label>span:last-child{padding-left:8px}.bb-checkbox-label>span:first-child>svg{top:3px;left:2px;fill:none;stroke:#fff;stroke-width:2;position:absolute;stroke-linecap:round;stroke-linejoin:round;stroke-dasharray:16px;stroke-dashoffset:16px;transition:.3s;-webkit-transform:translate3d(0,0,0);transform:translate3d(0,0,0)}.bb-checkbox-input:checked+.bb-checkbox-label>span:first-child{border-color:#5b53ff;background-color:#5b53ff}.bb-checkbox-input:checked+.bb-checkbox-label>span:first-child>svg{stroke-dashoffset:0}.bb-checkbox-input:disabled+.bb-checkbox-label{cursor:default;pointer-events:none}.bb-checkbox-input:disabled:checked+.bb-checkbox-label>span:first-child{border-color:rgba(204,204,204,.64);background-color:rgba(204,204,204,.64)}"]
                }] }
    ];
    BbCheckbox.propDecorators = {
        checked: [{ type: Input }]
    };
    return BbCheckbox;
}(BbCheckboxMixinBase));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbSpinnerBase = /** @class */ (function () {
    function BbSpinnerBase() {
    }
    return BbSpinnerBase;
}());
/** @type {?} */
var BbSpinnerMixinBase = mixinDisabled(BbSpinnerBase);
var BbSpinner = /** @class */ (function (_super) {
    __extends(BbSpinner, _super);
    function BbSpinner() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        // Inputs.
        _this.color = '#303f9f';
        _this.alt = 'Loading...';
        return _this;
    }
    BbSpinner.decorators = [
        { type: Component, args: [{
                    selector: 'bb-spinner',
                    template: "<!--\n    The spinner element.\n\n    This element contains a circle with a 25% bar that spins\n    indefinitely. The border color can be set via the \"color\"\n    property.\n-->\n<div [style.border-left-color]=\"color\"\n     [class.disabled]=\"disabled\"\n     class=\"bb-spinner-loader\"\n     aria-live=\"assertive\"\n     role=\"alert\">\n    {{ alt }}\n</div>\n\n<!--\n    The content of the spinner.\n\n    This element contains the content of the spinner. The user\n    can set the content inside the tag.\n-->\n<span class=\"bb-spinner-content\">\n    <ng-content></ng-content>\n</span>\n",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    host: { 'class': 'bb-spinner' },
                    inputs: ['color', 'alt', 'disabled'],
                    preserveWhitespaces: false,
                    styles: [".bb-spinner{color:#565656;padding:20px 0;text-align:center;-ms-flex-align:center;align-items:center;display:-ms-inline-flexbox;display:inline-flex;-ms-flex-direction:column;flex-direction:column;-ms-flex-pack:center;justify-content:center}.bb-spinner.block{display:-ms-flexbox;display:flex}.bb-spinner.inverse>.bb-spinner-loader{border-color:rgba(255,255,255,.15)}.bb-spinner.inverse>.bb-spinner-content{color:rgba(255,255,255,.5)}.bb-spinner.small .bb-spinner-loader:after,.bb-spinner.small>.bb-spinner-loader{width:20px;height:20px;min-width:20px;min-height:20px}.bb-spinner.small>.bb-spinner-loader{border-width:2px}.bb-spinner.small>.bb-spinner-content{font-size:12px}.bb-spinner.medium .bb-spinner-loader:after,.bb-spinner.medium>.bb-spinner-loader{width:60px;height:60px;min-width:60px;min-height:60px}.bb-spinner.medium>.bb-spinner-loader{border-width:4px}.bb-spinner.medium>.bb-spinner-content{font-size:16px}.bb-spinner.large .bb-spinner-loader:after,.bb-spinner.large>.bb-spinner-loader{width:100px;height:100px;min-width:100px;min-height:100px}.bb-spinner.large>.bb-spinner-loader{border-width:6px}.bb-spinner.large>.bb-spinner-content{font-size:20px}.bb-spinner.horizontal{text-align:left;-ms-flex-direction:row;flex-direction:row}.bb-spinner.horizontal>.bb-spinner-content:not(:empty){margin-left:10px;margin-top:0}.bb-spinner.vertical{text-align:center;-ms-flex-direction:column;flex-direction:column}.bb-spinner.vertical>.bb-spinner-content:not(:empty){margin-left:0;margin-top:10px}.bb-spinner-loader{margin:0;padding:0;overflow:hidden;text-indent:100%;position:relative;display:inline-block;vertical-align:middle;border:4px solid #f2f4f6;-webkit-animation:1s linear infinite spin;animation:1s linear infinite spin}.bb-spinner-loader,.bb-spinner-loader:after{width:60px;height:60px;min-width:60px;min-height:60px;border-radius:50%}.bb-spinner-loader.disabled{cursor:default;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;pointer-events:none;-webkit-animation-play-state:paused;animation-play-state:paused}.bb-spinner-content:not(:empty){font-size:16px;margin-top:10px;font-weight:500}@-webkit-keyframes spin{from{-webkit-transform:rotate(0);transform:rotate(0)}to{-webkit-transform:rotate(360deg);transform:rotate(360deg)}}@keyframes spin{from{-webkit-transform:rotate(0);transform:rotate(0)}to{-webkit-transform:rotate(360deg);transform:rotate(360deg)}}"]
                }] }
    ];
    BbSpinner.propDecorators = {
        color: [{ type: Input }],
        alt: [{ type: Input }]
    };
    return BbSpinner;
}(BbSpinnerMixinBase));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbFocus = /** @class */ (function () {
    function BbFocus(_zone, _elementRef) {
        this._zone = _zone;
        this._elementRef = _elementRef;
    }
    Object.defineProperty(BbFocus.prototype, "nativeElement", {
        get: /**
         * @private
         * @return {?}
         */
        function () {
            return this._elementRef.nativeElement;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    BbFocus.prototype.ngAfterViewInit = /**
     * @return {?}
     */
    function () {
        var _this = this;
        // Run the method outside the Angular zone.
        this._zone.runOutsideAngular((/**
         * @return {?}
         */
        function () { return _this.focus(); }));
    };
    /**
     * @private
     * @return {?}
     */
    BbFocus.prototype.focus = /**
     * @private
     * @return {?}
     */
    function () {
        var _this = this;
        // Check if set timeout exists.
        if (!setTimeout) {
            return;
        }
        // Check if the element and the focus method exist, if so focus the element.
        if (!this.nativeElement || !this.nativeElement.focus) {
            return;
        }
        // Execute the focus method in a timeout.
        setTimeout((/**
         * @return {?}
         */
        function () { return _this.nativeElement.focus(); }), 0);
    };
    BbFocus.decorators = [
        { type: Directive, args: [{
                    selector: '[bbFocus]'
                },] }
    ];
    /** @nocollapse */
    BbFocus.ctorParameters = function () { return [
        { type: NgZone },
        { type: ElementRef }
    ]; };
    return BbFocus;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbIcon = /** @class */ (function () {
    function BbIcon(_registry) {
        this._registry = _registry;
        // Data.
        this._src = null;
        // State.
        this.state$ = new BehaviorSubject(null);
        this.alt = null;
        this._ariaHidden = true;
        this.warn = (/**
         * @param {?} content
         * @return {?}
         */
        function (content) {
            return console && console.warn && console.warn(content);
        });
    }
    Object.defineProperty(BbIcon.prototype, "src", {
        get: /**
         * @return {?}
         */
        function () {
            return this._src;
        },
        set: /**
         * @param {?} newValue
         * @return {?}
         */
        function (newValue) {
            this.state$.next(this.convert(newValue));
            this._src = newValue;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbIcon.prototype, "ariaHidden", {
        get: /**
         * @return {?}
         */
        function () {
            return this._ariaHidden;
        },
        set: /**
         * @param {?} newValue
         * @return {?}
         */
        function (newValue) {
            this._ariaHidden = coerceBooleanProperty(newValue);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @private
     * @param {?} src
     * @return {?}
     */
    BbIcon.prototype.convert = /**
     * @private
     * @param {?} src
     * @return {?}
     */
    function (src) {
        var _this = this;
        var _a = __read((src || '').split(':'), 2), namespace = _a[0], value = _a[1];
        /** @type {?} */
        var onError = (/**
         * @return {?}
         */
        function () {
            _this.warn("BbElementsModule: The icon with src \"" + src + "\" could not be rendered correctly; Did you put a correct src attribute?");
            return { type: 'unknown' };
        });
        if (!namespace || !value || !this._registry) {
            return onError();
        }
        // Try to find a image icon.
        /** @type {?} */
        var imageIcon = this.findImageIcon(namespace, value);
        if (imageIcon) {
            return imageIcon;
        }
        // Try to find a font icon.
        /** @type {?} */
        var fontIcon = this.findFontIcon(namespace, value);
        if (fontIcon) {
            return fontIcon;
        }
        // Return the on error function.
        return onError();
    };
    /**
     * @private
     * @param {?} namespace
     * @param {?} value
     * @return {?}
     */
    BbIcon.prototype.findImageIcon = /**
     * @private
     * @param {?} namespace
     * @param {?} value
     * @return {?}
     */
    function (namespace, value) {
        /** @type {?} */
        var data = this._registry.find((/**
         * @param {?} item
         * @return {?}
         */
        function (item) { return item['namespace'] === namespace && item['name'] === value; }));
        if (!data) {
            return null;
        }
        return { type: data['type'], src: data['src'] };
    };
    /**
     * @private
     * @param {?} namespace
     * @param {?} content
     * @return {?}
     */
    BbIcon.prototype.findFontIcon = /**
     * @private
     * @param {?} namespace
     * @param {?} content
     * @return {?}
     */
    function (namespace, content) {
        /** @type {?} */
        var data = this._registry.find((/**
         * @param {?} item
         * @return {?}
         */
        function (item) { return item['namespace'] === namespace; }));
        if (!data) {
            return null;
        }
        /** @type {?} */
        var isInline = data['inline'] || false;
        if (isInline) {
            return { type: data['type'], className: "" + data['className'] + content };
        }
        return { type: data['type'], className: data['className'], content: content };
    };
    BbIcon.decorators = [
        { type: Component, args: [{
                    selector: 'bb-icon',
                    template: "<ng-container *ngIf=\"state$ | async as data\"\n              [ngSwitch]=\"data?.type\">\n    <i *ngSwitchCase=\"'font'\"\n       [class]=\"data?.className\">\n        {{ data?.content }}\n    </i>\n    <img *ngSwitchCase=\"'image'\"\n         [src]=\"data?.src\"\n         [alt]=\"alt\">\n    <svg *ngSwitchCase=\"'unknown'\"\n         viewBox=\"0 0 1 1\"\n         width=\"24\"\n         height=\"24\">\n        <rect x=\"0\" y=\"0\" width=\"1\" height=\"1\" fill=\"#c5c5c5\"></rect>\n    </svg>\n</ng-container>\n",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    host: {
                        'class': 'bb-icon',
                        '[attr.aria-hidden]': 'ariaHidden'
                    },
                    preserveWhitespaces: false,
                    styles: [".bb-icon{width:24px;height:24px;display:-ms-flexbox;display:flex;min-width:24px;min-height:24px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;-ms-flex-align:center;align-items:center;-ms-flex-pack:center;justify-content:center}.bb-icon>img,.bb-icon>svg{width:24px;height:24px;display:-ms-flexbox;display:flex;min-width:24px;min-height:24px}"]
                }] }
    ];
    /** @nocollapse */
    BbIcon.ctorParameters = function () { return [
        { type: Array, decorators: [{ type: Optional }, { type: Inject, args: [BB_ELEMENTS_ICONS,] }] }
    ]; };
    BbIcon.propDecorators = {
        alt: [{ type: Input }],
        src: [{ type: Input }],
        ariaHidden: [{ type: Input }]
    };
    return BbIcon;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
var DECLARATIONS_EXPORTS = [
    // Directives.
    BbTemplate,
    BbInput,
    BbSelect,
    BbFocus,
    BbFocusTrap,
    BbAutosize,
    BbPrefix,
    BbSuffix,
    // Components.
    BbButton,
    BbAnchor,
    BbSpinner,
    BbIcon,
    BbFormControl,
    BbFormGroup,
    BbCheckbox
];
var BbElementsModule = /** @class */ (function () {
    function BbElementsModule() {
    }
    /**
     * @return {?}
     */
    BbElementsModule.forRoot = /**
     * @return {?}
     */
    function () {
        return {
            ngModule: BbElementsModule,
            providers: [
                { provide: BB_ELEMENTS_ERRORS, useFactory: getErrors, multi: true },
                BB_ELEMENTS_MATERIAL_ICON,
                BB_ELEMENTS_DUTCH_LOCALIZATION,
                BB_ELEMENTS_ENGLISH_LOCALIZATION
            ]
        };
    };
    BbElementsModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule, BbLocalizeModule],
                    declarations: __spread(DECLARATIONS_EXPORTS),
                    exports: __spread(DECLARATIONS_EXPORTS)
                },] }
    ];
    return BbElementsModule;
}());
/**
 * @return {?}
 */
function getErrors() {
    /** @type {?} */
    var data = {
        required: (/**
         * @return {?}
         */
        function () { return 'form-control-errors.required'; }),
        pattern: (/**
         * @return {?}
         */
        function () { return 'form-control-errors.pattern'; }),
        email: (/**
         * @return {?}
         */
        function () { return 'form-control-errors.email'; }),
        fullNumber: (/**
         * @return {?}
         */
        function () { return 'form-control-errors.fullNumber'; }),
        min: (/**
         * @param {?} __0
         * @return {?}
         */
        function (_a) {
            var min = _a.min;
            return ({ token: 'form-control-errors.min', data: { min: min } });
        }),
        max: (/**
         * @param {?} __0
         * @return {?}
         */
        function (_a) {
            var max = _a.max;
            return ({ token: 'form-control-errors.max', data: { max: max } });
        }),
        minlength: (/**
         * @param {?} __0
         * @return {?}
         */
        function (_a) {
            var requiredLength = _a.requiredLength, actualLength = _a.actualLength;
            return ({
                token: 'form-control-errors.minlength',
                data: { requiredLength: requiredLength, actualLength: actualLength }
            });
        }),
        maxlength: (/**
         * @param {?} __0
         * @return {?}
         */
        function (_a) {
            var requiredLength = _a.requiredLength, actualLength = _a.actualLength;
            return ({
                token: 'form-control-errors.maxlength',
                data: { requiredLength: requiredLength, actualLength: actualLength }
            });
        })
    };
    return data;
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbTableHeaderCell = /** @class */ (function () {
    function BbTableHeaderCell() {
        // Styling.
        this.disabled = false;
        // Constants.
        this._name = null;
        this._sort = 'none';
        this._sortDirections = ['asc', 'desc', 'none'];
        // State.
        this.state = new BehaviorSubject(null);
    }
    Object.defineProperty(BbTableHeaderCell.prototype, "name", {
        get: /**
         * @return {?}
         */
        function () {
            return this._name;
        },
        set: /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            this._name = value;
            this.setState();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbTableHeaderCell.prototype, "sort", {
        get: /**
         * @return {?}
         */
        function () {
            return this._sort;
        },
        set: /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            this._sort = value;
            this.setState();
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    BbTableHeaderCell.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        this.setState();
    };
    /**
     * @return {?}
     */
    BbTableHeaderCell.prototype.onClick = /**
     * @return {?}
     */
    function () {
        var _this = this;
        // Check if the header cell is disabled.
        if (this.disabled) {
            return;
        }
        // Find the index of the current sort.
        /** @type {?} */
        var index = this._sortDirections.findIndex((/**
         * @param {?} item
         * @return {?}
         */
        function (item) { return item === _this.sort; }));
        // Increase the current index.
        /** @type {?} */
        var newIndex = index + 1;
        // If the sort is out of bounds set it to null.
        if (newIndex >= this._sortDirections.length) {
            newIndex = 0;
        }
        // Set the new sort.
        this.sort = this._sortDirections[newIndex];
    };
    /**
     * @return {?}
     */
    BbTableHeaderCell.prototype.setState = /**
     * @return {?}
     */
    function () {
        this.state.next({
            name: this.name,
            direction: this.sort
        });
    };
    BbTableHeaderCell.decorators = [
        { type: Component, args: [{
                    selector: 'bb-table-header-cell',
                    template: "<ng-content></ng-content>\n\n<!-- The indicator for the sort direction. -->\n<i *ngIf=\"sort !== 'none' && !disabled\"\n   [class.sort-asc]=\"sort === 'asc'\"\n   [class.sort-desc]=\"sort === 'desc'\">\n    &#9650;\n</i>",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    host: { 'class': 'bb-table-header-cell' },
                    encapsulation: ViewEncapsulation.None,
                    preserveWhitespaces: false,
                    styles: [".bb-table-header-cell{height:50px;color:#212529;cursor:pointer;font-size:16px;font-weight:500;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;padding:10px 20px;display:table-cell;vertical-align:middle;border-bottom:1px solid #d8d8d8}.bb-table-header-cell.fit{width:1%;white-space:nowrap}.bb-table-header-cell.left{text-align:left}.bb-table-header-cell.center{text-align:center}.bb-table-header-cell.right{text-align:right}.bb-table-header-cell.disabled{cursor:default;pointer-events:none}.sort-asc,.sort-desc{color:#212529;font-size:10px;margin-left:2px;display:-ms-inline-flexbox;display:inline-flex}.sort-desc{-webkit-transform:rotate(180deg);-ms-transform:rotate(180deg);transform:rotate(180deg)}"]
                }] }
    ];
    BbTableHeaderCell.propDecorators = {
        disabled: [{ type: HostBinding, args: ['class.disabled',] }, { type: Input }],
        name: [{ type: Input }],
        sort: [{ type: Input }],
        onClick: [{ type: HostListener, args: ['click',] }]
    };
    return BbTableHeaderCell;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbTableColumnDef = /** @class */ (function () {
    function BbTableColumnDef() {
    }
    BbTableColumnDef.decorators = [
        { type: Directive, args: [{
                    selector: '[bbTableColumnDef]'
                },] }
    ];
    return BbTableColumnDef;
}());
var BbTable = /** @class */ (function () {
    function BbTable() {
        var _this = this;
        // Inputs.
        this.identifier = null;
        this.queryFields = [];
        this.sizes = [50, 100, 250];
        // Optimizations.
        this.trackByFn = (/**
         * @param {?} index
         * @param {?} item
         * @return {?}
         */
        function (index, item) {
            return _this.identifier
                ? item[_this.identifier]
                : index;
        });
        // State.
        this.isLoading$ = new BehaviorSubject(true);
        this.page$ = new BehaviorSubject(1);
        this.queryControl = new FormControl('');
        this.sizeControl = new FormControl(this.sizes[0]);
    }
    /**
     * @return {?}
     */
    BbTable.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        var _this = this;
        // Validate the data source exists.
        if (!this.dataSource) {
            throw new Error('The data source was not passed properly.');
        }
        // Create a new request.
        this.request = new BbDataSourceRequest();
        // Pass the request to the data source.
        this.data$ = this.dataSource.handle(this.request).pipe(tap((/**
         * @return {?}
         */
        function () { return _this.isLoading$.next(false); })));
    };
    /**
     * @return {?}
     */
    BbTable.prototype.ngAfterViewInit = /**
     * @return {?}
     */
    function () {
        var _this = this;
        /** @type {?} */
        var queryChanges$ = this.queryControl.valueChanges.pipe(debounceTime(400), distinctUntilChanged(), startWith(this.queryControl.value));
        /** @type {?} */
        var sortChanges$ = this.headerCells.changes.pipe(startWith(this.headerCells.toArray()), switchMap((/**
         * @param {?} headerCells
         * @return {?}
         */
        function (headerCells) { return combineLatest(headerCells.map((/**
         * @param {?} cell
         * @return {?}
         */
        function (cell) { return cell.state; }))); })), map((/**
         * @param {?} cells
         * @return {?}
         */
        function (cells) { return cells.filter((/**
         * @param {?} cell
         * @return {?}
         */
        function (cell) { return !!cell['name'] && cell['direction'] !== 'none'; })); })));
        /** @type {?} */
        var sizeChanges$ = this.sizeControl.valueChanges.pipe(startWith(this.sizeControl.value));
        this._subscription = combineLatest(queryChanges$, sortChanges$, sizeChanges$, this.page$.asObservable()).subscribe((/**
         * @param {?} __0
         * @return {?}
         */
        function (_a) {
            var _b = __read(_a, 4), query$$1 = _b[0], sort = _b[1], pageSize = _b[2], pageNumber = _b[3];
            _this.isLoading$.next(true);
            return _this.request.update({
                query: query$$1,
                pageSize: pageSize,
                pageNumber: pageNumber,
                queryFields: _this.queryFields,
                sort: (/** @type {?} */ (sort))
            });
        }));
    };
    /**
     * @return {?}
     */
    BbTable.prototype.ngOnDestroy = /**
     * @return {?}
     */
    function () {
        this._subscription && this._subscription.unsubscribe();
    };
    /**
     * @return {?}
     */
    BbTable.prototype.refresh = /**
     * @return {?}
     */
    function () {
        return this.request.update();
    };
    BbTable.decorators = [
        { type: Component, args: [{
                    selector: 'bb-table',
                    template: "<div class=\"bb-table-top-actions\">\n    <ng-content></ng-content>\n    <bb-form-control>\n        <input [formControl]=\"queryControl\"\n               [placeholder]=\"'common.search' | bbLocalize\"\n               bbInput\n               autocomplete=\"off\">\n        <bb-icon bbPrefix src=\"material:search\"></bb-icon>\n    </bb-form-control>\n</div>\n<div class=\"bb-table-wrapper\">\n    <div *ngIf=\"isLoading$ | async\"\n         class=\"bb-table-progress\">\n        <div class=\"bb-table-indeterminate\"></div>\n    </div>\n    <table class=\"bb-table-container\">\n        <thead>\n            <tr>\n                <ng-content select=\"bb-table-header-cell\"></ng-content>\n            </tr>\n        </thead>\n        <tbody *ngIf=\"data$ | async as data; else isLoadingTemplate\">\n            <ng-container *ngIf=\"data?.data?.length > 0; else isEmptyTemplate\">\n                <tr *ngFor=\"let item of data?.data; trackBy: trackByFn\">\n                    <ng-container *ngFor=\"let template of tableColumnTemplates\">\n                        <ng-container *ngTemplateOutlet=\"template; context: {item: item}\"></ng-container>\n                    </ng-container>\n                </tr>\n            </ng-container>\n        </tbody>\n    </table>\n    <div class=\"bb-table-bottom-actions\">\n        <select [formControl]=\"sizeControl\"\n                title=\"Size\"\n                class=\"bb-table-sizing\">\n            <option *ngFor=\"let item of sizes\"\n                    [ngValue]=\"item\">\n                {{ item }} {{ 'common.items_per_page' | bbLocalize }}\n            </option>\n        </select>\n        <bb-table-pager *ngIf=\"data$ | async as data\"\n                        [page]=\"data?.pageNumber\"\n                        [totalPages]=\"data?.totalPages\"\n                        (onPageChange)=\"page$?.next($event)\">\n        </bb-table-pager>\n    </div>\n</div>\n\n<ng-template #isLoadingTemplate>\n    <tr>\n        <td [attr.colspan]=\"tableColumnTemplates?.length\"\n            class=\"bb-table-template\">\n            <div class=\"bb-table-template-content\">\n                {{ 'common.loading' | bbLocalize }}\n            </div>\n        </td>\n    </tr>\n</ng-template>\n\n<ng-template #isEmptyTemplate>\n    <tr>\n        <td [attr.colspan]=\"tableColumnTemplates?.length\"\n            class=\"bb-table-template\">\n            <div class=\"bb-table-template-content\">\n                {{ 'common.empty' | bbLocalize }}\n            </div>\n        </td>\n    </tr>\n</ng-template>\n",
                    host: { 'class': 'bb-table' },
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    preserveWhitespaces: false,
                    styles: [".bb-table{width:100%;padding:20px;display:block}.bb-table-wrapper{overflow-x:auto;position:relative;border-radius:4px;background-color:#fff;box-shadow:0 6px 6px -6px rgba(0,0,0,.1)}.bb-table-container{width:100%}.bb-table-container td{border-bottom:1px solid #d8d8d8}.bb-table-container>tbody>tr:last-child{border-bottom-left-radius:4px;border-bottom-right-radius:4px}.bb-table-top-actions{display:-ms-flexbox;display:flex;margin-bottom:15px;-ms-flex-direction:column;flex-direction:column;-ms-flex-pack:end;justify-content:flex-end}.bb-table-top-actions>:not(:first-child){margin-top:10px}.bb-table-bottom-actions{height:50px;display:-ms-flexbox;display:flex;padding:0 20px;-ms-flex-align:center;align-items:center}.bb-table-sizing{border:none;height:30px;font-size:16px;-webkit-appearance:none;-moz-appearance:none;appearance:none;font-weight:500;background-color:transparent}.bb-table-template{border:none;background-color:#f5f5f5;border-bottom:1px solid #d8d8d8}.bb-table-template-content{display:-ms-flexbox;display:flex;color:#758491;font-size:16px;line-height:1.2;font-weight:500;min-height:100px;text-align:center;-ms-flex-align:center;align-items:center;-ms-flex-pack:center;justify-content:center}.bb-table-progress{top:0;left:0;right:0;opacity:0;width:100%;height:4px;display:block;overflow:hidden;position:absolute;background-color:rgba(47,64,139,.3);-webkit-animation:250ms cubic-bezier(0,0,.2,1) .1s forwards fadeIn;animation:250ms cubic-bezier(0,0,.2,1) .1s forwards fadeIn}.bb-table-progress .bb-table-indeterminate{background-color:#2f408b}.bb-table-progress .bb-table-indeterminate:before{top:0;left:0;bottom:0;content:'';position:absolute;will-change:left,right;background-color:inherit;-webkit-animation:2.1s cubic-bezier(.65,.815,.735,.395) infinite indeterminate;animation:2.1s cubic-bezier(.65,.815,.735,.395) infinite indeterminate}.bb-table-progress .bb-table-indeterminate:after{top:0;left:0;bottom:0;content:'';position:absolute;-webkit-animation-delay:1.15s;animation-delay:1.15s;will-change:left,right;background-color:inherit;-webkit-animation:2.1s cubic-bezier(.165,.84,.44,1) infinite indeterminate-short;animation:2.1s cubic-bezier(.165,.84,.44,1) infinite indeterminate-short}@-webkit-keyframes fadeIn{from{opacity:0}to{opacity:1}}@keyframes fadeIn{from{opacity:0}to{opacity:1}}@-webkit-keyframes indeterminate{0%{left:-35%;right:100%}100%,60%{left:100%;right:-90%}}@keyframes indeterminate{0%{left:-35%;right:100%}100%,60%{left:100%;right:-90%}}@-webkit-keyframes indeterminate-short{0%{left:-200%;right:100%}100%,60%{left:107%;right:-8%}}@keyframes indeterminate-short{0%{left:-200%;right:100%}100%,60%{left:107%;right:-8%}}@media only screen and (min-width:768px){.bb-table-top-actions{-ms-flex-direction:row;flex-direction:row}.bb-table-top-actions>:not(:first-child){margin-top:0;margin-left:10px}}"]
                }] }
    ];
    BbTable.propDecorators = {
        headerCells: [{ type: ContentChildren, args: [BbTableHeaderCell,] }],
        tableColumnTemplates: [{ type: ContentChildren, args: [BbTableColumnDef, { read: TemplateRef },] }],
        identifier: [{ type: Input }],
        dataSource: [{ type: Input }],
        queryFields: [{ type: Input }],
        sizes: [{ type: Input }]
    };
    return BbTable;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbTableCell = /** @class */ (function () {
    function BbTableCell() {
    }
    BbTableCell.decorators = [
        { type: Component, args: [{
                    selector: 'bb-table-cell',
                    template: "<div>\n    <ng-content></ng-content>\n</div>",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    host: { 'class': 'bb-table-cell' },
                    encapsulation: ViewEncapsulation.None,
                    preserveWhitespaces: false,
                    styles: [".bb-table-cell{color:#758491;font-size:16px;text-align:left;line-height:1.2;font-weight:500;padding:12px 20px;display:table-cell;word-wrap:break-word;vertical-align:middle;background-color:#f5f5f5;border-bottom:1px solid #d8d8d8}.bb-table-cell:not(:last-child){border-right:1px solid #d8d8d8}.bb-table-cell.fit{width:1%;white-space:nowrap}.bb-table-cell.left{text-align:left}.bb-table-cell.center{text-align:center}.bb-table-cell.right{text-align:right}"]
                }] }
    ];
    return BbTableCell;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbTablePager = /** @class */ (function () {
    function BbTablePager() {
        // Outputs.
        this.onPageChange = new EventEmitter();
        // Data.
        this._pageNumber$ = new BehaviorSubject(1);
        // Optimizations for the ngFor.
        this.trackByIndex = (/**
         * @param {?} index
         * @return {?}
         */
        function (index) { return index; });
    }
    Object.defineProperty(BbTablePager.prototype, "page", {
        // Inputs.
        set: 
        // Inputs.
        /**
         * @param {?} newPage
         * @return {?}
         */
        function (newPage) {
            this._pageNumber$.next(newPage);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbTablePager.prototype, "list", {
        get: /**
         * @return {?}
         */
        function () {
            var _this = this;
            return this._pageNumber$.pipe(map((/**
             * @param {?} pageNumber
             * @return {?}
             */
            function (pageNumber) {
                return _this.getPages(pageNumber)
                    .filter((/**
                 * @param {?} page
                 * @return {?}
                 */
                function (page) { return page > 0 && page <= _this.totalPages; }))
                    .map((/**
                 * @param {?} page
                 * @return {?}
                 */
                function (page) { return ({ page: page, active: pageNumber === page }); }));
            })), share());
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @param {?} index
     * @return {?}
     */
    BbTablePager.prototype.goTo = /**
     * @param {?} index
     * @return {?}
     */
    function (index) {
        // Calculate the new value.
        /** @type {?} */
        var newValue = Math.min(this.totalPages, Math.max(1, index));
        // Don't do anything if the page number is the same.
        if (this._pageNumber$.getValue() === newValue) {
            return;
        }
        // Push the new value.
        this._pageNumber$.next(newValue);
        // Notify the listeners.
        this.onPageChange.emit(newValue);
    };
    /**
     * @private
     * @param {?} pageNumber
     * @return {?}
     */
    BbTablePager.prototype.getPages = /**
     * @private
     * @param {?} pageNumber
     * @return {?}
     */
    function (pageNumber) {
        /** @type {?} */
        var min = 1;
        /** @type {?} */
        var max = this.totalPages;
        /** @type {?} */
        var data = Array(3)
            .fill(0)
            .map((/**
         * @param {?} _
         * @param {?} index
         * @return {?}
         */
        function (_, index) { return pageNumber + (index - 1); }));
        if (data[0] < min) {
            return data.map((/**
             * @param {?} item
             * @return {?}
             */
            function (item) { return item + 1; }));
        }
        if (data[data.length - 1] > max) {
            return data.map((/**
             * @param {?} item
             * @return {?}
             */
            function (item) { return item - 1; }));
        }
        return data;
    };
    BbTablePager.decorators = [
        { type: Component, args: [{
                    selector: 'bb-table-pager',
                    template: "<ul class=\"bb-pager-list\">\n    <li *ngFor=\"let item of list | async; trackBy: trackByIndex\"\n        class=\"bb-pager-list-item\">\n        <button (click)=\"goTo(item?.page)\"\n                [class.active]=\"item?.active\"\n                class=\"bb-pager-list-button\"\n                type=\"button\">\n            {{ item?.page }}\n        </button>\n    </li>\n</ul>\n",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    host: { 'class': 'bb-table-pager' },
                    encapsulation: ViewEncapsulation.None,
                    preserveWhitespaces: false,
                    styles: [".bb-table-pager{-ms-flex:1;flex:1;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:end;justify-content:flex-end}.bb-pager-list{display:-ms-flexbox;display:flex}.bb-pager-list-item:not(:last-child):after{content:'|';color:#212529;font-size:16px;font-weight:500}.bb-pager-list-button{border:none;color:#758491;font-size:16px;font-weight:500;padding:10px 5px;background-color:transparent}.bb-pager-list-button.active{color:#212529;cursor:default}"]
                }] }
    ];
    BbTablePager.propDecorators = {
        page: [{ type: Input }],
        totalPages: [{ type: Input }],
        onPageChange: [{ type: Output }]
    };
    return BbTablePager;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
var DECLARATIONS_EXPORTS$1 = [
    BbTable,
    BbTableColumnDef,
    BbTableHeaderCell,
    BbTableCell
];
var BbTableModule = /** @class */ (function () {
    function BbTableModule() {
    }
    BbTableModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule, FormsModule, ReactiveFormsModule, BbElementsModule, BbLocalizeModule],
                    declarations: __spread([BbTablePager], DECLARATIONS_EXPORTS$1),
                    exports: __spread(DECLARATIONS_EXPORTS$1)
                },] }
    ];
    return BbTableModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 */
var  /**
 * @template T
 */
BbDialogRef = /** @class */ (function () {
    function BbDialogRef() {
        // Data.
        this._afterClosed$ = new Subject();
        this._overlayClicked$ = new Subject();
    }
    Object.defineProperty(BbDialogRef.prototype, "afterClosed", {
        get: /**
         * @return {?}
         */
        function () {
            return this._afterClosed$.pipe(take(1));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbDialogRef.prototype, "overlayClicked", {
        get: /**
         * @return {?}
         */
        function () {
            return this._overlayClicked$.pipe(take(1));
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    BbDialogRef.prototype.onOverlayClicked = /**
     * @return {?}
     */
    function () {
        this._overlayClicked$.next();
    };
    /**
     * @param {?=} result
     * @return {?}
     */
    BbDialogRef.prototype.close = /**
     * @param {?=} result
     * @return {?}
     */
    function (result) {
        this._afterClosed$.next(result);
    };
    return BbDialogRef;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 */
var  /**
 * @template T
 */
BbDialogConfig = /** @class */ (function () {
    function BbDialogConfig() {
    }
    return BbDialogConfig;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbDialogOverlay = /** @class */ (function () {
    function BbDialogOverlay() {
        // Inputs.
        this.animations = true;
        // Outputs.
        this.closeRequested = new EventEmitter();
        // State.
        this._state = 'open';
        this._closed$ = new Subject();
    }
    Object.defineProperty(BbDialogOverlay.prototype, "state", {
        get: /**
         * @return {?}
         */
        function () {
            return this.animations
                ? this._state
                : 'none';
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    BbDialogOverlay.prototype.onOverlayClicked = /**
     * @return {?}
     */
    function () {
        this.closeRequested.emit();
    };
    /**
     * @param {?} event
     * @return {?}
     */
    BbDialogOverlay.prototype.onKeyEvent = /**
     * @param {?} event
     * @return {?}
     */
    function (event) {
        if (event.key === 'Escape') {
            this.closeRequested.emit();
        }
    };
    /**
     * @param {?} event
     * @return {?}
     */
    BbDialogOverlay.prototype.onAnimationDone = /**
     * @param {?} event
     * @return {?}
     */
    function (event) {
        // Check if the dialog is being destroyed.
        if (!['close', 'none'].includes(event.toState)) {
            return;
        }
        this._closed$.next();
        this._closed$.complete();
    };
    /**
     * @return {?}
     */
    BbDialogOverlay.prototype.close = /**
     * @return {?}
     */
    function () {
        this._state = 'close';
        return this._closed$.pipe(take(1)).toPromise();
    };
    BbDialogOverlay.decorators = [
        { type: Component, args: [{
                    selector: 'bb-dialog-overlay',
                    template: "<div class=\"bb-dialog-overlay-backdrop\"></div>\n\n<ng-content select=\"[bb-dialog-modal]\"></ng-content>\n",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    preserveWhitespaces: false,
                    host: { 'class': 'bb-dialog-overlay', '[@bbDialogAnimation]': 'state' },
                    animations: [
                        trigger('bbDialogAnimation', [
                            transition('* => none', []),
                            transition(':enter, * => open', [
                                group([
                                    query('.bb-dialog-overlay-backdrop', [
                                        style({ opacity: 0 }),
                                        animate('150ms cubic-bezier(0, 0, 0.2, 1)', style({ opacity: 1 }))
                                    ]),
                                    query('.bb-dialog-modal', [
                                        style({ transform: 'scale(0.95)' }),
                                        animate('150ms cubic-bezier(0, 0, 0.2, 1)', style({ transform: 'scale(1)' }))
                                    ])
                                ])
                            ]),
                            transition(':leave, * => close', [
                                group([
                                    query('.bb-dialog-overlay-backdrop', [
                                        animate('150ms cubic-bezier(0, 0, 0.2, 1)', style({ opacity: 0 }))
                                    ]),
                                    query('.bb-dialog-modal', [
                                        animate('150ms cubic-bezier(0, 0, 0.2, 1)', style({ opacity: 0, transform: 'scale(0.95)' }))
                                    ])
                                ])
                            ])
                        ])
                    ],
                    styles: [".bb-dialog-overlay,.bb-dialog-overlay-backdrop{top:0;left:0;right:0;bottom:0;display:-ms-flexbox;display:flex;z-index:1000;position:fixed}.bb-dialog-overlay{padding:20px}.bb-dialog-overlay-backdrop{background-color:rgba(0,0,0,.5)}.bb-dialog-overlay-component{z-index:1001;display:block;position:relative}"]
                }] }
    ];
    BbDialogOverlay.propDecorators = {
        animations: [{ type: Input }],
        closeRequested: [{ type: Output }],
        onOverlayClicked: [{ type: HostListener, args: ['click',] }],
        onKeyEvent: [{ type: HostListener, args: ['window:keyup', ['$event'],] }],
        onAnimationDone: [{ type: HostListener, args: ['@bbDialogAnimation.done', ['$event'],] }]
    };
    return BbDialogOverlay;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbDialogModal = /** @class */ (function () {
    function BbDialogModal() {
        // Styling.
        this.maxWidth = '420px';
    }
    /**
     * @param {?} event
     * @return {?}
     */
    BbDialogModal.prototype.onOverlayClickedEvent = /**
     * @param {?} event
     * @return {?}
     */
    function (event) {
        event.stopPropagation();
    };
    BbDialogModal.decorators = [
        { type: Component, args: [{
                    selector: '[bb-dialog-modal]',
                    template: "<ng-content select=\"[bb-dialog-header]\">\n\n</ng-content>\n\n<div class=\"bb-dialog-modal-body\">\n    <ng-content></ng-content>\n</div>\n\n<ng-content select=\"[bb-dialog-actions]\">\n\n</ng-content>\n",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    preserveWhitespaces: false,
                    host: {
                        'class': 'bb-dialog-modal',
                        'role': 'dialog'
                    },
                    styles: [".bb-dialog-modal{width:100%;margin:auto;z-index:1001;display:-ms-flexbox;display:flex;max-width:420px;border-radius:4px;position:relative;-ms-flex-direction:column;flex-direction:column;background-color:#fff;max-height:calc(100vh - 40px)}.bb-dialog-modal-body{-ms-flex:1;flex:1;color:#738694;font-size:13px;overflow-y:auto;line-height:1.4;padding:0 20px 20px}"]
                }] }
    ];
    BbDialogModal.propDecorators = {
        maxWidth: [{ type: HostBinding, args: ['style.max-width',] }, { type: Input }],
        onOverlayClickedEvent: [{ type: HostListener, args: ['click', ['$event'],] }]
    };
    return BbDialogModal;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbDialogHeader = /** @class */ (function () {
    function BbDialogHeader() {
        // Inputs.
        this.iconName = null;
        this.iconColor = 'black';
        // Outputs.
        this.closeRequested = new EventEmitter();
    }
    BbDialogHeader.decorators = [
        { type: Component, args: [{
                    selector: '[bb-dialog-header]',
                    template: "<div *ngIf=\"iconName as icon\"\n     [style.color]=\"iconColor\"\n     class=\"bb-dialog-header-icon\">\n    <i class=\"material-icons\">{{ icon }}</i>\n</div>\n\n<div class=\"bb-dialog-header-content\">\n    <ng-content></ng-content>\n</div>\n\n<button *ngIf=\"closeRequested?.observers?.length > 0\"\n        (click)=\"closeRequested?.emit()\"\n        type=\"button\"\n        class=\"bb-dialog-header-close\">\n</button>\n",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    preserveWhitespaces: false,
                    host: { 'class': 'bb-dialog-header' },
                    styles: [".bb-dialog-header{display:-ms-flexbox;display:flex;padding:20px;-ms-flex-align:start;align-items:flex-start}.bb-dialog-header h1{font-size:17px;font-weight:500}.bb-dialog-header-content{-ms-flex:1;flex:1}.bb-dialog-header-icon{width:40px;height:40px;display:-ms-flexbox;display:flex;min-width:40px;overflow:hidden;min-height:40px;margin-right:10px;border-radius:50%;position:relative;-ms-flex-align:center;align-items:center;-ms-flex-pack:center;justify-content:center}.bb-dialog-header-icon:after{top:0;left:0;right:0;bottom:0;content:'';opacity:.14;position:absolute;background-color:currentColor}.bb-dialog-header-close{width:20px;height:20px;border:none;overflow:hidden;margin-left:10px;position:relative;display:inline-block;background-color:transparent}.bb-dialog-header-close:after,.bb-dialog-header-close:before{left:0;top:50%;width:100%;height:2px;content:'';margin-top:-1px;position:absolute;background-color:#a2a9ba}.bb-dialog-header-close:before{-webkit-transform:rotate(45deg);-ms-transform:rotate(45deg);transform:rotate(45deg)}.bb-dialog-header-close:after{-webkit-transform:rotate(-45deg);-ms-transform:rotate(-45deg);transform:rotate(-45deg)}"]
                }] }
    ];
    BbDialogHeader.propDecorators = {
        iconName: [{ type: Input }],
        iconColor: [{ type: Input }],
        closeRequested: [{ type: Output }]
    };
    return BbDialogHeader;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbDialogActions = /** @class */ (function () {
    function BbDialogActions() {
    }
    BbDialogActions.decorators = [
        { type: Component, args: [{
                    selector: '[bb-dialog-actions]',
                    template: "<bb-form-group class=\"end\">\n    <ng-content></ng-content>\n</bb-form-group>\n",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    preserveWhitespaces: false,
                    host: { 'class': 'bb-dialog-actions' },
                    styles: [".bb-dialog-actions{padding:20px;display:block;background-color:#f1f3f6;border-bottom-left-radius:4px;border-bottom-right-radius:4px}"]
                }] }
    ];
    return BbDialogActions;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbDialogInsertion = /** @class */ (function () {
    function BbDialogInsertion(viewContainerRef) {
        this.viewContainerRef = viewContainerRef;
    }
    BbDialogInsertion.decorators = [
        { type: Directive, args: [{
                    selector: '[bbDialogInsertion]'
                },] }
    ];
    /** @nocollapse */
    BbDialogInsertion.ctorParameters = function () { return [
        { type: ViewContainerRef }
    ]; };
    return BbDialogInsertion;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbDialogContainer = /** @class */ (function () {
    function BbDialogContainer(_changeDetection, _componentFactoryResolver) {
        this._changeDetection = _changeDetection;
        this._componentFactoryResolver = _componentFactoryResolver;
        // Data.
        this.componentRef = null;
        this.childComponentType = null;
        // State.
        this.overlayClicked$ = new Subject();
    }
    Object.defineProperty(BbDialogContainer.prototype, "onOverlayClicked", {
        get: /**
         * @return {?}
         */
        function () {
            return this.overlayClicked$.pipe(take(1));
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    BbDialogContainer.prototype.ngAfterViewInit = /**
     * @return {?}
     */
    function () {
        // Load the child component.
        this.loadChildComponent(this.childComponentType);
        // Detect changes to notify change detection.
        this._changeDetection.detectChanges();
    };
    /**
     * @param {?} event
     * @return {?}
     */
    BbDialogContainer.prototype.onAnimationDone = /**
     * @param {?} event
     * @return {?}
     */
    function (event) {
        // Check if the dialog is being destroyed.
        if (event.toState !== 'void') {
            return;
        }
        // Destroy the ref if it exists.
        this.componentRef && this.componentRef.destroy();
    };
    /**
     * @return {?}
     */
    BbDialogContainer.prototype.onOverlayClickedEvent = /**
     * @return {?}
     */
    function () {
        this.overlayClicked$.next();
    };
    /**
     * @private
     * @param {?} componentType
     * @return {?}
     */
    BbDialogContainer.prototype.loadChildComponent = /**
     * @private
     * @param {?} componentType
     * @return {?}
     */
    function (componentType) {
        // Resolve the component.
        /** @type {?} */
        var componentFactory = this._componentFactoryResolver.resolveComponentFactory(componentType);
        // Get the view container ref and clear it.
        /** @type {?} */
        var viewContainerRef = this.insertion.viewContainerRef;
        viewContainerRef.clear();
        // Create an instance of the component.
        this.componentRef = viewContainerRef.createComponent(componentFactory);
    };
    BbDialogContainer.decorators = [
        { type: Component, args: [{
                    selector: 'bb-dialog-container',
                    template: "<div class=\"bb-dialog-container-backdrop\">\n</div>\n\n<div class=\"bb-dialog-container-component\">\n    <ng-container bbDialogInsertion>\n    </ng-container>\n</div>\n",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    host: { 'class': 'bb-dialog-container', '[@bbDialogAnimation]': 'true' },
                    preserveWhitespaces: false,
                    animations: [
                        trigger('bbDialogAnimation', [
                            transition(':enter', [
                                group([
                                    query('.bb-dialog-container-backdrop', [
                                        style({
                                            opacity: 0
                                        }),
                                        animate('150ms cubic-bezier(0, 0, 0.2, 1)', style({
                                            opacity: 1
                                        }))
                                    ]),
                                    query('.bb-dialog-container-component', [
                                        style({
                                            transform: 'scale(0.95)'
                                        }),
                                        animate('150ms cubic-bezier(0, 0, 0.2, 1)', style({
                                            transform: 'scale(1)'
                                        }))
                                    ])
                                ])
                            ]),
                            transition(':leave', [
                                group([
                                    query('.bb-dialog-container-backdrop', [
                                        animate('150ms cubic-bezier(0, 0, 0.2, 1)', style({
                                            opacity: 0
                                        }))
                                    ]),
                                    query('.bb-dialog-container-component', [
                                        animate('150ms cubic-bezier(0, 0, 0.2, 1)', style({
                                            opacity: 0,
                                            transform: 'scale(0.95)'
                                        }))
                                    ])
                                ])
                            ])
                        ])
                    ],
                    styles: [".bb-dialog-container,.bb-dialog-container-backdrop{top:0;left:0;right:0;bottom:0;z-index:1000;position:fixed}.bb-dialog-container{display:-ms-flexbox;display:flex}.bb-dialog-container-backdrop{background-color:rgba(0,0,0,.5)}.bb-dialog-container-component{width:100%;margin:auto;padding:20px;z-index:1001;display:block}"]
                }] }
    ];
    /** @nocollapse */
    BbDialogContainer.ctorParameters = function () { return [
        { type: ChangeDetectorRef },
        { type: ComponentFactoryResolver }
    ]; };
    BbDialogContainer.propDecorators = {
        insertion: [{ type: ViewChild, args: [BbDialogInsertion,] }],
        onAnimationDone: [{ type: HostListener, args: ['@bbDialogAnimation.done', ['$event'],] }],
        onOverlayClickedEvent: [{ type: HostListener, args: ['click',] }]
    };
    return BbDialogContainer;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
var nextUniqueId$2 = 1;
var BbDialogConfirm = /** @class */ (function () {
    function BbDialogConfirm(config, dialogRef) {
        this.config = config;
        this.dialogRef = dialogRef;
        // Id.
        this.dialogId = "bb-dialog-confirm-" + nextUniqueId$2++;
    }
    /**
     * @return {?}
     */
    BbDialogConfirm.prototype.ngAfterViewInit = /**
     * @return {?}
     */
    function () {
        // Initial focus the button.
        this.confirmButton.focus();
    };
    /**
     * @param {?} result
     * @return {?}
     */
    BbDialogConfirm.prototype.onClose = /**
     * @param {?} result
     * @return {?}
     */
    function (result) {
        this.dialogRef.close(result);
    };
    BbDialogConfirm.decorators = [
        { type: Component, args: [{
                    selector: 'bb-dialog-confirm',
                    template: "<div [attr.aria-labelledby]=\"dialogId\"\n     bb-dialog-modal\n     bbFocusTrap>\n    <header bb-dialog-header>\n        <h1 *ngIf=\"config?.data?.title as title\"\n            [id]=\"dialogId\">\n            {{ title | bbLocalize:{optional: true} }}\n        </h1>\n    </header>\n\n    <p>\n        {{ config?.data?.description | bbLocalize:{optional: true} }}\n    </p>\n\n    <footer bb-dialog-actions>\n        <button *ngIf=\"config?.data?.cancelButtonText as cancelButtonText\"\n                (click)=\"onClose(false)\"\n                bb-button\n                type=\"button\">\n            {{ cancelButtonText | bbLocalize:{optional: true} }}\n        </button>\n        <button #confirm\n                *ngIf=\"config?.data?.confirmButtonText as confirmButtonText\"\n                (click)=\"onClose(true)\"\n                bb-button\n                type=\"button\"\n                class=\"destructive\">\n            {{ confirmButtonText | bbLocalize:{optional: true} }}\n        </button>\n    </footer>\n</div>\n",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    preserveWhitespaces: false,
                    host: { 'class': 'bb-dialog-confirm' },
                    styles: [".bb-dialog-confirm{display:block}"]
                }] }
    ];
    /** @nocollapse */
    BbDialogConfirm.ctorParameters = function () { return [
        { type: BbDialogConfig },
        { type: BbDialogRef }
    ]; };
    BbDialogConfirm.propDecorators = {
        confirmButton: [{ type: ViewChild, args: ['confirm', { read: BbButton },] }]
    };
    return BbDialogConfirm;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbDialogInjector = /** @class */ (function () {
    function BbDialogInjector(_parentInjector, _additionalTokens) {
        this._parentInjector = _parentInjector;
        this._additionalTokens = _additionalTokens;
    }
    /**
     * @param {?} token
     * @param {?=} notFoundValue
     * @param {?=} flags
     * @return {?}
     */
    BbDialogInjector.prototype.get = /**
     * @param {?} token
     * @param {?=} notFoundValue
     * @param {?=} flags
     * @return {?}
     */
    function (token, notFoundValue, flags) {
        // First check if the additional token
        // contains the token.
        /** @type {?} */
        var value = this._additionalTokens.get(token);
        // If that value exists return it.
        if (value) {
            return value;
        }
        // Else query the parent injector.
        return this._parentInjector.get(token, notFoundValue);
    };
    return BbDialogInjector;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbDialog = /** @class */ (function () {
    function BbDialog(_injector, _applicationRef, _componentFactoryResolver) {
        this._injector = _injector;
        this._applicationRef = _applicationRef;
        this._componentFactoryResolver = _componentFactoryResolver;
    }
    /**
     * @template T
     * @param {?} componentType
     * @param {?} config
     * @return {?}
     */
    BbDialog.prototype.open = /**
     * @template T
     * @param {?} componentType
     * @param {?} config
     * @return {?}
     */
    function (componentType, config) {
        return this.createDialog(componentType, config);
    };
    /**
     * @param {?} title
     * @param {?} description
     * @param {?=} options
     * @return {?}
     */
    BbDialog.prototype.confirm = /**
     * @param {?} title
     * @param {?} description
     * @param {?=} options
     * @return {?}
     */
    function (title, description, options) {
        if (options === void 0) { options = {}; }
        return this.open(BbDialogConfirm, {
            data: {
                title: title,
                description: description,
                cancelButtonText: options.cancelButtonText || 'dialog.default_cancel_button',
                confirmButtonText: options.confirmButtonText || 'dialog.default_confirm_button'
            }
        });
    };
    /**
     * @private
     * @template T
     * @param {?} componentType
     * @param {?} config
     * @return {?}
     */
    BbDialog.prototype.createDialog = /**
     * @private
     * @template T
     * @param {?} componentType
     * @param {?} config
     * @return {?}
     */
    function (componentType, config) {
        var _this = this;
        // Create a reference.
        /** @type {?} */
        var dialogRef = new BbDialogRef();
        // Create a map with the config.
        /** @type {?} */
        var map$$1 = new WeakMap();
        map$$1.set(BbDialogConfig, config);
        map$$1.set(BbDialogRef, dialogRef);
        // Create a custom injector.
        /** @type {?} */
        var dialogInjector = new BbDialogInjector(this._injector, map$$1);
        // Resolve the dialog component reference.
        /** @type {?} */
        var dialogComponentRef = this._componentFactoryResolver
            .resolveComponentFactory(BbDialogContainer)
            .create(dialogInjector);
        // Attach the host view to the application.
        this._applicationRef.attachView(dialogComponentRef.hostView);
        try {
            // Remove the current focus.
            /** @type {?} */
            var activeElement = (/** @type {?} */ (document.activeElement));
            activeElement.blur();
            // Append the element to the DOM.
            document.body.appendChild(dialogComponentRef.location.nativeElement);
        }
        catch (_a) {
            // Don't do anything, because it must've failed.
        }
        // Set the child component type on the component.
        dialogComponentRef.instance.childComponentType = componentType;
        dialogComponentRef.instance.onOverlayClicked.subscribe((/**
         * @return {?}
         */
        function () { return dialogRef.onOverlayClicked(); }));
        // Listen for close events.
        dialogRef.afterClosed.subscribe((/**
         * @return {?}
         */
        function () { return _this.deleteDialog(dialogComponentRef); }));
        // Return the reference.
        return dialogRef;
    };
    /**
     * @private
     * @param {?} dialogComponentRef
     * @return {?}
     */
    BbDialog.prototype.deleteDialog = /**
     * @private
     * @param {?} dialogComponentRef
     * @return {?}
     */
    function (dialogComponentRef) {
        // Only continue if the dialog component ref exists.
        if (!dialogComponentRef) {
            return;
        }
        // Detach the dialog.
        this._applicationRef.detachView(dialogComponentRef.hostView);
        // Destroy the dialog.
        dialogComponentRef.destroy();
        dialogComponentRef = null;
    };
    BbDialog.decorators = [
        { type: Injectable }
    ];
    /** @nocollapse */
    BbDialog.ctorParameters = function () { return [
        { type: Injector },
        { type: ApplicationRef },
        { type: ComponentFactoryResolver }
    ]; };
    return BbDialog;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbDialogModule = /** @class */ (function () {
    function BbDialogModule() {
    }
    /**
     * @return {?}
     */
    BbDialogModule.forRoot = /**
     * @return {?}
     */
    function () {
        return {
            ngModule: BbDialogModule,
            providers: [BbDialog]
        };
    };
    BbDialogModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        BbLocalizeModule,
                        BbElementsModule
                    ],
                    declarations: [
                        BbDialogContainer,
                        BbDialogOverlay,
                        BbDialogModal,
                        BbDialogHeader,
                        BbDialogActions,
                        BbDialogConfirm,
                        BbDialogInsertion
                    ],
                    entryComponents: [
                        BbDialogContainer,
                        BbDialogConfirm
                    ],
                    exports: [
                        BbDialogOverlay,
                        BbDialogModal,
                        BbDialogHeader,
                        BbDialogActions
                    ]
                },] }
    ];
    return BbDialogModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbDashboard = /** @class */ (function () {
    function BbDashboard(_renderer) {
        this._renderer = _renderer;
        // Inputs.
        this.backgroundColor = '#e7eaed';
        this.maxWidth = '1200px';
        this.padding = '20px';
        // State.
        this.sidebarVisible$ = new BehaviorSubject(true);
    }
    Object.defineProperty(BbDashboard.prototype, "visibility", {
        get: /**
         * @return {?}
         */
        function () {
            return this.sidebarVisible$.asObservable();
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    BbDashboard.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        // Set the HTML class to prevent scrolling.
        return this.setHtmlClass();
    };
    /**
     * @return {?}
     */
    BbDashboard.prototype.ngOnDestroy = /**
     * @return {?}
     */
    function () {
        // Remove the HTML class.
        return this.setHtmlClass(true);
    };
    /**
     * @return {?}
     */
    BbDashboard.prototype.toggleSidebarVisibility = /**
     * @return {?}
     */
    function () {
        // Get the previous value.
        /** @type {?} */
        var previousValue = this.sidebarVisible$.getValue();
        // Invert the value and set the visibility.
        this.setSidebarVisibility(!previousValue);
    };
    /**
     * @param {?} newValue
     * @return {?}
     */
    BbDashboard.prototype.setSidebarVisibility = /**
     * @param {?} newValue
     * @return {?}
     */
    function (newValue) {
        this.sidebarVisible$.next(newValue);
    };
    /**
     * @private
     * @param {?=} shouldRemove
     * @return {?}
     */
    BbDashboard.prototype.setHtmlClass = /**
     * @private
     * @param {?=} shouldRemove
     * @return {?}
     */
    function (shouldRemove) {
        if (shouldRemove === void 0) { shouldRemove = false; }
        // Check if the document element is available.
        if (!document || !document.documentElement) {
            return;
        }
        // Define the class name.
        /** @type {?} */
        var className = 'bb-dashboard-html';
        // Add or remove the class.
        return shouldRemove
            ? this._renderer.removeClass(document.documentElement, className)
            : this._renderer.addClass(document.documentElement, className);
    };
    BbDashboard.decorators = [
        { type: Component, args: [{
                    selector: 'bb-dashboard',
                    template: "<!--\n    The outlet for where the sidebar\n    will be placed (if provided).\n-->\n<ng-content select=\"bb-dashboard-sidebar\">\n</ng-content>\n\n<!--\n    The section containing the header\n    and the main content.\n-->\n<section [style.background-color]=\"backgroundColor\"\n         class=\"bb-dashboard-section\">\n    <!--\n        The outlet for where the header\n        will be placed (if provided).\n    -->\n    <ng-content select=\"bb-dashboard-header\">\n    </ng-content>\n\n    <!--\n        The outlet of the content that\n        will be provided by the router.\n    -->\n    <main [style.padding]=\"padding\"\n          class=\"bb-dashboard-scroll\">\n        <div [style.max-width]=\"maxWidth\"\n             class=\"bb-dashboard-container\">\n            <ng-content select=\"bb-dashboard-menu\"></ng-content>\n\n            <ng-content></ng-content>\n        </div>\n    </main>\n</section>\n\n<!--\n    The backdrop that will be visible when\n    the sidebar is opened (only on mobile).\n-->\n<div [class.bb-dashboard-backdrop--visible]=\"!(visibility | async)\"\n     (click)=\"toggleSidebarVisibility()\"\n     class=\"bb-dashboard-backdrop\">\n</div>\n",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    preserveWhitespaces: false,
                    host: {
                        'class': 'bb-dashboard'
                    },
                    styles: [".bb-dashboard{height:100vh;display:-ms-flexbox;display:flex;overflow:hidden;position:relative}.bb-dashboard-section{-ms-flex:1;flex:1;height:100vh;display:-ms-flexbox;display:flex;overflow-x:hidden;-ms-flex-direction:column;flex-direction:column}.bb-dashboard-scroll{-ms-flex:1;flex:1;overflow-x:hidden;overflow-y:scroll;-webkit-overflow-scrolling:touch}.bb-dashboard-container{width:100%;margin:0 auto}.bb-dashboard-backdrop{top:0;left:0;right:0;bottom:0;opacity:0;z-index:5;position:absolute;will-change:opacity;pointer-events:none;background-color:rgba(0,0,0,.5);transition:opacity .2s cubic-bezier(0,0,.2,1)}.bb-dashboard-backdrop--visible{opacity:1;cursor:pointer;pointer-events:all}@media only screen and (min-width:768px){.bb-dashboard-backdrop{display:none}}.bb-dashboard-html{height:100%;overflow:hidden}"]
                }] }
    ];
    /** @nocollapse */
    BbDashboard.ctorParameters = function () { return [
        { type: Renderer2 }
    ]; };
    BbDashboard.propDecorators = {
        backgroundColor: [{ type: Input }],
        maxWidth: [{ type: Input }],
        padding: [{ type: Input }]
    };
    return BbDashboard;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbDashboardHeader = /** @class */ (function () {
    function BbDashboardHeader(_parent) {
        this._parent = _parent;
    }
    Object.defineProperty(BbDashboardHeader.prototype, "isSidebarVisible", {
        get: /**
         * @return {?}
         */
        function () {
            return this._parent
                ? this._parent.visibility
                : of(false);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    BbDashboardHeader.prototype.onToggleSidebarClicked = /**
     * @return {?}
     */
    function () {
        // If the parent exists toggle the sidebar visibility.
        this._parent && this._parent.toggleSidebarVisibility();
    };
    BbDashboardHeader.decorators = [
        { type: Component, args: [{
                    selector: 'bb-dashboard-header',
                    template: "<!--\n    The button that toggles the sidebar.\n-->\n<button (click)=\"onToggleSidebarClicked()\"\n        [class.bb-dashboard-header-button--reversed]=\"isSidebarVisible | async\"\n        class=\"bb-dashboard-header-button\"\n        type=\"button\"\n        tabindex=\"0\"\n        role=\"switch\">\n    <svg xmlns=\"http://www.w3.org/2000/svg\"\n         viewBox=\"0 0 157 109\"\n         width=\"17\"\n         height=\"12\"\n         role=\"img\">\n        <title>\n            Toggle\n        </title>\n        <path fill=\"#fff\"\n              d=\"M82 42V11.2L30 54.5l52 43.3V67h75V42zM9.5 109h-2c-4.1 0-7.5-3.4-7.5-7.5v-94C0 3.4 3.4 0 7.5 0h2C13.6 0 17 3.4 17 7.5v94c0 4.1-3.4 7.5-7.5 7.5z\">\n        </path>\n    </svg>\n</button>\n\n<!--\n    The extra items of the header.\n-->\n<div class=\"bb-dashboard-header-items\">\n    <ng-content></ng-content>\n</div>",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    preserveWhitespaces: false,
                    host: {
                        'class': 'bb-dashboard-header'
                    },
                    styles: [".bb-dashboard-header{z-index:1;width:100%;color:#fff;height:50px;display:-ms-flexbox;display:flex;padding:0 8px;min-height:50px;-ms-flex-align:center;align-items:center;background-color:#5b53ff;border-bottom:1px solid #4d46d6}.bb-dashboard-header-button{width:68px;height:34px;border-radius:4px;-ms-flex-align:center;align-items:center;display:-ms-inline-flexbox;display:inline-flex;-ms-flex-pack:center;justify-content:center;border:1px solid #4d46d6;background-color:transparent}.bb-dashboard-header-button>svg{height:100%;-webkit-transform:none;-ms-transform:none;transform:none;transition:transform .2s cubic-bezier(0,0,.2,1);transition:transform .2s cubic-bezier(0,0,.2,1),-webkit-transform .2s cubic-bezier(0,0,.2,1)}.bb-dashboard-header-button--reversed>svg{-webkit-transform:rotateY(180deg);transform:rotateY(180deg)}.bb-dashboard-header-button:hover{background-color:rgba(0,0,0,.04)}.bb-dashboard-header-button:active{background-color:rgba(0,0,0,.08)}.bb-dashboard-header-items{display:-ms-flexbox;display:flex;margin-left:auto;-ms-flex-align:center;align-items:center}.bb-dashboard-header-items>:not(:first-child){margin-left:8px}@media only screen and (min-width:768px){.bb-dashboard-header-button>svg{-webkit-transform:rotateY(180deg);transform:rotateY(180deg)}.bb-dashboard-header-button--reversed>svg{-webkit-transform:none;-ms-transform:none;transform:none}}"]
                }] }
    ];
    /** @nocollapse */
    BbDashboardHeader.ctorParameters = function () { return [
        { type: BbDashboard, decorators: [{ type: Optional }] }
    ]; };
    return BbDashboardHeader;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbDashboardMenu = /** @class */ (function () {
    function BbDashboardMenu() {
        // Inputs.
        this.title = null;
        this.imageUrl = null;
        this.backUrlLink = null;
        this.backUrlTitle = null;
    }
    BbDashboardMenu.decorators = [
        { type: Component, args: [{
                    selector: 'bb-dashboard-menu',
                    template: "<a *ngIf=\"backUrlLink && backUrlTitle\"\n   [routerLink]=\"backUrlLink\"\n   class=\"bb-dashboard-menu-link\">\n    {{ backUrlTitle }}\n</a>\n\n<div class=\"bb-dashboard-menu-row\">\n    <img *ngIf=\"imageUrl\"\n         [src]=\"imageUrl\"\n         class=\"bb-dashboard-menu-image\"\n         alt=\"Menu image\">\n    <h1 *ngIf=\"title as titleLabel\"\n        class=\"bb-dashboard-menu-title\">\n        {{ titleLabel }}\n    </h1>\n</div>\n\n<nav class=\"bb-dashboard-menu-navigation\">\n    <ng-content select=\"[bb-dashboard-menu-item]\"></ng-content>\n</nav>\n",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    preserveWhitespaces: false,
                    host: {
                        'class': 'bb-dashboard-menu',
                        'role': 'navigation'
                    },
                    styles: [".bb-dashboard-menu{display:block;margin-bottom:20px}.bb-dashboard-menu-link,.bb-dashboard-menu-title{max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.bb-dashboard-menu-link{display:block;font-weight:500;margin-bottom:16px;text-decoration:none}.bb-dashboard-menu-link,.bb-dashboard-menu-link:visited{color:#a7a9c4!important}.bb-dashboard-menu-link:before{width:14px;content:'';height:13px;margin-right:3px;display:inline-block;background-size:cover;background-image:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 492 492'%3E%3Cpath fill='%23a7a9c4' d='M464.344 207.418l.768.168H135.888l103.496-103.724c5.068-5.064 7.848-11.924 7.848-19.124 0-7.2-2.78-14.012-7.848-19.088L223.28 49.538c-5.064-5.064-11.812-7.864-19.008-7.864-7.2 0-13.952 2.78-19.016 7.844L7.844 226.914C2.76 231.998-.02 238.77 0 245.974c-.02 7.244 2.76 14.02 7.844 19.096l177.412 177.412c5.064 5.06 11.812 7.844 19.016 7.844 7.196 0 13.944-2.788 19.008-7.844l16.104-16.112c5.068-5.056 7.848-11.808 7.848-19.008 0-7.196-2.78-13.592-7.848-18.652L134.72 284.406h329.992c14.828 0 27.288-12.78 27.288-27.6v-22.788c0-14.82-12.828-26.6-27.656-26.6z'/%3E%3C/svg%3E\")}.bb-dashboard-menu-row{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;margin-bottom:10px}.bb-dashboard-menu-image{display:block;margin-right:10px;width:30px;height:30px;border-radius:50%}.bb-dashboard-menu-title{color:#272838;display:block;line-height:1;font-size:34px;font-weight:500}.bb-dashboard-menu-navigation{display:-ms-flexbox;display:flex;overflow-x:auto;border-bottom:1px solid #d8d8d8}"]
                }] }
    ];
    BbDashboardMenu.propDecorators = {
        title: [{ type: Input }],
        imageUrl: [{ type: Input }],
        backUrlLink: [{ type: Input }],
        backUrlTitle: [{ type: Input }]
    };
    return BbDashboardMenu;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbDashboardMenuItemBase = /** @class */ (function () {
    function BbDashboardMenuItemBase() {
    }
    return BbDashboardMenuItemBase;
}());
/** @type {?} */
var BbDashboardMenuItemMixinBase = mixinDisabled(BbDashboardMenuItemBase);
var BbDashboardMenuItem = /** @class */ (function (_super) {
    __extends(BbDashboardMenuItem, _super);
    function BbDashboardMenuItem() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @param {?} event
     * @return {?}
     */
    BbDashboardMenuItem.prototype.stopDisabledEvents = /**
     * @param {?} event
     * @return {?}
     */
    function (event) {
        // If the menu item is not disabled let all events pass.
        if (!this.disabled) {
            return;
        }
        // If the menu item is disabled stop the event from
        // bubbling up.
        event.preventDefault();
        event.stopImmediatePropagation();
    };
    BbDashboardMenuItem.decorators = [
        { type: Component, args: [{
                    selector: '[bb-dashboard-menu-item]',
                    template: "<ng-content select=\"[bbPrefix]\"></ng-content>\n<span class=\"bb-dashboard-menu-item-content\">\n    <ng-content></ng-content>\n</span>\n<ng-content select=\"[bbSuffix]\"></ng-content>\n",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    preserveWhitespaces: false,
                    inputs: ['disabled'],
                    host: {
                        'class': 'bb-dashboard-menu-item',
                        '[class.disabled]': 'disabled',
                        '(click)': 'stopDisabledEvents($event)'
                    },
                    styles: [".bb-dashboard-menu-item{margin:0;padding:0;border:none;display:-ms-flexbox;display:flex;max-width:100%;font-size:16px;-webkit-appearance:none;-moz-appearance:none;appearance:none;-ms-flex-align:center;align-items:center;white-space:nowrap;color:#6b5c5c!important;background-color:transparent;text-decoration:none!important;border-bottom:2px solid transparent}.bb-dashboard-menu-item:not(:first-child){margin-left:10px}.bb-dashboard-menu-item:not(:last-child){margin-right:10px}.bb-dashboard-menu-item:hover:not(.disabled){border-bottom:2px solid rgba(117,119,148,.2)}.bb-dashboard-menu-item.active,.bb-dashboard-menu-item.active:hover{color:#5b53ff!important;border-bottom:2px solid #5b53ff}.bb-dashboard-menu-item.disabled,.bb-dashboard-menu-item.disabled:active,.bb-dashboard-menu-item.disabled:focus,.bb-dashboard-menu-item.disabled:hover{opacity:.4;cursor:default;box-shadow:none}.bb-dashboard-menu-item>.bb-prefix{margin-right:5px}.bb-dashboard-menu-item>.bb-suffix{margin-left:5px}.bb-dashboard-menu-item-content{height:38px;display:block;font-weight:500;line-height:38px}"]
                }] }
    ];
    return BbDashboardMenuItem;
}(BbDashboardMenuItemMixinBase));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbDashboardSidebar = /** @class */ (function () {
    function BbDashboardSidebar(_storage, _parent) {
        this._storage = _storage;
        this._parent = _parent;
        // Bindings.
        this.visible = true;
        // State.
        this._state$ = new BehaviorSubject({});
        // Token.
        this._localStorageToken = 'bb-dashboard-sidebar-state';
    }
    /**
     * @return {?}
     */
    BbDashboardSidebar.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        var _this = this;
        // Retrieve the cache.
        this._cache = this._storage.get(this._localStorageToken) || {};
        // Get the visibility observable from the parent
        // if the parent exists.
        /** @type {?} */
        var observable$ = this._parent
            ? this._parent.visibility
            : of(false);
        // Subscribe to get the state changes.
        this._subscription = observable$
            .subscribe((/**
         * @param {?} value
         * @return {?}
         */
        function (value) { return _this.visible = value; }));
    };
    /**
     * @return {?}
     */
    BbDashboardSidebar.prototype.ngOnDestroy = /**
     * @return {?}
     */
    function () {
        // Unsubscribe to prevent memory leaks.
        this._subscription && this._subscription.unsubscribe();
    };
    /**
     * @param {?} id
     * @return {?}
     */
    BbDashboardSidebar.prototype.registerGroup = /**
     * @param {?} id
     * @return {?}
     */
    function (id) {
        var _a;
        // Get the old state.
        /** @type {?} */
        var oldState = this._state$.getValue();
        // Get the cache value so when it is undefined
        // we will default to true.
        /** @type {?} */
        var cacheValue = this._cache[id] === undefined ? true : this._cache[id];
        // Push the new state.
        this._state$.next(__assign({}, oldState, (_a = {}, _a[id] = cacheValue, _a)));
        // Return the slice of the state that the group needs.
        return this._state$.pipe(map((/**
         * @param {?} state
         * @return {?}
         */
        function (state) { return state[id]; })));
    };
    /**
     * @param {?} id
     * @return {?}
     */
    BbDashboardSidebar.prototype.unregisterGroup = /**
     * @param {?} id
     * @return {?}
     */
    function (id) {
        // Get the old groups.
        var _a = this._state$.getValue(), _b = id, _ = _a[_b], newState = __rest(_a, [typeof _b === "symbol" ? _b : _b + ""]);
        // Push the new state.
        this._state$.next(newState);
    };
    /**
     * @param {?} id
     * @param {?} newValue
     * @return {?}
     */
    BbDashboardSidebar.prototype.toggleGroup = /**
     * @param {?} id
     * @param {?} newValue
     * @return {?}
     */
    function (id, newValue) {
        var _a;
        // Get the old state.
        /** @type {?} */
        var oldState = this._state$.getValue();
        // Create the new state.
        /** @type {?} */
        var newState = __assign({}, oldState, (_a = {}, _a[id] = newValue, _a));
        // Push the new state.
        this._state$.next(newState);
        // Save in the cache.
        this._storage.set(this._localStorageToken, newState);
    };
    /**
     * @return {?}
     */
    BbDashboardSidebar.prototype.close = /**
     * @return {?}
     */
    function () {
        // Set the sidebar visibility to true, this means
        // that on mobile the sidebar will be closed.
        this._parent.setSidebarVisibility(true);
    };
    BbDashboardSidebar.decorators = [
        { type: Component, args: [{
                    selector: 'bb-dashboard-sidebar',
                    template: "<!--\n    The optional header element.\n-->\n<ng-content select=\"header\"></ng-content>\n\n<!--\n    The scroll area that contains the\n    groups in the navigation.\n-->\n<div class=\"bb-dashboard-sidebar-scroll\">\n    <ng-content select=\"bb-dashboard-sidebar-group\"></ng-content>\n</div>\n\n<!--\n    The optional footer element.\n-->\n<ng-content select=\"footer\"></ng-content>\n",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    preserveWhitespaces: false,
                    host: {
                        'class': 'bb-dashboard-sidebar',
                        'role': 'navigation'
                    },
                    styles: [".bb-dashboard-sidebar{top:0;bottom:0;z-index:10;left:-256px;width:256px;height:100vh;display:-ms-flexbox;display:flex;position:fixed;min-width:256px;will-change:transform;-ms-flex-direction:column;flex-direction:column;-webkit-transform:translateX(256px);-ms-transform:translateX(256px);transform:translateX(256px);border-right:1px solid rgba(0,0,0,.4);transition:transform 250ms cubic-bezier(0,0,.2,1);transition:transform 250ms cubic-bezier(0,0,.2,1),-webkit-transform 250ms cubic-bezier(0,0,.2,1);background:linear-gradient(to bottom,#fff,#f2f2f2) #fff}.bb-dashboard-sidebar.visible{-webkit-transform:none;-ms-transform:none;transform:none}.bb-dashboard-sidebar-scroll{-ms-flex:1;flex:1;overflow:auto}.bb-dashboard-sidebar>header{border-bottom:1px solid #d8d8d8;background-color:rgba(255,255,255,.5)}.bb-dashboard-sidebar>footer{border-top:1px solid #d8d8d8;background-color:rgba(255,255,255,.5)}@media only screen and (min-width:768px){.bb-dashboard-sidebar{left:0;z-index:auto;-webkit-transform:none;-ms-transform:none;transform:none;position:relative;margin-left:-256px;transition:margin-left 250ms cubic-bezier(0,0,.2,1)}.bb-dashboard-sidebar.visible{margin-left:0}}"]
                }] }
    ];
    /** @nocollapse */
    BbDashboardSidebar.ctorParameters = function () { return [
        { type: BbStorage },
        { type: BbDashboard, decorators: [{ type: Optional }, { type: Host }] }
    ]; };
    BbDashboardSidebar.propDecorators = {
        visible: [{ type: HostBinding, args: ['class.visible',] }]
    };
    return BbDashboardSidebar;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbDashboardSidebarGroupBase = /** @class */ (function () {
    function BbDashboardSidebarGroupBase(_parent) {
        this._parent = _parent;
    }
    return BbDashboardSidebarGroupBase;
}());
/** @type {?} */
var BbDashboardSidebarGroupMixinBase = mixinDisabled(BbDashboardSidebarGroupBase);
var BbDashboardSidebarGroup = /** @class */ (function (_super) {
    __extends(BbDashboardSidebarGroup, _super);
    function BbDashboardSidebarGroup(_parent) {
        var _this = _super.call(this, _parent) || this;
        _this._parent = _parent;
        // Inputs.
        _this.id = null;
        _this.icon = null;
        _this.title = null;
        // State.
        _this._isExpanded = false;
        return _this;
    }
    Object.defineProperty(BbDashboardSidebarGroup.prototype, "hasToggle", {
        get: /**
         * @return {?}
         */
        function () {
            // Check if the user provided a icon and/or title.
            return !!this.icon || !!this.title;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbDashboardSidebarGroup.prototype, "isExpanded", {
        get: /**
         * @return {?}
         */
        function () {
            // If there is an icon or title the group can be
            // expanded by clicking, else not.
            return this.hasToggle
                ? this._isExpanded
                : true;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    BbDashboardSidebarGroup.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        var _this = this;
        // Check if the id has been supplied.
        if (!this.id) {
            throw new Error('Id is required.');
        }
        // Register the group at the parent and
        // retrieve the slice of the state.
        /** @type {?} */
        var observable$ = this._parent
            ? this._parent.registerGroup(this.id)
            : of(false);
        // Subscribe to the state.
        this._subscription = observable$
            .subscribe((/**
         * @param {?} isExpanded
         * @return {?}
         */
        function (isExpanded) { return _this._isExpanded = isExpanded; }));
    };
    /**
     * @return {?}
     */
    BbDashboardSidebarGroup.prototype.ngOnDestroy = /**
     * @return {?}
     */
    function () {
        // Unsubscribe to prevent memory leaks.
        this._subscription && this._subscription.unsubscribe();
        // Unregister the group at the parent.
        this._parent && this._parent.unregisterGroup(this.id);
    };
    /**
     * @return {?}
     */
    BbDashboardSidebarGroup.prototype.onClick = /**
     * @return {?}
     */
    function () {
        // Verify the group is not disabled.
        if (this.disabled) {
            return;
        }
        // Change the state.
        /** @type {?} */
        var newValue = !this._isExpanded;
        // Set the state of the sidebar group.
        this._parent && this._parent.toggleGroup(this.id, newValue);
    };
    /**
     * @param {?} event
     * @return {?}
     */
    BbDashboardSidebarGroup.prototype.onGroupClicked = /**
     * @param {?} event
     * @return {?}
     */
    function (event) {
        // If the group is not disabled don't do anything.
        if (!this.disabled) {
            return;
        }
        event.preventDefault();
        event.stopPropagation();
    };
    BbDashboardSidebarGroup.decorators = [
        { type: Component, args: [{
                    selector: 'bb-dashboard-sidebar-group',
                    template: "<!--\n    The wrapper that contains the title and icon.\n-->\n<button *ngIf=\"hasToggle\"\n        (click)=\"onClick()\"\n        class=\"bb-dashboard-sidebar-group-title\"\n        type=\"button\"\n        role=\"switch\">\n    <bb-icon *ngIf=\"icon as iconName\"\n             [src]=\"iconName\"\n             class=\"bb-dashboard-sidebar-group-icon\">\n    </bb-icon>\n    <span *ngIf=\"title as titleText\"\n          role=\"heading\"\n          class=\"bb-dashboard-sidebar-group-text\">\n        {{ titleText }}\n    </span>\n    <span class=\"bb-dashboard-sidebar-group-toggle\">\n       <svg xmlns=\"http://www.w3.org/2000/svg\"\n            viewBox=\"0 0 21.7 30.9\"\n            width=\"10\"\n            height=\"10\"\n            role=\"img\">\n           <path\n               d=\"M10.1.3L.2 11.8c-.6.6-.1 1.7.8 1.7h19.7c.9 0 1.3-1 .8-1.7L11.6.3c-.4-.4-1.1-.4-1.5 0zM10.1 30.6L.2 19.1c-.6-.6-.1-1.7.8-1.7h19.7c.9 0 1.3 1 .8 1.7l-9.8 11.5c-.5.4-1.2.4-1.6 0z\">\n           </path>\n       </svg>\n    </span>\n</button>\n\n<!--\n    The sidebar items that contain the\n    links to navigate to other pages.\n-->\n<ng-content select=\"[bb-dashboard-sidebar-item]\">\n</ng-content>\n",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    preserveWhitespaces: false,
                    inputs: ['disabled'],
                    host: {
                        'class': 'bb-dashboard-sidebar-group',
                        '[class.expanded]': 'isExpanded',
                        '[class.with-toggle]': 'hasToggle',
                        '[class.has-icon]': '!!icon',
                        '[class.disabled]': 'disabled',
                        'role': 'group'
                    },
                    styles: [".bb-dashboard-sidebar-group{color:#000;display:block;overflow:hidden;border-bottom:1px solid rgba(0,0,0,.1);transition:background-color .2s cubic-bezier(0,0,.2,1),padding-bottom .2s cubic-bezier(0,0,.2,1)}.bb-dashboard-sidebar-group.expanded{background-color:rgba(0,0,0,.04)}.bb-dashboard-sidebar-group.expanded .bb-dashboard-sidebar-group-title{color:#000}.bb-dashboard-sidebar-group.expanded .bb-dashboard-sidebar-item{opacity:1;height:32px;line-height:32px;padding:6px 16px}.bb-dashboard-sidebar-group.expanded .bb-dashboard-sidebar-group-toggle{opacity:0;-webkit-transform:translateX(10px);-ms-transform:translateX(10px);transform:translateX(10px)}.bb-dashboard-sidebar-group.with-toggle.expanded{padding-bottom:20px}.bb-dashboard-sidebar-group.has-icon .bb-dashboard-sidebar-item{padding-left:54px}.bb-dashboard-sidebar-group.disabled{opacity:.5}.bb-dashboard-sidebar-group-title{margin:0;width:100%;border:none;display:-ms-flexbox;display:flex;cursor:pointer;text-align:left;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;-ms-flex-align:center;align-items:center;padding:17px 15px;color:rgba(0,0,0,.8);background-color:transparent;transition:color .2s cubic-bezier(0,0,.2,1)}.bb-dashboard-sidebar-group-title:active>.bb-dashboard-sidebar-group-toggle{background-color:rgba(0,0,0,.08)}.bb-dashboard-sidebar-group-icon{margin-right:15px;color:rgba(0,0,0,.25)}.bb-dashboard-sidebar-group-text{width:100%;display:block;font-size:14px;max-width:100%;overflow:hidden;font-weight:500;line-height:15px;white-space:nowrap;text-overflow:ellipsis;text-transform:uppercase}.bb-dashboard-sidebar-group-toggle{width:22px;height:22px;display:-ms-flexbox;display:flex;min-width:22px;min-height:22px;margin-left:auto;border-radius:3px;-ms-flex-align:center;align-items:center;-ms-flex-pack:center;justify-content:center;transition:opacity .2s cubic-bezier(0,0,.2,1),transform .2s cubic-bezier(0,0,.2,1),background-color .2s cubic-bezier(0,0,.2,1),-webkit-transform .2s cubic-bezier(0,0,.2,1)}.bb-dashboard-sidebar-group-toggle>svg{width:10px;height:10px;fill:rgba(0,0,0,.25)}"]
                }] }
    ];
    /** @nocollapse */
    BbDashboardSidebarGroup.ctorParameters = function () { return [
        { type: BbDashboardSidebar, decorators: [{ type: Optional }, { type: Host }] }
    ]; };
    BbDashboardSidebarGroup.propDecorators = {
        id: [{ type: Input }],
        icon: [{ type: Input }],
        title: [{ type: Input }],
        onGroupClicked: [{ type: HostListener, args: ['click', ['$event'],] }]
    };
    return BbDashboardSidebarGroup;
}(BbDashboardSidebarGroupMixinBase));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbDashboardSidebarItem = /** @class */ (function () {
    function BbDashboardSidebarItem(_sidebar, _group) {
        this._sidebar = _sidebar;
        this._group = _group;
        // Inputs.
        this.tabIndex = 0;
    }
    /**
     * @return {?}
     */
    BbDashboardSidebarItem.prototype.onClick = /**
     * @return {?}
     */
    function () {
        // Try to close the sidebar if it exists.
        // this will close it on mobile.
        return this._sidebar && this._sidebar.close();
    };
    Object.defineProperty(BbDashboardSidebarItem.prototype, "attributeTabIndex", {
        get: /**
         * @return {?}
         */
        function () {
            // Make the items tabindex -1 so it can't
            // be tabbed to when the parent is not visible
            // or the parent is disabled.
            if (this.isHidden) {
                return -1;
            }
            // Else return the specified tabindex.
            return this.tabIndex;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbDashboardSidebarItem.prototype, "isHidden", {
        get: /**
         * @return {?}
         */
        function () {
            return !this.isVisible || this.isDisabled;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbDashboardSidebarItem.prototype, "isVisible", {
        get: /**
         * @private
         * @return {?}
         */
        function () {
            return this._group
                ? this._group.isExpanded
                : true;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbDashboardSidebarItem.prototype, "isDisabled", {
        get: /**
         * @private
         * @return {?}
         */
        function () {
            return this._group
                ? this._group.disabled
                : false;
        },
        enumerable: true,
        configurable: true
    });
    BbDashboardSidebarItem.decorators = [
        { type: Component, args: [{
                    selector: '[bb-dashboard-sidebar-item]',
                    template: "<!--\n    The content between the tags will\n    be reflected here.\n-->\n<span class=\"bb-dashboard-sidebar-item-content\">\n    <ng-content></ng-content>\n</span>\n",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    preserveWhitespaces: false,
                    host: {
                        'class': 'bb-dashboard-sidebar-item',
                        '[attr.tabindex]': 'attributeTabIndex',
                        '[attr.aria-hidden]': 'isHidden',
                        '(click)': 'onClick()'
                    },
                    styles: [".bb-dashboard-sidebar-item{height:0;opacity:0;padding:0;display:-ms-flexbox;display:flex;line-height:0;cursor:pointer;font-size:14px;font-weight:500;-ms-flex-align:center;align-items:center;text-decoration:none;will-change:opacity,height;color:rgba(0,0,0,.85)!important;transition:height .2s cubic-bezier(0,0,.2,1),opacity .2s cubic-bezier(0,0,.2,1) 50ms,color .2s cubic-bezier(0,0,.2,1),background-color .2s cubic-bezier(0,0,.2,1)}.bb-dashboard-sidebar-item:focus,.bb-dashboard-sidebar-item:hover{background-color:rgba(0,0,0,.02)}.bb-dashboard-sidebar-item:active{background-color:rgba(0,0,0,.04)}.bb-dashboard-sidebar-item.active,.bb-dashboard-sidebar-item.active:active,.bb-dashboard-sidebar-item.active:focus,.bb-dashboard-sidebar-item.active:hover{color:#000!important;background-color:rgba(0,0,0,.06)}.bb-dashboard-sidebar-item-content{max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}"]
                }] }
    ];
    /** @nocollapse */
    BbDashboardSidebarItem.ctorParameters = function () { return [
        { type: BbDashboardSidebar, decorators: [{ type: Optional }, { type: Host }] },
        { type: BbDashboardSidebarGroup, decorators: [{ type: Optional }, { type: Host }] }
    ]; };
    BbDashboardSidebarItem.propDecorators = {
        tabIndex: [{ type: Input }]
    };
    return BbDashboardSidebarItem;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
var DECLARATIONS_EXPORTS$2 = [
    BbDashboard,
    BbDashboardHeader,
    BbDashboardMenu,
    BbDashboardMenuItem,
    BbDashboardSidebar,
    BbDashboardSidebarGroup,
    BbDashboardSidebarItem
];
var BbDashboardModule = /** @class */ (function () {
    function BbDashboardModule() {
    }
    BbDashboardModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule, RouterModule, BbElementsModule],
                    declarations: __spread(DECLARATIONS_EXPORTS$2),
                    exports: __spread(DECLARATIONS_EXPORTS$2)
                },] }
    ];
    return BbDashboardModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @enum {string} */
var BbNotificationType = {
    Success: 'success',
    Error: 'error',
    Warning: 'warning',
    Info: 'info',
    Custom: 'custom',
};
var BbNotificationsConfig = /** @class */ (function () {
    function BbNotificationsConfig() {
    }
    return BbNotificationsConfig;
}());
/** @enum {string} */
var BbNotificationsPosition = {
    TopRight: 'flex-start|flex-end',
    BottomRight: 'flex-end|flex-end',
    TopLeft: 'flex-start|flex-start',
    BottomLeft: 'flex-end|flex-start',
};
var BbNotificationsData = /** @class */ (function () {
    function BbNotificationsData() {
    }
    return BbNotificationsData;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
var s = '250ms cubic-bezier(0, 0, .2, 1)';
/** @type {?} */
var l = '400ms cubic-bezier(0, 0, .2, 1)';
/** @type {?} */
var notificationAnimation = trigger('notificationListAnimation', [
    transition('* => *', [
        query(':enter', group([
            // 1. Set the initial state.
            style({ height: 0, opacity: 0, transform: 'translateX({{ to }}%) scale(0.95)' }),
            // 2. Start the animation to show the item.
            stagger(0, [
                animate(s, style({ height: '*' })),
                animate(l, style({ opacity: 1, transform: 'translateX(0) scale(0.95)' })),
                animate(s, style({ transform: 'translateX(0) scale(1)' }))
            ])
        ]), { optional: true }),
        query(':leave', group([
            // 1. Set the initial state.
            style({ height: '*', opacity: 1, transform: 'translateX(0) scale(1)' }),
            // 2. Start the animation to hide the item.
            stagger(0, [
                animate(s, style({ transform: 'translateX(0) scale(0.95)' })),
                animate(l, style({ opacity: 0, transform: 'translateX({{ to }}%) scale(0.95)' })),
                animate(s, style({ height: 0 }))
            ])
        ]), { optional: true })
    ])
]);

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbNotificationsList = /** @class */ (function () {
    function BbNotificationsList(data) {
        this.data = data;
        // Data.
        this.dismissText = null;
        this.position = null;
        // Track by function.
        this.trackByFn = (/**
         * @param {?} _
         * @param {?} item
         * @return {?}
         */
        function (_, item) { return item.id; });
    }
    Object.defineProperty(BbNotificationsList.prototype, "horizontalPosition", {
        get: /**
         * @return {?}
         */
        function () {
            return this.location.horizontal;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbNotificationsList.prototype, "verticalPosition", {
        get: /**
         * @return {?}
         */
        function () {
            return this.location.vertical;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbNotificationsList.prototype, "animation", {
        get: /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var to = this.horizontalPosition === 'flex-start'
                ? -50
                : 50;
            return { to: to };
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbNotificationsList.prototype, "location", {
        get: /**
         * @private
         * @return {?}
         */
        function () {
            var _a = __read((this.data.position || '').split('|'), 2), y = _a[0], x = _a[1];
            return { vertical: y || null, horizontal: x || null };
        },
        enumerable: true,
        configurable: true
    });
    BbNotificationsList.decorators = [
        { type: Component, args: [{
                    selector: 'bb-notifications-list',
                    template: "<!--\n    The notifications list.\n\n    The list provides the animation effect for the\n    incoming notifications.\n-->\n<div *ngIf=\"data?.data | async as notifications\"\n     [@notificationListAnimation]=\"{value: notifications?.length, params: animation}\"\n     class=\"notifications-list-wrapper\">\n    <!--\n        The loop for the notifications.\n\n        All notifications will be displayed here. They\n        are wrapped within a wrapper which separates them.\n    -->\n    <div *ngFor=\"let notification of notifications; trackBy: trackByFn\"\n         class=\"notifications-item-wrapper\">\n        <bb-notifications-item [notification]=\"notification\"\n                               [dismissButtonText]=\"data?.dismissText\">\n        </bb-notifications-item>\n    </div>\n</div>\n",
                    animations: [notificationAnimation],
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    preserveWhitespaces: false,
                    host: {
                        'class': 'bb-notifications-list',
                        'role': 'list'
                    },
                    styles: [".bb-notifications-list{top:0;left:0;right:0;bottom:0;z-index:1100;padding:10px;display:-ms-flexbox;display:flex;position:fixed;pointer-events:none}.notifications-list-wrapper{width:100%;display:block;max-width:400px;position:relative}.notifications-item-wrapper{padding:0;margin:0 0 10px;pointer-events:all}"]
                }] }
    ];
    /** @nocollapse */
    BbNotificationsList.ctorParameters = function () { return [
        { type: BbNotificationsData }
    ]; };
    BbNotificationsList.propDecorators = {
        horizontalPosition: [{ type: HostBinding, args: ['style.justify-content',] }],
        verticalPosition: [{ type: HostBinding, args: ['style.align-items',] }]
    };
    return BbNotificationsList;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbNotificationsInjector = /** @class */ (function () {
    function BbNotificationsInjector(_parentInjector, _additionalTokens) {
        this._parentInjector = _parentInjector;
        this._additionalTokens = _additionalTokens;
    }
    /**
     * @param {?} token
     * @param {?=} notFoundValue
     * @param {?=} flags
     * @return {?}
     */
    BbNotificationsInjector.prototype.get = /**
     * @param {?} token
     * @param {?=} notFoundValue
     * @param {?=} flags
     * @return {?}
     */
    function (token, notFoundValue, flags) {
        // First check if the additional token
        // contains the token.
        /** @type {?} */
        var value = this._additionalTokens.get(token);
        // If that value exists return it.
        if (value) {
            return value;
        }
        // Else query the parent injector.
        return this._parentInjector.get(token, notFoundValue);
    };
    return BbNotificationsInjector;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbNotifications = /** @class */ (function () {
    function BbNotifications(_injector, _platform, _applicationRef, _localize, _config, _componentFactoryResolver) {
        this._injector = _injector;
        this._platform = _platform;
        this._applicationRef = _applicationRef;
        this._localize = _localize;
        this._config = _config;
        this._componentFactoryResolver = _componentFactoryResolver;
        // The data containing the notifications.
        this._notifications$ = new BehaviorSubject([]);
        this.getProperty = (/**
         * @param {?} property
         * @param {?} defaultValue
         * @return {?}
         */
        function (property, defaultValue) {
            return typeof property === 'undefined'
                ? defaultValue
                : property;
        });
        // Get the config.
        /** @type {?} */
        var config = this._config || {};
        // Set the config.
        this._defaultMode = this.getProperty(config.mode, 'prepend');
        this._defaultTimeout = this.getProperty(config.timeout, 8000);
        this._defaultLocalize = this.getProperty(config.localize, false);
        this._defaultDismiss = this.getProperty(config.dismiss, true);
        this._defaultDismissText = this.getProperty(config.dismissText, 'Dismiss');
        this._defaultPosition = this.getProperty(config.position, BbNotificationsPosition.TopRight);
        // Create the element that holds all notifications.
        this.createElement();
    }
    /**
     * @param {?} content
     * @param {?=} actions
     * @param {?=} timeout
     * @return {?}
     */
    BbNotifications.prototype.success = /**
     * @param {?} content
     * @param {?=} actions
     * @param {?=} timeout
     * @return {?}
     */
    function (content, actions, timeout) {
        if (actions === void 0) { actions = []; }
        if (timeout === void 0) { timeout = this._defaultTimeout; }
        return this.create({ content: content, timeout: timeout, actions: actions, type: BbNotificationType.Success });
    };
    /**
     * @param {?} content
     * @param {?=} actions
     * @param {?=} timeout
     * @return {?}
     */
    BbNotifications.prototype.error = /**
     * @param {?} content
     * @param {?=} actions
     * @param {?=} timeout
     * @return {?}
     */
    function (content, actions, timeout) {
        if (actions === void 0) { actions = []; }
        if (timeout === void 0) { timeout = this._defaultTimeout; }
        return this.create({ content: content, timeout: timeout, actions: actions, type: BbNotificationType.Error });
    };
    /**
     * @param {?} content
     * @param {?=} actions
     * @param {?=} timeout
     * @return {?}
     */
    BbNotifications.prototype.warn = /**
     * @param {?} content
     * @param {?=} actions
     * @param {?=} timeout
     * @return {?}
     */
    function (content, actions, timeout) {
        if (actions === void 0) { actions = []; }
        if (timeout === void 0) { timeout = this._defaultTimeout; }
        return this.create({ content: content, timeout: timeout, actions: actions, type: BbNotificationType.Warning });
    };
    /**
     * @param {?} content
     * @param {?=} actions
     * @param {?=} timeout
     * @return {?}
     */
    BbNotifications.prototype.info = /**
     * @param {?} content
     * @param {?=} actions
     * @param {?=} timeout
     * @return {?}
     */
    function (content, actions, timeout) {
        if (actions === void 0) { actions = []; }
        if (timeout === void 0) { timeout = this._defaultTimeout; }
        return this.create({ content: content, timeout: timeout, actions: actions, type: BbNotificationType.Info });
    };
    /**
     * @param {?} notification
     * @return {?}
     */
    BbNotifications.prototype.create = /**
     * @param {?} notification
     * @return {?}
     */
    function (notification) {
        var _this = this;
        // Compose a new notification item.
        /** @type {?} */
        var item = this.compose(notification);
        // Add the destroy function to the notification.
        item.destroy = (/**
         * @return {?}
         */
        function () { return _this.pull(item); });
        // Add the notification to the list
        // and return the item.
        return this.push(item);
    };
    /**
     * @private
     * @param {?} notification
     * @return {?}
     */
    BbNotifications.prototype.push = /**
     * @private
     * @param {?} notification
     * @return {?}
     */
    function (notification) {
        // Get the current list.
        /** @type {?} */
        var oldList = this._notifications$.getValue();
        // Check which mode is activated.
        /** @type {?} */
        var newList = __spread(oldList);
        switch (this._defaultMode) {
            case 'append':
                newList = __spread(oldList, [notification]);
                break;
            case 'prepend':
            default:
                newList = __spread([notification], oldList);
        }
        // Push the new notifications.
        this._notifications$.next(newList);
        // Return the notification for further use.
        return notification;
    };
    /**
     * @private
     * @param {?} notification
     * @return {?}
     */
    BbNotifications.prototype.pull = /**
     * @private
     * @param {?} notification
     * @return {?}
     */
    function (notification) {
        // Get the current list.
        /** @type {?} */
        var newList = this._notifications$
            .getValue()
            .filter((/**
         * @param {?} item
         * @return {?}
         */
        function (item) { return item.id !== notification.id; }));
        // Push a new list.
        this._notifications$.next(newList);
    };
    /**
     * @private
     * @param {?} notification
     * @return {?}
     */
    BbNotifications.prototype.compose = /**
     * @private
     * @param {?} notification
     * @return {?}
     */
    function (notification) {
        // Attach a random id to the notification.
        notification.id = Math.random().toString(36).substr(2, 10);
        // Set all properties.
        notification.type = this.getProperty(notification.type, BbNotificationType.Custom);
        notification.content = this.getProperty(notification.content, null);
        notification.data = this.getProperty(notification.data, {});
        notification.timeout = this.getProperty(notification.timeout, this._defaultTimeout);
        notification.localize = this.getProperty(notification.localize, this._defaultLocalize);
        notification.dismiss = this.getProperty(notification.dismiss, this._defaultDismiss);
        // Dismiss text localization.
        /** @type {?} */
        var dismissText = this.getProperty(notification.dismissText, this._defaultDismissText);
        notification.dismissText = this._defaultLocalize && this._localize
            ? this._localize.translate(dismissText)
            : dismissText;
        // Return the composed notification.
        return notification;
    };
    /**
     * @private
     * @return {?}
     */
    BbNotifications.prototype.createElement = /**
     * @private
     * @return {?}
     */
    function () {
        // Create a map with the config.
        /** @type {?} */
        var map$$1 = new WeakMap();
        map$$1.set(BbNotificationsData, {
            data: this._notifications$.pipe(share()),
            dismissText: this._defaultDismissText,
            position: this._defaultPosition
        });
        // Create a custom injector.
        /** @type {?} */
        var notificationsInjector = new BbNotificationsInjector(this._injector, map$$1);
        // Create the notification list and
        // get a reference to the component.
        this._ref = this._componentFactoryResolver
            .resolveComponentFactory(BbNotificationsList)
            .create(notificationsInjector);
        // Detect the changes.
        this._ref.changeDetectorRef.detectChanges();
        // Attach the component's view to the application
        // so that the change detection will run properly.
        this._applicationRef.attachView(this._ref.hostView);
        // If the platform is not a browser return.
        if (!this._platform.isBrowser) {
            return;
        }
        try {
            // Append the element to the DOM.
            document.body.appendChild(this._ref.location.nativeElement);
        }
        catch (_a) {
            // Don't do anything, because it must've failed.
        }
    };
    BbNotifications.decorators = [
        { type: Injectable }
    ];
    /** @nocollapse */
    BbNotifications.ctorParameters = function () { return [
        { type: Injector },
        { type: BbPlatform },
        { type: ApplicationRef },
        { type: BbLocalize, decorators: [{ type: Optional }] },
        { type: BbNotificationsConfig, decorators: [{ type: Optional }] },
        { type: ComponentFactoryResolver }
    ]; };
    return BbNotifications;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbNotificationsItem = /** @class */ (function () {
    function BbNotificationsItem(_zone, _platform, _changeDetection) {
        var _this = this;
        this._zone = _zone;
        this._platform = _platform;
        this._changeDetection = _changeDetection;
        // Data.
        this._progress = 0;
        this._count = 0;
        // Data.
        this._radius = 19;
        this._circumference = this._radius * 2 * Math.PI;
        this.callActionAndDestroy = (/**
         * @param {?} notification
         * @param {?} action
         * @return {?}
         */
        function (notification, action) {
            // Perform the callback (if it exists).
            action && action.callback && action.callback();
            // Call the destroy method (if it exists).
            notification && notification.destroy && notification.destroy();
        });
        this.instance = (/**
         * @return {?}
         */
        function () {
            // Calculate the difference.
            _this._difference = (new Date().getTime() - _this._startTime) - (_this._count * _this._speed);
            // Add up the count.
            if (_this._count++ === _this._steps) {
                _this.notification.destroy();
            }
            // Add the steps to the progress.
            _this._progress += 100 / _this._steps;
            // Set a new timer.
            _this._timer = _this.setTimeout(_this.instance, _this._speed - _this._difference);
            // Run a new change detection cycle.
            _this._zone.run((/**
             * @return {?}
             */
            function () { return _this._changeDetection.detectChanges(); }));
        });
        this.setTimeout = (/**
         * @param {?} method
         * @param {?} timeout
         * @return {?}
         */
        function (method, timeout) {
            // Check if the window and method exist.
            if (!window || !window.setTimeout) {
                return null;
            }
            return window.setTimeout(method, timeout);
        });
    }
    Object.defineProperty(BbNotificationsItem.prototype, "getClass", {
        get: /**
         * @return {?}
         */
        function () {
            return "bb-notifications-item " + this.notification.type;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbNotificationsItem.prototype, "progressStrokeArray", {
        get: /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var value = Math.floor(this._circumference);
            return value + ", " + value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbNotificationsItem.prototype, "progressStrokeOffset", {
        get: /**
         * @return {?}
         */
        function () {
            return Math.floor(this._circumference - this._progress / 100 * this._circumference);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BbNotificationsItem.prototype, "isContentString", {
        get: /**
         * @return {?}
         */
        function () {
            return typeof this.notification.content === 'string';
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    BbNotificationsItem.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        // Check if the notification timeout is not 0 and the platform is a browser.
        if (this.notification.timeout <= 0 || !this._platform.isBrowser) {
            this.notification.dismiss = true;
            return;
        }
        // Start the timeout.
        this.startTimeout();
    };
    /**
     * @return {?}
     */
    BbNotificationsItem.prototype.ngOnDestroy = /**
     * @return {?}
     */
    function () {
        // Clear the timeout if it was set.
        this._timer && window && window.clearTimeout && window.clearTimeout(this._timer);
    };
    /**
     * @private
     * @return {?}
     */
    BbNotificationsItem.prototype.startTimeout = /**
     * @private
     * @return {?}
     */
    function () {
        var _this = this;
        // Calculate the steps of the timeout.
        this._steps = this.notification.timeout / 10;
        // Calculate the speed of the timeout.
        this._speed = this.notification.timeout / this._steps;
        // Get the start time.
        this._startTime = new Date().getTime();
        // Set a new timer outside of Angular.
        this._zone.runOutsideAngular((/**
         * @return {?}
         */
        function () { return _this._timer = _this.setTimeout(_this.instance, _this._speed); }));
    };
    BbNotificationsItem.decorators = [
        { type: Component, args: [{
                    selector: 'bb-notifications-item',
                    template: "<div class=\"notification-content-wrapper\">\n    <!--\n        The icon for the notification.\n\n        The icon is reflected by the type of the\n        notification. Same goes for the color and\n        background-color.\n    -->\n    <div [style.color]=\"notification?.color\"\n         [style.background-color]=\"notification?.backgroundColor\"\n         class=\"notification-icon-wrapper\">\n        <svg xmlns=\"http://www.w3.org/2000/svg\"\n             viewBox=\"0 0 16 19.5\"\n             class=\"notification-icon\">\n            <path\n                d=\"M8 19.5c1.1 0 2-.9 2-2H6c0 1.1.9 2 2 2zM14 13.5v-5c0-3.1-1.6-5.6-4.5-6.3v-.7C9.5.7 8.8 0 8 0S6.5.7 6.5 1.5v.7C3.6 2.9 2 5.4 2 8.5v5l-2 2v1h16v-1l-2-2z\">\n            </path>\n        </svg>\n\n        <!--\n            The circular progress for the notification.\n\n            The progress is only visible when a timeout is\n            set. The progress adapts to the time remaining\n            for the notification.\n        -->\n        <svg *ngIf=\"notification?.timeout > 0\"\n             class=\"notification-progress-ring\"\n             viewBox=\"0 0 40 40\"\n             role=\"progressbar\">\n            <circle #progress\n                    [attr.stroke-dasharray]=\"progressStrokeArray\"\n                    [attr.stroke-dashoffset]=\"progressStrokeOffset\"\n                    [style.stroke]=\"notification?.color\"\n                    class=\"notification-progress-circle\"\n                    stroke-width=\"2\"\n                    fill=\"transparent\"\n                    r=\"19\"\n                    cx=\"20\"\n                    cy=\"20\">\n            </circle>\n        </svg>\n    </div>\n\n    <!--\n        The content for the notification.\n\n        This displays a string or a template based\n        on the given parameter by the user.\n    -->\n    <div class=\"notification-content\">\n        <ng-container *ngIf=\"isContentString; else templateContent\"\n                      [ngSwitch]=\"notification?.localize\">\n            <ng-container *ngSwitchCase=\"true\">\n                {{ notification?.content | bbLocalize:{data: notification?.data} }}\n            </ng-container>\n            <ng-container *ngSwitchDefault>\n                {{ notification?.content }}\n            </ng-container>\n        </ng-container>\n    </div>\n</div>\n\n<!--\n    The actions of the notification.\n\n    All actions are displayed here and are\n    based on the actions array the user provided.\n-->\n<div *ngIf=\"notification?.actions?.length > 0 || notification?.dismiss\"\n     class=\"notification-actions\">\n    <button *ngFor=\"let action of notification?.actions\"\n            (click)=\"callActionAndDestroy(notification, action)\"\n            type=\"button\"\n            [class.destructive]=\"action?.type === 'cancel'\"\n            class=\"notification-actions-button\">\n        <span [ngSwitch]=\"notification?.localize\"\n              class=\"notification-actions-button-highlight\">\n            <ng-container *ngSwitchCase=\"true\">\n                {{ action?.title | bbLocalize:{data: notification?.data} }}\n            </ng-container>\n            <ng-container *ngSwitchDefault>\n                {{ action?.title }}\n            </ng-container>\n        </span>\n    </button>\n    <button *ngIf=\"notification?.dismiss\"\n            (click)=\"notification?.destroy()\"\n            class=\"notification-actions-button destructive\"\n            type=\"button\">\n        <span class=\"notification-actions-button-highlight\">\n            {{ notification?.dismissText || dismissButtonText }}\n        </span>\n    </button>\n</div>\n\n<!--\n    The outlet for the notification content template ref.\n-->\n<ng-template #templateContent>\n    <ng-container *ngTemplateOutlet=\"notification?.content\"></ng-container>\n</ng-template>\n",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    preserveWhitespaces: false,
                    host: {
                        'role': 'alert'
                    },
                    styles: [".bb-notifications-item{display:-ms-flexbox;display:flex;border-radius:4px;-ms-flex-direction:column;flex-direction:column;background-color:#fff;border:1px solid #d6dbe0}.bb-notifications-item.success .notification-icon-wrapper{color:#2dc05d;background-color:#ebfaf0}.bb-notifications-item.success .notification-progress-circle{stroke:#36d068}.bb-notifications-item.error .notification-icon-wrapper{color:#f43e3e;background-color:#feeeee}.bb-notifications-item.error .notification-progress-circle{stroke:#f55656}.bb-notifications-item.warning .notification-icon-wrapper{color:#f1ae00;background-color:#fff8e7}.bb-notifications-item.warning .notification-progress-circle{stroke:#ffbc0b}.bb-notifications-item.info .notification-icon-wrapper{color:#099bf6;background-color:#e9f6fe}.bb-notifications-item.info .notification-progress-circle{stroke:#22a5f7}.bb-notifications-item.custom .notification-icon-wrapper{color:#657385;background-color:#f3f5f6}.bb-notifications-item.custom .notification-progress-circle{stroke:#657385}.notification-content-wrapper{padding:20px;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center}.notification-icon-wrapper{width:40px;height:40px;display:-ms-flexbox;display:flex;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;position:relative;border-radius:50%;-ms-flex-align:center;align-items:center;-ms-flex-pack:center;justify-content:center;color:#657385;background-color:#f3f5f6}.notification-icon{width:100%;height:100%;padding:10px;fill:currentColor}.notification-content{-ms-flex:1;flex:1;font-size:14px;line-height:1.5;font-weight:500;margin-left:20px;color:rgba(0,0,0,.85)}.notification-content i{font-style:italic}.notification-actions-button,.notification-content{font-family:inherit}.notification-actions{display:-ms-flexbox;display:flex;margin:0 20px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;border-top:1px solid #f3f5f6}.notification-actions-button{-ms-flex:1;flex:1;border:none;color:#22a5f7;cursor:pointer;font-size:14px;font-weight:500;padding:12px 2px;text-align:center;background-color:transparent}.notification-actions-button:focus>.notification-actions-button-highlight,.notification-actions-button:hover>.notification-actions-button-highlight{background-color:rgba(34,165,247,.1)}.notification-actions-button:active>.notification-actions-button-highlight{background-color:rgba(34,165,247,.2)}.notification-actions-button.destructive{color:#f55656}.notification-actions-button.destructive:focus>.notification-actions-button-highlight,.notification-actions-button.destructive:hover>.notification-actions-button-highlight{background-color:rgba(245,86,86,.1)}.notification-actions-button.destructive:active>.notification-actions-button-highlight{background-color:rgba(245,86,86,.2)}.notification-actions-button-highlight{padding:4px 12px;border-radius:12px;display:-ms-inline-flexbox;display:inline-flex;transition:background-color 150ms cubic-bezier(0,0,.2,1)}.notification-progress-ring{top:0;left:0;right:0;bottom:0;width:100%;height:100%;position:absolute}.notification-progress-circle{-webkit-transform:rotate(-90deg);-ms-transform:rotate(-90deg);transform:rotate(-90deg);-webkit-transform-origin:50% 50%;-ms-transform-origin:50% 50%;transform-origin:50% 50%;stroke:#657385}"]
                }] }
    ];
    /** @nocollapse */
    BbNotificationsItem.ctorParameters = function () { return [
        { type: NgZone },
        { type: BbPlatform },
        { type: ChangeDetectorRef }
    ]; };
    BbNotificationsItem.propDecorators = {
        notification: [{ type: Input }],
        dismissButtonText: [{ type: Input }],
        progressElementRef: [{ type: ViewChild, args: ['progress',] }],
        getClass: [{ type: HostBinding, args: ['class',] }]
    };
    return BbNotificationsItem;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var BbNotificationsModule = /** @class */ (function () {
    function BbNotificationsModule() {
    }
    /**
     * @param {?=} config
     * @return {?}
     */
    BbNotificationsModule.forRoot = /**
     * @param {?=} config
     * @return {?}
     */
    function (config) {
        return {
            ngModule: BbNotificationsModule,
            providers: [
                { provide: BbNotificationsConfig, useValue: config },
                BbNotifications
            ]
        };
    };
    BbNotificationsModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule, BbLocalizeModule],
                    declarations: [BbNotificationsList, BbNotificationsItem],
                    entryComponents: [BbNotificationsList]
                },] }
    ];
    return BbNotificationsModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { BbPlatform, BbLanguage, BbStorage, BbImage, BbInterpolator, BbJwt, BbPlaceholder, BbRegex, BbValidator, BbApiConfig, BbDataSourceRequest, BbApiDataSource, BbApiMapper, BbApi, BbApiError, BbApiModule, BbAuthConfig, BbAuthMapper, BbAuth, BbAuthModule, getErrors, BbElementsModule, BbTemplate, BbFocus, BbFocusTrap, BbSelect, BbInput, BbAutosize, BbSuffix, BbPrefix, BbSpinner, BbButton, BbAnchor, BbIcon, BbFormControl, BbFormGroup, BbCheckbox, BbTableColumnDef, BbTable, BbTableCell, BbTableHeaderCell, BbTableModule, BbDialogRef, BbDialogConfig, BbDialogOverlay, BbDialogModal, BbDialogHeader, BbDialogActions, BbDialog, BbDialogModule, BbDashboard, BbDashboardHeader, BbDashboardMenu, BbDashboardMenuItem, BbDashboardSidebar, BbDashboardSidebarGroup, BbDashboardSidebarItem, BbDashboardModule, BbNotificationType, BbNotificationsConfig, BbNotificationsPosition, BbNotificationsData, BbNotifications, BbNotificationsModule, BB_LOCALIZE_EXTRA_DICTIONARY, BbLocalizeConfig, BbLocalize, BbLocalizePipe, initializeLocale, getLocale, BbLocalizeModule, BB_ELEMENTS_MATERIAL_ICON, BB_ELEMENTS_ENGLISH_LOCALIZATION, BB_ELEMENTS_DUTCH_LOCALIZATION, BbAuthInterceptor as ɵa, BbDialogConfirm as ɵi, BbDialogContainer as ɵg, BbDialogInsertion as ɵh, BB_ELEMENTS_ERRORS as ɵc, BB_ELEMENTS_ICONS as ɵb, BbNotificationsItem as ɵl, BbNotificationsList as ɵj, notificationAnimation as ɵk, BbTablePager as ɵf };

//# sourceMappingURL=bravobit-bb-foundation.js.map